<?php
// This file was auto-generated from sdk-root/src/data/dms/2016-01-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>AWS Database Migration Service</fullname> <p>AWS Database Migration Service (AWS DMS) can migrate your data to and from the most widely used commercial and open-source databases such as Oracle, PostgreSQL, Microsoft SQL Server, Amazon Redshift, MariaDB, Amazon Aurora, MySQL, and SAP Adaptive Server Enterprise (ASE). The service supports homogeneous migrations such as Oracle to Oracle, as well as heterogeneous migrations between different database platforms, such as Oracle to MySQL or SQL Server to PostgreSQL.</p> <p>For more information about AWS DMS, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/Welcome.html">What Is AWS Database Migration Service?</a> in the <i>AWS Database Migration User Guide.</i> </p>', 'operations' => [ 'AddTagsToResource' => '<p>Adds metadata tags to an AWS DMS resource, including replication instance, endpoint, security group, and migration task. These tags can also be used with cost allocation reporting to track cost associated with DMS resources, or used in a Condition statement in an IAM policy for DMS.</p>', 'ApplyPendingMaintenanceAction' => '<p>Applies a pending maintenance action to a resource (for example, to a replication instance).</p>', 'CreateEndpoint' => '<p>Creates an endpoint using the provided settings.</p>', 'CreateEventSubscription' => '<p> Creates an AWS DMS event notification subscription. </p> <p>You can specify the type of source (<code>SourceType</code>) you want to be notified of, provide a list of AWS DMS source IDs (<code>SourceIds</code>) that triggers the events, and provide a list of event categories (<code>EventCategories</code>) for events you want to be notified of. If you specify both the <code>SourceType</code> and <code>SourceIds</code>, such as <code>SourceType = replication-instance</code> and <code>SourceIdentifier = my-replinstance</code>, you will be notified of all the replication instance events for the specified source. If you specify a <code>SourceType</code> but don\'t specify a <code>SourceIdentifier</code>, you receive notice of the events for that source type for all your AWS DMS sources. If you don\'t specify either <code>SourceType</code> nor <code>SourceIdentifier</code>, you will be notified of events generated from all AWS DMS sources belonging to your customer account.</p> <p>For more information about AWS DMS events, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Events.html">Working with Events and Notifications</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'CreateReplicationInstance' => '<p>Creates the replication instance using the specified parameters.</p>', 'CreateReplicationSubnetGroup' => '<p>Creates a replication subnet group given a list of the subnet IDs in a VPC.</p>', 'CreateReplicationTask' => '<p>Creates a replication task using the specified parameters.</p>', 'DeleteCertificate' => '<p>Deletes the specified certificate. </p>', 'DeleteEndpoint' => '<p>Deletes the specified endpoint.</p> <note> <p>All tasks associated with the endpoint must be deleted before you can delete the endpoint.</p> </note> <p/>', 'DeleteEventSubscription' => '<p> Deletes an AWS DMS event subscription. </p>', 'DeleteReplicationInstance' => '<p>Deletes the specified replication instance.</p> <note> <p>You must delete any migration tasks that are associated with the replication instance before you can delete it.</p> </note> <p/>', 'DeleteReplicationSubnetGroup' => '<p>Deletes a subnet group.</p>', 'DeleteReplicationTask' => '<p>Deletes the specified replication task.</p>', 'DescribeAccountAttributes' => '<p>Lists all of the AWS DMS attributes for a customer account. These attributes include AWS DMS quotas for the account and a unique account identifier in a particular DMS region. DMS quotas include a list of resource quotas supported by the account, such as the number of replication instances allowed. The description for each resource quota, includes the quota name, current usage toward that quota, and the quota\'s maximum value. DMS uses the unique account identifier to name each artifact used by DMS in the given region.</p> <p>This command does not take any parameters.</p>', 'DescribeCertificates' => '<p>Provides a description of the certificate.</p>', 'DescribeConnections' => '<p>Describes the status of the connections that have been made between the replication instance and an endpoint. Connections are created when you test an endpoint.</p>', 'DescribeEndpointTypes' => '<p>Returns information about the type of endpoints available.</p>', 'DescribeEndpoints' => '<p>Returns information about the endpoints for your account in the current region.</p>', 'DescribeEventCategories' => '<p>Lists categories for all event source types, or, if specified, for a specified source type. You can see a list of the event categories and source types in <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Events.html">Working with Events and Notifications</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'DescribeEventSubscriptions' => '<p>Lists all the event subscriptions for a customer account. The description of a subscription includes <code>SubscriptionName</code>, <code>SNSTopicARN</code>, <code>CustomerID</code>, <code>SourceType</code>, <code>SourceID</code>, <code>CreationTime</code>, and <code>Status</code>. </p> <p>If you specify <code>SubscriptionName</code>, this action lists the description for that subscription.</p>', 'DescribeEvents' => '<p> Lists events for a given source identifier and source type. You can also specify a start and end time. For more information on AWS DMS events, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Events.html">Working with Events and Notifications</a> in the <i>AWS Database Migration User Guide.</i> </p>', 'DescribeOrderableReplicationInstances' => '<p>Returns information about the replication instance types that can be created in the specified region.</p>', 'DescribePendingMaintenanceActions' => '<p>For internal use only</p>', 'DescribeRefreshSchemasStatus' => '<p>Returns the status of the RefreshSchemas operation.</p>', 'DescribeReplicationInstanceTaskLogs' => '<p>Returns information about the task logs for the specified task.</p>', 'DescribeReplicationInstances' => '<p>Returns information about replication instances for your account in the current region.</p>', 'DescribeReplicationSubnetGroups' => '<p>Returns information about the replication subnet groups.</p>', 'DescribeReplicationTaskAssessmentResults' => '<p>Returns the task assessment results from Amazon S3. This action always returns the latest results.</p>', 'DescribeReplicationTasks' => '<p>Returns information about replication tasks for your account in the current region.</p>', 'DescribeSchemas' => '<p>Returns information about the schema for the specified endpoint.</p> <p/>', 'DescribeTableStatistics' => '<p>Returns table statistics on the database migration task, including table name, rows inserted, rows updated, and rows deleted.</p> <p>Note that the "last updated" column the DMS console only indicates the time that AWS DMS last updated the table statistics record for a table. It does not indicate the time of the last update to the table.</p>', 'ImportCertificate' => '<p>Uploads the specified certificate.</p>', 'ListTagsForResource' => '<p>Lists all tags for an AWS DMS resource.</p>', 'ModifyEndpoint' => '<p>Modifies the specified endpoint.</p>', 'ModifyEventSubscription' => '<p>Modifies an existing AWS DMS event notification subscription. </p>', 'ModifyReplicationInstance' => '<p>Modifies the replication instance to apply new settings. You can change one or more parameters by specifying these parameters and the new values in the request.</p> <p>Some settings are applied during the maintenance window.</p> <p/>', 'ModifyReplicationSubnetGroup' => '<p>Modifies the settings for the specified replication subnet group.</p>', 'ModifyReplicationTask' => '<p>Modifies the specified replication task.</p> <p>You can\'t modify the task endpoints. The task must be stopped before you can modify it. </p> <p>For more information about AWS DMS tasks, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Tasks.html">Working with Migration Tasks</a> in the <i>AWS Database Migration Service User Guide</i>.</p>', 'RebootReplicationInstance' => '<p>Reboots a replication instance. Rebooting results in a momentary outage, until the replication instance becomes available again.</p>', 'RefreshSchemas' => '<p>Populates the schema for the specified endpoint. This is an asynchronous operation and can take several minutes. You can check the status of this operation by calling the DescribeRefreshSchemasStatus operation.</p>', 'ReloadTables' => '<p>Reloads the target database table with the source data. </p>', 'RemoveTagsFromResource' => '<p>Removes metadata tags from a DMS resource.</p>', 'StartReplicationTask' => '<p>Starts the replication task.</p> <p>For more information about AWS DMS tasks, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Tasks.html">Working with Migration Tasks </a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'StartReplicationTaskAssessment' => '<p> Starts the replication task assessment for unsupported data types in the source database. </p>', 'StopReplicationTask' => '<p>Stops the replication task.</p> <p/>', 'TestConnection' => '<p>Tests the connection between the replication instance and the endpoint.</p>', ], 'shapes' => [ 'AccessDeniedFault' => [ 'base' => '<p>AWS DMS was denied access to the endpoint. Check that the role is correctly configured.</p>', 'refs' => [], ], 'AccountQuota' => [ 'base' => '<p>Describes a quota for an AWS account, for example, the number of replication instances allowed.</p>', 'refs' => [ 'AccountQuotaList$member' => NULL, ], ], 'AccountQuotaList' => [ 'base' => NULL, 'refs' => [ 'DescribeAccountAttributesResponse$AccountQuotas' => '<p>Account quota information.</p>', ], ], 'AddTagsToResourceMessage' => [ 'base' => '<p>Associates a set of tags with an AWS DMS resource.</p>', 'refs' => [], ], 'AddTagsToResourceResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'ApplyPendingMaintenanceActionMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'ApplyPendingMaintenanceActionResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'AuthMechanismValue' => [ 'base' => NULL, 'refs' => [ 'MongoDbSettings$AuthMechanism' => '<p> The authentication mechanism you use to access the MongoDB source endpoint.</p> <p>Valid values: DEFAULT, MONGODB_CR, SCRAM_SHA_1 </p> <p>DEFAULT – For MongoDB version 2.x, use MONGODB_CR. For MongoDB version 3.x, use SCRAM_SHA_1. This attribute is not used when authType=No.</p>', ], ], 'AuthTypeValue' => [ 'base' => NULL, 'refs' => [ 'MongoDbSettings$AuthType' => '<p> The authentication type you use to access the MongoDB source endpoint.</p> <p>Valid values: NO, PASSWORD </p> <p>When NO is selected, user name and password parameters are not used and can be empty. </p>', ], ], 'AvailabilityZone' => [ 'base' => '<p/>', 'refs' => [ 'Subnet$SubnetAvailabilityZone' => '<p>The Availability Zone of the subnet.</p>', ], ], 'AvailabilityZonesList' => [ 'base' => NULL, 'refs' => [ 'OrderableReplicationInstance$AvailabilityZones' => '<p>List of Availability Zones for this replication instance.</p>', ], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'EventSubscription$Enabled' => '<p>Boolean value that indicates if the event subscription is enabled.</p>', 'ModifyReplicationInstanceMessage$ApplyImmediately' => '<p>Indicates whether the changes should be applied immediately or during the next maintenance window.</p>', 'ModifyReplicationInstanceMessage$AllowMajorVersionUpgrade' => '<p>Indicates that major version upgrades are allowed. Changing this parameter does not result in an outage, and the change is asynchronously applied as soon as possible.</p> <p>This parameter must be set to <code>true</code> when specifying a value for the <code>EngineVersion</code> parameter that is a different major version than the replication instance\'s current version.</p>', 'ReplicationInstance$MultiAZ' => '<p> Specifies whether the replication instance is a Multi-AZ deployment. You cannot set the <code>AvailabilityZone</code> parameter if the Multi-AZ parameter is set to <code>true</code>. </p>', 'ReplicationInstance$AutoMinorVersionUpgrade' => '<p>Boolean value indicating if minor version upgrades will be automatically applied to the instance.</p>', 'ReplicationInstance$PubliclyAccessible' => '<p> Specifies the accessibility options for the replication instance. A value of <code>true</code> represents an instance with a public IP address. A value of <code>false</code> represents an instance with a private IP address. The default value is <code>true</code>. </p>', 'SupportedEndpointType$SupportsCDC' => '<p>Indicates if Change Data Capture (CDC) is supported.</p>', ], ], 'BooleanOptional' => [ 'base' => NULL, 'refs' => [ 'CreateEventSubscriptionMessage$Enabled' => '<p> A Boolean value; set to <code>true</code> to activate the subscription, or set to <code>false</code> to create the subscription but not activate it. </p>', 'CreateReplicationInstanceMessage$MultiAZ' => '<p> Specifies whether the replication instance is a Multi-AZ deployment. You cannot set the <code>AvailabilityZone</code> parameter if the Multi-AZ parameter is set to <code>true</code>. </p>', 'CreateReplicationInstanceMessage$AutoMinorVersionUpgrade' => '<p>Indicates whether minor engine upgrades will be applied automatically to the replication instance during the maintenance window. This parameter defaults to <code>true</code>.</p> <p>Default: <code>true</code> </p>', 'CreateReplicationInstanceMessage$PubliclyAccessible' => '<p> Specifies the accessibility options for the replication instance. A value of <code>true</code> represents an instance with a public IP address. A value of <code>false</code> represents an instance with a private IP address. The default value is <code>true</code>. </p>', 'DescribeReplicationTasksMessage$WithoutSettings' => '<p>An option to set to avoid returning information about settings. Use this to reduce overhead when setting information is too large. To use this option, choose <code>true</code>; otherwise, choose <code>false</code> (the default).</p>', 'ModifyEventSubscriptionMessage$Enabled' => '<p> A Boolean value; set to <b>true</b> to activate the subscription. </p>', 'ModifyReplicationInstanceMessage$MultiAZ' => '<p> Specifies whether the replication instance is a Multi-AZ deployment. You cannot set the <code>AvailabilityZone</code> parameter if the Multi-AZ parameter is set to <code>true</code>. </p>', 'ModifyReplicationInstanceMessage$AutoMinorVersionUpgrade' => '<p> Indicates that minor version upgrades will be applied automatically to the replication instance during the maintenance window. Changing this parameter does not result in an outage except in the following case and the change is asynchronously applied as soon as possible. An outage will result if this parameter is set to <code>true</code> during the maintenance window, and a newer minor version is available, and AWS DMS has enabled auto patching for that engine version. </p>', 'RebootReplicationInstanceMessage$ForceFailover' => '<p>If this parameter is <code>true</code>, the reboot is conducted through a Multi-AZ failover. (If the instance isn\'t configured for Multi-AZ, then you can\'t specify <code>true</code>.)</p>', 'RedshiftSettings$AcceptAnyDate' => '<p>A value that indicates to allow any date format, including invalid formats such as 00/00/00 00:00:00, to be loaded without generating an error. You can choose <code>true</code> or <code>false</code> (the default).</p> <p>This parameter applies only to TIMESTAMP and DATE columns. Always use ACCEPTANYDATE with the DATEFORMAT parameter. If the date format for the data doesn\'t match the DATEFORMAT specification, Amazon Redshift inserts a NULL value into that field. </p>', 'RedshiftSettings$EmptyAsNull' => '<p>A value that specifies whether AWS DMS should migrate empty CHAR and VARCHAR fields as NULL. A value of <code>true</code> sets empty CHAR and VARCHAR fields to null. The default is <code>false</code>.</p>', 'RedshiftSettings$RemoveQuotes' => '<p>A value that specifies to remove surrounding quotation marks from strings in the incoming data. All characters within the quotation marks, including delimiters, are retained. Choose <code>true</code> to remove quotation marks. The default is <code>false</code>.</p>', 'RedshiftSettings$TrimBlanks' => '<p>A value that specifies to remove the trailing white space characters from a VARCHAR string. This parameter applies only to columns with a VARCHAR data type. Choose <code>true</code> to remove unneeded white space. The default is <code>false</code>.</p>', 'RedshiftSettings$TruncateColumns' => '<p>A value that specifies to truncate data in columns to the appropriate number of characters, so that the data fits in the column. This parameter applies only to columns with a VARCHAR or CHAR data type, and rows with a size of 4 MB or less. Choose <code>true</code> to truncate data. The default is <code>false</code>.</p>', 'ReplicationPendingModifiedValues$MultiAZ' => '<p> Specifies whether the replication instance is a Multi-AZ deployment. You cannot set the <code>AvailabilityZone</code> parameter if the Multi-AZ parameter is set to <code>true</code>. </p>', 'S3Settings$EnableStatistics' => '<p>A value that enables statistics for Parquet pages and row groups. Choose <code>true</code> to enable statistics, <code>false</code> to disable. Statistics include <code>NULL</code>, <code>DISTINCT</code>, <code>MAX</code>, and <code>MIN</code> values. This parameter defaults to <code>true</code>. This value is used for .parquet file format only.</p>', 'S3Settings$IncludeOpForFullLoad' => '<p>A value that enables a full load to write INSERT operations to the comma-separated value (.csv) output files only to indicate how the rows were added to the source database.</p> <note> <p>AWS DMS supports <code>IncludeOpForFullLoad</code> in versions 3.1.4 and later.</p> </note> <p>For full load, records can only be inserted. By default (the <code>false</code> setting), no information is recorded in these output files for a full load to indicate that the rows were inserted at the source database. If <code>IncludeOpForFullLoad</code> is set to <code>true</code> or <code>y</code>, the INSERT is recorded as an I annotation in the first field of the .csv file. This allows the format of your target records from a full load to be consistent with the target records from a CDC load.</p> <note> <p>This setting works together with <code>CdcInsertsOnly</code> for output to .csv files only. For more information about how these settings work together, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.S3.html#CHAP_Target.S3.Configuring.InsertOps">Indicating Source DB Operations in Migrated S3 Data</a> in the <i>AWS Database Migration Service User Guide.</i>.</p> </note>', 'S3Settings$CdcInsertsOnly' => '<p>A value that enables a change data capture (CDC) load to write only INSERT operations to .csv or columnar storage (.parquet) output files. By default (the <code>false</code> setting), the first field in a .csv or .parquet record contains the letter I (INSERT), U (UPDATE), or D (DELETE). These values indicate whether the row was inserted, updated, or deleted at the source database for a CDC load to the target.</p> <p>If <code>cdcInsertsOnly</code> is set to <code>true</code> or <code>y</code>, only INSERTs from the source database are migrated to the .csv or .parquet file. For .csv format only, how these INSERTs are recorded depends on the value of <code>IncludeOpForFullLoad</code>. If <code>IncludeOpForFullLoad</code> is set to <code>true</code>, the first field of every CDC record is set to I to indicate the INSERT operation at the source. If <code>IncludeOpForFullLoad</code> is set to <code>false</code>, every CDC record is written without a first field to indicate the INSERT operation at the source. For more information about how these settings work together, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.S3.html#CHAP_Target.S3.Configuring.InsertOps">Indicating Source DB Operations in Migrated S3 Data</a> in the <i>AWS Database Migration Service User Guide.</i>.</p> <note> <p>AWS DMS supports this interaction between <code>CdcInsertsOnly</code> and <code>IncludeOpForFullLoad</code> in versions 3.1.4 and later. </p> </note>', ], ], 'Certificate' => [ 'base' => '<p>The SSL certificate that can be used to encrypt connections between the endpoints and the replication instance.</p>', 'refs' => [ 'CertificateList$member' => NULL, 'DeleteCertificateResponse$Certificate' => '<p>The Secure Sockets Layer (SSL) certificate.</p>', 'ImportCertificateResponse$Certificate' => '<p>The certificate to be uploaded.</p>', ], ], 'CertificateList' => [ 'base' => NULL, 'refs' => [ 'DescribeCertificatesResponse$Certificates' => '<p>The Secure Sockets Layer (SSL) certificates associated with the replication instance.</p>', ], ], 'CertificateWallet' => [ 'base' => NULL, 'refs' => [ 'Certificate$CertificateWallet' => '<p>The location of an imported Oracle Wallet certificate for use with SSL.</p>', 'ImportCertificateMessage$CertificateWallet' => '<p>The location of an imported Oracle Wallet certificate for use with SSL.</p>', ], ], 'CompressionTypeValue' => [ 'base' => NULL, 'refs' => [ 'S3Settings$CompressionType' => '<p> An optional parameter to use GZIP to compress the target files. Set to GZIP to compress the target files. Set to NONE (the default) or do not use to leave the files uncompressed. Applies to both .csv and .parquet file formats. </p>', ], ], 'Connection' => [ 'base' => '<p/>', 'refs' => [ 'ConnectionList$member' => NULL, 'TestConnectionResponse$Connection' => '<p>The connection tested.</p>', ], ], 'ConnectionList' => [ 'base' => NULL, 'refs' => [ 'DescribeConnectionsResponse$Connections' => '<p>A description of the connections.</p>', ], ], 'CreateEndpointMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateEndpointResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateEventSubscriptionMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateEventSubscriptionResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateReplicationInstanceMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateReplicationInstanceResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateReplicationSubnetGroupMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateReplicationSubnetGroupResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateReplicationTaskMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'CreateReplicationTaskResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DataFormatValue' => [ 'base' => NULL, 'refs' => [ 'S3Settings$DataFormat' => '<p>The format of the data that you want to use for output. You can choose one of the following: </p> <ul> <li> <p> <code>csv</code> : This is a row-based file format with comma-separated values (.csv). </p> </li> <li> <p> <code>parquet</code> : Apache Parquet (.parquet) is a columnar storage file format that features efficient compression and provides faster query response. </p> </li> </ul>', ], ], 'DeleteCertificateMessage' => [ 'base' => NULL, 'refs' => [], ], 'DeleteCertificateResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteEndpointMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteEndpointResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteEventSubscriptionMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteEventSubscriptionResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteReplicationInstanceMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteReplicationInstanceResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteReplicationSubnetGroupMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteReplicationSubnetGroupResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteReplicationTaskMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DeleteReplicationTaskResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeAccountAttributesMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeAccountAttributesResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeCertificatesMessage' => [ 'base' => NULL, 'refs' => [], ], 'DescribeCertificatesResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeConnectionsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeConnectionsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEndpointTypesMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEndpointTypesResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEndpointsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEndpointsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEventCategoriesMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEventCategoriesResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEventSubscriptionsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEventSubscriptionsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEventsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeEventsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeOrderableReplicationInstancesMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeOrderableReplicationInstancesResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribePendingMaintenanceActionsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribePendingMaintenanceActionsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeRefreshSchemasStatusMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeRefreshSchemasStatusResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationInstanceTaskLogsMessage' => [ 'base' => NULL, 'refs' => [], ], 'DescribeReplicationInstanceTaskLogsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeReplicationInstancesMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationInstancesResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationSubnetGroupsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationSubnetGroupsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationTaskAssessmentResultsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationTaskAssessmentResultsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationTasksMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeReplicationTasksResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeSchemasMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeSchemasResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeTableStatisticsMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'DescribeTableStatisticsResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'DmsSslModeValue' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointMessage$SslMode' => '<p>The Secure Sockets Layer (SSL) mode to use for the SSL connection. The default is <code>none</code> </p>', 'Endpoint$SslMode' => '<p>The SSL mode used to connect to the endpoint. The default value is <code>none</code>.</p>', 'ModifyEndpointMessage$SslMode' => '<p>The SSL mode used to connect to the endpoint. The default value is <code>none</code>.</p>', ], ], 'DmsTransferSettings' => [ 'base' => '<p> The settings in JSON format for the DMS Transfer type source endpoint. </p>', 'refs' => [ 'CreateEndpointMessage$DmsTransferSettings' => '<p>The settings in JSON format for the DMS transfer type of source endpoint. </p> <p>Possible attributes include the following:</p> <ul> <li> <p> <code>serviceAccessRoleArn</code> - The IAM role that has permission to access the Amazon S3 bucket.</p> </li> <li> <p> <code>bucketName</code> - The name of the S3 bucket to use.</p> </li> <li> <p> <code>compressionType</code> - An optional parameter to use GZIP to compress the target files. To use GZIP, set this value to <code>NONE</code> (the default). To keep the files uncompressed, don\'t use this value.</p> </li> </ul> <p>Shorthand syntax for these attributes is as follows: <code>ServiceAccessRoleArn=string,BucketName=string,CompressionType=string</code> </p> <p>JSON syntax for these attributes is as follows: <code>{ "ServiceAccessRoleArn": "string", "BucketName": "string", "CompressionType": "none"|"gzip" } </code> </p>', 'Endpoint$DmsTransferSettings' => '<p>The settings in JSON format for the DMS transfer type of source endpoint. </p> <p>Possible attributes include the following:</p> <ul> <li> <p> <code>serviceAccessRoleArn</code> - The IAM role that has permission to access the Amazon S3 bucket.</p> </li> <li> <p> <code>bucketName</code> - The name of the S3 bucket to use.</p> </li> <li> <p> <code>compressionType</code> - An optional parameter to use GZIP to compress the target files. To use GZIP, set this value to <code>NONE</code> (the default). To keep the files uncompressed, don\'t use this value.</p> </li> </ul> <p>Shorthand syntax for these attributes is as follows: <code>ServiceAccessRoleArn=string,BucketName=string,CompressionType=string</code> </p> <p>JSON syntax for these attributes is as follows: <code>{ "ServiceAccessRoleArn": "string", "BucketName": "string", "CompressionType": "none"|"gzip" } </code> </p>', 'ModifyEndpointMessage$DmsTransferSettings' => '<p>The settings in JSON format for the DMS transfer type of source endpoint. </p> <p>Attributes include the following:</p> <ul> <li> <p>serviceAccessRoleArn - The IAM role that has permission to access the Amazon S3 bucket.</p> </li> <li> <p>BucketName - The name of the S3 bucket to use.</p> </li> <li> <p>compressionType - An optional parameter to use GZIP to compress the target files. Set to NONE (the default) or do not use to leave the files uncompressed.</p> </li> </ul> <p>Shorthand syntax: ServiceAccessRoleArn=string ,BucketName=string,CompressionType=string</p> <p>JSON syntax:</p> <p> { "ServiceAccessRoleArn": "string", "BucketName": "string", "CompressionType": "none"|"gzip" } </p>', ], ], 'DynamoDbSettings' => [ 'base' => '<p/>', 'refs' => [ 'CreateEndpointMessage$DynamoDbSettings' => '<p>Settings in JSON format for the target Amazon DynamoDB endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.DynamoDB.html">Using Object Mapping to Migrate Data to DynamoDB</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'Endpoint$DynamoDbSettings' => '<p>The settings for the target DynamoDB database. For more information, see the <code>DynamoDBSettings</code> structure.</p>', 'ModifyEndpointMessage$DynamoDbSettings' => '<p>Settings in JSON format for the target Amazon DynamoDB endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.DynamoDB.html">Using Object Mapping to Migrate Data to DynamoDB</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', ], ], 'ElasticsearchSettings' => [ 'base' => '<p/>', 'refs' => [ 'CreateEndpointMessage$ElasticsearchSettings' => '<p>Settings in JSON format for the target Elasticsearch endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.Elasticsearch.html#CHAP_Target.Elasticsearch.Configuration">Extra Connection Attributes When Using Elasticsearch as a Target for AWS DMS</a> in the <i>AWS Database Migration User Guide.</i> </p>', 'Endpoint$ElasticsearchSettings' => '<p>The settings for the Elasticsearch source endpoint. For more information, see the <code>ElasticsearchSettings</code> structure.</p>', 'ModifyEndpointMessage$ElasticsearchSettings' => '<p>Settings in JSON format for the target Elasticsearch endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.Elasticsearch.html#CHAP_Target.Elasticsearch.Configuration">Extra Connection Attributes When Using Elasticsearch as a Target for AWS DMS</a> in the <i>AWS Database Migration User Guide.</i> </p>', ], ], 'EncodingTypeValue' => [ 'base' => NULL, 'refs' => [ 'S3Settings$EncodingType' => '<p>The type of encoding you are using: </p> <ul> <li> <p> <code>RLE_DICTIONARY</code> uses a combination of bit-packing and run-length encoding to store repeated values more efficiently. This is the default.</p> </li> <li> <p> <code>PLAIN</code> doesn\'t use encoding at all. Values are stored as they are.</p> </li> <li> <p> <code>PLAIN_DICTIONARY</code> builds a dictionary of the values encountered in a given column. The dictionary is stored in a dictionary page for each column chunk.</p> </li> </ul>', ], ], 'EncryptionModeValue' => [ 'base' => NULL, 'refs' => [ 'RedshiftSettings$EncryptionMode' => '<p>The type of server-side encryption that you want to use for your data. This encryption type is part of the endpoint settings or the extra connections attributes for Amazon S3. You can choose either <code>SSE_S3</code> (the default) or <code>SSE_KMS</code>. To use <code>SSE_S3</code>, create an AWS Identity and Access Management (IAM) role with a policy that allows <code>"arn:aws:s3:::*"</code> to use the following actions: <code>"s3:PutObject", "s3:ListBucket"</code> </p>', 'S3Settings$EncryptionMode' => '<p>The type of server-side encryption that you want to use for your data. This encryption type is part of the endpoint settings or the extra connections attributes for Amazon S3. You can choose either <code>SSE_S3</code> (the default) or <code>SSE_KMS</code>. To use <code>SSE_S3</code>, you need an AWS Identity and Access Management (IAM) role with permission to allow <code>"arn:aws:s3:::dms-*"</code> to use the following actions:</p> <ul> <li> <p> <code>s3:CreateBucket</code> </p> </li> <li> <p> <code>s3:ListBucket</code> </p> </li> <li> <p> <code>s3:DeleteBucket</code> </p> </li> <li> <p> <code>s3:GetBucketLocation</code> </p> </li> <li> <p> <code>s3:GetObject</code> </p> </li> <li> <p> <code>s3:PutObject</code> </p> </li> <li> <p> <code>s3:DeleteObject</code> </p> </li> <li> <p> <code>s3:GetObjectVersion</code> </p> </li> <li> <p> <code>s3:GetBucketPolicy</code> </p> </li> <li> <p> <code>s3:PutBucketPolicy</code> </p> </li> <li> <p> <code>s3:DeleteBucketPolicy</code> </p> </li> </ul>', ], ], 'Endpoint' => [ 'base' => '<p/>', 'refs' => [ 'CreateEndpointResponse$Endpoint' => '<p>The endpoint that was created.</p>', 'DeleteEndpointResponse$Endpoint' => '<p>The endpoint that was deleted.</p>', 'EndpointList$member' => NULL, 'ModifyEndpointResponse$Endpoint' => '<p>The modified endpoint.</p>', ], ], 'EndpointList' => [ 'base' => NULL, 'refs' => [ 'DescribeEndpointsResponse$Endpoints' => '<p>Endpoint description.</p>', ], ], 'Event' => [ 'base' => '<p/>', 'refs' => [ 'EventList$member' => NULL, ], ], 'EventCategoriesList' => [ 'base' => NULL, 'refs' => [ 'CreateEventSubscriptionMessage$EventCategories' => '<p>A list of event categories for a source type that you want to subscribe to. For more information, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Events.html">Working with Events and Notifications</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'DescribeEventsMessage$EventCategories' => '<p>A list of event categories for the source type that you\'ve chosen.</p>', 'Event$EventCategories' => '<p>The event categories available for the specified source type.</p>', 'EventCategoryGroup$EventCategories' => '<p> A list of event categories from a source type that you\'ve chosen.</p>', 'EventSubscription$EventCategoriesList' => '<p>A lists of event categories.</p>', 'ModifyEventSubscriptionMessage$EventCategories' => '<p> A list of event categories for a source type that you want to subscribe to. Use the <code>DescribeEventCategories</code> action to see a list of event categories. </p>', ], ], 'EventCategoryGroup' => [ 'base' => '<p/>', 'refs' => [ 'EventCategoryGroupList$member' => NULL, ], ], 'EventCategoryGroupList' => [ 'base' => NULL, 'refs' => [ 'DescribeEventCategoriesResponse$EventCategoryGroupList' => '<p>A list of event categories.</p>', ], ], 'EventList' => [ 'base' => NULL, 'refs' => [ 'DescribeEventsResponse$Events' => '<p>The events described.</p>', ], ], 'EventSubscription' => [ 'base' => '<p/>', 'refs' => [ 'CreateEventSubscriptionResponse$EventSubscription' => '<p>The event subscription that was created.</p>', 'DeleteEventSubscriptionResponse$EventSubscription' => '<p>The event subscription that was deleted.</p>', 'EventSubscriptionsList$member' => NULL, 'ModifyEventSubscriptionResponse$EventSubscription' => '<p>The modified event subscription.</p>', ], ], 'EventSubscriptionsList' => [ 'base' => NULL, 'refs' => [ 'DescribeEventSubscriptionsResponse$EventSubscriptionsList' => '<p>A list of event subscriptions.</p>', ], ], 'ExceptionMessage' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedFault$message' => '<p/>', 'InsufficientResourceCapacityFault$message' => '<p/>', 'InvalidCertificateFault$message' => NULL, 'InvalidResourceStateFault$message' => '<p/>', 'InvalidSubnet$message' => '<p/>', 'KMSAccessDeniedFault$message' => NULL, 'KMSDisabledFault$message' => NULL, 'KMSInvalidStateFault$message' => NULL, 'KMSKeyNotAccessibleFault$message' => '<p/>', 'KMSNotFoundFault$message' => NULL, 'KMSThrottlingFault$message' => NULL, 'ReplicationSubnetGroupDoesNotCoverEnoughAZs$message' => '<p/>', 'ResourceAlreadyExistsFault$message' => '<p/>', 'ResourceNotFoundFault$message' => '<p/>', 'ResourceQuotaExceededFault$message' => '<p/>', 'SNSInvalidTopicFault$message' => '<p/>', 'SNSNoAuthorizationFault$message' => '<p/>', 'StorageQuotaExceededFault$message' => '<p/>', 'SubnetAlreadyInUse$message' => '<p/>', 'UpgradeDependencyFailureFault$message' => '<p/>', ], ], 'Filter' => [ 'base' => '<p/>', 'refs' => [ 'FilterList$member' => NULL, ], ], 'FilterList' => [ 'base' => NULL, 'refs' => [ 'DescribeCertificatesMessage$Filters' => '<p>Filters applied to the certificate described in the form of key-value pairs.</p>', 'DescribeConnectionsMessage$Filters' => '<p>The filters applied to the connection.</p> <p>Valid filter names: endpoint-arn | replication-instance-arn</p>', 'DescribeEndpointTypesMessage$Filters' => '<p>Filters applied to the describe action.</p> <p>Valid filter names: engine-name | endpoint-type</p>', 'DescribeEndpointsMessage$Filters' => '<p>Filters applied to the describe action.</p> <p>Valid filter names: endpoint-arn | endpoint-type | endpoint-id | engine-name</p>', 'DescribeEventCategoriesMessage$Filters' => '<p>Filters applied to the action.</p>', 'DescribeEventSubscriptionsMessage$Filters' => '<p>Filters applied to the action.</p>', 'DescribeEventsMessage$Filters' => '<p>Filters applied to the action.</p>', 'DescribePendingMaintenanceActionsMessage$Filters' => '<p/>', 'DescribeReplicationInstancesMessage$Filters' => '<p>Filters applied to the describe action.</p> <p>Valid filter names: replication-instance-arn | replication-instance-id | replication-instance-class | engine-version</p>', 'DescribeReplicationSubnetGroupsMessage$Filters' => '<p>Filters applied to the describe action.</p>', 'DescribeReplicationTasksMessage$Filters' => '<p>Filters applied to the describe action.</p> <p>Valid filter names: replication-task-arn | replication-task-id | migration-type | endpoint-arn | replication-instance-arn</p>', 'DescribeTableStatisticsMessage$Filters' => '<p>Filters applied to the describe table statistics action.</p> <p>Valid filter names: schema-name | table-name | table-state</p> <p>A combination of filters creates an AND condition where each record matches all specified filters.</p>', ], ], 'FilterValueList' => [ 'base' => NULL, 'refs' => [ 'Filter$Values' => '<p>The filter value.</p>', ], ], 'ImportCertificateMessage' => [ 'base' => NULL, 'refs' => [], ], 'ImportCertificateResponse' => [ 'base' => NULL, 'refs' => [], ], 'InsufficientResourceCapacityFault' => [ 'base' => '<p>There are not enough resources allocated to the database migration.</p>', 'refs' => [], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'OrderableReplicationInstance$MinAllocatedStorage' => '<p>The minimum amount of storage (in gigabytes) that can be allocated for the replication instance.</p>', 'OrderableReplicationInstance$MaxAllocatedStorage' => '<p>The minimum amount of storage (in gigabytes) that can be allocated for the replication instance.</p>', 'OrderableReplicationInstance$DefaultAllocatedStorage' => '<p>The default amount of storage (in gigabytes) that is allocated for the replication instance.</p>', 'OrderableReplicationInstance$IncludedAllocatedStorage' => '<p>The amount of storage (in gigabytes) that is allocated for the replication instance.</p>', 'ReplicationInstance$AllocatedStorage' => '<p>The amount of storage (in gigabytes) that is allocated for the replication instance.</p>', 'ReplicationTaskStats$FullLoadProgressPercent' => '<p>The percent complete for the full load migration task.</p>', 'ReplicationTaskStats$TablesLoaded' => '<p>The number of tables loaded for this task.</p>', 'ReplicationTaskStats$TablesLoading' => '<p>The number of tables currently loading for this task.</p>', 'ReplicationTaskStats$TablesQueued' => '<p>The number of tables queued for this task.</p>', 'ReplicationTaskStats$TablesErrored' => '<p>The number of errors that have occurred during this task.</p>', ], ], 'IntegerOptional' => [ 'base' => NULL, 'refs' => [ 'Certificate$KeyLength' => '<p>The key length of the cryptographic algorithm being used.</p>', 'CreateEndpointMessage$Port' => '<p>The port used by the endpoint database.</p>', 'CreateReplicationInstanceMessage$AllocatedStorage' => '<p>The amount of storage (in gigabytes) to be initially allocated for the replication instance.</p>', 'DescribeCertificatesMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 10</p>', 'DescribeConnectionsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeEndpointTypesMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeEndpointsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeEventSubscriptionsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeEventsMessage$Duration' => '<p>The duration of the events to be listed.</p>', 'DescribeEventsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeOrderableReplicationInstancesMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribePendingMaintenanceActionsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeReplicationInstanceTaskLogsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeReplicationInstancesMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeReplicationSubnetGroupsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeReplicationTaskAssessmentResultsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeReplicationTasksMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeSchemasMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 100.</p>', 'DescribeTableStatisticsMessage$MaxRecords' => '<p> The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a pagination token called a marker is included in the response so that the remaining results can be retrieved. </p> <p>Default: 100</p> <p>Constraints: Minimum 20, maximum 500.</p>', 'ElasticsearchSettings$FullLoadErrorPercentage' => '<p>The maximum percentage of records that can fail to be written before a full load operation stops. </p>', 'ElasticsearchSettings$ErrorRetryDuration' => '<p>The maximum number of seconds that DMS retries failed API requests to the Elasticsearch cluster.</p>', 'Endpoint$Port' => '<p>The port value used to access the endpoint.</p>', 'ModifyEndpointMessage$Port' => '<p>The port used by the endpoint database.</p>', 'ModifyReplicationInstanceMessage$AllocatedStorage' => '<p>The amount of storage (in gigabytes) to be allocated for the replication instance.</p>', 'MongoDbSettings$Port' => '<p> The port value for the MongoDB source endpoint. </p>', 'RedshiftSettings$ConnectionTimeout' => '<p>A value that sets the amount of time to wait (in milliseconds) before timing out, beginning from when you initially establish a connection.</p>', 'RedshiftSettings$FileTransferUploadStreams' => '<p>The number of threads used to upload a single file. This parameter accepts a value from 1 through 64. It defaults to 10.</p>', 'RedshiftSettings$LoadTimeout' => '<p>The amount of time to wait (in milliseconds) before timing out, beginning from when you begin loading.</p>', 'RedshiftSettings$MaxFileSize' => '<p>The maximum size (in KB) of any .csv file used to transfer data to Amazon Redshift. This accepts a value from 1 through 1,048,576. It defaults to 32,768 KB (32 MB).</p>', 'RedshiftSettings$Port' => '<p>The port number for Amazon Redshift. The default value is 5439.</p>', 'RedshiftSettings$WriteBufferSize' => '<p>The size of the write buffer to use in rows. Valid values range from 1 through 2,048. The default is 1,024. Use this setting to tune performance. </p>', 'ReplicationPendingModifiedValues$AllocatedStorage' => '<p>The amount of storage (in gigabytes) that is allocated for the replication instance.</p>', 'S3Settings$DictPageSizeLimit' => '<p>The maximum size of an encoded dictionary page of a column. If the dictionary page exceeds this, this column is stored using an encoding type of <code>PLAIN</code>. This parameter defaults to 1024 * 1024 bytes (1 MiB), the maximum size of a dictionary page before it reverts to <code>PLAIN</code> encoding. This size is used for .parquet file format only. </p>', 'S3Settings$RowGroupLength' => '<p>The number of rows in a row group. A smaller row group size provides faster reads. But as the number of row groups grows, the slower writes become. This parameter defaults to 10,000 rows. This number is used for .parquet file format only. </p> <p>If you choose a value larger than the maximum, <code>RowGroupLength</code> is set to the max row group length in bytes (64 * 1024 * 1024). </p>', 'S3Settings$DataPageSize' => '<p>The size of one data page in bytes. This parameter defaults to 1024 * 1024 bytes (1 MiB). This number is used for .parquet file format only. </p>', ], ], 'InvalidCertificateFault' => [ 'base' => '<p>The certificate was not valid.</p>', 'refs' => [], ], 'InvalidResourceStateFault' => [ 'base' => '<p>The resource is in a state that prevents it from being used for database migration.</p>', 'refs' => [], ], 'InvalidSubnet' => [ 'base' => '<p>The subnet provided is invalid.</p>', 'refs' => [], ], 'KMSAccessDeniedFault' => [ 'base' => '<p>The ciphertext references a key that doesn\'t exist or that the DMS account doesn\'t have access to.</p>', 'refs' => [], ], 'KMSDisabledFault' => [ 'base' => '<p>The specified master key (CMK) isn\'t enabled.</p>', 'refs' => [], ], 'KMSInvalidStateFault' => [ 'base' => '<p>The state of the specified AWS KMS resource isn\'t valid for this request.</p>', 'refs' => [], ], 'KMSKeyNotAccessibleFault' => [ 'base' => '<p>AWS DMS cannot access the AWS KMS key.</p>', 'refs' => [], ], 'KMSNotFoundFault' => [ 'base' => '<p>The specified AWS KMS entity or resource can\'t be found.</p>', 'refs' => [], ], 'KMSThrottlingFault' => [ 'base' => '<p>This request triggered AWS KMS request throttling.</p>', 'refs' => [], ], 'KeyList' => [ 'base' => NULL, 'refs' => [ 'RemoveTagsFromResourceMessage$TagKeys' => '<p>The tag key (name) of the tag to be removed.</p>', ], ], 'KinesisSettings' => [ 'base' => '<p/>', 'refs' => [ 'CreateEndpointMessage$KinesisSettings' => '<p>Settings in JSON format for the target Amazon Kinesis Data Streams endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.Kinesis.html#CHAP_Target.Kinesis.ObjectMapping">Using Object Mapping to Migrate Data to a Kinesis Data Stream</a> in the <i>AWS Database Migration User Guide.</i> </p>', 'Endpoint$KinesisSettings' => '<p>The settings for the Amazon Kinesis source endpoint. For more information, see the <code>KinesisSettings</code> structure.</p>', 'ModifyEndpointMessage$KinesisSettings' => '<p>Settings in JSON format for the target Amazon Kinesis Data Streams endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.Kinesis.html#CHAP_Target.Kinesis.ObjectMapping">Using Object Mapping to Migrate Data to a Kinesis Data Stream</a> in the <i>AWS Database Migration User Guide.</i> </p>', ], ], 'ListTagsForResourceMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'AccountQuota$Used' => '<p>The amount currently used toward the quota maximum.</p>', 'AccountQuota$Max' => '<p>The maximum allowed value for the quota.</p>', 'ReplicationInstanceTaskLog$ReplicationInstanceTaskLogSize' => '<p>The size, in bytes, of the replication task log.</p>', 'ReplicationTaskStats$ElapsedTimeMillis' => '<p>The elapsed time of the task, in milliseconds.</p>', 'TableStatistics$Inserts' => '<p>The number of insert actions performed on a table.</p>', 'TableStatistics$Deletes' => '<p>The number of delete actions performed on a table.</p>', 'TableStatistics$Updates' => '<p>The number of update actions performed on a table.</p>', 'TableStatistics$Ddls' => '<p>The Data Definition Language (DDL) used to build and modify the structure of your tables.</p>', 'TableStatistics$FullLoadRows' => '<p>The number of rows added during the Full Load operation.</p>', 'TableStatistics$FullLoadCondtnlChkFailedRows' => '<p>The number of rows that failed conditional checks during the Full Load operation (valid only for DynamoDB as a target migrations).</p>', 'TableStatistics$FullLoadErrorRows' => '<p>The number of rows that failed to load during the Full Load operation (valid only for DynamoDB as a target migrations).</p>', 'TableStatistics$ValidationPendingRecords' => '<p>The number of records that have yet to be validated.</p>', 'TableStatistics$ValidationFailedRecords' => '<p>The number of records that failed validation.</p>', 'TableStatistics$ValidationSuspendedRecords' => '<p>The number of records that could not be validated.</p>', ], ], 'MessageFormatValue' => [ 'base' => NULL, 'refs' => [ 'KinesisSettings$MessageFormat' => '<p>The output format for the records created on the endpoint. The message format is <code>JSON</code>.</p>', ], ], 'MigrationTypeValue' => [ 'base' => NULL, 'refs' => [ 'CreateReplicationTaskMessage$MigrationType' => '<p>The migration type. Valid values: <code>full-load</code> | <code>cdc</code> | <code>full-load-and-cdc</code> </p>', 'ModifyReplicationTaskMessage$MigrationType' => '<p>The migration type. Valid values: <code>full-load</code> | <code>cdc</code> | <code>full-load-and-cdc</code> </p>', 'ReplicationTask$MigrationType' => '<p>The type of migration.</p>', ], ], 'ModifyEndpointMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyEndpointResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyEventSubscriptionMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyEventSubscriptionResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyReplicationInstanceMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyReplicationInstanceResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyReplicationSubnetGroupMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyReplicationSubnetGroupResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyReplicationTaskMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'ModifyReplicationTaskResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'MongoDbSettings' => [ 'base' => '<p/>', 'refs' => [ 'CreateEndpointMessage$MongoDbSettings' => '<p>Settings in JSON format for the source MongoDB endpoint. For more information about the available settings, see the configuration properties section in <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Source.MongoDB.html"> Using MongoDB as a Target for AWS Database Migration Service</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'Endpoint$MongoDbSettings' => '<p>The settings for the MongoDB source endpoint. For more information, see the <code>MongoDbSettings</code> structure.</p>', 'ModifyEndpointMessage$MongoDbSettings' => '<p>Settings in JSON format for the source MongoDB endpoint. For more information about the available settings, see the configuration properties section in <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Source.MongoDB.html"> Using MongoDB as a Target for AWS Database Migration Service</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', ], ], 'NestingLevelValue' => [ 'base' => NULL, 'refs' => [ 'MongoDbSettings$NestingLevel' => '<p> Specifies either document or table mode. </p> <p>Valid values: NONE, ONE</p> <p>Default value is NONE. Specify NONE to use document mode. Specify ONE to use table mode.</p>', ], ], 'OrderableReplicationInstance' => [ 'base' => '<p/>', 'refs' => [ 'OrderableReplicationInstanceList$member' => NULL, ], ], 'OrderableReplicationInstanceList' => [ 'base' => NULL, 'refs' => [ 'DescribeOrderableReplicationInstancesResponse$OrderableReplicationInstances' => '<p>The order-able replication instances available.</p>', ], ], 'ParquetVersionValue' => [ 'base' => NULL, 'refs' => [ 'S3Settings$ParquetVersion' => '<p>The version of the Apache Parquet format that you want to use: <code>parquet_1_0</code> (the default) or <code>parquet_2_0</code>.</p>', ], ], 'PendingMaintenanceAction' => [ 'base' => '<p/>', 'refs' => [ 'PendingMaintenanceActionDetails$member' => NULL, ], ], 'PendingMaintenanceActionDetails' => [ 'base' => NULL, 'refs' => [ 'ResourcePendingMaintenanceActions$PendingMaintenanceActionDetails' => '<p>Detailed information about the pending maintenance action.</p>', ], ], 'PendingMaintenanceActions' => [ 'base' => NULL, 'refs' => [ 'DescribePendingMaintenanceActionsResponse$PendingMaintenanceActions' => '<p>The pending maintenance action.</p>', ], ], 'RebootReplicationInstanceMessage' => [ 'base' => NULL, 'refs' => [], ], 'RebootReplicationInstanceResponse' => [ 'base' => NULL, 'refs' => [], ], 'RedshiftSettings' => [ 'base' => '<p/>', 'refs' => [ 'CreateEndpointMessage$RedshiftSettings' => NULL, 'Endpoint$RedshiftSettings' => '<p>Settings for the Amazon Redshift endpoint.</p>', 'ModifyEndpointMessage$RedshiftSettings' => NULL, ], ], 'RefreshSchemasMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'RefreshSchemasResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'RefreshSchemasStatus' => [ 'base' => '<p/>', 'refs' => [ 'DescribeRefreshSchemasStatusResponse$RefreshSchemasStatus' => '<p>The status of the schema.</p>', 'RefreshSchemasResponse$RefreshSchemasStatus' => '<p>The status of the refreshed schema.</p>', ], ], 'RefreshSchemasStatusTypeValue' => [ 'base' => NULL, 'refs' => [ 'RefreshSchemasStatus$Status' => '<p>The status of the schema.</p>', ], ], 'ReleaseStatusValues' => [ 'base' => NULL, 'refs' => [ 'OrderableReplicationInstance$ReleaseStatus' => '<p>The value returned when the specified <code>EngineVersion</code> of the replication instance is in Beta or test mode. This indicates some features might not work as expected.</p> <note> <p>AWS DMS supports <code>ReleaseStatus</code> in versions 3.1.4 and later.</p> </note>', ], ], 'ReloadOptionValue' => [ 'base' => NULL, 'refs' => [ 'ReloadTablesMessage$ReloadOption' => '<p>Options for reload. Specify <code>data-reload</code> to reload the data and re-validate it if validation is enabled. Specify <code>validate-only</code> to re-validate the table. This option applies only when validation is enabled for the task. </p> <p>Valid values: data-reload, validate-only</p> <p>Default value is data-reload.</p>', ], ], 'ReloadTablesMessage' => [ 'base' => NULL, 'refs' => [], ], 'ReloadTablesResponse' => [ 'base' => NULL, 'refs' => [], ], 'RemoveTagsFromResourceMessage' => [ 'base' => '<p>Removes one or more tags from an AWS DMS resource.</p>', 'refs' => [], ], 'RemoveTagsFromResourceResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'ReplicationEndpointTypeValue' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointMessage$EndpointType' => '<p>The type of endpoint. Valid values are <code>source</code> and <code>target</code>.</p>', 'Endpoint$EndpointType' => '<p>The type of endpoint. Valid values are <code>source</code> and <code>target</code>.</p>', 'ModifyEndpointMessage$EndpointType' => '<p>The type of endpoint. Valid values are <code>source</code> and <code>target</code>.</p>', 'SupportedEndpointType$EndpointType' => '<p>The type of endpoint. Valid values are <code>source</code> and <code>target</code>.</p>', ], ], 'ReplicationInstance' => [ 'base' => '<p/>', 'refs' => [ 'CreateReplicationInstanceResponse$ReplicationInstance' => '<p>The replication instance that was created.</p>', 'DeleteReplicationInstanceResponse$ReplicationInstance' => '<p>The replication instance that was deleted.</p>', 'ModifyReplicationInstanceResponse$ReplicationInstance' => '<p>The modified replication instance.</p>', 'RebootReplicationInstanceResponse$ReplicationInstance' => '<p>The replication instance that is being rebooted. </p>', 'ReplicationInstanceList$member' => NULL, ], ], 'ReplicationInstanceList' => [ 'base' => NULL, 'refs' => [ 'DescribeReplicationInstancesResponse$ReplicationInstances' => '<p>The replication instances described.</p>', ], ], 'ReplicationInstancePrivateIpAddressList' => [ 'base' => NULL, 'refs' => [ 'ReplicationInstance$ReplicationInstancePrivateIpAddresses' => '<p>One or more private IP addresses for the replication instance.</p>', ], ], 'ReplicationInstancePublicIpAddressList' => [ 'base' => NULL, 'refs' => [ 'ReplicationInstance$ReplicationInstancePublicIpAddresses' => '<p>One or more public IP addresses for the replication instance.</p>', ], ], 'ReplicationInstanceTaskLog' => [ 'base' => '<p>Contains metadata for a replication instance task log.</p>', 'refs' => [ 'ReplicationInstanceTaskLogsList$member' => NULL, ], ], 'ReplicationInstanceTaskLogsList' => [ 'base' => NULL, 'refs' => [ 'DescribeReplicationInstanceTaskLogsResponse$ReplicationInstanceTaskLogs' => '<p>An array of replication task log metadata. Each member of the array contains the replication task name, ARN, and task log size (in bytes). </p>', ], ], 'ReplicationPendingModifiedValues' => [ 'base' => '<p/>', 'refs' => [ 'ReplicationInstance$PendingModifiedValues' => '<p>The pending modification values.</p>', ], ], 'ReplicationSubnetGroup' => [ 'base' => '<p/>', 'refs' => [ 'CreateReplicationSubnetGroupResponse$ReplicationSubnetGroup' => '<p>The replication subnet group that was created.</p>', 'ModifyReplicationSubnetGroupResponse$ReplicationSubnetGroup' => '<p>The modified replication subnet group.</p>', 'ReplicationInstance$ReplicationSubnetGroup' => '<p>The subnet group for the replication instance.</p>', 'ReplicationSubnetGroups$member' => NULL, ], ], 'ReplicationSubnetGroupDoesNotCoverEnoughAZs' => [ 'base' => '<p>The replication subnet group does not cover enough Availability Zones (AZs). Edit the replication subnet group and add more AZs.</p>', 'refs' => [], ], 'ReplicationSubnetGroups' => [ 'base' => NULL, 'refs' => [ 'DescribeReplicationSubnetGroupsResponse$ReplicationSubnetGroups' => '<p>A description of the replication subnet groups.</p>', ], ], 'ReplicationTask' => [ 'base' => '<p/>', 'refs' => [ 'CreateReplicationTaskResponse$ReplicationTask' => '<p>The replication task that was created.</p>', 'DeleteReplicationTaskResponse$ReplicationTask' => '<p>The deleted replication task.</p>', 'ModifyReplicationTaskResponse$ReplicationTask' => '<p>The replication task that was modified.</p>', 'ReplicationTaskList$member' => NULL, 'StartReplicationTaskAssessmentResponse$ReplicationTask' => '<p> The assessed replication task. </p>', 'StartReplicationTaskResponse$ReplicationTask' => '<p>The replication task started.</p>', 'StopReplicationTaskResponse$ReplicationTask' => '<p>The replication task stopped.</p>', ], ], 'ReplicationTaskAssessmentResult' => [ 'base' => '<p> The task assessment report in JSON format. </p>', 'refs' => [ 'ReplicationTaskAssessmentResultList$member' => NULL, ], ], 'ReplicationTaskAssessmentResultList' => [ 'base' => NULL, 'refs' => [ 'DescribeReplicationTaskAssessmentResultsResponse$ReplicationTaskAssessmentResults' => '<p> The task assessment report. </p>', ], ], 'ReplicationTaskList' => [ 'base' => NULL, 'refs' => [ 'DescribeReplicationTasksResponse$ReplicationTasks' => '<p>A description of the replication tasks.</p>', ], ], 'ReplicationTaskStats' => [ 'base' => '<p/>', 'refs' => [ 'ReplicationTask$ReplicationTaskStats' => '<p>The statistics for the task, including elapsed time, tables loaded, and table errors.</p>', ], ], 'ResourceAlreadyExistsFault' => [ 'base' => '<p>The resource you are attempting to create already exists.</p>', 'refs' => [], ], 'ResourceArn' => [ 'base' => NULL, 'refs' => [ 'ResourceAlreadyExistsFault$resourceArn' => NULL, ], ], 'ResourceNotFoundFault' => [ 'base' => '<p>The resource could not be found.</p>', 'refs' => [], ], 'ResourcePendingMaintenanceActions' => [ 'base' => '<p/>', 'refs' => [ 'ApplyPendingMaintenanceActionResponse$ResourcePendingMaintenanceActions' => '<p>The AWS DMS resource that the pending maintenance action will be applied to.</p>', 'PendingMaintenanceActions$member' => NULL, ], ], 'ResourceQuotaExceededFault' => [ 'base' => '<p>The quota for this resource quota has been exceeded.</p>', 'refs' => [], ], 'S3Settings' => [ 'base' => '<p>Settings for exporting data to Amazon S3. </p>', 'refs' => [ 'CreateEndpointMessage$S3Settings' => '<p>Settings in JSON format for the target Amazon S3 endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.S3.html#CHAP_Target.S3.Configuring">Extra Connection Attributes When Using Amazon S3 as a Target for AWS DMS</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'Endpoint$S3Settings' => '<p>The settings for the S3 target endpoint. For more information, see the <code>S3Settings</code> structure.</p>', 'ModifyEndpointMessage$S3Settings' => '<p>Settings in JSON format for the target Amazon S3 endpoint. For more information about the available settings, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Target.S3.html#CHAP_Target.S3.Configuring">Extra Connection Attributes When Using Amazon S3 as a Target for AWS DMS</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', ], ], 'SNSInvalidTopicFault' => [ 'base' => '<p>The SNS topic is invalid.</p>', 'refs' => [], ], 'SNSNoAuthorizationFault' => [ 'base' => '<p>You are not authorized for the SNS subscription.</p>', 'refs' => [], ], 'SchemaList' => [ 'base' => NULL, 'refs' => [ 'DescribeSchemasResponse$Schemas' => '<p>The described schema.</p>', ], ], 'SecretString' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointMessage$Password' => '<p>The password to be used to log in to the endpoint database.</p>', 'ModifyEndpointMessage$Password' => '<p>The password to be used to login to the endpoint database.</p>', 'MongoDbSettings$Password' => '<p> The password for the user account you use to access the MongoDB source endpoint. </p>', 'RedshiftSettings$Password' => '<p>The password for the user named in the <code>username</code> property.</p>', ], ], 'SourceIdsList' => [ 'base' => NULL, 'refs' => [ 'CreateEventSubscriptionMessage$SourceIds' => '<p>A list of identifiers for which AWS DMS provides notification events.</p> <p>If you don\'t specify a value, notifications are provided for all sources.</p> <p>If you specify multiple values, they must be of the same type. For example, if you specify a database instance ID, then all of the other values must be database instance IDs.</p>', 'EventSubscription$SourceIdsList' => '<p>A list of source Ids for the event subscription.</p>', ], ], 'SourceType' => [ 'base' => NULL, 'refs' => [ 'DescribeEventsMessage$SourceType' => '<p>The type of AWS DMS resource that generates events.</p> <p>Valid values: replication-instance | replication-task</p>', 'Event$SourceType' => '<p> The type of AWS DMS resource that generates events. </p> <p>Valid values: replication-instance | endpoint | replication-task</p>', ], ], 'StartReplicationTaskAssessmentMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'StartReplicationTaskAssessmentResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'StartReplicationTaskMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'StartReplicationTaskResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'StartReplicationTaskTypeValue' => [ 'base' => NULL, 'refs' => [ 'StartReplicationTaskMessage$StartReplicationTaskType' => '<p>The type of replication task.</p>', ], ], 'StopReplicationTaskMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'StopReplicationTaskResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'StorageQuotaExceededFault' => [ 'base' => '<p>The storage quota has been exceeded.</p>', 'refs' => [], ], 'String' => [ 'base' => NULL, 'refs' => [ 'AccountQuota$AccountQuotaName' => '<p>The name of the AWS DMS quota for this AWS account.</p>', 'AddTagsToResourceMessage$ResourceArn' => '<p>Identifies the AWS DMS resource to which tags should be added. The value for this parameter is an Amazon Resource Name (ARN).</p> <p>For AWS DMS, you can tag a replication instance, an endpoint, or a replication task.</p>', 'ApplyPendingMaintenanceActionMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the AWS DMS resource that the pending maintenance action applies to.</p>', 'ApplyPendingMaintenanceActionMessage$ApplyAction' => '<p>The pending maintenance action to apply to this resource.</p>', 'ApplyPendingMaintenanceActionMessage$OptInType' => '<p>A value that specifies the type of opt-in request, or undoes an opt-in request. You can\'t undo an opt-in request of type <code>immediate</code>.</p> <p>Valid values:</p> <ul> <li> <p> <code>immediate</code> - Apply the maintenance action immediately.</p> </li> <li> <p> <code>next-maintenance</code> - Apply the maintenance action during the next maintenance window for the resource.</p> </li> <li> <p> <code>undo-opt-in</code> - Cancel any existing <code>next-maintenance</code> opt-in requests.</p> </li> </ul>', 'AvailabilityZone$Name' => '<p>The name of the availability zone.</p>', 'AvailabilityZonesList$member' => NULL, 'Certificate$CertificateIdentifier' => '<p>A customer-assigned name for the certificate. Identifiers must begin with a letter; must contain only ASCII letters, digits, and hyphens; and must not end with a hyphen or contain two consecutive hyphens.</p>', 'Certificate$CertificatePem' => '<p>The contents of a <code>.pem</code> file, which contains an X.509 certificate.</p>', 'Certificate$CertificateArn' => '<p>The Amazon Resource Name (ARN) for the certificate.</p>', 'Certificate$CertificateOwner' => '<p>The owner of the certificate.</p>', 'Certificate$SigningAlgorithm' => '<p>The signing algorithm for the certificate.</p>', 'Connection$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'Connection$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'Connection$Status' => '<p>The connection status.</p>', 'Connection$LastFailureMessage' => '<p>The error message when the connection last failed.</p>', 'Connection$EndpointIdentifier' => '<p>The identifier of the endpoint. Identifiers must begin with a letter; must contain only ASCII letters, digits, and hyphens; and must not end with a hyphen or contain two consecutive hyphens.</p>', 'Connection$ReplicationInstanceIdentifier' => '<p>The replication instance identifier. This parameter is stored as a lowercase string.</p>', 'CreateEndpointMessage$EndpointIdentifier' => '<p>The database endpoint identifier. Identifiers must begin with a letter; must contain only ASCII letters, digits, and hyphens; and must not end with a hyphen or contain two consecutive hyphens.</p>', 'CreateEndpointMessage$EngineName' => '<p>The type of engine for the endpoint. Valid values, depending on the <code>EndpointType</code> value, include <code>mysql</code>, <code>oracle</code>, <code>postgres</code>, <code>mariadb</code>, <code>aurora</code>, <code>aurora-postgresql</code>, <code>redshift</code>, <code>s3</code>, <code>db2</code>, <code>azuredb</code>, <code>sybase</code>, <code>dynamodb</code>, <code>mongodb</code>, and <code>sqlserver</code>.</p>', 'CreateEndpointMessage$Username' => '<p>The user name to be used to log in to the endpoint database.</p>', 'CreateEndpointMessage$ServerName' => '<p>The name of the server where the endpoint database resides.</p>', 'CreateEndpointMessage$DatabaseName' => '<p>The name of the endpoint database.</p>', 'CreateEndpointMessage$ExtraConnectionAttributes' => '<p>Additional attributes associated with the connection. Each attribute is specified as a name-value pair associated by an equal sign (=). Multiple attributes are separated by a semicolon (;) with no additional white space. For information on the attributes available for connecting your source or target endpoint, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Endpoints.html">Working with AWS DMS Endpoints</a> in the <i>AWS Database Migration Service User Guide.</i> </p>', 'CreateEndpointMessage$KmsKeyId' => '<p>An AWS KMS key identifier that is used to encrypt the connection parameters for the endpoint.</p> <p>If you don\'t specify a value for the <code>KmsKeyId</code> parameter, then AWS DMS uses your default encryption key.</p> <p>AWS KMS creates the default encryption key for your AWS account. Your AWS account has a different default encryption key for each AWS Region.</p>', 'CreateEndpointMessage$CertificateArn' => '<p>The Amazon Resource Name (ARN) for the certificate.</p>', 'CreateEndpointMessage$ServiceAccessRoleArn' => '<p> The Amazon Resource Name (ARN) for the service access role that you want to use to create the endpoint. </p>', 'CreateEndpointMessage$ExternalTableDefinition' => '<p>The external table definition. </p>', 'CreateEventSubscriptionMessage$SubscriptionName' => '<p>The name of the AWS DMS event notification subscription. This name must be less than 255 characters.</p>', 'CreateEventSubscriptionMessage$SnsTopicArn' => '<p> The Amazon Resource Name (ARN) of the Amazon SNS topic created for event notification. The ARN is created by Amazon SNS when you create a topic and subscribe to it. </p>', 'CreateEventSubscriptionMessage$SourceType' => '<p> The type of AWS DMS resource that generates the events. For example, if you want to be notified of events generated by a replication instance, you set this parameter to <code>replication-instance</code>. If this value is not specified, all events are returned. </p> <p>Valid values: <code>replication-instance</code> | <code>replication-task</code> </p>', 'CreateReplicationInstanceMessage$ReplicationInstanceIdentifier' => '<p>The replication instance identifier. This parameter is stored as a lowercase string.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 1 to 63 alphanumeric characters or hyphens.</p> </li> <li> <p>First character must be a letter.</p> </li> <li> <p>Cannot end with a hyphen or contain two consecutive hyphens.</p> </li> </ul> <p>Example: <code>myrepinstance</code> </p>', 'CreateReplicationInstanceMessage$ReplicationInstanceClass' => '<p>The compute and memory capacity of the replication instance as specified by the replication instance class.</p> <p> Valid Values: <code>dms.t2.micro | dms.t2.small | dms.t2.medium | dms.t2.large | dms.c4.large | dms.c4.xlarge | dms.c4.2xlarge | dms.c4.4xlarge </code> </p>', 'CreateReplicationInstanceMessage$AvailabilityZone' => '<p>The AWS Availability Zone where the replication instance will be created. The default value is a random, system-chosen Availability Zone in the endpoint\'s AWS Region, for example: <code>us-east-1d</code> </p>', 'CreateReplicationInstanceMessage$ReplicationSubnetGroupIdentifier' => '<p>A subnet group to associate with the replication instance.</p>', 'CreateReplicationInstanceMessage$PreferredMaintenanceWindow' => '<p>The weekly time range during which system maintenance can occur, in Universal Coordinated Time (UTC).</p> <p> Format: <code>ddd:hh24:mi-ddd:hh24:mi</code> </p> <p>Default: A 30-minute window selected at random from an 8-hour block of time per AWS Region, occurring on a random day of the week.</p> <p>Valid Days: Mon, Tue, Wed, Thu, Fri, Sat, Sun</p> <p>Constraints: Minimum 30-minute window.</p>', 'CreateReplicationInstanceMessage$EngineVersion' => '<p>The engine version number of the replication instance.</p>', 'CreateReplicationInstanceMessage$KmsKeyId' => '<p>An AWS KMS key identifier that is used to encrypt the data on the replication instance.</p> <p>If you don\'t specify a value for the <code>KmsKeyId</code> parameter, then AWS DMS uses your default encryption key.</p> <p>AWS KMS creates the default encryption key for your AWS account. Your AWS account has a different default encryption key for each AWS Region.</p>', 'CreateReplicationInstanceMessage$DnsNameServers' => '<p>A list of DNS name servers supported for the replication instance.</p>', 'CreateReplicationSubnetGroupMessage$ReplicationSubnetGroupIdentifier' => '<p>The name for the replication subnet group. This value is stored as a lowercase string.</p> <p>Constraints: Must contain no more than 255 alphanumeric characters, periods, spaces, underscores, or hyphens. Must not be "default".</p> <p>Example: <code>mySubnetgroup</code> </p>', 'CreateReplicationSubnetGroupMessage$ReplicationSubnetGroupDescription' => '<p>The description for the subnet group.</p>', 'CreateReplicationTaskMessage$ReplicationTaskIdentifier' => '<p>An identifier for the replication task.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 1 to 255 alphanumeric characters or hyphens.</p> </li> <li> <p>First character must be a letter.</p> </li> <li> <p>Cannot end with a hyphen or contain two consecutive hyphens.</p> </li> </ul>', 'CreateReplicationTaskMessage$SourceEndpointArn' => '<p>An Amazon Resource Name (ARN) that uniquely identifies the source endpoint.</p>', 'CreateReplicationTaskMessage$TargetEndpointArn' => '<p>An Amazon Resource Name (ARN) that uniquely identifies the target endpoint.</p>', 'CreateReplicationTaskMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of a replication instance.</p>', 'CreateReplicationTaskMessage$TableMappings' => '<p>The table mappings for the task, in JSON format. For more information, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Tasks.CustomizingTasks.TableMapping.html">Table Mapping</a> in the <i>AWS Database Migration User Guide.</i> </p>', 'CreateReplicationTaskMessage$ReplicationTaskSettings' => '<p>Overall settings for the task, in JSON format. For more information, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Tasks.CustomizingTasks.TaskSettings.html">Task Settings</a> in the <i>AWS Database Migration User Guide.</i> </p>', 'CreateReplicationTaskMessage$CdcStartPosition' => '<p>Indicates when you want a change data capture (CDC) operation to start. Use either CdcStartPosition or CdcStartTime to specify when you want a CDC operation to start. Specifying both values results in an error.</p> <p> The value can be in date, checkpoint, or LSN/SCN format.</p> <p>Date Example: --cdc-start-position “2018-03-08T12:12:12”</p> <p>Checkpoint Example: --cdc-start-position "checkpoint:V1#27#mysql-bin-changelog.157832:1975:-1:2002:677883278264080:mysql-bin-changelog.157832:1876#0#0#*#0#93"</p> <p>LSN Example: --cdc-start-position “mysql-bin-changelog.000024:373”</p>', 'CreateReplicationTaskMessage$CdcStopPosition' => '<p>Indicates when you want a change data capture (CDC) operation to stop. The value can be either server time or commit time.</p> <p>Server time example: --cdc-stop-position “server_time:3018-02-09T12:12:12”</p> <p>Commit time example: --cdc-stop-position “commit_time: 3018-02-09T12:12:12 “</p>', 'DeleteCertificateMessage$CertificateArn' => '<p>The Amazon Resource Name (ARN) of the deleted certificate.</p>', 'DeleteEndpointMessage$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'DeleteEventSubscriptionMessage$SubscriptionName' => '<p>The name of the DMS event notification subscription to be deleted.</p>', 'DeleteReplicationInstanceMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance to be deleted.</p>', 'DeleteReplicationSubnetGroupMessage$ReplicationSubnetGroupIdentifier' => '<p>The subnet group name of the replication instance.</p>', 'DeleteReplicationTaskMessage$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task to be deleted.</p>', 'DescribeAccountAttributesResponse$UniqueAccountIdentifier' => '<p>A unique AWS DMS identifier for an account in a particular AWS Region. The value of this identifier has the following format: <code>c99999999999</code>. DMS uses this identifier to name artifacts. For example, DMS uses this identifier to name the default Amazon S3 bucket for storing task assessment reports in a given AWS Region. The format of this S3 bucket name is the following: <code>dms-<i>AccountNumber</i>-<i>UniqueAccountIdentifier</i>.</code> Here is an example name for this default S3 bucket: <code>dms-111122223333-c44445555666</code>.</p> <note> <p>AWS DMS supports <code>UniqueAccountIdentifier</code> in versions 3.1.4 and later.</p> </note>', 'DescribeCertificatesMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the vlue specified by <code>MaxRecords</code>. </p>', 'DescribeCertificatesResponse$Marker' => '<p>The pagination token.</p>', 'DescribeConnectionsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeConnectionsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEndpointTypesMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEndpointTypesResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEndpointsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEndpointsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEventCategoriesMessage$SourceType' => '<p> The type of AWS DMS resource that generates events. </p> <p>Valid values: replication-instance | replication-task</p>', 'DescribeEventSubscriptionsMessage$SubscriptionName' => '<p>The name of the AWS DMS event subscription to be described.</p>', 'DescribeEventSubscriptionsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEventSubscriptionsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEventsMessage$SourceIdentifier' => '<p> The identifier of an event source.</p>', 'DescribeEventsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeEventsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeOrderableReplicationInstancesMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeOrderableReplicationInstancesResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribePendingMaintenanceActionsMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'DescribePendingMaintenanceActionsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribePendingMaintenanceActionsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeRefreshSchemasStatusMessage$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'DescribeReplicationInstanceTaskLogsMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'DescribeReplicationInstanceTaskLogsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>.</p>', 'DescribeReplicationInstanceTaskLogsResponse$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'DescribeReplicationInstanceTaskLogsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>.</p>', 'DescribeReplicationInstancesMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeReplicationInstancesResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeReplicationSubnetGroupsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeReplicationSubnetGroupsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeReplicationTaskAssessmentResultsMessage$ReplicationTaskArn' => '<p>- The Amazon Resource Name (ARN) string that uniquely identifies the task. When this input parameter is specified the API will return only one result and ignore the values of the max-records and marker parameters. </p>', 'DescribeReplicationTaskAssessmentResultsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeReplicationTaskAssessmentResultsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeReplicationTaskAssessmentResultsResponse$BucketName' => '<p>- The Amazon S3 bucket where the task assessment report is located. </p>', 'DescribeReplicationTasksMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeReplicationTasksResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeSchemasMessage$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'DescribeSchemasMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeSchemasResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeTableStatisticsMessage$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task.</p>', 'DescribeTableStatisticsMessage$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DescribeTableStatisticsResponse$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task.</p>', 'DescribeTableStatisticsResponse$Marker' => '<p> An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>. </p>', 'DmsTransferSettings$ServiceAccessRoleArn' => '<p> The IAM role that has permission to access the Amazon S3 bucket. </p>', 'DmsTransferSettings$BucketName' => '<p> The name of the S3 bucket to use. </p>', 'DynamoDbSettings$ServiceAccessRoleArn' => '<p> The Amazon Resource Name (ARN) used by the service access IAM role. </p>', 'ElasticsearchSettings$ServiceAccessRoleArn' => '<p>The Amazon Resource Name (ARN) used by service to access the IAM role.</p>', 'ElasticsearchSettings$EndpointUri' => '<p>The endpoint for the Elasticsearch cluster.</p>', 'Endpoint$EndpointIdentifier' => '<p>The database endpoint identifier. Identifiers must begin with a letter; must contain only ASCII letters, digits, and hyphens; and must not end with a hyphen or contain two consecutive hyphens.</p>', 'Endpoint$EngineName' => '<p>The database engine name. Valid values, depending on the EndpointType, include mysql, oracle, postgres, mariadb, aurora, aurora-postgresql, redshift, s3, db2, azuredb, sybase, dynamodb, mongodb, and sqlserver.</p>', 'Endpoint$EngineDisplayName' => '<p>The expanded name for the engine name. For example, if the <code>EngineName</code> parameter is "aurora," this value would be "Amazon Aurora MySQL."</p>', 'Endpoint$Username' => '<p>The user name used to connect to the endpoint.</p>', 'Endpoint$ServerName' => '<p>The name of the server at the endpoint.</p>', 'Endpoint$DatabaseName' => '<p>The name of the database at the endpoint.</p>', 'Endpoint$ExtraConnectionAttributes' => '<p>Additional connection attributes used to connect to the endpoint.</p>', 'Endpoint$Status' => '<p>The status of the endpoint.</p>', 'Endpoint$KmsKeyId' => '<p>An AWS KMS key identifier that is used to encrypt the connection parameters for the endpoint.</p> <p>If you don\'t specify a value for the <code>KmsKeyId</code> parameter, then AWS DMS uses your default encryption key.</p> <p>AWS KMS creates the default encryption key for your AWS account. Your AWS account has a different default encryption key for each AWS Region.</p>', 'Endpoint$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'Endpoint$CertificateArn' => '<p>The Amazon Resource Name (ARN) used for SSL connection to the endpoint.</p>', 'Endpoint$ServiceAccessRoleArn' => '<p>The Amazon Resource Name (ARN) used by the service access IAM role.</p>', 'Endpoint$ExternalTableDefinition' => '<p>The external table definition.</p>', 'Endpoint$ExternalId' => '<p> Value returned by a call to CreateEndpoint that can be used for cross-account validation. Use it on a subsequent call to CreateEndpoint to create the endpoint with a cross-account. </p>', 'Event$SourceIdentifier' => '<p> The identifier of an event source.</p>', 'Event$Message' => '<p>The event message.</p>', 'EventCategoriesList$member' => NULL, 'EventCategoryGroup$SourceType' => '<p> The type of AWS DMS resource that generates events. </p> <p>Valid values: replication-instance | replication-server | security-group | replication-task</p>', 'EventSubscription$CustomerAwsId' => '<p>The AWS customer account associated with the AWS DMS event notification subscription.</p>', 'EventSubscription$CustSubscriptionId' => '<p>The AWS DMS event notification subscription Id.</p>', 'EventSubscription$SnsTopicArn' => '<p>The topic ARN of the AWS DMS event notification subscription.</p>', 'EventSubscription$Status' => '<p>The status of the AWS DMS event notification subscription.</p> <p>Constraints:</p> <p>Can be one of the following: creating | modifying | deleting | active | no-permission | topic-not-exist</p> <p>The status "no-permission" indicates that AWS DMS no longer has permission to post to the SNS topic. The status "topic-not-exist" indicates that the topic was deleted after the subscription was created.</p>', 'EventSubscription$SubscriptionCreationTime' => '<p>The time the RDS event notification subscription was created.</p>', 'EventSubscription$SourceType' => '<p> The type of AWS DMS resource that generates events. </p> <p>Valid values: replication-instance | replication-server | security-group | replication-task</p>', 'Filter$Name' => '<p>The name of the filter.</p>', 'FilterValueList$member' => NULL, 'ImportCertificateMessage$CertificateIdentifier' => '<p>A customer-assigned name for the certificate. Identifiers must begin with a letter; must contain only ASCII letters, digits, and hyphens; and must not end with a hyphen or contain two consecutive hyphens.</p>', 'ImportCertificateMessage$CertificatePem' => '<p>The contents of a <code>.pem</code> file, which contains an X.509 certificate.</p>', 'KeyList$member' => NULL, 'KinesisSettings$StreamArn' => '<p>The Amazon Resource Name (ARN) for the Amazon Kinesis Data Streams endpoint.</p>', 'KinesisSettings$ServiceAccessRoleArn' => '<p>The Amazon Resource Name (ARN) for the IAM role that DMS uses to write to the Amazon Kinesis data stream.</p>', 'ListTagsForResourceMessage$ResourceArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the AWS DMS resource.</p>', 'ModifyEndpointMessage$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'ModifyEndpointMessage$EndpointIdentifier' => '<p>The database endpoint identifier. Identifiers must begin with a letter; must contain only ASCII letters, digits, and hyphens; and must not end with a hyphen or contain two consecutive hyphens.</p>', 'ModifyEndpointMessage$EngineName' => '<p>The type of engine for the endpoint. Valid values, depending on the EndpointType, include mysql, oracle, postgres, mariadb, aurora, aurora-postgresql, redshift, s3, db2, azuredb, sybase, dynamodb, mongodb, and sqlserver.</p>', 'ModifyEndpointMessage$Username' => '<p>The user name to be used to login to the endpoint database.</p>', 'ModifyEndpointMessage$ServerName' => '<p>The name of the server where the endpoint database resides.</p>', 'ModifyEndpointMessage$DatabaseName' => '<p>The name of the endpoint database.</p>', 'ModifyEndpointMessage$ExtraConnectionAttributes' => '<p>Additional attributes associated with the connection. To reset this parameter, pass the empty string ("") as an argument.</p>', 'ModifyEndpointMessage$CertificateArn' => '<p>The Amazon Resource Name (ARN) of the certificate used for SSL connection.</p>', 'ModifyEndpointMessage$ServiceAccessRoleArn' => '<p> The Amazon Resource Name (ARN) for the service access role you want to use to modify the endpoint. </p>', 'ModifyEndpointMessage$ExternalTableDefinition' => '<p>The external table definition.</p>', 'ModifyEventSubscriptionMessage$SubscriptionName' => '<p>The name of the AWS DMS event notification subscription to be modified.</p>', 'ModifyEventSubscriptionMessage$SnsTopicArn' => '<p> The Amazon Resource Name (ARN) of the Amazon SNS topic created for event notification. The ARN is created by Amazon SNS when you create a topic and subscribe to it.</p>', 'ModifyEventSubscriptionMessage$SourceType' => '<p> The type of AWS DMS resource that generates the events you want to subscribe to. </p> <p>Valid values: replication-instance | replication-task</p>', 'ModifyReplicationInstanceMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'ModifyReplicationInstanceMessage$ReplicationInstanceClass' => '<p>The compute and memory capacity of the replication instance.</p> <p> Valid Values: <code>dms.t2.micro | dms.t2.small | dms.t2.medium | dms.t2.large | dms.c4.large | dms.c4.xlarge | dms.c4.2xlarge | dms.c4.4xlarge </code> </p>', 'ModifyReplicationInstanceMessage$PreferredMaintenanceWindow' => '<p>The weekly time range (in UTC) during which system maintenance can occur, which might result in an outage. Changing this parameter does not result in an outage, except in the following situation, and the change is asynchronously applied as soon as possible. If moving this window to the current time, there must be at least 30 minutes between the current time and end of the window to ensure pending changes are applied.</p> <p>Default: Uses existing setting</p> <p>Format: ddd:hh24:mi-ddd:hh24:mi</p> <p>Valid Days: Mon | Tue | Wed | Thu | Fri | Sat | Sun</p> <p>Constraints: Must be at least 30 minutes</p>', 'ModifyReplicationInstanceMessage$EngineVersion' => '<p>The engine version number of the replication instance.</p>', 'ModifyReplicationInstanceMessage$ReplicationInstanceIdentifier' => '<p>The replication instance identifier. This parameter is stored as a lowercase string.</p>', 'ModifyReplicationSubnetGroupMessage$ReplicationSubnetGroupIdentifier' => '<p>The name of the replication instance subnet group.</p>', 'ModifyReplicationSubnetGroupMessage$ReplicationSubnetGroupDescription' => '<p>A description for the replication instance subnet group.</p>', 'ModifyReplicationTaskMessage$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task.</p>', 'ModifyReplicationTaskMessage$ReplicationTaskIdentifier' => '<p>The replication task identifier.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 1 to 255 alphanumeric characters or hyphens.</p> </li> <li> <p>First character must be a letter.</p> </li> <li> <p>Cannot end with a hyphen or contain two consecutive hyphens.</p> </li> </ul>', 'ModifyReplicationTaskMessage$TableMappings' => '<p>When using the AWS CLI or boto3, provide the path of the JSON file that contains the table mappings. Precede the path with <code>file://</code>. When working with the DMS API, provide the JSON as the parameter value, for example: <code>--table-mappings file://mappingfile.json</code> </p>', 'ModifyReplicationTaskMessage$ReplicationTaskSettings' => '<p>JSON file that contains settings for the task, such as target metadata settings.</p>', 'ModifyReplicationTaskMessage$CdcStartPosition' => '<p>Indicates when you want a change data capture (CDC) operation to start. Use either CdcStartPosition or CdcStartTime to specify when you want a CDC operation to start. Specifying both values results in an error.</p> <p> The value can be in date, checkpoint, or LSN/SCN format.</p> <p>Date Example: --cdc-start-position “2018-03-08T12:12:12”</p> <p>Checkpoint Example: --cdc-start-position "checkpoint:V1#27#mysql-bin-changelog.157832:1975:-1:2002:677883278264080:mysql-bin-changelog.157832:1876#0#0#*#0#93"</p> <p>LSN Example: --cdc-start-position “mysql-bin-changelog.000024:373”</p>', 'ModifyReplicationTaskMessage$CdcStopPosition' => '<p>Indicates when you want a change data capture (CDC) operation to stop. The value can be either server time or commit time.</p> <p>Server time example: --cdc-stop-position “server_time:3018-02-09T12:12:12”</p> <p>Commit time example: --cdc-stop-position “commit_time: 3018-02-09T12:12:12 “</p>', 'MongoDbSettings$Username' => '<p>The user name you use to access the MongoDB source endpoint. </p>', 'MongoDbSettings$ServerName' => '<p> The name of the server on the MongoDB source endpoint. </p>', 'MongoDbSettings$DatabaseName' => '<p> The database name on the MongoDB source endpoint. </p>', 'MongoDbSettings$ExtractDocId' => '<p> Specifies the document ID. Use this attribute when <code>NestingLevel</code> is set to NONE. </p> <p>Default value is false. </p>', 'MongoDbSettings$DocsToInvestigate' => '<p> Indicates the number of documents to preview to determine the document organization. Use this attribute when <code>NestingLevel</code> is set to ONE. </p> <p>Must be a positive value greater than 0. Default value is 1000.</p>', 'MongoDbSettings$AuthSource' => '<p> The MongoDB database name. This attribute is not used when <code>authType=NO</code>. </p> <p>The default is admin.</p>', 'MongoDbSettings$KmsKeyId' => '<p>The AWS KMS key identifier that is used to encrypt the content on the replication instance. If you don\'t specify a value for the <code>KmsKeyId</code> parameter, then AWS DMS uses your default encryption key. AWS KMS creates the default encryption key for your AWS account. Your AWS account has a different default encryption key for each AWS Region.</p>', 'OrderableReplicationInstance$EngineVersion' => '<p>The version of the replication engine.</p>', 'OrderableReplicationInstance$ReplicationInstanceClass' => '<p>The compute and memory capacity of the replication instance.</p> <p> Valid Values: <code>dms.t2.micro | dms.t2.small | dms.t2.medium | dms.t2.large | dms.c4.large | dms.c4.xlarge | dms.c4.2xlarge | dms.c4.4xlarge </code> </p>', 'OrderableReplicationInstance$StorageType' => '<p>The type of storage used by the replication instance.</p>', 'PendingMaintenanceAction$Action' => '<p>The type of pending maintenance action that is available for the resource.</p>', 'PendingMaintenanceAction$OptInStatus' => '<p>Indicates the type of opt-in request that has been received for the resource.</p>', 'PendingMaintenanceAction$Description' => '<p>A description providing more detail about the maintenance action.</p>', 'RebootReplicationInstanceMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'RedshiftSettings$AfterConnectScript' => '<p>Code to run after connecting. This parameter should contain the code itself, not the name of a file containing the code.</p>', 'RedshiftSettings$BucketFolder' => '<p>The location where the comma-separated value (.csv) files are stored before being uploaded to the S3 bucket. </p>', 'RedshiftSettings$BucketName' => '<p>The name of the S3 bucket you want to use</p>', 'RedshiftSettings$DatabaseName' => '<p>The name of the Amazon Redshift data warehouse (service) that you are working with.</p>', 'RedshiftSettings$DateFormat' => '<p>The date format that you are using. Valid values are <code>auto</code> (case-sensitive), your date format string enclosed in quotes, or NULL. If this parameter is left unset (NULL), it defaults to a format of \'YYYY-MM-DD\'. Using <code>auto</code> recognizes most strings, even some that aren\'t supported when you use a date format string. </p> <p>If your date and time values use formats different from each other, set this to <code>auto</code>. </p>', 'RedshiftSettings$ReplaceInvalidChars' => '<p>A list of characters that you want to replace. Use with <code>ReplaceChars</code>.</p>', 'RedshiftSettings$ReplaceChars' => '<p>A value that specifies to replaces the invalid characters specified in <code>ReplaceInvalidChars</code>, substituting the specified characters instead. The default is <code>"?"</code>.</p>', 'RedshiftSettings$ServerName' => '<p>The name of the Amazon Redshift cluster you are using.</p>', 'RedshiftSettings$ServiceAccessRoleArn' => '<p>The Amazon Resource Name (ARN) of the IAM role that has access to the Amazon Redshift service.</p>', 'RedshiftSettings$ServerSideEncryptionKmsKeyId' => '<p>The AWS KMS key ID. If you are using <code>SSE_KMS</code> for the <code>EncryptionMode</code>, provide this key ID. The key that you use needs an attached policy that enables IAM user permissions and allows use of the key.</p>', 'RedshiftSettings$TimeFormat' => '<p>The time format that you want to use. Valid values are <code>auto</code> (case-sensitive), <code>\'timeformat_string\'</code>, <code>\'epochsecs\'</code>, or <code>\'epochmillisecs\'</code>. It defaults to 10. Using <code>auto</code> recognizes most strings, even some that aren\'t supported when you use a time format string. </p> <p>If your date and time values use formats different from each other, set this parameter to <code>auto</code>. </p>', 'RedshiftSettings$Username' => '<p>An Amazon Redshift user name for a registered user.</p>', 'RefreshSchemasMessage$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'RefreshSchemasMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'RefreshSchemasStatus$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'RefreshSchemasStatus$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'RefreshSchemasStatus$LastFailureMessage' => '<p>The last failure message for the schema.</p>', 'ReloadTablesMessage$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task. </p>', 'ReloadTablesResponse$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task. </p>', 'RemoveTagsFromResourceMessage$ResourceArn' => '<p>An AWS DMS resource from which you want to remove tag(s). The value for this parameter is an Amazon Resource Name (ARN).</p>', 'ReplicationInstance$ReplicationInstanceIdentifier' => '<p>The replication instance identifier. This parameter is stored as a lowercase string.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 1 to 63 alphanumeric characters or hyphens.</p> </li> <li> <p>First character must be a letter.</p> </li> <li> <p>Cannot end with a hyphen or contain two consecutive hyphens.</p> </li> </ul> <p>Example: <code>myrepinstance</code> </p>', 'ReplicationInstance$ReplicationInstanceClass' => '<p>The compute and memory capacity of the replication instance.</p> <p> Valid Values: <code>dms.t2.micro | dms.t2.small | dms.t2.medium | dms.t2.large | dms.c4.large | dms.c4.xlarge | dms.c4.2xlarge | dms.c4.4xlarge </code> </p>', 'ReplicationInstance$ReplicationInstanceStatus' => '<p>The status of the replication instance.</p>', 'ReplicationInstance$AvailabilityZone' => '<p>The Availability Zone for the instance.</p>', 'ReplicationInstance$PreferredMaintenanceWindow' => '<p>The maintenance window times for the replication instance.</p>', 'ReplicationInstance$EngineVersion' => '<p>The engine version number of the replication instance.</p>', 'ReplicationInstance$KmsKeyId' => '<p>An AWS KMS key identifier that is used to encrypt the data on the replication instance.</p> <p>If you don\'t specify a value for the <code>KmsKeyId</code> parameter, then AWS DMS uses your default encryption key.</p> <p>AWS KMS creates the default encryption key for your AWS account. Your AWS account has a different default encryption key for each AWS Region.</p>', 'ReplicationInstance$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'ReplicationInstance$ReplicationInstancePublicIpAddress' => '<p>The public IP address of the replication instance.</p>', 'ReplicationInstance$ReplicationInstancePrivateIpAddress' => '<p>The private IP address of the replication instance.</p>', 'ReplicationInstance$SecondaryAvailabilityZone' => '<p>The availability zone of the standby replication instance in a Multi-AZ deployment.</p>', 'ReplicationInstance$DnsNameServers' => '<p>The DNS name servers for the replication instance.</p>', 'ReplicationInstancePrivateIpAddressList$member' => NULL, 'ReplicationInstancePublicIpAddressList$member' => NULL, 'ReplicationInstanceTaskLog$ReplicationTaskName' => '<p>The name of the replication task.</p>', 'ReplicationInstanceTaskLog$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task.</p>', 'ReplicationPendingModifiedValues$ReplicationInstanceClass' => '<p>The compute and memory capacity of the replication instance.</p> <p> Valid Values: <code>dms.t2.micro | dms.t2.small | dms.t2.medium | dms.t2.large | dms.c4.large | dms.c4.xlarge | dms.c4.2xlarge | dms.c4.4xlarge </code> </p>', 'ReplicationPendingModifiedValues$EngineVersion' => '<p>The engine version number of the replication instance.</p>', 'ReplicationSubnetGroup$ReplicationSubnetGroupIdentifier' => '<p>The identifier of the replication instance subnet group.</p>', 'ReplicationSubnetGroup$ReplicationSubnetGroupDescription' => '<p>A description for the replication subnet group.</p>', 'ReplicationSubnetGroup$VpcId' => '<p>The ID of the VPC.</p>', 'ReplicationSubnetGroup$SubnetGroupStatus' => '<p>The status of the subnet group.</p>', 'ReplicationTask$ReplicationTaskIdentifier' => '<p>The user-assigned replication task identifier or name.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 1 to 255 alphanumeric characters or hyphens.</p> </li> <li> <p>First character must be a letter.</p> </li> <li> <p>Cannot end with a hyphen or contain two consecutive hyphens.</p> </li> </ul>', 'ReplicationTask$SourceEndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'ReplicationTask$TargetEndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'ReplicationTask$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'ReplicationTask$TableMappings' => '<p>Table mappings specified in the task.</p>', 'ReplicationTask$ReplicationTaskSettings' => '<p>The settings for the replication task.</p>', 'ReplicationTask$Status' => '<p>The status of the replication task.</p>', 'ReplicationTask$LastFailureMessage' => '<p>The last error (failure) message generated for the replication instance.</p>', 'ReplicationTask$StopReason' => '<p>The reason the replication task was stopped.</p>', 'ReplicationTask$CdcStartPosition' => '<p>Indicates when you want a change data capture (CDC) operation to start. Use either <code>CdcStartPosition</code> or <code>CdcStartTime</code> to specify when you want the CDC operation to start. Specifying both values results in an error.</p> <p>The value can be in date, checkpoint, or LSN/SCN format.</p> <p>Date Example: --cdc-start-position “2018-03-08T12:12:12”</p> <p>Checkpoint Example: --cdc-start-position "checkpoint:V1#27#mysql-bin-changelog.157832:1975:-1:2002:677883278264080:mysql-bin-changelog.157832:1876#0#0#*#0#93"</p> <p>LSN Example: --cdc-start-position “mysql-bin-changelog.000024:373”</p>', 'ReplicationTask$CdcStopPosition' => '<p>Indicates when you want a change data capture (CDC) operation to stop. The value can be either server time or commit time.</p> <p>Server time example: --cdc-stop-position “server_time:3018-02-09T12:12:12”</p> <p>Commit time example: --cdc-stop-position “commit_time: 3018-02-09T12:12:12 “</p>', 'ReplicationTask$RecoveryCheckpoint' => '<p>Indicates the last checkpoint that occurred during a change data capture (CDC) operation. You can provide this value to the <code>CdcStartPosition</code> parameter to start a CDC operation that begins at that checkpoint.</p>', 'ReplicationTask$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task.</p>', 'ReplicationTaskAssessmentResult$ReplicationTaskIdentifier' => '<p> The replication task identifier of the task on which the task assessment was run. </p>', 'ReplicationTaskAssessmentResult$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task. </p>', 'ReplicationTaskAssessmentResult$AssessmentStatus' => '<p> The status of the task assessment. </p>', 'ReplicationTaskAssessmentResult$AssessmentResultsFile' => '<p> The file containing the results of the task assessment. </p>', 'ReplicationTaskAssessmentResult$AssessmentResults' => '<p> The task assessment results in JSON format. </p>', 'ReplicationTaskAssessmentResult$S3ObjectUrl' => '<p> The URL of the S3 object containing the task assessment results. </p>', 'ResourcePendingMaintenanceActions$ResourceIdentifier' => '<p>The Amazon Resource Name (ARN) of the DMS resource that the pending maintenance action applies to. For information about creating an ARN, see <a href="https://docs.aws.amazon.com/dms/latest/userguide/CHAP_Introduction.AWS.ARN.html"> Constructing an Amazon Resource Name (ARN) for AWS DMS</a> in the DMS documentation.</p>', 'S3Settings$ServiceAccessRoleArn' => '<p> The Amazon Resource Name (ARN) used by the service access IAM role. </p>', 'S3Settings$ExternalTableDefinition' => '<p> The external table definition. </p>', 'S3Settings$CsvRowDelimiter' => '<p> The delimiter used to separate rows in the source files. The default is a carriage return (<code>\\n</code>). </p>', 'S3Settings$CsvDelimiter' => '<p> The delimiter used to separate columns in the source files. The default is a comma. </p>', 'S3Settings$BucketFolder' => '<p> An optional parameter to set a folder name in the S3 bucket. If provided, tables are created in the path <code> <i>bucketFolder</i>/<i>schema_name</i>/<i>table_name</i>/</code>. If this parameter is not specified, then the path used is <code> <i>schema_name</i>/<i>table_name</i>/</code>. </p>', 'S3Settings$BucketName' => '<p> The name of the S3 bucket. </p>', 'S3Settings$ServerSideEncryptionKmsKeyId' => '<p>If you are using <code>SSE_KMS</code> for the <code>EncryptionMode</code>, provide the AWS KMS key ID. The key that you use needs an attached policy that enables AWS Identity and Access Management (IAM) user permissions and allows use of the key.</p> <p>Here is a CLI example: <code>aws dms create-endpoint --endpoint-identifier <i>value</i> --endpoint-type target --engine-name s3 --s3-settings ServiceAccessRoleArn=<i>value</i>,BucketFolder=<i>value</i>,BucketName=<i>value</i>,EncryptionMode=SSE_KMS,ServerSideEncryptionKmsKeyId=<i>value</i> </code> </p>', 'S3Settings$TimestampColumnName' => '<p>A value that includes a timestamp column in the Amazon S3 target endpoint data. AWS DMS includes an additional column in the migrated data when you set <code>timestampColumnName</code> to a non-blank value. </p> <note> <p>AWS DMS supports <code>TimestampColumnName</code> in versions 3.1.4 and later.</p> </note> <p>For a full load, each row of the timestamp column contains a timestamp for when the data was transferred from the source to the target by DMS. For a CDC load, each row of the timestamp column contains the timestamp for the commit of that row in the source database. The format for the timestamp column value is <code>yyyy-MM-dd HH:mm:ss.SSSSSS</code>. For CDC, the microsecond precision depends on the commit timestamp supported by DMS for the source database. When the <code>AddColumnName</code> setting is set to <code>true</code>, DMS also includes the name for the timestamp column that you set as the nonblank value of <code>timestampColumnName</code>.</p>', 'SchemaList$member' => NULL, 'SourceIdsList$member' => NULL, 'StartReplicationTaskAssessmentMessage$ReplicationTaskArn' => '<p> The Amazon Resource Name (ARN) of the replication task. </p>', 'StartReplicationTaskMessage$ReplicationTaskArn' => '<p>The Amazon Resource Name (ARN) of the replication task to be started.</p>', 'StartReplicationTaskMessage$CdcStartPosition' => '<p>Indicates when you want a change data capture (CDC) operation to start. Use either CdcStartPosition or CdcStartTime to specify when you want a CDC operation to start. Specifying both values results in an error.</p> <p> The value can be in date, checkpoint, or LSN/SCN format.</p> <p>Date Example: --cdc-start-position “2018-03-08T12:12:12”</p> <p>Checkpoint Example: --cdc-start-position "checkpoint:V1#27#mysql-bin-changelog.157832:1975:-1:2002:677883278264080:mysql-bin-changelog.157832:1876#0#0#*#0#93"</p> <p>LSN Example: --cdc-start-position “mysql-bin-changelog.000024:373”</p>', 'StartReplicationTaskMessage$CdcStopPosition' => '<p>Indicates when you want a change data capture (CDC) operation to stop. The value can be either server time or commit time.</p> <p>Server time example: --cdc-stop-position “server_time:3018-02-09T12:12:12”</p> <p>Commit time example: --cdc-stop-position “commit_time: 3018-02-09T12:12:12 “</p>', 'StopReplicationTaskMessage$ReplicationTaskArn' => '<p>The Amazon Resource Name(ARN) of the replication task to be stopped.</p>', 'Subnet$SubnetIdentifier' => '<p>The subnet identifier.</p>', 'Subnet$SubnetStatus' => '<p>The status of the subnet.</p>', 'SubnetIdentifierList$member' => NULL, 'SupportedEndpointType$EngineName' => '<p>The database engine name. Valid values, depending on the EndpointType, include mysql, oracle, postgres, mariadb, aurora, aurora-postgresql, redshift, s3, db2, azuredb, sybase, dynamodb, mongodb, and sqlserver.</p>', 'SupportedEndpointType$EngineDisplayName' => '<p>The expanded name for the engine name. For example, if the <code>EngineName</code> parameter is "aurora," this value would be "Amazon Aurora MySQL."</p>', 'TableStatistics$SchemaName' => '<p>The schema name.</p>', 'TableStatistics$TableName' => '<p>The name of the table.</p>', 'TableStatistics$TableState' => '<p>The state of the tables described.</p> <p>Valid states: Table does not exist | Before load | Full load | Table completed | Table cancelled | Table error | Table all | Table updates | Table is being reloaded</p>', 'TableStatistics$ValidationState' => '<p>The validation state of the table.</p> <p>The parameter can have the following values</p> <ul> <li> <p>Not enabled—Validation is not enabled for the table in the migration task.</p> </li> <li> <p>Pending records—Some records in the table are waiting for validation.</p> </li> <li> <p>Mismatched records—Some records in the table do not match between the source and target.</p> </li> <li> <p>Suspended records—Some records in the table could not be validated.</p> </li> <li> <p>No primary key—The table could not be validated because it had no primary key.</p> </li> <li> <p>Table error—The table was not validated because it was in an error state and some data was not migrated.</p> </li> <li> <p>Validated—All rows in the table were validated. If the table is updated, the status can change from Validated.</p> </li> <li> <p>Error—The table could not be validated because of an unexpected error.</p> </li> </ul>', 'TableStatistics$ValidationStateDetails' => '<p>Additional details about the state of validation.</p>', 'TableToReload$SchemaName' => '<p>The schema name of the table to be reloaded.</p>', 'TableToReload$TableName' => '<p>The table name of the table to be reloaded.</p>', 'Tag$Key' => '<p>A key is the required name of the tag. The string value can be from 1 to 128 Unicode characters in length and cannot be prefixed with "aws:" or "dms:". The string can only contain only the set of Unicode letters, digits, white-space, \'_\', \'.\', \'/\', \'=\', \'+\', \'-\' (Java regex: "^([\\\\p{L}\\\\p{Z}\\\\p{N}_.:/=+\\\\-]*)$").</p>', 'Tag$Value' => '<p>A value is the optional value of the tag. The string value can be from 1 to 256 Unicode characters in length and cannot be prefixed with "aws:" or "dms:". The string can only contain only the set of Unicode letters, digits, white-space, \'_\', \'.\', \'/\', \'=\', \'+\', \'-\' (Java regex: "^([\\\\p{L}\\\\p{Z}\\\\p{N}_.:/=+\\\\-]*)$").</p>', 'TestConnectionMessage$ReplicationInstanceArn' => '<p>The Amazon Resource Name (ARN) of the replication instance.</p>', 'TestConnectionMessage$EndpointArn' => '<p>The Amazon Resource Name (ARN) string that uniquely identifies the endpoint.</p>', 'VpcSecurityGroupIdList$member' => NULL, 'VpcSecurityGroupMembership$VpcSecurityGroupId' => '<p>The VPC security group Id.</p>', 'VpcSecurityGroupMembership$Status' => '<p>The status of the VPC security group.</p>', ], ], 'Subnet' => [ 'base' => '<p/>', 'refs' => [ 'SubnetList$member' => NULL, ], ], 'SubnetAlreadyInUse' => [ 'base' => '<p>The specified subnet is already in use.</p>', 'refs' => [], ], 'SubnetIdentifierList' => [ 'base' => NULL, 'refs' => [ 'CreateReplicationSubnetGroupMessage$SubnetIds' => '<p>One or more subnet IDs to be assigned to the subnet group.</p>', 'ModifyReplicationSubnetGroupMessage$SubnetIds' => '<p>A list of subnet IDs.</p>', ], ], 'SubnetList' => [ 'base' => NULL, 'refs' => [ 'ReplicationSubnetGroup$Subnets' => '<p>The subnets that are in the subnet group.</p>', ], ], 'SupportedEndpointType' => [ 'base' => '<p/>', 'refs' => [ 'SupportedEndpointTypeList$member' => NULL, ], ], 'SupportedEndpointTypeList' => [ 'base' => NULL, 'refs' => [ 'DescribeEndpointTypesResponse$SupportedEndpointTypes' => '<p>The types of endpoints that are supported.</p>', ], ], 'TStamp' => [ 'base' => NULL, 'refs' => [ 'Certificate$CertificateCreationDate' => '<p>The date that the certificate was created.</p>', 'Certificate$ValidFromDate' => '<p>The beginning date that the certificate is valid.</p>', 'Certificate$ValidToDate' => '<p>The final date that the certificate is valid.</p>', 'CreateReplicationTaskMessage$CdcStartTime' => '<p>Indicates the start time for a change data capture (CDC) operation. Use either CdcStartTime or CdcStartPosition to specify when you want a CDC operation to start. Specifying both values results in an error.</p> <p>Timestamp Example: --cdc-start-time “2018-03-08T12:12:12”</p>', 'DescribeEventsMessage$StartTime' => '<p>The start time for the events to be listed.</p>', 'DescribeEventsMessage$EndTime' => '<p>The end time for the events to be listed.</p>', 'Event$Date' => '<p>The date of the event.</p>', 'ModifyReplicationTaskMessage$CdcStartTime' => '<p>Indicates the start time for a change data capture (CDC) operation. Use either CdcStartTime or CdcStartPosition to specify when you want a CDC operation to start. Specifying both values results in an error.</p> <p>Timestamp Example: --cdc-start-time “2018-03-08T12:12:12”</p>', 'PendingMaintenanceAction$AutoAppliedAfterDate' => '<p>The date of the maintenance window when the action will be applied. The maintenance action will be applied to the resource during its first maintenance window after this date. If this date is specified, any <code>next-maintenance</code> opt-in requests are ignored.</p>', 'PendingMaintenanceAction$ForcedApplyDate' => '<p>The date when the maintenance action will be automatically applied. The maintenance action will be applied to the resource on this date regardless of the maintenance window for the resource. If this date is specified, any <code>immediate</code> opt-in requests are ignored.</p>', 'PendingMaintenanceAction$CurrentApplyDate' => '<p>The effective date when the pending maintenance action will be applied to the resource. This date takes into account opt-in requests received from the <code>ApplyPendingMaintenanceAction</code> API, the <code>AutoAppliedAfterDate</code>, and the <code>ForcedApplyDate</code>. This value is blank if an opt-in request has not been received and nothing has been specified as <code>AutoAppliedAfterDate</code> or <code>ForcedApplyDate</code>.</p>', 'RefreshSchemasStatus$LastRefreshDate' => '<p>The date the schema was last refreshed.</p>', 'ReplicationInstance$InstanceCreateTime' => '<p>The time the replication instance was created.</p>', 'ReplicationInstance$FreeUntil' => '<p> The expiration date of the free replication instance that is part of the Free DMS program. </p>', 'ReplicationTask$ReplicationTaskCreationDate' => '<p>The date the replication task was created.</p>', 'ReplicationTask$ReplicationTaskStartDate' => '<p>The date the replication task is scheduled to start.</p>', 'ReplicationTaskAssessmentResult$ReplicationTaskLastAssessmentDate' => '<p>The date the task assessment was completed. </p>', 'StartReplicationTaskMessage$CdcStartTime' => '<p>Indicates the start time for a change data capture (CDC) operation. Use either CdcStartTime or CdcStartPosition to specify when you want a CDC operation to start. Specifying both values results in an error.</p> <p>Timestamp Example: --cdc-start-time “2018-03-08T12:12:12”</p>', 'TableStatistics$LastUpdateTime' => '<p>The last time the table was updated.</p>', ], ], 'TableListToReload' => [ 'base' => NULL, 'refs' => [ 'ReloadTablesMessage$TablesToReload' => '<p>The name and schema of the table to be reloaded. </p>', ], ], 'TableStatistics' => [ 'base' => '<p/>', 'refs' => [ 'TableStatisticsList$member' => NULL, ], ], 'TableStatisticsList' => [ 'base' => NULL, 'refs' => [ 'DescribeTableStatisticsResponse$TableStatistics' => '<p>The table statistics.</p>', ], ], 'TableToReload' => [ 'base' => '<p/>', 'refs' => [ 'TableListToReload$member' => NULL, ], ], 'Tag' => [ 'base' => '<p/>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'AddTagsToResourceMessage$Tags' => '<p>One or more tags to be assigned to the resource.</p>', 'CreateEndpointMessage$Tags' => '<p>One or more tags to be assigned to the endpoint.</p>', 'CreateEventSubscriptionMessage$Tags' => '<p>One or more tags to be assigned to the event subscription.</p>', 'CreateReplicationInstanceMessage$Tags' => '<p>One or more tags to be assigned to the replication instance.</p>', 'CreateReplicationSubnetGroupMessage$Tags' => '<p>One or more tags to be assigned to the subnet group.</p>', 'CreateReplicationTaskMessage$Tags' => '<p>One or more tags to be assigned to the replication task.</p>', 'ImportCertificateMessage$Tags' => '<p>The tags associated with the certificate.</p>', 'ListTagsForResourceResponse$TagList' => '<p>A list of tags for the resource.</p>', ], ], 'TestConnectionMessage' => [ 'base' => '<p/>', 'refs' => [], ], 'TestConnectionResponse' => [ 'base' => '<p/>', 'refs' => [], ], 'UpgradeDependencyFailureFault' => [ 'base' => '<p>An upgrade dependency is preventing the database migration.</p>', 'refs' => [], ], 'VpcSecurityGroupIdList' => [ 'base' => NULL, 'refs' => [ 'CreateReplicationInstanceMessage$VpcSecurityGroupIds' => '<p> Specifies the VPC security group to be used with the replication instance. The VPC security group must work with the VPC containing the replication instance. </p>', 'ModifyReplicationInstanceMessage$VpcSecurityGroupIds' => '<p> Specifies the VPC security group to be used with the replication instance. The VPC security group must work with the VPC containing the replication instance. </p>', ], ], 'VpcSecurityGroupMembership' => [ 'base' => '<p/>', 'refs' => [ 'VpcSecurityGroupMembershipList$member' => NULL, ], ], 'VpcSecurityGroupMembershipList' => [ 'base' => NULL, 'refs' => [ 'ReplicationInstance$VpcSecurityGroups' => '<p>The VPC security group for the instance.</p>', ], ], ],];
