<?php
// This file was auto-generated from sdk-root/src/data/es/2015-01-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>Amazon Elasticsearch Configuration Service</fullname> <p>Use the Amazon Elasticsearch configuration API to create, configure, and manage Elasticsearch domains.</p> <p>The endpoint for configuration service requests is region-specific: es.<i>region</i>.amazonaws.com. For example, es.us-east-1.amazonaws.com. For a current list of supported regions and endpoints, see <a href="http://docs.aws.amazon.com/general/latest/gr/rande.html#elasticsearch-service-regions" target="_blank">Regions and Endpoints</a>.</p>', 'operations' => [ 'AddTags' => '<p>Attaches tags to an existing Elasticsearch domain. Tags are a set of case-sensitive key value pairs. An Elasticsearch domain may have up to 10 tags. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-managedomains.html#es-managedomains-awsresorcetagging" target="_blank"> Tagging Amazon Elasticsearch Service Domains for more information.</a></p>', 'CancelElasticsearchServiceSoftwareUpdate' => '<p>Cancels a scheduled service software update for an Amazon ES domain. You can only perform this operation before the <code>AutomatedUpdateDate</code> and when the <code>UpdateStatus</code> is in the <code>PENDING_UPDATE</code> state.</p>', 'CreateElasticsearchDomain' => '<p>Creates a new Elasticsearch domain. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomains" target="_blank">Creating Elasticsearch Domains</a> in the <i>Amazon Elasticsearch Service Developer Guide</i>.</p>', 'DeleteElasticsearchDomain' => '<p>Permanently deletes the specified Elasticsearch domain and all of its data. Once a domain is deleted, it cannot be recovered.</p>', 'DeleteElasticsearchServiceRole' => '<p>Deletes the service-linked role that Elasticsearch Service uses to manage and maintain VPC domains. Role deletion will fail if any existing VPC domains use the role. You must delete any such Elasticsearch domains before deleting the role. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html#es-enabling-slr" target="_blank">Deleting Elasticsearch Service Role</a> in <i>VPC Endpoints for Amazon Elasticsearch Service Domains</i>.</p>', 'DescribeElasticsearchDomain' => '<p>Returns domain configuration information about the specified Elasticsearch domain, including the domain ID, domain endpoint, and domain ARN.</p>', 'DescribeElasticsearchDomainConfig' => '<p>Provides cluster configuration information about the specified Elasticsearch domain, such as the state, creation date, update version, and update date for cluster options.</p>', 'DescribeElasticsearchDomains' => '<p>Returns domain configuration information about the specified Elasticsearch domains, including the domain ID, domain endpoint, and domain ARN.</p>', 'DescribeElasticsearchInstanceTypeLimits' => '<p> Describe Elasticsearch Limits for a given InstanceType and ElasticsearchVersion. When modifying existing Domain, specify the <code> <a>DomainName</a> </code> to know what Limits are supported for modifying. </p>', 'DescribeReservedElasticsearchInstanceOfferings' => '<p>Lists available reserved Elasticsearch instance offerings.</p>', 'DescribeReservedElasticsearchInstances' => '<p>Returns information about reserved Elasticsearch instances for this account.</p>', 'GetCompatibleElasticsearchVersions' => '<p> Returns a list of upgrade compatible Elastisearch versions. You can optionally pass a <code> <a>DomainName</a> </code> to get all upgrade compatible Elasticsearch versions for that specific domain. </p>', 'GetUpgradeHistory' => '<p>Retrieves the complete history of the last 10 upgrades that were performed on the domain.</p>', 'GetUpgradeStatus' => '<p>Retrieves the latest status of the last upgrade or upgrade eligibility check that was performed on the domain.</p>', 'ListDomainNames' => '<p>Returns the name of all Elasticsearch domains owned by the current user\'s account. </p>', 'ListElasticsearchInstanceTypes' => '<p>List all Elasticsearch instance types that are supported for given ElasticsearchVersion</p>', 'ListElasticsearchVersions' => '<p>List all supported Elasticsearch versions</p>', 'ListTags' => '<p>Returns all tags for the given Elasticsearch domain.</p>', 'PurchaseReservedElasticsearchInstanceOffering' => '<p>Allows you to purchase reserved Elasticsearch instances.</p>', 'RemoveTags' => '<p>Removes the specified set of tags from the specified Elasticsearch domain.</p>', 'StartElasticsearchServiceSoftwareUpdate' => '<p>Schedules a service software update for an Amazon ES domain.</p>', 'UpdateElasticsearchDomainConfig' => '<p>Modifies the cluster configuration of the specified Elasticsearch domain, setting as setting the instance type and the number of instances. </p>', 'UpgradeElasticsearchDomain' => '<p>Allows you to either upgrade your domain or perform an Upgrade eligibility check to a compatible Elasticsearch version.</p>', ], 'shapes' => [ 'ARN' => [ 'base' => '<p>The Amazon Resource Name (ARN) of the Elasticsearch domain. See <a href="http://docs.aws.amazon.com/IAM/latest/UserGuide/index.html?Using_Identifiers.html" target="_blank">Identifiers for IAM Entities</a> in <i>Using AWS Identity and Access Management</i> for more information.</p>', 'refs' => [ 'AddTagsRequest$ARN' => '<p> Specify the <code>ARN</code> for which you want to add the tags.</p>', 'ElasticsearchDomainStatus$ARN' => '<p>The Amazon resource name (ARN) of an Elasticsearch domain. See <a href="http://docs.aws.amazon.com/IAM/latest/UserGuide/index.html?Using_Identifiers.html" target="_blank">Identifiers for IAM Entities</a> in <i>Using AWS Identity and Access Management</i> for more information.</p>', 'ListTagsRequest$ARN' => '<p> Specify the <code>ARN</code> for the Elasticsearch domain to which the tags are attached that you want to view.</p>', 'RemoveTagsRequest$ARN' => '<p>Specifies the <code>ARN</code> for the Elasticsearch domain from which you want to delete the specified tags.</p>', ], ], 'AccessPoliciesStatus' => [ 'base' => '<p>The configured access rules for the domain\'s document and search endpoints, and the current status of those rules.</p>', 'refs' => [ 'ElasticsearchDomainConfig$AccessPolicies' => '<p>IAM access policy as a JSON-formatted string.</p>', ], ], 'AddTagsRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>AddTags</a></code> operation. Specify the tags that you want to attach to the Elasticsearch domain.</p>', 'refs' => [], ], 'AdditionalLimit' => [ 'base' => '<p> List of limits that are specific to a given InstanceType and for each of it\'s <code> <a>InstanceRole</a> </code> . </p>', 'refs' => [ 'AdditionalLimitList$member' => NULL, ], ], 'AdditionalLimitList' => [ 'base' => NULL, 'refs' => [ 'Limits$AdditionalLimits' => '<p> List of additional limits that are specific to a given InstanceType and for each of it\'s <code> <a>InstanceRole</a> </code> . </p>', ], ], 'AdvancedOptions' => [ 'base' => '<p> Exposes select native Elasticsearch configuration values from <code>elasticsearch.yml</code>. Currently, the following advanced options are available:</p> <ul> <li>Option to allow references to indices in an HTTP request body. Must be <code>false</code> when configuring access to individual sub-resources. By default, the value is <code>true</code>. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-advanced-options" target="_blank">Configuration Advanced Options</a> for more information.</li> <li>Option to specify the percentage of heap space that is allocated to field data. By default, this setting is unbounded.</li> </ul> <p>For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-advanced-options">Configuring Advanced Options</a>.</p>', 'refs' => [ 'AdvancedOptionsStatus$Options' => '<p> Specifies the status of advanced options for the specified Elasticsearch domain.</p>', 'CreateElasticsearchDomainRequest$AdvancedOptions' => '<p> Option to allow references to indices in an HTTP request body. Must be <code>false</code> when configuring access to individual sub-resources. By default, the value is <code>true</code>. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-advanced-options" target="_blank">Configuration Advanced Options</a> for more information.</p>', 'ElasticsearchDomainStatus$AdvancedOptions' => '<p>Specifies the status of the <code>AdvancedOptions</code></p>', 'UpdateElasticsearchDomainConfigRequest$AdvancedOptions' => '<p>Modifies the advanced option to allow references to indices in an HTTP request body. Must be <code>false</code> when configuring access to individual sub-resources. By default, the value is <code>true</code>. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-advanced-options" target="_blank">Configuration Advanced Options</a> for more information.</p>', ], ], 'AdvancedOptionsStatus' => [ 'base' => '<p> Status of the advanced options for the specified Elasticsearch domain. Currently, the following advanced options are available:</p> <ul> <li>Option to allow references to indices in an HTTP request body. Must be <code>false</code> when configuring access to individual sub-resources. By default, the value is <code>true</code>. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-advanced-options" target="_blank">Configuration Advanced Options</a> for more information.</li> <li>Option to specify the percentage of heap space that is allocated to field data. By default, this setting is unbounded.</li> </ul> <p>For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-advanced-options">Configuring Advanced Options</a>.</p>', 'refs' => [ 'ElasticsearchDomainConfig$AdvancedOptions' => '<p>Specifies the <code>AdvancedOptions</code> for the domain. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-advanced-options" target="_blank">Configuring Advanced Options</a> for more information.</p>', ], ], 'BaseException' => [ 'base' => '<p>An error occurred while processing the request.</p>', 'refs' => [], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'CognitoOptions$Enabled' => '<p>Specifies the option to enable Cognito for Kibana authentication.</p>', 'EBSOptions$EBSEnabled' => '<p>Specifies whether EBS-based storage is enabled.</p>', 'ElasticsearchClusterConfig$DedicatedMasterEnabled' => '<p>A boolean value to indicate whether a dedicated master node is enabled. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-managedomains.html#es-managedomains-dedicatedmasternodes" target="_blank">About Dedicated Master Nodes</a> for more information.</p>', 'ElasticsearchClusterConfig$ZoneAwarenessEnabled' => '<p>A boolean value to indicate whether zone awareness is enabled. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-managedomains.html#es-managedomains-zoneawareness" target="_blank">About Zone Awareness</a> for more information.</p>', 'ElasticsearchDomainStatus$Created' => '<p>The domain creation status. <code>True</code> if the creation of an Elasticsearch domain is complete. <code>False</code> if domain creation is still in progress.</p>', 'ElasticsearchDomainStatus$Deleted' => '<p>The domain deletion status. <code>True</code> if a delete request has been received for the domain but resource cleanup is still in progress. <code>False</code> if the domain has not been deleted. Once domain deletion is complete, the status of the domain is no longer returned.</p>', 'ElasticsearchDomainStatus$Processing' => '<p>The status of the Elasticsearch domain configuration. <code>True</code> if Amazon Elasticsearch Service is processing configuration changes. <code>False</code> if the configuration is active.</p>', 'ElasticsearchDomainStatus$UpgradeProcessing' => '<p>The status of an Elasticsearch domain version upgrade. <code>True</code> if Amazon Elasticsearch Service is undergoing a version upgrade. <code>False</code> if the configuration is active.</p>', 'EncryptionAtRestOptions$Enabled' => '<p>Specifies the option to enable Encryption At Rest.</p>', 'LogPublishingOption$Enabled' => '<p> Specifies whether given log publishing option is enabled or not.</p>', 'NodeToNodeEncryptionOptions$Enabled' => '<p>Specify true to enable node-to-node encryption.</p>', 'OptionStatus$PendingDeletion' => '<p>Indicates whether the Elasticsearch domain is being deleted.</p>', 'ServiceSoftwareOptions$UpdateAvailable' => '<p><code>True</code> if you are able to update you service software version. <code>False</code> if you are not able to update your service software version. </p>', 'ServiceSoftwareOptions$Cancellable' => '<p><code>True</code> if you are able to cancel your service software version update. <code>False</code> if you are not able to cancel your service software version. </p>', 'UpgradeElasticsearchDomainRequest$PerformCheckOnly' => '<p> This flag, when set to True, indicates that an Upgrade Eligibility Check needs to be performed. This will not actually perform the Upgrade. </p>', 'UpgradeElasticsearchDomainResponse$PerformCheckOnly' => '<p> This flag, when set to True, indicates that an Upgrade Eligibility Check needs to be performed. This will not actually perform the Upgrade. </p>', ], ], 'CancelElasticsearchServiceSoftwareUpdateRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>CancelElasticsearchServiceSoftwareUpdate</a></code> operation. Specifies the name of the Elasticsearch domain that you wish to cancel a service software update on.</p>', 'refs' => [], ], 'CancelElasticsearchServiceSoftwareUpdateResponse' => [ 'base' => '<p>The result of a <code>CancelElasticsearchServiceSoftwareUpdate</code> operation. Contains the status of the update.</p>', 'refs' => [], ], 'CloudWatchLogsLogGroupArn' => [ 'base' => '<p>ARN of the Cloudwatch log group to which log needs to be published.</p>', 'refs' => [ 'LogPublishingOption$CloudWatchLogsLogGroupArn' => NULL, ], ], 'CognitoOptions' => [ 'base' => '<p>Options to specify the Cognito user and identity pools for Kibana authentication. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-cognito-auth.html" target="_blank">Amazon Cognito Authentication for Kibana</a>.</p>', 'refs' => [ 'CognitoOptionsStatus$Options' => '<p>Specifies the Cognito options for the specified Elasticsearch domain.</p>', 'CreateElasticsearchDomainRequest$CognitoOptions' => '<p>Options to specify the Cognito user and identity pools for Kibana authentication. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-cognito-auth.html" target="_blank">Amazon Cognito Authentication for Kibana</a>.</p>', 'ElasticsearchDomainStatus$CognitoOptions' => '<p>The <code>CognitoOptions</code> for the specified domain. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-cognito-auth.html" target="_blank">Amazon Cognito Authentication for Kibana</a>.</p>', 'UpdateElasticsearchDomainConfigRequest$CognitoOptions' => '<p>Options to specify the Cognito user and identity pools for Kibana authentication. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-cognito-auth.html" target="_blank">Amazon Cognito Authentication for Kibana</a>.</p>', ], ], 'CognitoOptionsStatus' => [ 'base' => '<p>Status of the Cognito options for the specified Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainConfig$CognitoOptions' => '<p>The <code>CognitoOptions</code> for the specified domain. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-cognito-auth.html" target="_blank">Amazon Cognito Authentication for Kibana</a>.</p>', ], ], 'CompatibleElasticsearchVersionsList' => [ 'base' => NULL, 'refs' => [ 'GetCompatibleElasticsearchVersionsResponse$CompatibleElasticsearchVersions' => '<p> A map of compatible Elasticsearch versions returned as part of the <code> <a>GetCompatibleElasticsearchVersions</a> </code> operation. </p>', ], ], 'CompatibleVersionsMap' => [ 'base' => '<p> A map from an <code> <a>ElasticsearchVersion</a> </code> to a list of compatible <code> <a>ElasticsearchVersion</a> </code> s to which the domain can be upgraded. </p>', 'refs' => [ 'CompatibleElasticsearchVersionsList$member' => NULL, ], ], 'CreateElasticsearchDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateElasticsearchDomainResponse' => [ 'base' => '<p>The result of a <code>CreateElasticsearchDomain</code> operation. Contains the status of the newly created Elasticsearch domain.</p>', 'refs' => [], ], 'DeleteElasticsearchDomainRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>DeleteElasticsearchDomain</a></code> operation. Specifies the name of the Elasticsearch domain that you want to delete.</p>', 'refs' => [], ], 'DeleteElasticsearchDomainResponse' => [ 'base' => '<p>The result of a <code>DeleteElasticsearchDomain</code> request. Contains the status of the pending deletion, or no status if the domain and all of its resources have been deleted.</p>', 'refs' => [], ], 'DeploymentCloseDateTimeStamp' => [ 'base' => NULL, 'refs' => [ 'ServiceSoftwareOptions$AutomatedUpdateDate' => '<p>Timestamp, in Epoch time, until which you can manually request a service software update. After this date, we automatically update your service software.</p>', ], ], 'DeploymentStatus' => [ 'base' => NULL, 'refs' => [ 'ServiceSoftwareOptions$UpdateStatus' => '<p>The status of your service software update. This field can take the following values: <code>ELIGIBLE</code>, <code>PENDING_UPDATE</code>, <code>IN_PROGRESS</code>, <code>COMPLETED</code>, and <code>NOT_ELIGIBLE</code>.</p>', ], ], 'DescribeElasticsearchDomainConfigRequest' => [ 'base' => '<p> Container for the parameters to the <code>DescribeElasticsearchDomainConfig</code> operation. Specifies the domain name for which you want configuration information.</p>', 'refs' => [], ], 'DescribeElasticsearchDomainConfigResponse' => [ 'base' => '<p>The result of a <code>DescribeElasticsearchDomainConfig</code> request. Contains the configuration information of the requested domain.</p>', 'refs' => [], ], 'DescribeElasticsearchDomainRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>DescribeElasticsearchDomain</a></code> operation.</p>', 'refs' => [], ], 'DescribeElasticsearchDomainResponse' => [ 'base' => '<p>The result of a <code>DescribeElasticsearchDomain</code> request. Contains the status of the domain specified in the request.</p>', 'refs' => [], ], 'DescribeElasticsearchDomainsRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>DescribeElasticsearchDomains</a></code> operation. By default, the API returns the status of all Elasticsearch domains.</p>', 'refs' => [], ], 'DescribeElasticsearchDomainsResponse' => [ 'base' => '<p>The result of a <code>DescribeElasticsearchDomains</code> request. Contains the status of the specified domains or all domains owned by the account.</p>', 'refs' => [], ], 'DescribeElasticsearchInstanceTypeLimitsRequest' => [ 'base' => '<p> Container for the parameters to <code> <a>DescribeElasticsearchInstanceTypeLimits</a> </code> operation. </p>', 'refs' => [], ], 'DescribeElasticsearchInstanceTypeLimitsResponse' => [ 'base' => '<p> Container for the parameters received from <code> <a>DescribeElasticsearchInstanceTypeLimits</a> </code> operation. </p>', 'refs' => [], ], 'DescribeReservedElasticsearchInstanceOfferingsRequest' => [ 'base' => '<p>Container for parameters to <code>DescribeReservedElasticsearchInstanceOfferings</code></p>', 'refs' => [], ], 'DescribeReservedElasticsearchInstanceOfferingsResponse' => [ 'base' => '<p>Container for results from <code>DescribeReservedElasticsearchInstanceOfferings</code></p>', 'refs' => [], ], 'DescribeReservedElasticsearchInstancesRequest' => [ 'base' => '<p>Container for parameters to <code>DescribeReservedElasticsearchInstances</code></p>', 'refs' => [], ], 'DescribeReservedElasticsearchInstancesResponse' => [ 'base' => '<p>Container for results from <code>DescribeReservedElasticsearchInstances</code></p>', 'refs' => [], ], 'DisabledOperationException' => [ 'base' => '<p>An error occured because the client wanted to access a not supported operation. Gives http status code of 409.</p>', 'refs' => [], ], 'DomainId' => [ 'base' => '<p>Unique identifier for an Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainStatus$DomainId' => '<p>The unique identifier for the specified Elasticsearch domain.</p>', ], ], 'DomainInfo' => [ 'base' => NULL, 'refs' => [ 'DomainInfoList$member' => NULL, ], ], 'DomainInfoList' => [ 'base' => '<p> Contains the list of Elasticsearch domain information.</p>', 'refs' => [ 'ListDomainNamesResponse$DomainNames' => '<p>List of Elasticsearch domain names.</p>', ], ], 'DomainName' => [ 'base' => '<p>The name of an Elasticsearch domain. Domain names are unique across the domains owned by an account within an AWS region. Domain names start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen).</p>', 'refs' => [ 'CancelElasticsearchServiceSoftwareUpdateRequest$DomainName' => '<p>The name of the domain that you want to stop the latest service software update on.</p>', 'CreateElasticsearchDomainRequest$DomainName' => '<p>The name of the Elasticsearch domain that you are creating. Domain names are unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen).</p>', 'DeleteElasticsearchDomainRequest$DomainName' => '<p>The name of the Elasticsearch domain that you want to permanently delete.</p>', 'DescribeElasticsearchDomainConfigRequest$DomainName' => '<p>The Elasticsearch domain that you want to get information about.</p>', 'DescribeElasticsearchDomainRequest$DomainName' => '<p>The name of the Elasticsearch domain for which you want information.</p>', 'DescribeElasticsearchInstanceTypeLimitsRequest$DomainName' => '<p> DomainName represents the name of the Domain that we are trying to modify. This should be present only if we are querying for Elasticsearch <code> <a>Limits</a> </code> for existing domain. </p>', 'DomainInfo$DomainName' => '<p> Specifies the <code>DomainName</code>.</p>', 'DomainNameList$member' => NULL, 'ElasticsearchDomainStatus$DomainName' => '<p>The name of an Elasticsearch domain. Domain names are unique across the domains owned by an account within an AWS region. Domain names start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen).</p>', 'GetCompatibleElasticsearchVersionsRequest$DomainName' => NULL, 'GetUpgradeHistoryRequest$DomainName' => NULL, 'GetUpgradeStatusRequest$DomainName' => NULL, 'ListElasticsearchInstanceTypesRequest$DomainName' => '<p>DomainName represents the name of the Domain that we are trying to modify. This should be present only if we are querying for list of available Elasticsearch instance types when modifying existing domain. </p>', 'StartElasticsearchServiceSoftwareUpdateRequest$DomainName' => '<p>The name of the domain that you want to update to the latest service software.</p>', 'UpdateElasticsearchDomainConfigRequest$DomainName' => '<p>The name of the Elasticsearch domain that you are updating. </p>', 'UpgradeElasticsearchDomainRequest$DomainName' => NULL, 'UpgradeElasticsearchDomainResponse$DomainName' => NULL, ], ], 'DomainNameList' => [ 'base' => '<p>A list of Elasticsearch domain names.</p>', 'refs' => [ 'DescribeElasticsearchDomainsRequest$DomainNames' => '<p>The Elasticsearch domains for which you want information.</p>', ], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'RecurringCharge$RecurringChargeAmount' => '<p>The monetary amount of the recurring charge.</p>', 'ReservedElasticsearchInstance$FixedPrice' => '<p>The upfront fixed charge you will paid to purchase the specific reserved Elasticsearch instance offering. </p>', 'ReservedElasticsearchInstance$UsagePrice' => '<p>The rate you are charged for each hour for the domain that is using this reserved instance.</p>', 'ReservedElasticsearchInstanceOffering$FixedPrice' => '<p>The upfront fixed charge you will pay to purchase the specific reserved Elasticsearch instance offering. </p>', 'ReservedElasticsearchInstanceOffering$UsagePrice' => '<p>The rate you are charged for each hour the domain that is using the offering is running.</p>', 'UpgradeStepItem$ProgressPercent' => '<p>The Floating point value representing progress percentage of a particular step.</p>', ], ], 'EBSOptions' => [ 'base' => '<p>Options to enable, disable, and specify the properties of EBS storage volumes. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-ebs" target="_blank"> Configuring EBS-based Storage</a>.</p>', 'refs' => [ 'CreateElasticsearchDomainRequest$EBSOptions' => '<p>Options to enable, disable and specify the type and size of EBS storage volumes. </p>', 'EBSOptionsStatus$Options' => '<p> Specifies the EBS options for the specified Elasticsearch domain.</p>', 'ElasticsearchDomainStatus$EBSOptions' => '<p>The <code>EBSOptions</code> for the specified domain. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-ebs" target="_blank">Configuring EBS-based Storage</a> for more information.</p>', 'UpdateElasticsearchDomainConfigRequest$EBSOptions' => '<p>Specify the type and size of the EBS volume that you want to use. </p>', ], ], 'EBSOptionsStatus' => [ 'base' => '<p> Status of the EBS options for the specified Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainConfig$EBSOptions' => '<p>Specifies the <code>EBSOptions</code> for the Elasticsearch domain.</p>', ], ], 'ESPartitionInstanceType' => [ 'base' => NULL, 'refs' => [ 'DescribeElasticsearchInstanceTypeLimitsRequest$InstanceType' => '<p> The instance type for an Elasticsearch cluster for which Elasticsearch <code> <a>Limits</a> </code> are needed. </p>', 'ElasticsearchClusterConfig$InstanceType' => '<p>The instance type for an Elasticsearch cluster.</p>', 'ElasticsearchClusterConfig$DedicatedMasterType' => '<p>The instance type for a dedicated master node.</p>', 'ElasticsearchInstanceTypeList$member' => NULL, 'ReservedElasticsearchInstance$ElasticsearchInstanceType' => '<p>The Elasticsearch instance type offered by the reserved instance offering.</p>', 'ReservedElasticsearchInstanceOffering$ElasticsearchInstanceType' => '<p>The Elasticsearch instance type offered by the reserved instance offering.</p>', ], ], 'ElasticsearchClusterConfig' => [ 'base' => '<p>Specifies the configuration for the domain cluster, such as the type and number of instances.</p>', 'refs' => [ 'CreateElasticsearchDomainRequest$ElasticsearchClusterConfig' => '<p>Configuration options for an Elasticsearch domain. Specifies the instance type and number of instances in the domain cluster. </p>', 'ElasticsearchClusterConfigStatus$Options' => '<p> Specifies the cluster configuration for the specified Elasticsearch domain.</p>', 'ElasticsearchDomainStatus$ElasticsearchClusterConfig' => '<p>The type and number of instances in the domain cluster.</p>', 'UpdateElasticsearchDomainConfigRequest$ElasticsearchClusterConfig' => '<p>The type and number of instances to instantiate for the domain cluster.</p>', ], ], 'ElasticsearchClusterConfigStatus' => [ 'base' => '<p> Specifies the configuration status for the specified Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainConfig$ElasticsearchClusterConfig' => '<p>Specifies the <code>ElasticsearchClusterConfig</code> for the Elasticsearch domain.</p>', ], ], 'ElasticsearchDomainConfig' => [ 'base' => '<p>The configuration of an Elasticsearch domain.</p>', 'refs' => [ 'DescribeElasticsearchDomainConfigResponse$DomainConfig' => '<p>The configuration information of the domain requested in the <code>DescribeElasticsearchDomainConfig</code> request.</p>', 'UpdateElasticsearchDomainConfigResponse$DomainConfig' => '<p>The status of the updated Elasticsearch domain. </p>', ], ], 'ElasticsearchDomainStatus' => [ 'base' => '<p>The current status of an Elasticsearch domain.</p>', 'refs' => [ 'CreateElasticsearchDomainResponse$DomainStatus' => '<p>The status of the newly created Elasticsearch domain. </p>', 'DeleteElasticsearchDomainResponse$DomainStatus' => '<p>The status of the Elasticsearch domain being deleted.</p>', 'DescribeElasticsearchDomainResponse$DomainStatus' => '<p>The current status of the Elasticsearch domain.</p>', 'ElasticsearchDomainStatusList$member' => NULL, ], ], 'ElasticsearchDomainStatusList' => [ 'base' => '<p>A list that contains the status of each requested Elasticsearch domain.</p>', 'refs' => [ 'DescribeElasticsearchDomainsResponse$DomainStatusList' => '<p>The status of the domains requested in the <code>DescribeElasticsearchDomains</code> request.</p>', ], ], 'ElasticsearchInstanceTypeList' => [ 'base' => '<p> List of instance types supported by Amazon Elasticsearch service. </p>', 'refs' => [ 'ListElasticsearchInstanceTypesResponse$ElasticsearchInstanceTypes' => '<p> List of instance types supported by Amazon Elasticsearch service for given <code> <a>ElasticsearchVersion</a> </code> </p>', ], ], 'ElasticsearchVersionList' => [ 'base' => '<p>List of supported elastic search versions. </p>', 'refs' => [ 'CompatibleVersionsMap$TargetVersions' => NULL, 'ListElasticsearchVersionsResponse$ElasticsearchVersions' => NULL, ], ], 'ElasticsearchVersionStatus' => [ 'base' => '<p> Status of the Elasticsearch version options for the specified Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainConfig$ElasticsearchVersion' => '<p>String of format X.Y to specify version for the Elasticsearch domain.</p>', ], ], 'ElasticsearchVersionString' => [ 'base' => NULL, 'refs' => [ 'CompatibleVersionsMap$SourceVersion' => '<p>The current version of Elasticsearch on which a domain is.</p>', 'CreateElasticsearchDomainRequest$ElasticsearchVersion' => '<p>String of format X.Y to specify version for the Elasticsearch domain eg. "1.5" or "2.3". For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomains" target="_blank">Creating Elasticsearch Domains</a> in the <i>Amazon Elasticsearch Service Developer Guide</i>.</p>', 'DescribeElasticsearchInstanceTypeLimitsRequest$ElasticsearchVersion' => '<p> Version of Elasticsearch for which <code> <a>Limits</a> </code> are needed. </p>', 'ElasticsearchDomainStatus$ElasticsearchVersion' => NULL, 'ElasticsearchVersionList$member' => NULL, 'ElasticsearchVersionStatus$Options' => '<p> Specifies the Elasticsearch version for the specified Elasticsearch domain.</p>', 'ListElasticsearchInstanceTypesRequest$ElasticsearchVersion' => '<p>Version of Elasticsearch for which list of supported elasticsearch instance types are needed. </p>', 'UpgradeElasticsearchDomainRequest$TargetVersion' => '<p>The version of Elasticsearch that you intend to upgrade the domain to.</p>', 'UpgradeElasticsearchDomainResponse$TargetVersion' => '<p>The version of Elasticsearch that you intend to upgrade the domain to.</p>', ], ], 'EncryptionAtRestOptions' => [ 'base' => '<p>Specifies the Encryption At Rest Options.</p>', 'refs' => [ 'CreateElasticsearchDomainRequest$EncryptionAtRestOptions' => '<p>Specifies the Encryption At Rest Options.</p>', 'ElasticsearchDomainStatus$EncryptionAtRestOptions' => '<p> Specifies the status of the <code>EncryptionAtRestOptions</code>.</p>', 'EncryptionAtRestOptionsStatus$Options' => '<p> Specifies the Encryption At Rest options for the specified Elasticsearch domain.</p>', ], ], 'EncryptionAtRestOptionsStatus' => [ 'base' => '<p> Status of the Encryption At Rest options for the specified Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainConfig$EncryptionAtRestOptions' => '<p>Specifies the <code>EncryptionAtRestOptions</code> for the Elasticsearch domain.</p>', ], ], 'EndpointsMap' => [ 'base' => NULL, 'refs' => [ 'ElasticsearchDomainStatus$Endpoints' => '<p>Map containing the Elasticsearch domain endpoints used to submit index and search requests. Example <code>key, value</code>: <code>\'vpc\',\'vpc-endpoint-h2dsd34efgyghrtguk5gt6j2foh4.us-east-1.es.amazonaws.com\'</code>.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'BaseException$message' => '<p>A description of the error.</p>', ], ], 'GUID' => [ 'base' => NULL, 'refs' => [ 'DescribeReservedElasticsearchInstanceOfferingsRequest$ReservedElasticsearchInstanceOfferingId' => '<p>The offering identifier filter value. Use this parameter to show only the available offering that matches the specified reservation identifier.</p>', 'DescribeReservedElasticsearchInstancesRequest$ReservedElasticsearchInstanceId' => '<p>The reserved instance identifier filter value. Use this parameter to show only the reservation that matches the specified reserved Elasticsearch instance ID.</p>', 'PurchaseReservedElasticsearchInstanceOfferingRequest$ReservedElasticsearchInstanceOfferingId' => '<p>The ID of the reserved Elasticsearch instance offering to purchase.</p>', 'PurchaseReservedElasticsearchInstanceOfferingResponse$ReservedElasticsearchInstanceId' => '<p>Details of the reserved Elasticsearch instance which was purchased.</p>', 'ReservedElasticsearchInstance$ReservedElasticsearchInstanceId' => '<p>The unique identifier for the reservation.</p>', 'ReservedElasticsearchInstanceOffering$ReservedElasticsearchInstanceOfferingId' => '<p>The Elasticsearch reserved instance offering identifier.</p>', ], ], 'GetCompatibleElasticsearchVersionsRequest' => [ 'base' => '<p> Container for request parameters to <code> <a>GetCompatibleElasticsearchVersions</a> </code> operation. </p>', 'refs' => [], ], 'GetCompatibleElasticsearchVersionsResponse' => [ 'base' => '<p> Container for response returned by <code> <a>GetCompatibleElasticsearchVersions</a> </code> operation. </p>', 'refs' => [], ], 'GetUpgradeHistoryRequest' => [ 'base' => '<p> Container for request parameters to <code> <a>GetUpgradeHistory</a> </code> operation. </p>', 'refs' => [], ], 'GetUpgradeHistoryResponse' => [ 'base' => '<p> Container for response returned by <code> <a>GetUpgradeHistory</a> </code> operation. </p>', 'refs' => [], ], 'GetUpgradeStatusRequest' => [ 'base' => '<p> Container for request parameters to <code> <a>GetUpgradeStatus</a> </code> operation. </p>', 'refs' => [], ], 'GetUpgradeStatusResponse' => [ 'base' => '<p> Container for response returned by <code> <a>GetUpgradeStatus</a> </code> operation. </p>', 'refs' => [], ], 'IdentityPoolId' => [ 'base' => NULL, 'refs' => [ 'CognitoOptions$IdentityPoolId' => '<p>Specifies the Cognito identity pool ID for Kibana authentication.</p>', ], ], 'InstanceCount' => [ 'base' => '<p>Specifies the number of EC2 instances in the Elasticsearch domain.</p>', 'refs' => [ 'PurchaseReservedElasticsearchInstanceOfferingRequest$InstanceCount' => '<p>The number of Elasticsearch instances to reserve.</p>', ], ], 'InstanceCountLimits' => [ 'base' => '<p> InstanceCountLimits represents the limits on number of instances that be created in Amazon Elasticsearch for given InstanceType. </p>', 'refs' => [ 'InstanceLimits$InstanceCountLimits' => NULL, ], ], 'InstanceLimits' => [ 'base' => '<p>InstanceLimits represents the list of instance related attributes that are available for given InstanceType. </p>', 'refs' => [ 'Limits$InstanceLimits' => NULL, ], ], 'InstanceRole' => [ 'base' => NULL, 'refs' => [ 'LimitsByRole$key' => NULL, ], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'ReservedElasticsearchInstance$Duration' => '<p>The duration, in seconds, for which the Elasticsearch instance is reserved.</p>', 'ReservedElasticsearchInstance$ElasticsearchInstanceCount' => '<p>The number of Elasticsearch instances that have been reserved.</p>', 'ReservedElasticsearchInstanceOffering$Duration' => '<p>The duration, in seconds, for which the offering will reserve the Elasticsearch instance.</p>', ], ], 'IntegerClass' => [ 'base' => NULL, 'refs' => [ 'EBSOptions$VolumeSize' => '<p> Integer to specify the size of an EBS volume.</p>', 'EBSOptions$Iops' => '<p>Specifies the IOPD for a Provisioned IOPS EBS volume (SSD).</p>', 'ElasticsearchClusterConfig$InstanceCount' => '<p>The number of instances in the specified domain cluster.</p>', 'ElasticsearchClusterConfig$DedicatedMasterCount' => '<p>Total number of dedicated master nodes, active and on standby, for the cluster.</p>', 'SnapshotOptions$AutomatedSnapshotStartHour' => '<p>Specifies the time, in UTC format, when the service takes a daily automated snapshot of the specified Elasticsearch domain. Default value is <code>0</code> hours.</p>', 'ZoneAwarenessConfig$AvailabilityZoneCount' => '<p>An integer value to indicate the number of availability zones for a domain when zone awareness is enabled. This should be equal to number of subnets if VPC endpoints is enabled</p>', ], ], 'InternalException' => [ 'base' => '<p>The request processing has failed because of an unknown error, exception or failure (the failure is internal to the service) . Gives http status code of 500.</p>', 'refs' => [], ], 'InvalidTypeException' => [ 'base' => '<p>An exception for trying to create or access sub-resource that is either invalid or not supported. Gives http status code of 409.</p>', 'refs' => [], ], 'Issue' => [ 'base' => NULL, 'refs' => [ 'Issues$member' => NULL, ], ], 'Issues' => [ 'base' => NULL, 'refs' => [ 'UpgradeStepItem$Issues' => '<p>A list of strings containing detailed information about the errors encountered in a particular step.</p>', ], ], 'KmsKeyId' => [ 'base' => NULL, 'refs' => [ 'EncryptionAtRestOptions$KmsKeyId' => '<p> Specifies the KMS Key ID for Encryption At Rest options.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>An exception for trying to create more than allowed resources or sub-resources. Gives http status code of 409.</p>', 'refs' => [], ], 'LimitName' => [ 'base' => NULL, 'refs' => [ 'AdditionalLimit$LimitName' => '<p> Name of Additional Limit is specific to a given InstanceType and for each of it\'s <code> <a>InstanceRole</a> </code> etc. <br/> Attributes and their details: <br/> <ul> <li>MaximumNumberOfDataNodesSupported</li> This attribute will be present in Master node only to specify how much data nodes upto which given <code> <a>ESPartitionInstanceType</a> </code> can support as master node. <li>MaximumNumberOfDataNodesWithoutMasterNode</li> This attribute will be present in Data node only to specify how much data nodes of given <code> <a>ESPartitionInstanceType</a> </code> upto which you don\'t need any master nodes to govern them. </ul> </p>', 'StorageTypeLimit$LimitName' => '<p> Name of storage limits that are applicable for given storage type. If <code> <a>StorageType</a> </code> is ebs, following storage options are applicable <ol> <li>MinimumVolumeSize</li> Minimum amount of volume size that is applicable for given storage type.It can be empty if it is not applicable. <li>MaximumVolumeSize</li> Maximum amount of volume size that is applicable for given storage type.It can be empty if it is not applicable. <li>MaximumIops</li> Maximum amount of Iops that is applicable for given storage type.It can be empty if it is not applicable. <li>MinimumIops</li> Minimum amount of Iops that is applicable for given storage type.It can be empty if it is not applicable. </ol> </p>', ], ], 'LimitValue' => [ 'base' => NULL, 'refs' => [ 'LimitValueList$member' => NULL, ], ], 'LimitValueList' => [ 'base' => NULL, 'refs' => [ 'AdditionalLimit$LimitValues' => '<p> Value for given <code> <a>AdditionalLimit$LimitName</a> </code> . </p>', 'StorageTypeLimit$LimitValues' => '<p> Values for the <code> <a>StorageTypeLimit$LimitName</a> </code> . </p>', ], ], 'Limits' => [ 'base' => '<p> Limits for given InstanceType and for each of it\'s role. <br/> Limits contains following <code> <a>StorageTypes,</a> </code> <code> <a>InstanceLimits</a> </code> and <code> <a>AdditionalLimits</a> </code> </p>', 'refs' => [ 'LimitsByRole$value' => NULL, ], ], 'LimitsByRole' => [ 'base' => '<p> Map of Role of the Instance and Limits that are applicable. Role performed by given Instance in Elasticsearch can be one of the following: <ul> <li>Data: If the given InstanceType is used as Data node</li> <li>Master: If the given InstanceType is used as Master node</li> </ul> </p>', 'refs' => [ 'DescribeElasticsearchInstanceTypeLimitsResponse$LimitsByRole' => NULL, ], ], 'ListDomainNamesResponse' => [ 'base' => '<p>The result of a <code>ListDomainNames</code> operation. Contains the names of all Elasticsearch domains owned by this account.</p>', 'refs' => [], ], 'ListElasticsearchInstanceTypesRequest' => [ 'base' => '<p> Container for the parameters to the <code> <a>ListElasticsearchInstanceTypes</a> </code> operation. </p>', 'refs' => [], ], 'ListElasticsearchInstanceTypesResponse' => [ 'base' => '<p> Container for the parameters returned by <code> <a>ListElasticsearchInstanceTypes</a> </code> operation. </p>', 'refs' => [], ], 'ListElasticsearchVersionsRequest' => [ 'base' => '<p> Container for the parameters to the <code> <a>ListElasticsearchVersions</a> </code> operation. <p> Use <code> <a>MaxResults</a> </code> to control the maximum number of results to retrieve in a single call. </p> <p> Use <code> <a>NextToken</a> </code> in response to retrieve more results. If the received response does not contain a NextToken, then there are no more results to retrieve. </p> </p>', 'refs' => [], ], 'ListElasticsearchVersionsResponse' => [ 'base' => '<p> Container for the parameters for response received from <code> <a>ListElasticsearchVersions</a> </code> operation. </p>', 'refs' => [], ], 'ListTagsRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>ListTags</a></code> operation. Specify the <code>ARN</code> for the Elasticsearch domain to which the tags are attached that you want to view are attached.</p>', 'refs' => [], ], 'ListTagsResponse' => [ 'base' => '<p>The result of a <code>ListTags</code> operation. Contains tags for all requested Elasticsearch domains.</p>', 'refs' => [], ], 'LogPublishingOption' => [ 'base' => '<p>Log Publishing option that is set for given domain. <br/>Attributes and their details: <ul> <li>CloudWatchLogsLogGroupArn: ARN of the Cloudwatch log group to which log needs to be published.</li> <li>Enabled: Whether the log publishing for given log type is enabled or not</li> </ul> </p>', 'refs' => [ 'LogPublishingOptions$value' => NULL, ], ], 'LogPublishingOptions' => [ 'base' => NULL, 'refs' => [ 'CreateElasticsearchDomainRequest$LogPublishingOptions' => '<p>Map of <code>LogType</code> and <code>LogPublishingOption</code>, each containing options to publish a given type of Elasticsearch log.</p>', 'ElasticsearchDomainStatus$LogPublishingOptions' => '<p>Log publishing options for the given domain.</p>', 'LogPublishingOptionsStatus$Options' => '<p>The log publishing options configured for the Elasticsearch domain.</p>', 'UpdateElasticsearchDomainConfigRequest$LogPublishingOptions' => '<p>Map of <code>LogType</code> and <code>LogPublishingOption</code>, each containing options to publish a given type of Elasticsearch log.</p>', ], ], 'LogPublishingOptionsStatus' => [ 'base' => '<p>The configured log publishing options for the domain and their current status.</p>', 'refs' => [ 'ElasticsearchDomainConfig$LogPublishingOptions' => '<p>Log publishing options for the given domain.</p>', ], ], 'LogType' => [ 'base' => '<p>Type of Log File, it can be one of the following: <ul> <li>INDEX_SLOW_LOGS: Index slow logs contain insert requests that took more time than configured index query log threshold to execute.</li> <li>SEARCH_SLOW_LOGS: Search slow logs contain search queries that took more time than configured search query log threshold to execute.</li> <li>ES_APPLICATION_LOGS: Elasticsearch application logs contain information about errors and warnings raised during the operation of the service and can be useful for troubleshooting.</li> </ul> </p>', 'refs' => [ 'LogPublishingOptions$key' => NULL, ], ], 'MaxResults' => [ 'base' => '<p> Set this value to limit the number of results returned. </p>', 'refs' => [ 'DescribeReservedElasticsearchInstanceOfferingsRequest$MaxResults' => '<p>Set this value to limit the number of results returned. If not specified, defaults to 100.</p>', 'DescribeReservedElasticsearchInstancesRequest$MaxResults' => '<p>Set this value to limit the number of results returned. If not specified, defaults to 100.</p>', 'GetUpgradeHistoryRequest$MaxResults' => NULL, 'ListElasticsearchInstanceTypesRequest$MaxResults' => '<p> Set this value to limit the number of results returned. Value provided must be greater than 30 else it wont be honored. </p>', 'ListElasticsearchVersionsRequest$MaxResults' => '<p> Set this value to limit the number of results returned. Value provided must be greater than 10 else it wont be honored. </p>', ], ], 'MaximumInstanceCount' => [ 'base' => '<p> Maximum number of Instances that can be instantiated for given InstanceType. </p>', 'refs' => [ 'InstanceCountLimits$MaximumInstanceCount' => NULL, ], ], 'MinimumInstanceCount' => [ 'base' => '<p> Minimum number of Instances that can be instantiated for given InstanceType. </p>', 'refs' => [ 'InstanceCountLimits$MinimumInstanceCount' => NULL, ], ], 'NextToken' => [ 'base' => '<p> Paginated APIs accepts NextToken input to returns next page results and provides a NextToken output in the response which can be used by the client to retrieve more results. </p>', 'refs' => [ 'DescribeReservedElasticsearchInstanceOfferingsRequest$NextToken' => '<p>NextToken should be sent in case if earlier API call produced result containing NextToken. It is used for pagination.</p>', 'DescribeReservedElasticsearchInstanceOfferingsResponse$NextToken' => '<p>Provides an identifier to allow retrieval of paginated results.</p>', 'DescribeReservedElasticsearchInstancesRequest$NextToken' => '<p>NextToken should be sent in case if earlier API call produced result containing NextToken. It is used for pagination.</p>', 'GetUpgradeHistoryRequest$NextToken' => NULL, 'ListElasticsearchInstanceTypesRequest$NextToken' => '<p>NextToken should be sent in case if earlier API call produced result containing NextToken. It is used for pagination. </p>', 'ListElasticsearchInstanceTypesResponse$NextToken' => '<p>In case if there are more results available NextToken would be present, make further request to the same API with received NextToken to paginate remaining results. </p>', 'ListElasticsearchVersionsRequest$NextToken' => NULL, 'ListElasticsearchVersionsResponse$NextToken' => NULL, ], ], 'NodeToNodeEncryptionOptions' => [ 'base' => '<p>Specifies the node-to-node encryption options.</p>', 'refs' => [ 'CreateElasticsearchDomainRequest$NodeToNodeEncryptionOptions' => '<p>Specifies the NodeToNodeEncryptionOptions.</p>', 'ElasticsearchDomainStatus$NodeToNodeEncryptionOptions' => '<p>Specifies the status of the <code>NodeToNodeEncryptionOptions</code>.</p>', 'NodeToNodeEncryptionOptionsStatus$Options' => '<p>Specifies the node-to-node encryption options for the specified Elasticsearch domain.</p>', ], ], 'NodeToNodeEncryptionOptionsStatus' => [ 'base' => '<p>Status of the node-to-node encryption options for the specified Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainConfig$NodeToNodeEncryptionOptions' => '<p>Specifies the <code>NodeToNodeEncryptionOptions</code> for the Elasticsearch domain.</p>', ], ], 'OptionState' => [ 'base' => '<p>The state of a requested change. One of the following:</p> <ul> <li>Processing: The request change is still in-process.</li> <li>Active: The request change is processed and deployed to the Elasticsearch domain.</li> </ul>', 'refs' => [ 'OptionStatus$State' => '<p>Provides the <code>OptionState</code> for the Elasticsearch domain.</p>', ], ], 'OptionStatus' => [ 'base' => '<p>Provides the current status of the entity.</p>', 'refs' => [ 'AccessPoliciesStatus$Status' => '<p>The status of the access policy for the Elasticsearch domain. See <code>OptionStatus</code> for the status information that\'s included. </p>', 'AdvancedOptionsStatus$Status' => '<p> Specifies the status of <code>OptionStatus</code> for advanced options for the specified Elasticsearch domain.</p>', 'CognitoOptionsStatus$Status' => '<p>Specifies the status of the Cognito options for the specified Elasticsearch domain.</p>', 'EBSOptionsStatus$Status' => '<p> Specifies the status of the EBS options for the specified Elasticsearch domain.</p>', 'ElasticsearchClusterConfigStatus$Status' => '<p> Specifies the status of the configuration for the specified Elasticsearch domain.</p>', 'ElasticsearchVersionStatus$Status' => '<p> Specifies the status of the Elasticsearch version options for the specified Elasticsearch domain.</p>', 'EncryptionAtRestOptionsStatus$Status' => '<p> Specifies the status of the Encryption At Rest options for the specified Elasticsearch domain.</p>', 'LogPublishingOptionsStatus$Status' => '<p>The status of the log publishing options for the Elasticsearch domain. See <code>OptionStatus</code> for the status information that\'s included. </p>', 'NodeToNodeEncryptionOptionsStatus$Status' => '<p>Specifies the status of the node-to-node encryption options for the specified Elasticsearch domain.</p>', 'SnapshotOptionsStatus$Status' => '<p>Specifies the status of a daily automated snapshot.</p>', 'VPCDerivedInfoStatus$Status' => '<p> Specifies the status of the VPC options for the specified Elasticsearch domain.</p>', ], ], 'PolicyDocument' => [ 'base' => '<p>Access policy rules for an Elasticsearch domain service endpoints. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-access-policies" target="_blank">Configuring Access Policies</a> in the <i>Amazon Elasticsearch Service Developer Guide</i>. The maximum size of a policy document is 100 KB.</p>', 'refs' => [ 'AccessPoliciesStatus$Options' => '<p>The access policy configured for the Elasticsearch domain. Access policies may be resource-based, IP-based, or IAM-based. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-access-policies" target="_blank"> Configuring Access Policies</a>for more information.</p>', 'CreateElasticsearchDomainRequest$AccessPolicies' => '<p> IAM access policy as a JSON-formatted string.</p>', 'ElasticsearchDomainStatus$AccessPolicies' => '<p> IAM access policy as a JSON-formatted string.</p>', 'UpdateElasticsearchDomainConfigRequest$AccessPolicies' => '<p>IAM access policy as a JSON-formatted string.</p>', ], ], 'PurchaseReservedElasticsearchInstanceOfferingRequest' => [ 'base' => '<p>Container for parameters to <code>PurchaseReservedElasticsearchInstanceOffering</code></p>', 'refs' => [], ], 'PurchaseReservedElasticsearchInstanceOfferingResponse' => [ 'base' => '<p>Represents the output of a <code>PurchaseReservedElasticsearchInstanceOffering</code> operation.</p>', 'refs' => [], ], 'RecurringCharge' => [ 'base' => '<p>Contains the specific price and frequency of a recurring charges for a reserved Elasticsearch instance, or for a reserved Elasticsearch instance offering.</p>', 'refs' => [ 'RecurringChargeList$member' => NULL, ], ], 'RecurringChargeList' => [ 'base' => NULL, 'refs' => [ 'ReservedElasticsearchInstance$RecurringCharges' => '<p>The charge to your account regardless of whether you are creating any domains using the instance offering.</p>', 'ReservedElasticsearchInstanceOffering$RecurringCharges' => '<p>The charge to your account regardless of whether you are creating any domains using the instance offering.</p>', ], ], 'RemoveTagsRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>RemoveTags</a></code> operation. Specify the <code>ARN</code> for the Elasticsearch domain from which you want to remove the specified <code>TagKey</code>.</p>', 'refs' => [], ], 'ReservationToken' => [ 'base' => NULL, 'refs' => [ 'PurchaseReservedElasticsearchInstanceOfferingRequest$ReservationName' => '<p>A customer-specified identifier to track this reservation.</p>', 'PurchaseReservedElasticsearchInstanceOfferingResponse$ReservationName' => '<p>The customer-specified identifier used to track this reservation.</p>', 'ReservedElasticsearchInstance$ReservationName' => '<p>The customer-specified identifier to track this reservation.</p>', ], ], 'ReservedElasticsearchInstance' => [ 'base' => '<p>Details of a reserved Elasticsearch instance.</p>', 'refs' => [ 'ReservedElasticsearchInstanceList$member' => NULL, ], ], 'ReservedElasticsearchInstanceList' => [ 'base' => NULL, 'refs' => [ 'DescribeReservedElasticsearchInstancesResponse$ReservedElasticsearchInstances' => '<p>List of reserved Elasticsearch instances.</p>', ], ], 'ReservedElasticsearchInstanceOffering' => [ 'base' => '<p>Details of a reserved Elasticsearch instance offering.</p>', 'refs' => [ 'ReservedElasticsearchInstanceOfferingList$member' => NULL, ], ], 'ReservedElasticsearchInstanceOfferingList' => [ 'base' => NULL, 'refs' => [ 'DescribeReservedElasticsearchInstanceOfferingsResponse$ReservedElasticsearchInstanceOfferings' => '<p>List of reserved Elasticsearch instance offerings</p>', ], ], 'ReservedElasticsearchInstancePaymentOption' => [ 'base' => NULL, 'refs' => [ 'ReservedElasticsearchInstance$PaymentOption' => '<p>The payment option as defined in the reserved Elasticsearch instance offering.</p>', 'ReservedElasticsearchInstanceOffering$PaymentOption' => '<p>Payment option for the reserved Elasticsearch instance offering</p>', ], ], 'ResourceAlreadyExistsException' => [ 'base' => '<p>An exception for creating a resource that already exists. Gives http status code of 400.</p>', 'refs' => [], ], 'ResourceNotFoundException' => [ 'base' => '<p>An exception for accessing or deleting a resource that does not exist. Gives http status code of 400.</p>', 'refs' => [], ], 'RoleArn' => [ 'base' => NULL, 'refs' => [ 'CognitoOptions$RoleArn' => '<p>Specifies the role ARN that provides Elasticsearch permissions for accessing Cognito resources.</p>', ], ], 'ServiceSoftwareOptions' => [ 'base' => '<p>The current options of an Elasticsearch domain service software options.</p>', 'refs' => [ 'CancelElasticsearchServiceSoftwareUpdateResponse$ServiceSoftwareOptions' => '<p>The current status of the Elasticsearch service software update.</p>', 'ElasticsearchDomainStatus$ServiceSoftwareOptions' => '<p>The current status of the Elasticsearch domain\'s service software.</p>', 'StartElasticsearchServiceSoftwareUpdateResponse$ServiceSoftwareOptions' => '<p>The current status of the Elasticsearch service software update.</p>', ], ], 'ServiceUrl' => [ 'base' => '<p>The endpoint to which service requests are submitted. For example, <code>search-imdb-movies-oopcnjfn6ugofer3zx5iadxxca.eu-west-1.es.amazonaws.com</code> or <code>doc-imdb-movies-oopcnjfn6ugofer3zx5iadxxca.eu-west-1.es.amazonaws.com</code>.</p>', 'refs' => [ 'ElasticsearchDomainStatus$Endpoint' => '<p>The Elasticsearch domain endpoint that you use to submit index and search requests.</p>', 'EndpointsMap$value' => NULL, ], ], 'SnapshotOptions' => [ 'base' => '<p>Specifies the time, in UTC format, when the service takes a daily automated snapshot of the specified Elasticsearch domain. Default value is <code>0</code> hours.</p>', 'refs' => [ 'CreateElasticsearchDomainRequest$SnapshotOptions' => '<p>Option to set time, in UTC format, of the daily automated snapshot. Default value is 0 hours. </p>', 'ElasticsearchDomainStatus$SnapshotOptions' => '<p>Specifies the status of the <code>SnapshotOptions</code></p>', 'SnapshotOptionsStatus$Options' => '<p>Specifies the daily snapshot options specified for the Elasticsearch domain.</p>', 'UpdateElasticsearchDomainConfigRequest$SnapshotOptions' => '<p>Option to set the time, in UTC format, for the daily automated snapshot. Default value is <code>0</code> hours. </p>', ], ], 'SnapshotOptionsStatus' => [ 'base' => '<p>Status of a daily automated snapshot.</p>', 'refs' => [ 'ElasticsearchDomainConfig$SnapshotOptions' => '<p>Specifies the <code>SnapshotOptions</code> for the Elasticsearch domain.</p>', ], ], 'StartElasticsearchServiceSoftwareUpdateRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>StartElasticsearchServiceSoftwareUpdate</a></code> operation. Specifies the name of the Elasticsearch domain that you wish to schedule a service software update on.</p>', 'refs' => [], ], 'StartElasticsearchServiceSoftwareUpdateResponse' => [ 'base' => '<p>The result of a <code>StartElasticsearchServiceSoftwareUpdate</code> operation. Contains the status of the update.</p>', 'refs' => [], ], 'StartTimestamp' => [ 'base' => NULL, 'refs' => [ 'UpgradeHistory$StartTimestamp' => '<p>UTC Timestamp at which the Upgrade API call was made in "yyyy-MM-ddTHH:mm:ssZ" format.</p>', ], ], 'StorageSubTypeName' => [ 'base' => '<p> SubType of the given storage type. List of available sub-storage options: For "instance" storageType we wont have any storageSubType, in case of "ebs" storageType we will have following valid storageSubTypes <ol> <li>standard</li> <li>gp2</li> <li>io1</li> </ol> Refer <code><a>VolumeType</a></code> for more information regarding above EBS storage options. </p>', 'refs' => [ 'StorageType$StorageSubTypeName' => NULL, ], ], 'StorageType' => [ 'base' => '<p>StorageTypes represents the list of storage related types and their attributes that are available for given InstanceType. </p>', 'refs' => [ 'StorageTypeList$member' => NULL, ], ], 'StorageTypeLimit' => [ 'base' => '<p>Limits that are applicable for given storage type. </p>', 'refs' => [ 'StorageTypeLimitList$member' => NULL, ], ], 'StorageTypeLimitList' => [ 'base' => NULL, 'refs' => [ 'StorageType$StorageTypeLimits' => '<p>List of limits that are applicable for given storage type. </p>', ], ], 'StorageTypeList' => [ 'base' => NULL, 'refs' => [ 'Limits$StorageTypes' => '<p>StorageType represents the list of storage related types and attributes that are available for given InstanceType. </p>', ], ], 'StorageTypeName' => [ 'base' => '<p> Type of the storage. List of available storage options: <ol> <li>instance</li> Inbuilt storage available for the given Instance <li>ebs</li> Elastic block storage that would be attached to the given Instance </ol> </p>', 'refs' => [ 'StorageType$StorageTypeName' => NULL, ], ], 'String' => [ 'base' => NULL, 'refs' => [ 'AdvancedOptions$key' => NULL, 'AdvancedOptions$value' => NULL, 'DescribeReservedElasticsearchInstancesResponse$NextToken' => '<p>Provides an identifier to allow retrieval of paginated results.</p>', 'EndpointsMap$key' => NULL, 'GetUpgradeHistoryResponse$NextToken' => '<p>Pagination token that needs to be supplied to the next call to get the next page of results</p>', 'RecurringCharge$RecurringChargeFrequency' => '<p>The frequency of the recurring charge.</p>', 'ReservedElasticsearchInstance$ReservedElasticsearchInstanceOfferingId' => '<p>The offering identifier.</p>', 'ReservedElasticsearchInstance$CurrencyCode' => '<p>The currency code for the reserved Elasticsearch instance offering.</p>', 'ReservedElasticsearchInstance$State' => '<p>The state of the reserved Elasticsearch instance.</p>', 'ReservedElasticsearchInstanceOffering$CurrencyCode' => '<p>The currency code for the reserved Elasticsearch instance offering.</p>', 'ServiceSoftwareOptions$CurrentVersion' => '<p>The current service software version that is present on the domain.</p>', 'ServiceSoftwareOptions$NewVersion' => '<p>The new service software version if one is available.</p>', 'ServiceSoftwareOptions$Description' => '<p>The description of the <code>UpdateStatus</code>.</p>', 'StringList$member' => NULL, 'VPCDerivedInfo$VPCId' => '<p>The VPC Id for the Elasticsearch domain. Exists only if the domain was created with VPCOptions.</p>', ], ], 'StringList' => [ 'base' => NULL, 'refs' => [ 'RemoveTagsRequest$TagKeys' => '<p>Specifies the <code>TagKey</code> list which you want to remove from the Elasticsearch domain.</p>', 'VPCDerivedInfo$SubnetIds' => '<p>Specifies the subnets for VPC endpoint.</p>', 'VPCDerivedInfo$AvailabilityZones' => '<p>The availability zones for the Elasticsearch domain. Exists only if the domain was created with VPCOptions.</p>', 'VPCDerivedInfo$SecurityGroupIds' => '<p>Specifies the security groups for VPC endpoint.</p>', 'VPCOptions$SubnetIds' => '<p>Specifies the subnets for VPC endpoint.</p>', 'VPCOptions$SecurityGroupIds' => '<p>Specifies the security groups for VPC endpoint.</p>', ], ], 'Tag' => [ 'base' => '<p>Specifies a key value pair for a resource tag.</p>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagKey' => [ 'base' => '<p>A string of length from 1 to 128 characters that specifies the key for a Tag. Tag keys must be unique for the Elasticsearch domain to which they are attached.</p>', 'refs' => [ 'Tag$Key' => '<p>Specifies the <code>TagKey</code>, the name of the tag. Tag keys must be unique for the Elasticsearch domain to which they are attached.</p>', ], ], 'TagList' => [ 'base' => '<p>A list of <code>Tag</code> </p>', 'refs' => [ 'AddTagsRequest$TagList' => '<p> List of <code>Tag</code> that need to be added for the Elasticsearch domain. </p>', 'ListTagsResponse$TagList' => '<p> List of <code>Tag</code> for the requested Elasticsearch domain.</p>', ], ], 'TagValue' => [ 'base' => '<p>A string of length from 0 to 256 characters that specifies the value for a Tag. Tag values can be null and do not have to be unique in a tag set.</p>', 'refs' => [ 'Tag$Value' => '<p>Specifies the <code>TagValue</code>, the value assigned to the corresponding tag key. Tag values can be null and do not have to be unique in a tag set. For example, you can have a key value pair in a tag set of <code>project : Trinity</code> and <code>cost-center : Trinity</code></p>', ], ], 'UIntValue' => [ 'base' => NULL, 'refs' => [ 'OptionStatus$UpdateVersion' => '<p>Specifies the latest version for the entity.</p>', ], ], 'UpdateElasticsearchDomainConfigRequest' => [ 'base' => '<p>Container for the parameters to the <code><a>UpdateElasticsearchDomain</a></code> operation. Specifies the type and number of instances in the domain cluster.</p>', 'refs' => [], ], 'UpdateElasticsearchDomainConfigResponse' => [ 'base' => '<p>The result of an <code>UpdateElasticsearchDomain</code> request. Contains the status of the Elasticsearch domain being updated.</p>', 'refs' => [], ], 'UpdateTimestamp' => [ 'base' => NULL, 'refs' => [ 'OptionStatus$CreationDate' => '<p>Timestamp which tells the creation date for the entity.</p>', 'OptionStatus$UpdateDate' => '<p>Timestamp which tells the last updated time for the entity.</p>', 'ReservedElasticsearchInstance$StartTime' => '<p>The time the reservation started.</p>', ], ], 'UpgradeElasticsearchDomainRequest' => [ 'base' => '<p> Container for request parameters to <code> <a>UpgradeElasticsearchDomain</a> </code> operation. </p>', 'refs' => [], ], 'UpgradeElasticsearchDomainResponse' => [ 'base' => '<p> Container for response returned by <code> <a>UpgradeElasticsearchDomain</a> </code> operation. </p>', 'refs' => [], ], 'UpgradeHistory' => [ 'base' => '<p>History of the last 10 Upgrades and Upgrade Eligibility Checks.</p>', 'refs' => [ 'UpgradeHistoryList$member' => NULL, ], ], 'UpgradeHistoryList' => [ 'base' => NULL, 'refs' => [ 'GetUpgradeHistoryResponse$UpgradeHistories' => '<p> A list of <code> <a>UpgradeHistory</a> </code> objects corresponding to each Upgrade or Upgrade Eligibility Check performed on a domain returned as part of <code> <a>GetUpgradeHistoryResponse</a> </code> object. </p>', ], ], 'UpgradeName' => [ 'base' => NULL, 'refs' => [ 'GetUpgradeStatusResponse$UpgradeName' => '<p>A string that describes the update briefly</p>', 'UpgradeHistory$UpgradeName' => '<p>A string that describes the update briefly</p>', ], ], 'UpgradeStatus' => [ 'base' => NULL, 'refs' => [ 'GetUpgradeStatusResponse$StepStatus' => '<p> One of 4 statuses that a step can go through returned as part of the <code> <a>GetUpgradeStatusResponse</a> </code> object. The status can take one of the following values: <ul> <li>In Progress</li> <li>Succeeded</li> <li>Succeeded with Issues</li> <li>Failed</li> </ul> </p>', 'UpgradeHistory$UpgradeStatus' => '<p> The overall status of the update. The status can take one of the following values: <ul> <li>In Progress</li> <li>Succeeded</li> <li>Succeeded with Issues</li> <li>Failed</li> </ul> </p>', 'UpgradeStepItem$UpgradeStepStatus' => '<p> The status of a particular step during an upgrade. The status can take one of the following values: <ul> <li>In Progress</li> <li>Succeeded</li> <li>Succeeded with Issues</li> <li>Failed</li> </ul> </p>', ], ], 'UpgradeStep' => [ 'base' => NULL, 'refs' => [ 'GetUpgradeStatusResponse$UpgradeStep' => '<p> Represents one of 3 steps that an Upgrade or Upgrade Eligibility Check does through: <ul> <li>PreUpgradeCheck</li> <li>Snapshot</li> <li>Upgrade</li> </ul> </p>', 'UpgradeStepItem$UpgradeStep' => '<p> Represents one of 3 steps that an Upgrade or Upgrade Eligibility Check does through: <ul> <li>PreUpgradeCheck</li> <li>Snapshot</li> <li>Upgrade</li> </ul> </p>', ], ], 'UpgradeStepItem' => [ 'base' => '<p>Represents a single step of the Upgrade or Upgrade Eligibility Check workflow.</p>', 'refs' => [ 'UpgradeStepsList$member' => NULL, ], ], 'UpgradeStepsList' => [ 'base' => NULL, 'refs' => [ 'UpgradeHistory$StepsList' => '<p> A list of <code> <a>UpgradeStepItem</a> </code> s representing information about each step performed as pard of a specific Upgrade or Upgrade Eligibility Check. </p>', ], ], 'UserPoolId' => [ 'base' => NULL, 'refs' => [ 'CognitoOptions$UserPoolId' => '<p>Specifies the Cognito user pool ID for Kibana authentication.</p>', ], ], 'VPCDerivedInfo' => [ 'base' => '<p>Options to specify the subnets and security groups for VPC endpoint. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html" target="_blank"> VPC Endpoints for Amazon Elasticsearch Service Domains</a>.</p>', 'refs' => [ 'ElasticsearchDomainStatus$VPCOptions' => '<p>The <code>VPCOptions</code> for the specified domain. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html" target="_blank">VPC Endpoints for Amazon Elasticsearch Service Domains</a>.</p>', 'VPCDerivedInfoStatus$Options' => '<p> Specifies the VPC options for the specified Elasticsearch domain.</p>', ], ], 'VPCDerivedInfoStatus' => [ 'base' => '<p> Status of the VPC options for the specified Elasticsearch domain.</p>', 'refs' => [ 'ElasticsearchDomainConfig$VPCOptions' => '<p>The <code>VPCOptions</code> for the specified domain. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html" target="_blank">VPC Endpoints for Amazon Elasticsearch Service Domains</a>.</p>', ], ], 'VPCOptions' => [ 'base' => '<p>Options to specify the subnets and security groups for VPC endpoint. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html" target="_blank"> VPC Endpoints for Amazon Elasticsearch Service Domains</a>.</p>', 'refs' => [ 'CreateElasticsearchDomainRequest$VPCOptions' => '<p>Options to specify the subnets and security groups for VPC endpoint. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html#es-creating-vpc" target="_blank">Creating a VPC</a> in <i>VPC Endpoints for Amazon Elasticsearch Service Domains</i></p>', 'UpdateElasticsearchDomainConfigRequest$VPCOptions' => '<p>Options to specify the subnets and security groups for VPC endpoint. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html#es-creating-vpc" target="_blank">Creating a VPC</a> in <i>VPC Endpoints for Amazon Elasticsearch Service Domains</i></p>', ], ], 'ValidationException' => [ 'base' => '<p>An exception for missing / invalid input fields. Gives http status code of 400.</p>', 'refs' => [], ], 'VolumeType' => [ 'base' => '<p> The type of EBS volume, standard, gp2, or io1. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-ebs" target="_blank">Configuring EBS-based Storage</a>for more information.</p>', 'refs' => [ 'EBSOptions$VolumeType' => '<p> Specifies the volume type for EBS-based storage.</p>', ], ], 'ZoneAwarenessConfig' => [ 'base' => '<p>Specifies the zone awareness configuration for the domain cluster, such as the number of availability zones.</p>', 'refs' => [ 'ElasticsearchClusterConfig$ZoneAwarenessConfig' => '<p>Specifies the zone awareness configuration for a domain when zone awareness is enabled.</p>', ], ], ],];
