<?php
// This file was auto-generated from sdk-root/src/data/guardduty/2017-11-28/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon GuardDuty is a continuous security monitoring service that analyzes and processes the following data sources: VPC Flow Logs, AWS CloudTrail event logs, and DNS logs. It uses threat intelligence feeds, such as lists of malicious IPs and domains, and machine learning to identify unexpected and potentially unauthorized and malicious activity within your AWS environment. This can include issues like escalations of privileges, uses of exposed credentials, or communication with malicious IPs, URLs, or domains. For example, GuardDuty can detect compromised EC2 instances serving malware or mining bitcoin. It also monitors AWS account access behavior for signs of compromise, such as unauthorized infrastructure deployments, like instances deployed in a region that has never been used, or unusual API calls, like a password policy change to reduce password strength. GuardDuty informs you of the status of your AWS environment by producing security findings that you can view in the GuardDuty console or through Amazon CloudWatch events. For more information, see <a href="https://docs.aws.amazon.com/guardduty/latest/ug/what-is-guardduty.html"> Amazon GuardDuty User Guide</a>. </p>', 'operations' => [ 'AcceptInvitation' => '<p>Accepts the invitation to be monitored by a master GuardDuty account.</p>', 'ArchiveFindings' => '<p>Archives GuardDuty findings specified by the list of finding IDs.</p> <note> <p>Only the master account can archive findings. Member accounts do not have permission to archive findings from their accounts.</p> </note>', 'CreateDetector' => '<p>Creates a single Amazon GuardDuty detector. A detector is a resource that represents the GuardDuty service. To start using GuardDuty, you must create a detector in each region that you enable the service. You can have only one detector per account per region.</p>', 'CreateFilter' => '<p>Creates a filter using the specified finding criteria.</p>', 'CreateIPSet' => '<p>Creates a new IPSet - a list of trusted IP addresses that have been whitelisted for secure communication with AWS infrastructure and applications.</p>', 'CreateMembers' => '<p>Creates member accounts of the current AWS account by specifying a list of AWS account IDs. The current AWS account can then invite these members to manage GuardDuty in their accounts.</p>', 'CreateSampleFindings' => '<p>Generates example findings of types specified by the list of finding types. If \'NULL\' is specified for findingTypes, the API generates example findings of all supported finding types.</p>', 'CreateThreatIntelSet' => '<p>Create a new ThreatIntelSet. ThreatIntelSets consist of known malicious IP addresses. GuardDuty generates findings based on ThreatIntelSets.</p>', 'DeclineInvitations' => '<p>Declines invitations sent to the current member account by AWS account specified by their account IDs.</p>', 'DeleteDetector' => '<p>Deletes a Amazon GuardDuty detector specified by the detector ID.</p>', 'DeleteFilter' => '<p>Deletes the filter specified by the filter name.</p>', 'DeleteIPSet' => '<p>Deletes the IPSet specified by the IPSet ID.</p>', 'DeleteInvitations' => '<p>Deletes invitations sent to the current member account by AWS accounts specified by their account IDs.</p>', 'DeleteMembers' => '<p>Deletes GuardDuty member accounts (to the current GuardDuty master account) specified by the account IDs.</p>', 'DeleteThreatIntelSet' => '<p>Deletes ThreatIntelSet specified by the ThreatIntelSet ID.</p>', 'DisassociateFromMasterAccount' => '<p>Disassociates the current GuardDuty member account from its master account.</p>', 'DisassociateMembers' => '<p>Disassociates GuardDuty member accounts (to the current GuardDuty master account) specified by the account IDs.</p>', 'GetDetector' => '<p>Retrieves an Amazon GuardDuty detector specified by the detectorId.</p>', 'GetFilter' => '<p>Returns the details of the filter specified by the filter name.</p>', 'GetFindings' => '<p>Describes Amazon GuardDuty findings specified by finding IDs.</p>', 'GetFindingsStatistics' => '<p>Lists Amazon GuardDuty findings\' statistics for the specified detector ID.</p>', 'GetIPSet' => '<p>Retrieves the IPSet specified by the IPSet ID.</p>', 'GetInvitationsCount' => '<p>Returns the count of all GuardDuty membership invitations that were sent to the current member account except the currently accepted invitation.</p>', 'GetMasterAccount' => '<p>Provides the details for the GuardDuty master account associated with the current GuardDuty member account.</p>', 'GetMembers' => '<p>Retrieves GuardDuty member accounts (to the current GuardDuty master account) specified by the account IDs.</p>', 'GetThreatIntelSet' => '<p>Retrieves the ThreatIntelSet that is specified by the ThreatIntelSet ID.</p>', 'InviteMembers' => '<p>Invites other AWS accounts (created as members of the current AWS account by CreateMembers) to enable GuardDuty and allow the current AWS account to view and manage these accounts\' GuardDuty findings on their behalf as the master account.</p>', 'ListDetectors' => '<p>Lists detectorIds of all the existing Amazon GuardDuty detector resources.</p>', 'ListFilters' => '<p>Returns a paginated list of the current filters.</p>', 'ListFindings' => '<p>Lists Amazon GuardDuty findings for the specified detector ID.</p>', 'ListIPSets' => '<p>Lists the IPSets of the GuardDuty service specified by the detector ID.</p>', 'ListInvitations' => '<p>Lists all GuardDuty membership invitations that were sent to the current AWS account.</p>', 'ListMembers' => '<p>Lists details about all member accounts for the current GuardDuty master account.</p>', 'ListTagsForResource' => '<p>Lists tags for a resource. Tagging is currently supported for detectors, finding filters, IP sets, and Threat Intel sets, with a limit of 50 tags per resource. When invoked, this operation returns all assigned tags for a given resource..</p>', 'ListThreatIntelSets' => '<p>Lists the ThreatIntelSets of the GuardDuty service specified by the detector ID.</p>', 'StartMonitoringMembers' => '<p>Re-enables GuardDuty to monitor findings of the member accounts specified by the account IDs. A master GuardDuty account can run this command after disabling GuardDuty from monitoring these members\' findings by running StopMonitoringMembers.</p>', 'StopMonitoringMembers' => '<p>Disables GuardDuty from monitoring findings of the member accounts specified by the account IDs. After running this command, a master GuardDuty account can run StartMonitoringMembers to re-enable GuardDuty to monitor these members’ findings.</p>', 'TagResource' => '<p>Adds tags to a resource.</p>', 'UnarchiveFindings' => '<p>Unarchives Amazon GuardDuty findings specified by the list of finding IDs.</p>', 'UntagResource' => '<p>Removes tags from a resource.</p>', 'UpdateDetector' => '<p>Updates an Amazon GuardDuty detector specified by the detectorId.</p>', 'UpdateFilter' => '<p>Updates the filter specified by the filter name.</p>', 'UpdateFindingsFeedback' => '<p>Marks specified Amazon GuardDuty findings as useful or not useful.</p>', 'UpdateIPSet' => '<p>Updates the IPSet specified by the IPSet ID.</p>', 'UpdateThreatIntelSet' => '<p>Updates the ThreatIntelSet specified by ThreatIntelSet ID.</p>', ], 'shapes' => [ 'AcceptInvitationRequest' => [ 'base' => NULL, 'refs' => [], ], 'AcceptInvitationResponse' => [ 'base' => NULL, 'refs' => [], ], 'AccessKeyDetails' => [ 'base' => '<p>Contains information about the access keys.</p>', 'refs' => [ 'Resource$AccessKeyDetails' => '<p>The IAM access key details (IAM user information) of a user that engaged in the activity that prompted GuardDuty to generate a finding.</p>', ], ], 'AccountDetail' => [ 'base' => '<p>Contains information about the account.</p>', 'refs' => [ 'AccountDetails$member' => NULL, ], ], 'AccountDetails' => [ 'base' => NULL, 'refs' => [ 'CreateMembersRequest$AccountDetails' => '<p>A list of account ID and email address pairs of the accounts that you want to associate with the master GuardDuty account.</p>', ], ], 'AccountId' => [ 'base' => NULL, 'refs' => [ 'AccountDetail$AccountId' => '<p>Member account ID.</p>', 'AccountIds$member' => NULL, 'Invitation$AccountId' => '<p>Inviter account ID</p>', 'Master$AccountId' => '<p>The ID of the account used as the Master account.</p>', 'Member$AccountId' => '<p>Member account ID.</p>', 'UnprocessedAccount$AccountId' => '<p>AWS Account ID.</p>', ], ], 'AccountIds' => [ 'base' => NULL, 'refs' => [ 'DeclineInvitationsRequest$AccountIds' => '<p>A list of account IDs of the AWS accounts that sent invitations to the current member account that you want to decline invitations from.</p>', 'DeleteInvitationsRequest$AccountIds' => '<p>A list of account IDs of the AWS accounts that sent invitations to the current member account that you want to delete invitations from.</p>', 'DeleteMembersRequest$AccountIds' => '<p>A list of account IDs of the GuardDuty member accounts that you want to delete.</p>', 'DisassociateMembersRequest$AccountIds' => '<p>A list of account IDs of the GuardDuty member accounts that you want to disassociate from master.</p>', 'GetMembersRequest$AccountIds' => '<p>A list of account IDs of the GuardDuty member accounts that you want to describe.</p>', 'InviteMembersRequest$AccountIds' => '<p>A list of account IDs of the accounts that you want to invite to GuardDuty as members.</p>', 'StartMonitoringMembersRequest$AccountIds' => '<p>A list of account IDs of the GuardDuty member accounts whose findings you want the master account to monitor.</p>', 'StopMonitoringMembersRequest$AccountIds' => '<p>A list of account IDs of the GuardDuty member accounts whose findings you want the master account to stop monitoring.</p>', ], ], 'Action' => [ 'base' => '<p>Contains information about action.</p>', 'refs' => [ 'Service$Action' => '<p>Information about the activity described in a finding.</p>', ], ], 'ArchiveFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ArchiveFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'AwsApiCallAction' => [ 'base' => '<p>Contains information about the API operation.</p>', 'refs' => [ 'Action$AwsApiCallAction' => '<p>Information about the AWS_API_CALL action described in this finding.</p>', ], ], 'BadRequestException' => [ 'base' => '<p>Bad request exception object.</p>', 'refs' => [], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'CreateDetectorRequest$Enable' => '<p>A boolean value that specifies whether the detector is to be enabled.</p>', 'CreateIPSetRequest$Activate' => '<p>A boolean value that indicates whether GuardDuty is to start using the uploaded IPSet.</p>', 'CreateThreatIntelSetRequest$Activate' => '<p>A boolean value that indicates whether GuardDuty is to start using the uploaded ThreatIntelSet.</p>', 'InviteMembersRequest$DisableEmailNotification' => '<p>A boolean value that specifies whether you want to disable email notification to the accounts that you’re inviting to GuardDuty as members.</p>', 'NetworkConnectionAction$Blocked' => '<p>Network connection blocked information.</p>', 'PortProbeAction$Blocked' => '<p>Port probe blocked information.</p>', 'Service$Archived' => '<p>Indicates whether this finding is archived.</p>', 'UpdateDetectorRequest$Enable' => '<p>Updated boolean value for the detector that specifies whether the detector is enabled.</p>', 'UpdateIPSetRequest$Activate' => '<p>The updated boolean value that specifies whether the IPSet is active or not.</p>', 'UpdateThreatIntelSetRequest$Activate' => '<p>The updated boolean value that specifies whether the ThreateIntelSet is active or not.</p>', ], ], 'City' => [ 'base' => '<p>Contains information about the city associated with the IP address.</p>', 'refs' => [ 'RemoteIpDetails$City' => '<p>City information of the remote IP address.</p>', ], ], 'ClientToken' => [ 'base' => NULL, 'refs' => [ 'CreateDetectorRequest$ClientToken' => '<p>The idempotency token for the create request.</p>', 'CreateFilterRequest$ClientToken' => '<p>The idempotency token for the create request.</p>', 'CreateIPSetRequest$ClientToken' => '<p>The idempotency token for the create request.</p>', 'CreateThreatIntelSetRequest$ClientToken' => '<p>The idempotency token for the create request.</p>', ], ], 'Condition' => [ 'base' => '<p>Contains information about the condition.</p>', 'refs' => [ 'Criterion$value' => NULL, ], ], 'CountBySeverity' => [ 'base' => NULL, 'refs' => [ 'FindingStatistics$CountBySeverity' => '<p>Represents a map of severity to count statistic for a set of findings</p>', ], ], 'Country' => [ 'base' => '<p>Contains information about the country.</p>', 'refs' => [ 'RemoteIpDetails$Country' => '<p>Country code of the remote IP address.</p>', ], ], 'CreateDetectorRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDetectorResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateFilterRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateFilterResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateIPSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateIPSetResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateSampleFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateSampleFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateThreatIntelSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateThreatIntelSetResponse' => [ 'base' => NULL, 'refs' => [], ], 'Criterion' => [ 'base' => NULL, 'refs' => [ 'FindingCriteria$Criterion' => '<p>Represents a map of finding properties that match specified conditions and values when querying findings.</p>', ], ], 'DeclineInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeclineInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDetectorRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDetectorResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteFilterRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteFilterResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteIPSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteIPSetResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteThreatIntelSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteThreatIntelSetResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetectorId' => [ 'base' => NULL, 'refs' => [ 'AcceptInvitationRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty member account.</p>', 'ArchiveFindingsRequest$DetectorId' => '<p>The ID of the detector that specifies the GuardDuty service whose findings you want to archive.</p>', 'CreateDetectorResponse$DetectorId' => '<p>The unique ID of the created detector.</p>', 'CreateFilterRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account for which you want to create a filter.</p>', 'CreateIPSetRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account for which you want to create an IPSet.</p>', 'CreateMembersRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account with which you want to associate member accounts.</p>', 'CreateSampleFindingsRequest$DetectorId' => '<p>The ID of the detector to create sample findings for.</p>', 'CreateThreatIntelSetRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account for which you want to create a threatIntelSet.</p>', 'DeleteDetectorRequest$DetectorId' => '<p>The unique ID of the detector that you want to delete.</p>', 'DeleteFilterRequest$DetectorId' => '<p>The unique ID of the detector the filter is associated with.</p>', 'DeleteIPSetRequest$DetectorId' => '<p>The unique ID of the detector the ipSet is associated with.</p>', 'DeleteMembersRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account whose members you want to delete.</p>', 'DeleteThreatIntelSetRequest$DetectorId' => '<p>The unique ID of the detector the threatIntelSet is associated with.</p>', 'DetectorIds$member' => NULL, 'DisassociateFromMasterAccountRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty member account.</p>', 'DisassociateMembersRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account whose members you want to disassociate from master.</p>', 'GetDetectorRequest$DetectorId' => '<p>The unique ID of the detector that you want to get.</p>', 'GetFilterRequest$DetectorId' => '<p>The unique ID of the detector the filter is associated with.</p>', 'GetFindingsRequest$DetectorId' => '<p>The ID of the detector that specifies the GuardDuty service whose findings you want to retrieve.</p>', 'GetFindingsStatisticsRequest$DetectorId' => '<p>The ID of the detector that specifies the GuardDuty service whose findings\' statistics you want to retrieve.</p>', 'GetIPSetRequest$DetectorId' => '<p>The unique ID of the detector the ipSet is associated with.</p>', 'GetMasterAccountRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty member account.</p>', 'GetMembersRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account whose members you want to retrieve.</p>', 'GetThreatIntelSetRequest$DetectorId' => '<p>The unique ID of the detector the threatIntelSet is associated with.</p>', 'InviteMembersRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account with which you want to invite members.</p>', 'ListFiltersRequest$DetectorId' => '<p>The unique ID of the detector the filter is associated with.</p>', 'ListFindingsRequest$DetectorId' => '<p>The ID of the detector that specifies the GuardDuty service whose findings you want to list.</p>', 'ListIPSetsRequest$DetectorId' => '<p>The unique ID of the detector the ipSet is associated with.</p>', 'ListMembersRequest$DetectorId' => '<p>The unique ID of the detector the member is associated with.</p>', 'ListThreatIntelSetsRequest$DetectorId' => '<p>The unique ID of the detector the threatIntelSet is associated with.</p>', 'Member$DetectorId' => '<p>Member account\'s detector ID.</p>', 'Service$DetectorId' => '<p>Detector ID for the GuardDuty service.</p>', 'StartMonitoringMembersRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account whom you want to re-enable to monitor members\' findings.</p>', 'StopMonitoringMembersRequest$DetectorId' => '<p>The unique ID of the detector of the GuardDuty account that you want to stop from monitor members\' findings.</p>', 'UnarchiveFindingsRequest$DetectorId' => '<p>The ID of the detector that specifies the GuardDuty service whose findings you want to unarchive.</p>', 'UpdateDetectorRequest$DetectorId' => '<p>The unique ID of the detector that you want to update.</p>', 'UpdateFilterRequest$DetectorId' => '<p>The unique ID of the detector that specifies the GuardDuty service where you want to update a filter.</p>', 'UpdateFindingsFeedbackRequest$DetectorId' => '<p>The ID of the detector that specifies the GuardDuty service whose findings you want to mark as useful or not useful.</p>', 'UpdateIPSetRequest$DetectorId' => '<p>The detectorID that specifies the GuardDuty service whose IPSet you want to update.</p>', 'UpdateThreatIntelSetRequest$DetectorId' => '<p>The detectorID that specifies the GuardDuty service whose ThreatIntelSet you want to update.</p>', ], ], 'DetectorIds' => [ 'base' => NULL, 'refs' => [ 'ListDetectorsResponse$DetectorIds' => '<p>A list of detector Ids.</p>', ], ], 'DetectorStatus' => [ 'base' => NULL, 'refs' => [ 'GetDetectorResponse$Status' => '<p>The detector status.</p>', ], ], 'DisassociateFromMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DnsRequestAction' => [ 'base' => '<p>Contains information about the DNS request.</p>', 'refs' => [ 'Action$DnsRequestAction' => '<p>Information about the DNS_REQUEST action described in this finding.</p>', ], ], 'DomainDetails' => [ 'base' => '<p>Contains information about the domain.</p>', 'refs' => [ 'AwsApiCallAction$DomainDetails' => '<p>Domain information for the AWS API call.</p>', ], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'Finding$Confidence' => '<p>The confidence score for the finding.</p>', 'Finding$Severity' => '<p>The severity of the finding.</p>', 'GeoLocation$Lat' => '<p>Latitude information of remote IP address.</p>', 'GeoLocation$Lon' => '<p>Longitude information of remote IP address.</p>', ], ], 'Email' => [ 'base' => NULL, 'refs' => [ 'AccountDetail$Email' => '<p>Member account\'s email address.</p>', 'Member$Email' => '<p>Member account\'s email address.</p>', ], ], 'Eq' => [ 'base' => NULL, 'refs' => [ 'Condition$Eq' => '<p>Deprecated. Represents the equal condition to be applied to a single field when querying for findings.</p>', ], ], 'Equals' => [ 'base' => NULL, 'refs' => [ 'Condition$Equals' => '<p>Represents an <b>equal</b> condition to be applied to a single field when querying for findings.</p>', ], ], 'Evidence' => [ 'base' => '<p>Contains information about the reason that the finding was generated.</p>', 'refs' => [ 'Service$Evidence' => '<p>An evidence object associated with the service.</p>', ], ], 'Feedback' => [ 'base' => NULL, 'refs' => [ 'UpdateFindingsFeedbackRequest$Feedback' => '<p>Valid values: USEFUL | NOT_USEFUL</p>', ], ], 'FilterAction' => [ 'base' => NULL, 'refs' => [ 'CreateFilterRequest$Action' => '<p>Specifies the action that is to be applied to the findings that match the filter.</p>', 'GetFilterResponse$Action' => '<p>Specifies the action that is to be applied to the findings that match the filter.</p>', 'UpdateFilterRequest$Action' => '<p>Specifies the action that is to be applied to the findings that match the filter.</p>', ], ], 'FilterDescription' => [ 'base' => NULL, 'refs' => [ 'CreateFilterRequest$Description' => '<p>The description of the filter.</p>', 'GetFilterResponse$Description' => '<p>The description of the filter.</p>', 'UpdateFilterRequest$Description' => '<p>The description of the filter.</p>', ], ], 'FilterName' => [ 'base' => NULL, 'refs' => [ 'CreateFilterRequest$Name' => '<p>The name of the filter.</p>', 'CreateFilterResponse$Name' => '<p>The name of the successfully created filter.</p>', 'FilterNames$member' => NULL, 'GetFilterResponse$Name' => '<p>The name of the filter.</p>', 'UpdateFilterResponse$Name' => '<p>The name of the filter.</p>', ], ], 'FilterNames' => [ 'base' => NULL, 'refs' => [ 'ListFiltersResponse$FilterNames' => '<p>A list of filter names</p>', ], ], 'FilterRank' => [ 'base' => NULL, 'refs' => [ 'CreateFilterRequest$Rank' => '<p>Specifies the position of the filter in the list of current filters. Also specifies the order in which this filter is applied to the findings.</p>', 'GetFilterResponse$Rank' => '<p>Specifies the position of the filter in the list of current filters. Also specifies the order in which this filter is applied to the findings.</p>', 'UpdateFilterRequest$Rank' => '<p>Specifies the position of the filter in the list of current filters. Also specifies the order in which this filter is applied to the findings.</p>', ], ], 'Finding' => [ 'base' => '<p>Contains information about the finding.</p>', 'refs' => [ 'Findings$member' => NULL, ], ], 'FindingCriteria' => [ 'base' => '<p>Contains finding criteria information.</p>', 'refs' => [ 'CreateFilterRequest$FindingCriteria' => '<p>Represents the criteria to be used in the filter for querying findings.</p>', 'GetFilterResponse$FindingCriteria' => '<p>Represents the criteria to be used in the filter for querying findings.</p>', 'GetFindingsStatisticsRequest$FindingCriteria' => '<p>Represents the criteria used for querying findings.</p>', 'ListFindingsRequest$FindingCriteria' => '<p>Represents the criteria used for querying findings.</p>', 'UpdateFilterRequest$FindingCriteria' => '<p>Represents the criteria to be used in the filter for querying findings.</p>', ], ], 'FindingId' => [ 'base' => NULL, 'refs' => [ 'FindingIds$member' => NULL, ], ], 'FindingIds' => [ 'base' => NULL, 'refs' => [ 'ArchiveFindingsRequest$FindingIds' => '<p>IDs of the findings that you want to archive.</p>', 'GetFindingsRequest$FindingIds' => '<p>IDs of the findings that you want to retrieve.</p>', 'ListFindingsResponse$FindingIds' => '<p>The IDs of the findings you are listing.</p>', 'UnarchiveFindingsRequest$FindingIds' => '<p>IDs of the findings that you want to unarchive.</p>', 'UpdateFindingsFeedbackRequest$FindingIds' => '<p>IDs of the findings that you want to mark as useful or not useful.</p>', ], ], 'FindingPublishingFrequency' => [ 'base' => NULL, 'refs' => [ 'CreateDetectorRequest$FindingPublishingFrequency' => '<p>A enum value that specifies how frequently customer got Finding updates published.</p>', 'GetDetectorResponse$FindingPublishingFrequency' => '<p>Finding publishing frequency.</p>', 'UpdateDetectorRequest$FindingPublishingFrequency' => '<p>A enum value that specifies how frequently customer got Finding updates published.</p>', ], ], 'FindingStatisticType' => [ 'base' => NULL, 'refs' => [ 'FindingStatisticTypes$member' => NULL, ], ], 'FindingStatisticTypes' => [ 'base' => NULL, 'refs' => [ 'GetFindingsStatisticsRequest$FindingStatisticTypes' => '<p>Types of finding statistics to retrieve.</p>', ], ], 'FindingStatistics' => [ 'base' => '<p>Contains information about finding statistics.</p>', 'refs' => [ 'GetFindingsStatisticsResponse$FindingStatistics' => '<p>Finding statistics object.</p>', ], ], 'FindingType' => [ 'base' => NULL, 'refs' => [ 'Finding$Type' => '<p>The type of the finding.</p>', 'FindingTypes$member' => NULL, ], ], 'FindingTypes' => [ 'base' => NULL, 'refs' => [ 'CreateSampleFindingsRequest$FindingTypes' => '<p>Types of sample findings that you want to generate.</p>', ], ], 'Findings' => [ 'base' => NULL, 'refs' => [ 'GetFindingsResponse$Findings' => '<p>A list of findings.</p>', ], ], 'GeoLocation' => [ 'base' => '<p>Contains information about the </p>', 'refs' => [ 'RemoteIpDetails$GeoLocation' => '<p>Location information of the remote IP address.</p>', ], ], 'GetDetectorRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDetectorResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFilterRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetFilterResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsStatisticsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsStatisticsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetIPSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetIPSetResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetThreatIntelSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetThreatIntelSetResponse' => [ 'base' => NULL, 'refs' => [], ], 'GuardDutyArn' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) for the given GuardDuty resource </p>', 'TagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) for the given GuardDuty resource </p>', 'UntagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) for the given GuardDuty resource </p>', ], ], 'IamInstanceProfile' => [ 'base' => '<p>Contains information about the instance profile.</p>', 'refs' => [ 'InstanceDetails$IamInstanceProfile' => '<p>The profile information of the EC2 instance.</p>', ], ], 'InstanceDetails' => [ 'base' => '<p>Contains information about the details of an instance.</p>', 'refs' => [ 'Resource$InstanceDetails' => '<p>The information about the EC2 instance associated with the activity that prompted GuardDuty to generate a finding.</p>', ], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'Condition$Gt' => '<p>Deprecated. Represents a greater than condition to be applied to a single field when querying for findings.</p>', 'Condition$Gte' => '<p>Deprecated. Represents a greater than equal condition to be applied to a single field when querying for findings.</p>', 'Condition$Lt' => '<p>Deprecated. Represents a less than condition to be applied to a single field when querying for findings.</p>', 'Condition$Lte' => '<p>Deprecated. Represents a less than equal condition to be applied to a single field when querying for findings.</p>', 'CountBySeverity$value' => NULL, 'GetInvitationsCountResponse$InvitationsCount' => '<p>The number of received invitations.</p>', 'LocalPortDetails$Port' => '<p>Port number of the local connection.</p>', 'RemotePortDetails$Port' => '<p>Port number of the remote connection.</p>', 'Service$Count' => '<p>Total count of the occurrences of this finding type.</p>', ], ], 'InternalServerErrorException' => [ 'base' => '<p>Internal server error exception object.</p>', 'refs' => [], ], 'Invitation' => [ 'base' => '<p>Contains information about the invitation.</p>', 'refs' => [ 'Invitations$member' => NULL, ], ], 'Invitations' => [ 'base' => NULL, 'refs' => [ 'ListInvitationsResponse$Invitations' => '<p>A list of invitation descriptions.</p>', ], ], 'InviteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'InviteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'IpSetFormat' => [ 'base' => NULL, 'refs' => [ 'CreateIPSetRequest$Format' => '<p>The format of the file that contains the IPSet.</p>', 'GetIPSetResponse$Format' => '<p>The format of the file that contains the IPSet.</p>', ], ], 'IpSetIds' => [ 'base' => NULL, 'refs' => [ 'ListIPSetsResponse$IpSetIds' => '<p>The IDs of the IPSet resources.</p>', ], ], 'IpSetStatus' => [ 'base' => NULL, 'refs' => [ 'GetIPSetResponse$Status' => '<p>The status of ipSet file uploaded.</p>', ], ], 'Ipv6Addresses' => [ 'base' => NULL, 'refs' => [ 'NetworkInterface$Ipv6Addresses' => '<p>A list of EC2 instance IPv6 address information.</p>', ], ], 'ListDetectorsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDetectorsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListFiltersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListFiltersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListIPSetsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListIPSetsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListThreatIntelSetsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListThreatIntelSetsResponse' => [ 'base' => NULL, 'refs' => [], ], 'LocalPortDetails' => [ 'base' => '<p>Contains information about the port for the local connection.</p>', 'refs' => [ 'NetworkConnectionAction$LocalPortDetails' => '<p>Local port information of the connection.</p>', 'PortProbeDetail$LocalPortDetails' => '<p>Local port information of the connection.</p>', ], ], 'Location' => [ 'base' => NULL, 'refs' => [ 'CreateIPSetRequest$Location' => '<p>The URI of the file that contains the IPSet. For example (https://s3.us-west-2.amazonaws.com/my-bucket/my-object-key)</p>', 'CreateThreatIntelSetRequest$Location' => '<p>The URI of the file that contains the ThreatIntelSet. For example (https://s3.us-west-2.amazonaws.com/my-bucket/my-object-key).</p>', 'GetIPSetResponse$Location' => '<p>The URI of the file that contains the IPSet. For example (https://s3.us-west-2.amazonaws.com/my-bucket/my-object-key)</p>', 'GetThreatIntelSetResponse$Location' => '<p>The URI of the file that contains the ThreatIntelSet. For example (https://s3.us-west-2.amazonaws.com/my-bucket/my-object-key).</p>', 'UpdateIPSetRequest$Location' => '<p>The updated URI of the file that contains the IPSet. For example (https://s3.us-west-2.amazonaws.com/my-bucket/my-object-key).</p>', 'UpdateThreatIntelSetRequest$Location' => '<p>The updated URI of the file that contains the ThreateIntelSet. For example (https://s3.us-west-2.amazonaws.com/my-bucket/my-object-key)</p>', ], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'Condition$GreaterThan' => '<p>Represents a greater than condition to be applied to a single field when querying for findings.</p>', 'Condition$GreaterThanOrEqual' => '<p>Represents a greater than equal condition to be applied to a single field when querying for findings.</p>', 'Condition$LessThan' => '<p>Represents a less than condition to be applied to a single field when querying for findings.</p>', 'Condition$LessThanOrEqual' => '<p>Represents a less than equal condition to be applied to a single field when querying for findings.</p>', ], ], 'Master' => [ 'base' => '<p>Contains information about the Master account and invitation.</p>', 'refs' => [ 'GetMasterAccountResponse$Master' => '<p>Master account details.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListDetectorsRequest$MaxResults' => '<p>You can use this parameter to indicate the maximum number of items you want in the response. The default value is 50. The maximum value is 50.</p>', 'ListFiltersRequest$MaxResults' => '<p>You can use this parameter to indicate the maximum number of items you want in the response. The default value is 50. The maximum value is 50.</p>', 'ListFindingsRequest$MaxResults' => '<p>You can use this parameter to indicate the maximum number of items you want in the response. The default value is 50. The maximum value is 50.</p>', 'ListIPSetsRequest$MaxResults' => '<p>You can use this parameter to indicate the maximum number of items you want in the response. The default value is 50. The maximum value is 50.</p>', 'ListInvitationsRequest$MaxResults' => '<p>You can use this parameter to indicate the maximum number of items you want in the response. The default value is 50. The maximum value is 50.</p>', 'ListMembersRequest$MaxResults' => '<p>You can use this parameter to indicate the maximum number of items you want in the response. The default value is 50. The maximum value is 50.</p>', 'ListThreatIntelSetsRequest$MaxResults' => '<p>You can use this parameter to indicate the maximum number of items you want in the response. The default value is 50. The maximum value is 50.</p>', ], ], 'Member' => [ 'base' => '<p>Continas information about the member account </p>', 'refs' => [ 'Members$member' => NULL, ], ], 'Members' => [ 'base' => NULL, 'refs' => [ 'GetMembersResponse$Members' => '<p>A list of members.</p>', 'ListMembersResponse$Members' => '<p>A list of members.</p>', ], ], 'Name' => [ 'base' => NULL, 'refs' => [ 'CreateIPSetRequest$Name' => '<p>The user friendly name to identify the IPSet. This name is displayed in all findings that are triggered by activity that involves IP addresses included in this IPSet.</p>', 'CreateThreatIntelSetRequest$Name' => '<p>A user-friendly ThreatIntelSet name that is displayed in all finding generated by activity that involves IP addresses included in this ThreatIntelSet.</p>', 'GetIPSetResponse$Name' => '<p>The user friendly name to identify the IPSet. This name is displayed in all findings that are triggered by activity that involves IP addresses included in this IPSet.</p>', 'GetThreatIntelSetResponse$Name' => '<p>A user-friendly ThreatIntelSet name that is displayed in all finding generated by activity that involves IP addresses included in this ThreatIntelSet.</p>', 'UpdateIPSetRequest$Name' => '<p>The unique ID that specifies the IPSet that you want to update.</p>', 'UpdateThreatIntelSetRequest$Name' => '<p>The unique ID that specifies the ThreatIntelSet that you want to update.</p>', ], ], 'Neq' => [ 'base' => NULL, 'refs' => [ 'Condition$Neq' => '<p>Deprecated. Represents the not equal condition to be applied to a single field when querying for findings.</p>', ], ], 'NetworkConnectionAction' => [ 'base' => '<p>Contains information about the network connection.</p>', 'refs' => [ 'Action$NetworkConnectionAction' => '<p>Information about the NETWORK_CONNECTION action described in this finding.</p>', ], ], 'NetworkInterface' => [ 'base' => '<p>Contains information about the network interface.</p>', 'refs' => [ 'NetworkInterfaces$member' => NULL, ], ], 'NetworkInterfaces' => [ 'base' => NULL, 'refs' => [ 'InstanceDetails$NetworkInterfaces' => '<p>The network interface information of the EC2 instance.</p>', ], ], 'NotEquals' => [ 'base' => NULL, 'refs' => [ 'Condition$NotEquals' => '<p>Represents an <b>not equal</b> condition to be applied to a single field when querying for findings.</p>', ], ], 'OrderBy' => [ 'base' => NULL, 'refs' => [ 'SortCriteria$OrderBy' => '<p>Order by which the sorted findings are to be displayed.</p>', ], ], 'Organization' => [ 'base' => '<p>Continas information about the organization.</p>', 'refs' => [ 'RemoteIpDetails$Organization' => '<p>ISP Organization information of the remote IP address.</p>', ], ], 'PortProbeAction' => [ 'base' => '<p>Contains information about the port probe.</p>', 'refs' => [ 'Action$PortProbeAction' => '<p>Information about the PORT_PROBE action described in this finding.</p>', ], ], 'PortProbeDetail' => [ 'base' => '<p>Contains information about the port probe details.</p>', 'refs' => [ 'PortProbeDetails$member' => NULL, ], ], 'PortProbeDetails' => [ 'base' => NULL, 'refs' => [ 'PortProbeAction$PortProbeDetails' => '<p>A list of port probe details objects.</p>', ], ], 'PrivateIpAddressDetails' => [ 'base' => '<p>Contains information about the private IP address.</p>', 'refs' => [ 'PrivateIpAddresses$member' => NULL, ], ], 'PrivateIpAddresses' => [ 'base' => NULL, 'refs' => [ 'NetworkInterface$PrivateIpAddresses' => '<p>Other private IP address information of the EC2 instance.</p>', ], ], 'ProductCode' => [ 'base' => '<p>Contains information about the product code.</p>', 'refs' => [ 'ProductCodes$member' => NULL, ], ], 'ProductCodes' => [ 'base' => NULL, 'refs' => [ 'InstanceDetails$ProductCodes' => '<p>The product code of the EC2 instance.</p>', ], ], 'RemoteIpDetails' => [ 'base' => '<p>Continas information about the remote IP address.</p>', 'refs' => [ 'AwsApiCallAction$RemoteIpDetails' => '<p>Remote IP information of the connection.</p>', 'NetworkConnectionAction$RemoteIpDetails' => '<p>Remote IP information of the connection.</p>', 'PortProbeDetail$RemoteIpDetails' => '<p>Remote IP information of the connection.</p>', ], ], 'RemotePortDetails' => [ 'base' => '<p>Contains information about the remote port.</p>', 'refs' => [ 'NetworkConnectionAction$RemotePortDetails' => '<p>Remote port information of the connection.</p>', ], ], 'Resource' => [ 'base' => '<p>Contains information about the resource.</p>', 'refs' => [ 'Finding$Resource' => NULL, ], ], 'SecurityGroup' => [ 'base' => '<p>Contains information about the security group.</p>', 'refs' => [ 'SecurityGroups$member' => NULL, ], ], 'SecurityGroups' => [ 'base' => NULL, 'refs' => [ 'NetworkInterface$SecurityGroups' => '<p>Security groups associated with the EC2 instance.</p>', ], ], 'Service' => [ 'base' => '<p>Contains information about the service.</p>', 'refs' => [ 'Finding$Service' => NULL, ], ], 'SortCriteria' => [ 'base' => '<p>Contains information about the criteria for sorting.</p>', 'refs' => [ 'GetFindingsRequest$SortCriteria' => '<p>Represents the criteria used for sorting findings.</p>', 'ListFindingsRequest$SortCriteria' => '<p>Represents the criteria used for sorting findings.</p>', ], ], 'StartMonitoringMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartMonitoringMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'StopMonitoringMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopMonitoringMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'String' => [ 'base' => NULL, 'refs' => [ 'AcceptInvitationRequest$MasterId' => '<p>The account ID of the master GuardDuty account whose invitation you\'re accepting.</p>', 'AcceptInvitationRequest$InvitationId' => '<p>This value is used to validate the master account to the member account.</p>', 'AccessKeyDetails$AccessKeyId' => '<p>Access key ID of the user.</p>', 'AccessKeyDetails$PrincipalId' => '<p>The principal ID of the user.</p>', 'AccessKeyDetails$UserName' => '<p>The name of the user.</p>', 'AccessKeyDetails$UserType' => '<p>The type of the user.</p>', 'Action$ActionType' => '<p>GuardDuty Finding activity type.</p>', 'AwsApiCallAction$Api' => '<p>AWS API name.</p>', 'AwsApiCallAction$CallerType' => '<p>AWS API caller type.</p>', 'AwsApiCallAction$ServiceName' => '<p>AWS service name whose API was invoked.</p>', 'BadRequestException$Message' => '<p>The error message.</p>', 'BadRequestException$Type' => '<p>The error type.</p>', 'City$CityName' => '<p>City name of the remote IP address.</p>', 'CountBySeverity$key' => NULL, 'Country$CountryCode' => '<p>Country code of the remote IP address.</p>', 'Country$CountryName' => '<p>Country name of the remote IP address.</p>', 'CreateIPSetResponse$IpSetId' => '<p>The ID of the IPSet resource.</p>', 'CreateThreatIntelSetResponse$ThreatIntelSetId' => '<p>The ID of the ThreatIntelSet resource.</p>', 'Criterion$key' => NULL, 'DeleteFilterRequest$FilterName' => '<p>The name of the filter you want to delete.</p>', 'DeleteIPSetRequest$IpSetId' => '<p>The unique ID of the ipSet you want to delete.</p>', 'DeleteThreatIntelSetRequest$ThreatIntelSetId' => '<p>The unique ID of the threatIntelSet you want to delete.</p>', 'DnsRequestAction$Domain' => '<p>Domain information for the DNS request.</p>', 'DomainDetails$Domain' => '<p>Domain information for the AWS API call.</p>', 'Eq$member' => NULL, 'Equals$member' => NULL, 'Finding$AccountId' => '<p>The ID of the account in which the finding was generated.</p>', 'Finding$Arn' => '<p>The ARN for the finding.</p>', 'Finding$CreatedAt' => '<p>The time and date at which the finding was created.</p>', 'Finding$Description' => '<p>The description of the finding.</p>', 'Finding$Id' => '<p>The ID of the finding.</p>', 'Finding$Partition' => '<p>The partition associated with the finding.</p>', 'Finding$Region' => '<p>The Region in which the finding was generated.</p>', 'Finding$SchemaVersion' => '<p>The version of the schema used for the finding.</p>', 'Finding$Title' => '<p>The title for the finding.</p>', 'Finding$UpdatedAt' => '<p>The time and date at which the finding was laste updated.</p>', 'GetDetectorResponse$CreatedAt' => '<p>Detector creation timestamp.</p>', 'GetDetectorResponse$ServiceRole' => '<p>The GuardDuty service role.</p>', 'GetDetectorResponse$UpdatedAt' => '<p>Detector last update timestamp.</p>', 'GetFilterRequest$FilterName' => '<p>The name of the filter you want to get.</p>', 'GetIPSetRequest$IpSetId' => '<p>The unique ID of the ipSet you want to get.</p>', 'GetThreatIntelSetRequest$ThreatIntelSetId' => '<p>The unique ID of the threatIntelSet you want to get.</p>', 'IamInstanceProfile$Arn' => '<p>AWS EC2 instance profile ARN.</p>', 'IamInstanceProfile$Id' => '<p>AWS EC2 instance profile ID.</p>', 'InstanceDetails$AvailabilityZone' => '<p>The availability zone of the EC2 instance.</p>', 'InstanceDetails$ImageDescription' => '<p>The image description of the EC2 instance.</p>', 'InstanceDetails$ImageId' => '<p>The image ID of the EC2 instance.</p>', 'InstanceDetails$InstanceId' => '<p>The ID of the EC2 instance.</p>', 'InstanceDetails$InstanceState' => '<p>The state of the EC2 instance.</p>', 'InstanceDetails$InstanceType' => '<p>The type of the EC2 instance.</p>', 'InstanceDetails$LaunchTime' => '<p>The launch time of the EC2 instance.</p>', 'InstanceDetails$Platform' => '<p>The platform of the EC2 instance.</p>', 'InternalServerErrorException$Message' => '<p>The error message.</p>', 'InternalServerErrorException$Type' => '<p>The error type.</p>', 'Invitation$InvitationId' => '<p>This value is used to validate the inviter account to the member account.</p>', 'Invitation$RelationshipStatus' => '<p>The status of the relationship between the inviter and invitee accounts.</p>', 'Invitation$InvitedAt' => '<p>Timestamp at which the invitation was sent</p>', 'InviteMembersRequest$Message' => '<p>The invitation message that you want to send to the accounts that you’re inviting to GuardDuty as members.</p>', 'IpSetIds$member' => NULL, 'Ipv6Addresses$member' => NULL, 'ListDetectorsRequest$NextToken' => '<p>You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListDetectorsResponse$NextToken' => '<p>Pagination parameter to be used on the next list operation to retrieve more items.</p>', 'ListFiltersRequest$NextToken' => '<p>You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListFiltersResponse$NextToken' => '<p>Pagination parameter to be used on the next list operation to retrieve more items.</p>', 'ListFindingsRequest$NextToken' => '<p>You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListFindingsResponse$NextToken' => '<p>Pagination parameter to be used on the next list operation to retrieve more items.</p>', 'ListIPSetsRequest$NextToken' => '<p>You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListIPSetsResponse$NextToken' => '<p>Pagination parameter to be used on the next list operation to retrieve more items.</p>', 'ListInvitationsRequest$NextToken' => '<p>You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListInvitationsResponse$NextToken' => '<p>Pagination parameter to be used on the next list operation to retrieve more items.</p>', 'ListMembersRequest$NextToken' => '<p>You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListMembersRequest$OnlyAssociated' => '<p>Specifies whether to only return associated members or to return all members (including members which haven\'t been invited yet or have been disassociated).</p>', 'ListMembersResponse$NextToken' => '<p>Pagination parameter to be used on the next list operation to retrieve more items.</p>', 'ListThreatIntelSetsRequest$NextToken' => '<p>You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListThreatIntelSetsResponse$NextToken' => '<p>Pagination parameter to be used on the next list operation to retrieve more items.</p>', 'LocalPortDetails$PortName' => '<p>Port name of the local connection.</p>', 'Master$InvitationId' => '<p>This value is used to validate the master account to the member account.</p>', 'Master$RelationshipStatus' => '<p>The status of the relationship between the master and member accounts.</p>', 'Master$InvitedAt' => '<p>Timestamp at which the invitation was sent.</p>', 'Member$MasterId' => '<p>Master account ID.</p>', 'Member$RelationshipStatus' => '<p>The status of the relationship between the member and the master.</p>', 'Member$InvitedAt' => '<p>Timestamp at which the invitation was sent</p>', 'Member$UpdatedAt' => '<p>Member last updated timestamp.</p>', 'Neq$member' => NULL, 'NetworkConnectionAction$ConnectionDirection' => '<p>Network connection direction.</p>', 'NetworkConnectionAction$Protocol' => '<p>Network connection protocol.</p>', 'NetworkInterface$NetworkInterfaceId' => '<p>The ID of the network interface</p>', 'NetworkInterface$PrivateDnsName' => '<p>Private DNS name of the EC2 instance.</p>', 'NetworkInterface$PrivateIpAddress' => '<p>Private IP address of the EC2 instance.</p>', 'NetworkInterface$PublicDnsName' => '<p>Public DNS name of the EC2 instance.</p>', 'NetworkInterface$PublicIp' => '<p>Public IP address of the EC2 instance.</p>', 'NetworkInterface$SubnetId' => '<p>The subnet ID of the EC2 instance.</p>', 'NetworkInterface$VpcId' => '<p>The VPC ID of the EC2 instance.</p>', 'NotEquals$member' => NULL, 'Organization$Asn' => '<p>Autonomous system number of the internet provider of the remote IP address.</p>', 'Organization$AsnOrg' => '<p>Organization that registered this ASN.</p>', 'Organization$Isp' => '<p>ISP information for the internet provider.</p>', 'Organization$Org' => '<p>Name of the internet provider.</p>', 'PrivateIpAddressDetails$PrivateDnsName' => '<p>Private DNS name of the EC2 instance.</p>', 'PrivateIpAddressDetails$PrivateIpAddress' => '<p>Private IP address of the EC2 instance.</p>', 'ProductCode$Code' => '<p>Product code information.</p>', 'ProductCode$ProductType' => '<p>Product code type.</p>', 'RemoteIpDetails$IpAddressV4' => '<p>IPV4 remote address of the connection.</p>', 'RemotePortDetails$PortName' => '<p>Port name of the remote connection.</p>', 'Resource$ResourceType' => '<p>The type of the AWS resource.</p>', 'SecurityGroup$GroupId' => '<p>EC2 instance\'s security group ID.</p>', 'SecurityGroup$GroupName' => '<p>EC2 instance\'s security group name.</p>', 'Service$EventFirstSeen' => '<p>First seen timestamp of the activity that prompted GuardDuty to generate this finding.</p>', 'Service$EventLastSeen' => '<p>Last seen timestamp of the activity that prompted GuardDuty to generate this finding.</p>', 'Service$ResourceRole' => '<p>Resource role information for this finding.</p>', 'Service$ServiceName' => '<p>The name of the AWS service (GuardDuty) that generated a finding.</p>', 'Service$UserFeedback' => '<p>Feedback left about the finding.</p>', 'SortCriteria$AttributeName' => '<p>Represents the finding attribute (for example, accountId) by which to sort findings.</p>', 'Tag$Key' => '<p>EC2 instance tag key.</p>', 'Tag$Value' => '<p>EC2 instance tag value.</p>', 'ThreatIntelSetIds$member' => NULL, 'ThreatIntelligenceDetail$ThreatListName' => '<p>The name of the threat intelligence list that triggered the finding.</p>', 'ThreatNames$member' => NULL, 'UnprocessedAccount$Result' => '<p>A reason why the account hasn\'t been processed.</p>', 'UpdateFilterRequest$FilterName' => '<p>The name of the filter.</p>', 'UpdateFindingsFeedbackRequest$Comments' => '<p>Additional feedback about the GuardDuty findings.</p>', 'UpdateIPSetRequest$IpSetId' => '<p>The unique ID that specifies the IPSet that you want to update.</p>', 'UpdateThreatIntelSetRequest$ThreatIntelSetId' => '<p>The unique ID that specifies the ThreatIntelSet that you want to update.</p>', ], ], 'Tag' => [ 'base' => '<p>Contains information about the tag associated with the resource.</p>', 'refs' => [ 'Tags$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'TagMap$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The tag keys to remove from a resource.</p>', ], ], 'TagMap' => [ 'base' => NULL, 'refs' => [ 'CreateDetectorRequest$Tags' => '<p>The tags to be added to a new detector resource.</p>', 'CreateFilterRequest$Tags' => '<p>The tags to be added to a new filter resource.</p>', 'CreateIPSetRequest$Tags' => '<p>The tags to be added to a new IP set resource.</p>', 'CreateThreatIntelSetRequest$Tags' => '<p>The tags to be added to a new Threat List resource.</p>', 'GetDetectorResponse$Tags' => '<p>The tags of the detector resource.</p>', 'GetFilterResponse$Tags' => '<p>The tags of the filter resource.</p>', 'GetIPSetResponse$Tags' => '<p>The tags of the IP set resource.</p>', 'GetThreatIntelSetResponse$Tags' => '<p>The tags of the Threat List resource.</p>', 'ListTagsForResourceResponse$Tags' => '<p>The tags associated with the resource.</p>', 'TagResourceRequest$Tags' => '<p>The tags to be added to a resource.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'TagMap$value' => NULL, ], ], 'Tags' => [ 'base' => NULL, 'refs' => [ 'InstanceDetails$Tags' => '<p>The tags of the EC2 instance.</p>', ], ], 'ThreatIntelSetFormat' => [ 'base' => NULL, 'refs' => [ 'CreateThreatIntelSetRequest$Format' => '<p>The format of the file that contains the ThreatIntelSet.</p>', 'GetThreatIntelSetResponse$Format' => '<p>The format of the threatIntelSet.</p>', ], ], 'ThreatIntelSetIds' => [ 'base' => NULL, 'refs' => [ 'ListThreatIntelSetsResponse$ThreatIntelSetIds' => '<p>The IDs of the ThreatIntelSet resources.</p>', ], ], 'ThreatIntelSetStatus' => [ 'base' => NULL, 'refs' => [ 'GetThreatIntelSetResponse$Status' => '<p>The status of threatIntelSet file uploaded.</p>', ], ], 'ThreatIntelligenceDetail' => [ 'base' => '<p>An instance of a threat intelligence detail that constitutes evidence for the finding.</p>', 'refs' => [ 'ThreatIntelligenceDetails$member' => NULL, ], ], 'ThreatIntelligenceDetails' => [ 'base' => NULL, 'refs' => [ 'Evidence$ThreatIntelligenceDetails' => '<p>A list of threat intelligence details related to the evidence.</p>', ], ], 'ThreatNames' => [ 'base' => NULL, 'refs' => [ 'ThreatIntelligenceDetail$ThreatNames' => '<p>A list of names of the threats in the threat intelligence list that triggered the finding.</p>', ], ], 'UnarchiveFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'UnarchiveFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'UnprocessedAccount' => [ 'base' => '<p>Contains information about the accounts that were not processed.</p>', 'refs' => [ 'UnprocessedAccounts$member' => NULL, ], ], 'UnprocessedAccounts' => [ 'base' => NULL, 'refs' => [ 'CreateMembersResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', 'DeclineInvitationsResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', 'DeleteInvitationsResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', 'DeleteMembersResponse$UnprocessedAccounts' => '<p>The accounts that could not be processed.</p>', 'DisassociateMembersResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', 'GetMembersResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', 'InviteMembersResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', 'StartMonitoringMembersResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', 'StopMonitoringMembersResponse$UnprocessedAccounts' => '<p>A list of objects containing the unprocessed account and a result string explaining why it was unprocessed.</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDetectorRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDetectorResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFilterRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFilterResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFindingsFeedbackRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFindingsFeedbackResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateIPSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateIPSetResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateThreatIntelSetRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateThreatIntelSetResponse' => [ 'base' => NULL, 'refs' => [], ], ],];
