<?php
// This file was auto-generated from sdk-root/src/data/kinesisvideo/2017-09-30/docs-2.json
return [ 'version' => '2.0', 'service' => '<p/>', 'operations' => [ 'CreateStream' => '<p>Creates a new Kinesis video stream. </p> <p>When you create a new stream, Kinesis Video Streams assigns it a version number. When you change the stream\'s metadata, Kinesis Video Streams updates the version. </p> <p> <code>CreateStream</code> is an asynchronous operation.</p> <p>For information about how the service works, see <a href="https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/how-it-works.html">How it Works</a>. </p> <p>You must have permissions for the <code>KinesisVideo:CreateStream</code> action.</p>', 'DeleteStream' => '<p>Deletes a Kinesis video stream and the data contained in the stream. </p> <p>This method marks the stream for deletion, and makes the data in the stream inaccessible immediately.</p> <p> </p> <p> To ensure that you have the latest version of the stream before deleting it, you can specify the stream version. Kinesis Video Streams assigns a version to each stream. When you update a stream, Kinesis Video Streams assigns a new version number. To get the latest stream version, use the <code>DescribeStream</code> API. </p> <p>This operation requires permission for the <code>KinesisVideo:DeleteStream</code> action.</p>', 'DescribeStream' => '<p>Returns the most current information about the specified stream. You must specify either the <code>StreamName</code> or the <code>StreamARN</code>. </p>', 'GetDataEndpoint' => '<p>Gets an endpoint for a specified stream for either reading or writing. Use this endpoint in your application to read from the specified stream (using the <code>GetMedia</code> or <code>GetMediaForFragmentList</code> operations) or write to it (using the <code>PutMedia</code> operation). </p> <note> <p>The returned endpoint does not have the API name appended. The client needs to add the API name to the returned endpoint.</p> </note> <p>In the request, specify the stream either by <code>StreamName</code> or <code>StreamARN</code>.</p>', 'ListStreams' => '<p>Returns an array of <code>StreamInfo</code> objects. Each object describes a stream. To retrieve only streams that satisfy a specific condition, you can specify a <code>StreamNameCondition</code>. </p>', 'ListTagsForStream' => '<p>Returns a list of tags associated with the specified stream.</p> <p>In the request, you must specify either the <code>StreamName</code> or the <code>StreamARN</code>. </p>', 'TagStream' => '<p>Adds one or more tags to a stream. A <i>tag</i> is a key-value pair (the value is optional) that you can define and assign to AWS resources. If you specify a tag that already exists, the tag value is replaced with the value that you specify in the request. For more information, see <a href="https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/cost-alloc-tags.html">Using Cost Allocation Tags</a> in the <i>AWS Billing and Cost Management User Guide</i>. </p> <p>You must provide either the <code>StreamName</code> or the <code>StreamARN</code>.</p> <p>This operation requires permission for the <code>KinesisVideo:TagStream</code> action.</p> <p>Kinesis video streams support up to 50 tags.</p>', 'UntagStream' => '<p>Removes one or more tags from a stream. In the request, specify only a tag key or keys; don\'t specify the value. If you specify a tag key that does not exist, it\'s ignored.</p> <p>In the request, you must provide the <code>StreamName</code> or <code>StreamARN</code>.</p>', 'UpdateDataRetention' => '<p> Increases or decreases the stream\'s data retention period by the value that you specify. To indicate whether you want to increase or decrease the data retention period, specify the <code>Operation</code> parameter in the request body. In the request, you must specify either the <code>StreamName</code> or the <code>StreamARN</code>. </p> <note> <p>The retention period that you specify replaces the current value.</p> </note> <p>This operation requires permission for the <code>KinesisVideo:UpdateDataRetention</code> action.</p> <p>Changing the data retention period affects the data in the stream as follows:</p> <ul> <li> <p>If the data retention period is increased, existing data is retained for the new retention period. For example, if the data retention period is increased from one hour to seven hours, all existing data is retained for seven hours.</p> </li> <li> <p>If the data retention period is decreased, existing data is retained for the new retention period. For example, if the data retention period is decreased from seven hours to one hour, all existing data is retained for one hour, and any data older than one hour is deleted immediately.</p> </li> </ul>', 'UpdateStream' => '<p>Updates stream metadata, such as the device name and media type.</p> <p>You must provide the stream name or the Amazon Resource Name (ARN) of the stream.</p> <p>To make sure that you have the latest version of the stream before updating it, you can specify the stream version. Kinesis Video Streams assigns a version to each stream. When you update a stream, Kinesis Video Streams assigns a new version number. To get the latest stream version, use the <code>DescribeStream</code> API. </p> <p> <code>UpdateStream</code> is an asynchronous operation, and takes time to complete.</p>', ], 'shapes' => [ 'APIName' => [ 'base' => NULL, 'refs' => [ 'GetDataEndpointInput$APIName' => '<p>The name of the API action for which to get an endpoint.</p>', ], ], 'AccountStreamLimitExceededException' => [ 'base' => '<p>The number of streams created for the account is too high.</p>', 'refs' => [], ], 'ClientLimitExceededException' => [ 'base' => '<p>Kinesis Video Streams has throttled the request because you have exceeded the limit of allowed client calls. Try making the call later.</p>', 'refs' => [], ], 'ComparisonOperator' => [ 'base' => NULL, 'refs' => [ 'StreamNameCondition$ComparisonOperator' => '<p>A comparison operator. Currently, you can specify only the <code>BEGINS_WITH</code> operator, which finds streams whose names start with a given prefix.</p>', ], ], 'CreateStreamInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateStreamOutput' => [ 'base' => NULL, 'refs' => [], ], 'DataEndpoint' => [ 'base' => NULL, 'refs' => [ 'GetDataEndpointOutput$DataEndpoint' => '<p>The endpoint value. To read data from the stream or to write data to it, specify this endpoint in your application.</p>', ], ], 'DataRetentionChangeInHours' => [ 'base' => NULL, 'refs' => [ 'UpdateDataRetentionInput$DataRetentionChangeInHours' => '<p>The retention period, in hours. The value you specify replaces the current value. The maximum value for this parameter is 87600 (ten years).</p>', ], ], 'DataRetentionInHours' => [ 'base' => NULL, 'refs' => [ 'CreateStreamInput$DataRetentionInHours' => '<p>The number of hours that you want to retain the data in the stream. Kinesis Video Streams retains the data in a data store that is associated with the stream.</p> <p>The default value is 0, indicating that the stream does not persist data.</p> <p>When the <code>DataRetentionInHours</code> value is 0, consumers can still consume the fragments that remain in the service host buffer, which has a retention time limit of 5 minutes and a retention memory limit of 200 MB. Fragments are removed from the buffer when either limit is reached.</p>', 'StreamInfo$DataRetentionInHours' => '<p>How long the stream retains data, in hours.</p>', ], ], 'DeleteStreamInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteStreamOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStreamInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStreamOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeviceName' => [ 'base' => NULL, 'refs' => [ 'CreateStreamInput$DeviceName' => '<p>The name of the device that is writing to the stream. </p> <note> <p>In the current implementation, Kinesis Video Streams does not use this name.</p> </note>', 'StreamInfo$DeviceName' => '<p>The name of the device that is associated with the stream.</p>', 'UpdateStreamInput$DeviceName' => '<p>The name of the device that is writing to the stream. </p> <note> <p> In the current implementation, Kinesis Video Streams does not use this name. </p> </note>', ], ], 'DeviceStreamLimitExceededException' => [ 'base' => '<p>Not implemented. </p>', 'refs' => [], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'AccountStreamLimitExceededException$Message' => NULL, 'ClientLimitExceededException$Message' => NULL, 'DeviceStreamLimitExceededException$Message' => NULL, 'InvalidArgumentException$Message' => NULL, 'InvalidDeviceException$Message' => NULL, 'InvalidResourceFormatException$Message' => NULL, 'NotAuthorizedException$Message' => NULL, 'ResourceInUseException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'TagsPerResourceExceededLimitException$Message' => NULL, 'VersionMismatchException$Message' => NULL, ], ], 'GetDataEndpointInput' => [ 'base' => NULL, 'refs' => [], ], 'GetDataEndpointOutput' => [ 'base' => NULL, 'refs' => [], ], 'InvalidArgumentException' => [ 'base' => '<p>The value for this input parameter is invalid.</p>', 'refs' => [], ], 'InvalidDeviceException' => [ 'base' => '<p>Not implemented.</p>', 'refs' => [], ], 'InvalidResourceFormatException' => [ 'base' => '<p>The format of the <code>StreamARN</code> is invalid.</p>', 'refs' => [], ], 'KmsKeyId' => [ 'base' => NULL, 'refs' => [ 'CreateStreamInput$KmsKeyId' => '<p>The ID of the AWS Key Management Service (AWS KMS) key that you want Kinesis Video Streams to use to encrypt stream data.</p> <p>If no key ID is specified, the default, Kinesis Video-managed key (<code>aws/kinesisvideo</code>) is used.</p> <p> For more information, see <a href="https://docs.aws.amazon.com/kms/latest/APIReference/API_DescribeKey.html#API_DescribeKey_RequestParameters">DescribeKey</a>. </p>', 'StreamInfo$KmsKeyId' => '<p>The ID of the AWS Key Management Service (AWS KMS) key that Kinesis Video Streams uses to encrypt data on the stream.</p>', ], ], 'ListStreamsInput' => [ 'base' => NULL, 'refs' => [], ], 'ListStreamsInputLimit' => [ 'base' => NULL, 'refs' => [ 'ListStreamsInput$MaxResults' => '<p>The maximum number of streams to return in the response. The default is 10,000.</p>', ], ], 'ListStreamsOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForStreamInput' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForStreamOutput' => [ 'base' => NULL, 'refs' => [], ], 'MediaType' => [ 'base' => NULL, 'refs' => [ 'CreateStreamInput$MediaType' => '<p>The media type of the stream. Consumers of the stream can use this information when processing the stream. For more information about media types, see <a href="http://www.iana.org/assignments/media-types/media-types.xhtml">Media Types</a>. If you choose to specify the <code>MediaType</code>, see <a href="https://tools.ietf.org/html/rfc6838#section-4.2">Naming Requirements</a> for guidelines.</p> <p>This parameter is optional; the default value is <code>null</code> (or empty in JSON).</p>', 'StreamInfo$MediaType' => '<p>The <code>MediaType</code> of the stream. </p>', 'UpdateStreamInput$MediaType' => '<p>The stream\'s media type. Use <code>MediaType</code> to specify the type of content that the stream contains to the consumers of the stream. For more information about media types, see <a href="http://www.iana.org/assignments/media-types/media-types.xhtml">Media Types</a>. If you choose to specify the <code>MediaType</code>, see <a href="https://tools.ietf.org/html/rfc6838#section-4.2">Naming Requirements</a>.</p> <p>To play video on the console, you must specify the correct video type. For example, if the video in the stream is H.264, specify <code>video/h264</code> as the <code>MediaType</code>.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListStreamsInput$NextToken' => '<p>If you specify this parameter, when the result of a <code>ListStreams</code> operation is truncated, the call returns the <code>NextToken</code> in the response. To get another batch of streams, provide this token in your next request.</p>', 'ListStreamsOutput$NextToken' => '<p>If the response is truncated, the call returns this element with a token. To get the next batch of streams, use this token in your next request. </p>', 'ListTagsForStreamInput$NextToken' => '<p>If you specify this parameter and the result of a <code>ListTagsForStream</code> call is truncated, the response includes a token that you can use in the next request to fetch the next batch of tags.</p>', 'ListTagsForStreamOutput$NextToken' => '<p>If you specify this parameter and the result of a <code>ListTags</code> call is truncated, the response includes a token that you can use in the next request to fetch the next set of tags.</p>', ], ], 'NotAuthorizedException' => [ 'base' => '<p>The caller is not authorized to perform this operation.</p>', 'refs' => [], ], 'ResourceARN' => [ 'base' => NULL, 'refs' => [ 'CreateStreamOutput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream.</p>', 'DeleteStreamInput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream that you want to delete. </p>', 'DescribeStreamInput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream.</p>', 'GetDataEndpointInput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream that you want to get the endpoint for. You must specify either this parameter or a <code>StreamName</code> in the request. </p>', 'ListTagsForStreamInput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream that you want to list tags for.</p>', 'StreamInfo$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream.</p>', 'TagStreamInput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the resource that you want to add the tag or tags to.</p>', 'UntagStreamInput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream that you want to remove tags from.</p>', 'UpdateDataRetentionInput$StreamARN' => '<p>The Amazon Resource Name (ARN) of the stream whose retention period you want to change.</p>', 'UpdateStreamInput$StreamARN' => '<p>The ARN of the stream whose metadata you want to update.</p>', ], ], 'ResourceInUseException' => [ 'base' => '<p>The stream is currently not available for this operation.</p>', 'refs' => [], ], 'ResourceNotFoundException' => [ 'base' => '<p>Amazon Kinesis Video Streams can\'t find the stream that you specified.</p>', 'refs' => [], ], 'ResourceTags' => [ 'base' => NULL, 'refs' => [ 'CreateStreamInput$Tags' => '<p>A list of tags to associate with the specified stream. Each tag is a key-value pair (the value is optional).</p>', 'ListTagsForStreamOutput$Tags' => '<p>A map of tag keys and values associated with the specified stream.</p>', 'TagStreamInput$Tags' => '<p>A list of tags to associate with the specified stream. Each tag is a key-value pair (the value is optional).</p>', ], ], 'Status' => [ 'base' => NULL, 'refs' => [ 'StreamInfo$Status' => '<p>The status of the stream.</p>', ], ], 'StreamInfo' => [ 'base' => '<p>An object describing a Kinesis video stream.</p>', 'refs' => [ 'DescribeStreamOutput$StreamInfo' => '<p>An object that describes the stream.</p>', 'StreamInfoList$member' => NULL, ], ], 'StreamInfoList' => [ 'base' => NULL, 'refs' => [ 'ListStreamsOutput$StreamInfoList' => '<p>An array of <code>StreamInfo</code> objects.</p>', ], ], 'StreamName' => [ 'base' => NULL, 'refs' => [ 'CreateStreamInput$StreamName' => '<p>A name for the stream that you are creating.</p> <p>The stream name is an identifier for the stream, and must be unique for each account and region.</p>', 'DescribeStreamInput$StreamName' => '<p>The name of the stream.</p>', 'GetDataEndpointInput$StreamName' => '<p>The name of the stream that you want to get the endpoint for. You must specify either this parameter or a <code>StreamARN</code> in the request.</p>', 'ListTagsForStreamInput$StreamName' => '<p>The name of the stream that you want to list tags for.</p>', 'StreamInfo$StreamName' => '<p>The name of the stream.</p>', 'StreamNameCondition$ComparisonValue' => '<p>A value to compare.</p>', 'TagStreamInput$StreamName' => '<p>The name of the stream that you want to add the tag or tags to.</p>', 'UntagStreamInput$StreamName' => '<p>The name of the stream that you want to remove tags from.</p>', 'UpdateDataRetentionInput$StreamName' => '<p>The name of the stream whose retention period you want to change.</p>', 'UpdateStreamInput$StreamName' => '<p>The name of the stream whose metadata you want to update.</p> <p>The stream name is an identifier for the stream, and must be unique for each account and region.</p>', ], ], 'StreamNameCondition' => [ 'base' => '<p>Specifies the condition that streams must satisfy to be returned when you list streams (see the <code>ListStreams</code> API). A condition has a comparison operation and a value. Currently, you can specify only the <code>BEGINS_WITH</code> operator, which finds streams whose names start with a given prefix. </p>', 'refs' => [ 'ListStreamsInput$StreamNameCondition' => '<p>Optional: Returns only streams that satisfy a specific condition. Currently, you can specify only the prefix of a stream name as a condition. </p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'ResourceTags$key' => NULL, 'TagKeyList$member' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagStreamInput$TagKeyList' => '<p>A list of the keys of the tags that you want to remove.</p>', ], ], 'TagStreamInput' => [ 'base' => NULL, 'refs' => [], ], 'TagStreamOutput' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'ResourceTags$value' => NULL, ], ], 'TagsPerResourceExceededLimitException' => [ 'base' => '<p>You have exceeded the limit of tags that you can associate with the resource. Kinesis video streams support up to 50 tags. </p>', 'refs' => [], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'StreamInfo$CreationTime' => '<p>A time stamp that indicates when the stream was created.</p>', ], ], 'UntagStreamInput' => [ 'base' => NULL, 'refs' => [], ], 'UntagStreamOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDataRetentionInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDataRetentionOperation' => [ 'base' => NULL, 'refs' => [ 'UpdateDataRetentionInput$Operation' => '<p>Indicates whether you want to increase or decrease the retention period.</p>', ], ], 'UpdateDataRetentionOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStreamInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStreamOutput' => [ 'base' => NULL, 'refs' => [], ], 'Version' => [ 'base' => NULL, 'refs' => [ 'DeleteStreamInput$CurrentVersion' => '<p>Optional: The version of the stream that you want to delete. </p> <p>Specify the version as a safeguard to ensure that your are deleting the correct stream. To get the stream version, use the <code>DescribeStream</code> API.</p> <p>If not specified, only the <code>CreationTime</code> is checked before deleting the stream.</p>', 'StreamInfo$Version' => '<p>The version of the stream.</p>', 'UpdateDataRetentionInput$CurrentVersion' => '<p>The version of the stream whose retention period you want to change. To get the version, call either the <code>DescribeStream</code> or the <code>ListStreams</code> API.</p>', 'UpdateStreamInput$CurrentVersion' => '<p>The version of the stream whose metadata you want to update.</p>', ], ], 'VersionMismatchException' => [ 'base' => '<p>The stream version that you specified is not the latest version. To get the latest version, use the <a href="https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_DescribeStream.html">DescribeStream</a> API.</p>', 'refs' => [], ], ],];
