<?php
// This file was auto-generated from sdk-root/src/data/lightsail/2016-11-28/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon Lightsail is the easiest way to get started with AWS for developers who just need virtual private servers. Lightsail includes everything you need to launch your project quickly - a virtual machine, a managed database, SSD-based storage, data transfer, DNS management, and a static IP - for a low, predictable price. You manage those Lightsail servers through the Lightsail console or by using the API or command-line interface (CLI).</p> <p>For more information about Lightsail concepts and tasks, see the <a href="https://lightsail.aws.amazon.com/ls/docs/all">Lightsail Dev Guide</a>.</p> <p>To use the Lightsail API or the CLI, you will need to use AWS Identity and Access Management (IAM) to generate access keys. For details about how to set this up, see the <a href="http://lightsail.aws.amazon.com/ls/docs/how-to/article/lightsail-how-to-set-up-access-keys-to-use-sdk-api-cli">Lightsail Dev Guide</a>.</p>', 'operations' => [ 'AllocateStaticIp' => '<p>Allocates a static IP address.</p>', 'AttachDisk' => '<p>Attaches a block storage disk to a running or stopped Lightsail instance and exposes it to the instance with the specified disk name.</p> <p>The <code>attach disk</code> operation supports tag-based access control via resource tags applied to the resource identified by diskName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'AttachInstancesToLoadBalancer' => '<p>Attaches one or more Lightsail instances to a load balancer.</p> <p>After some time, the instances are attached to the load balancer and the health check status is available.</p> <p>The <code>attach instances to load balancer</code> operation supports tag-based access control via resource tags applied to the resource identified by loadBalancerName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'AttachLoadBalancerTlsCertificate' => '<p>Attaches a Transport Layer Security (TLS) certificate to your load balancer. TLS is just an updated, more secure version of Secure Socket Layer (SSL).</p> <p>Once you create and validate your certificate, you can attach it to your load balancer. You can also use this API to rotate the certificates on your account. Use the <code>AttachLoadBalancerTlsCertificate</code> operation with the non-attached certificate, and it will replace the existing one and become the attached certificate.</p> <p>The <code>attach load balancer tls certificate</code> operation supports tag-based access control via resource tags applied to the resource identified by loadBalancerName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'AttachStaticIp' => '<p>Attaches a static IP address to a specific Amazon Lightsail instance.</p>', 'CloseInstancePublicPorts' => '<p>Closes the public ports on a specific Amazon Lightsail instance.</p> <p>The <code>close instance public ports</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CopySnapshot' => '<p>Copies an instance or disk snapshot from one AWS Region to another in Amazon Lightsail.</p>', 'CreateCloudFormationStack' => '<p>Creates an AWS CloudFormation stack, which creates a new Amazon EC2 instance from an exported Amazon Lightsail snapshot. This operation results in a CloudFormation stack record that can be used to track the AWS CloudFormation stack created. Use the <code>get cloud formation stack records</code> operation to get a list of the CloudFormation stacks created.</p> <important> <p>Wait until after your new Amazon EC2 instance is created before running the <code>create cloud formation stack</code> operation again with the same export snapshot record.</p> </important>', 'CreateDisk' => '<p>Creates a block storage disk that can be attached to a Lightsail instance in the same Availability Zone (e.g., <code>us-east-2a</code>). The disk is created in the regional endpoint that you send the HTTP request to. For more information, see <a href="https://lightsail.aws.amazon.com/ls/docs/overview/article/understanding-regions-and-availability-zones-in-amazon-lightsail">Regions and Availability Zones in Lightsail</a>.</p> <p>The <code>create disk</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateDiskFromSnapshot' => '<p>Creates a block storage disk from a disk snapshot that can be attached to a Lightsail instance in the same Availability Zone (e.g., <code>us-east-2a</code>). The disk is created in the regional endpoint that you send the HTTP request to. For more information, see <a href="https://lightsail.aws.amazon.com/ls/docs/overview/article/understanding-regions-and-availability-zones-in-amazon-lightsail">Regions and Availability Zones in Lightsail</a>.</p> <p>The <code>create disk from snapshot</code> operation supports tag-based access control via request tags and resource tags applied to the resource identified by diskSnapshotName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateDiskSnapshot' => '<p>Creates a snapshot of a block storage disk. You can use snapshots for backups, to make copies of disks, and to save data before shutting down a Lightsail instance.</p> <p>You can take a snapshot of an attached disk that is in use; however, snapshots only capture data that has been written to your disk at the time the snapshot command is issued. This may exclude any data that has been cached by any applications or the operating system. If you can pause any file systems on the disk long enough to take a snapshot, your snapshot should be complete. Nevertheless, if you cannot pause all file writes to the disk, you should unmount the disk from within the Lightsail instance, issue the create disk snapshot command, and then remount the disk to ensure a consistent and complete snapshot. You may remount and use your disk while the snapshot status is pending.</p> <p>You can also use this operation to create a snapshot of an instance\'s system volume. You might want to do this, for example, to recover data from the system volume of a botched instance or to create a backup of the system volume like you would for a block storage disk. To create a snapshot of a system volume, just define the <code>instance name</code> parameter when issuing the snapshot command, and a snapshot of the defined instance\'s system volume will be created. After the snapshot is available, you can create a block storage disk from the snapshot and attach it to a running instance to access the data on the disk.</p> <p>The <code>create disk snapshot</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateDomain' => '<p>Creates a domain resource for the specified domain (e.g., example.com).</p> <p>The <code>create domain</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateDomainEntry' => '<p>Creates one of the following entry records associated with the domain: Address (A), canonical name (CNAME), mail exchanger (MX), name server (NS), start of authority (SOA), service locator (SRV), or text (TXT).</p> <p>The <code>create domain entry</code> operation supports tag-based access control via resource tags applied to the resource identified by domainName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateInstanceSnapshot' => '<p>Creates a snapshot of a specific virtual private server, or <i>instance</i>. You can use a snapshot to create a new instance that is based on that snapshot.</p> <p>The <code>create instance snapshot</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateInstances' => '<p>Creates one or more Amazon Lightsail virtual private servers, or <i>instances</i>. Create instances using active blueprints. Inactive blueprints are listed to support customers with existing instances but are not necessarily available for launch of new instances. Blueprints are marked inactive when they become outdated due to operating system updates or new application releases. Use the get blueprints operation to return a list of available blueprints.</p> <p>The <code>create instances</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateInstancesFromSnapshot' => '<p>Uses a specific snapshot as a blueprint for creating one or more new instances that are based on that identical configuration.</p> <p>The <code>create instances from snapshot</code> operation supports tag-based access control via request tags and resource tags applied to the resource identified by instanceSnapshotName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateKeyPair' => '<p>Creates an SSH key pair.</p> <p>The <code>create key pair</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateLoadBalancer' => '<p>Creates a Lightsail load balancer. To learn more about deciding whether to load balance your application, see <a href="https://lightsail.aws.amazon.com/ls/docs/how-to/article/configure-lightsail-instances-for-load-balancing">Configure your Lightsail instances for load balancing</a>. You can create up to 5 load balancers per AWS Region in your account.</p> <p>When you create a load balancer, you can specify a unique name and port settings. To change additional load balancer settings, use the <code>UpdateLoadBalancerAttribute</code> operation.</p> <p>The <code>create load balancer</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateLoadBalancerTlsCertificate' => '<p>Creates a Lightsail load balancer TLS certificate.</p> <p>TLS is just an updated, more secure version of Secure Socket Layer (SSL).</p> <p>The <code>create load balancer tls certificate</code> operation supports tag-based access control via resource tags applied to the resource identified by loadBalancerName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateRelationalDatabase' => '<p>Creates a new database in Amazon Lightsail.</p> <p>The <code>create relational database</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateRelationalDatabaseFromSnapshot' => '<p>Creates a new database from an existing database snapshot in Amazon Lightsail.</p> <p>You can create a new database from a snapshot in if something goes wrong with your original database, or to change it to a different plan, such as a high availability or standard plan.</p> <p>The <code>create relational database from snapshot</code> operation supports tag-based access control via request tags and resource tags applied to the resource identified by relationalDatabaseSnapshotName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'CreateRelationalDatabaseSnapshot' => '<p>Creates a snapshot of your database in Amazon Lightsail. You can use snapshots for backups, to make copies of a database, and to save data before deleting a database.</p> <p>The <code>create relational database snapshot</code> operation supports tag-based access control via request tags. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteDisk' => '<p>Deletes the specified block storage disk. The disk must be in the <code>available</code> state (not attached to a Lightsail instance).</p> <note> <p>The disk may remain in the <code>deleting</code> state for several minutes.</p> </note> <p>The <code>delete disk</code> operation supports tag-based access control via resource tags applied to the resource identified by diskName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteDiskSnapshot' => '<p>Deletes the specified disk snapshot.</p> <p>When you make periodic snapshots of a disk, the snapshots are incremental, and only the blocks on the device that have changed since your last snapshot are saved in the new snapshot. When you delete a snapshot, only the data not needed for any other snapshot is removed. So regardless of which prior snapshots have been deleted, all active snapshots will have access to all the information needed to restore the disk.</p> <p>The <code>delete disk snapshot</code> operation supports tag-based access control via resource tags applied to the resource identified by diskSnapshotName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteDomain' => '<p>Deletes the specified domain recordset and all of its domain records.</p> <p>The <code>delete domain</code> operation supports tag-based access control via resource tags applied to the resource identified by domainName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteDomainEntry' => '<p>Deletes a specific domain entry.</p> <p>The <code>delete domain entry</code> operation supports tag-based access control via resource tags applied to the resource identified by domainName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteInstance' => '<p>Deletes a specific Amazon Lightsail virtual private server, or <i>instance</i>.</p> <p>The <code>delete instance</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteInstanceSnapshot' => '<p>Deletes a specific snapshot of a virtual private server (or <i>instance</i>).</p> <p>The <code>delete instance snapshot</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceSnapshotName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteKeyPair' => '<p>Deletes a specific SSH key pair.</p> <p>The <code>delete key pair</code> operation supports tag-based access control via resource tags applied to the resource identified by keyPairName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteKnownHostKeys' => '<p>Deletes the known host key or certificate used by the Amazon Lightsail browser-based SSH or RDP clients to authenticate an instance. This operation enables the Lightsail browser-based SSH or RDP clients to connect to the instance after a host key mismatch.</p> <important> <p>Perform this operation only if you were expecting the host key or certificate mismatch or if you are familiar with the new host key or certificate on the instance. For more information, see <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-troubleshooting-browser-based-ssh-rdp-client-connection">Troubleshooting connection issues when using the Amazon Lightsail browser-based SSH or RDP client</a>.</p> </important>', 'DeleteLoadBalancer' => '<p>Deletes a Lightsail load balancer and all its associated SSL/TLS certificates. Once the load balancer is deleted, you will need to create a new load balancer, create a new certificate, and verify domain ownership again.</p> <p>The <code>delete load balancer</code> operation supports tag-based access control via resource tags applied to the resource identified by loadBalancerName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteLoadBalancerTlsCertificate' => '<p>Deletes an SSL/TLS certificate associated with a Lightsail load balancer.</p> <p>The <code>delete load balancer tls certificate</code> operation supports tag-based access control via resource tags applied to the resource identified by loadBalancerName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteRelationalDatabase' => '<p>Deletes a database in Amazon Lightsail.</p> <p>The <code>delete relational database</code> operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DeleteRelationalDatabaseSnapshot' => '<p>Deletes a database snapshot in Amazon Lightsail.</p> <p>The <code>delete relational database snapshot</code> operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DetachDisk' => '<p>Detaches a stopped block storage disk from a Lightsail instance. Make sure to unmount any file systems on the device within your operating system before stopping the instance and detaching the disk.</p> <p>The <code>detach disk</code> operation supports tag-based access control via resource tags applied to the resource identified by diskName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DetachInstancesFromLoadBalancer' => '<p>Detaches the specified instances from a Lightsail load balancer.</p> <p>This operation waits until the instances are no longer needed before they are detached from the load balancer.</p> <p>The <code>detach instances from load balancer</code> operation supports tag-based access control via resource tags applied to the resource identified by loadBalancerName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'DetachStaticIp' => '<p>Detaches a static IP from the Amazon Lightsail instance to which it is attached.</p>', 'DownloadDefaultKeyPair' => '<p>Downloads the default SSH key pair from the user\'s account.</p>', 'ExportSnapshot' => '<p>Exports an Amazon Lightsail instance or block storage disk snapshot to Amazon Elastic Compute Cloud (Amazon EC2). This operation results in an export snapshot record that can be used with the <code>create cloud formation stack</code> operation to create new Amazon EC2 instances.</p> <p>Exported instance snapshots appear in Amazon EC2 as Amazon Machine Images (AMIs), and the instance system disk appears as an Amazon Elastic Block Store (Amazon EBS) volume. Exported disk snapshots appear in Amazon EC2 as Amazon EBS volumes. Snapshots are exported to the same Amazon Web Services Region in Amazon EC2 as the source Lightsail snapshot.</p> <p/> <p>The <code>export snapshot</code> operation supports tag-based access control via resource tags applied to the resource identified by sourceSnapshotName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p> <note> <p>Use the <code>get instance snapshots</code> or <code>get disk snapshots</code> operations to get a list of snapshots that you can export to Amazon EC2.</p> </note>', 'GetActiveNames' => '<p>Returns the names of all active (not deleted) resources.</p>', 'GetBlueprints' => '<p>Returns the list of available instance images, or <i>blueprints</i>. You can use a blueprint to create a new virtual private server already running a specific operating system, as well as a preinstalled app or development stack. The software each instance is running depends on the blueprint image you choose.</p>', 'GetBundles' => '<p>Returns the list of bundles that are available for purchase. A bundle describes the specs for your virtual private server (or <i>instance</i>).</p>', 'GetCloudFormationStackRecords' => '<p>Returns the CloudFormation stack record created as a result of the <code>create cloud formation stack</code> operation.</p> <p>An AWS CloudFormation stack is used to create a new Amazon EC2 instance from an exported Lightsail snapshot.</p>', 'GetDisk' => '<p>Returns information about a specific block storage disk.</p>', 'GetDiskSnapshot' => '<p>Returns information about a specific block storage disk snapshot.</p>', 'GetDiskSnapshots' => '<p>Returns information about all block storage disk snapshots in your AWS account and region.</p> <p>If you are describing a long list of disk snapshots, you can paginate the output to make the list more manageable. You can use the pageToken and nextPageToken values to retrieve the next items in the list.</p>', 'GetDisks' => '<p>Returns information about all block storage disks in your AWS account and region.</p> <p>If you are describing a long list of disks, you can paginate the output to make the list more manageable. You can use the pageToken and nextPageToken values to retrieve the next items in the list.</p>', 'GetDomain' => '<p>Returns information about a specific domain recordset.</p>', 'GetDomains' => '<p>Returns a list of all domains in the user\'s account.</p>', 'GetExportSnapshotRecords' => '<p>Returns the export snapshot record created as a result of the <code>export snapshot</code> operation.</p> <p>An export snapshot record can be used to create a new Amazon EC2 instance and its related resources with the <code>create cloud formation stack</code> operation.</p>', 'GetInstance' => '<p>Returns information about a specific Amazon Lightsail instance, which is a virtual private server.</p>', 'GetInstanceAccessDetails' => '<p>Returns temporary SSH keys you can use to connect to a specific virtual private server, or <i>instance</i>.</p> <p>The <code>get instance access details</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'GetInstanceMetricData' => '<p>Returns the data points for the specified Amazon Lightsail instance metric, given an instance name.</p>', 'GetInstancePortStates' => '<p>Returns the port states for a specific virtual private server, or <i>instance</i>.</p>', 'GetInstanceSnapshot' => '<p>Returns information about a specific instance snapshot.</p>', 'GetInstanceSnapshots' => '<p>Returns all instance snapshots for the user\'s account.</p>', 'GetInstanceState' => '<p>Returns the state of a specific instance. Works on one instance at a time.</p>', 'GetInstances' => '<p>Returns information about all Amazon Lightsail virtual private servers, or <i>instances</i>.</p>', 'GetKeyPair' => '<p>Returns information about a specific key pair.</p>', 'GetKeyPairs' => '<p>Returns information about all key pairs in the user\'s account.</p>', 'GetLoadBalancer' => '<p>Returns information about the specified Lightsail load balancer.</p>', 'GetLoadBalancerMetricData' => '<p>Returns information about health metrics for your Lightsail load balancer.</p>', 'GetLoadBalancerTlsCertificates' => '<p>Returns information about the TLS certificates that are associated with the specified Lightsail load balancer.</p> <p>TLS is just an updated, more secure version of Secure Socket Layer (SSL).</p> <p>You can have a maximum of 2 certificates associated with a Lightsail load balancer. One is active and the other is inactive.</p>', 'GetLoadBalancers' => '<p>Returns information about all load balancers in an account.</p> <p>If you are describing a long list of load balancers, you can paginate the output to make the list more manageable. You can use the pageToken and nextPageToken values to retrieve the next items in the list.</p>', 'GetOperation' => '<p>Returns information about a specific operation. Operations include events such as when you create an instance, allocate a static IP, attach a static IP, and so on.</p>', 'GetOperations' => '<p>Returns information about all operations.</p> <p>Results are returned from oldest to newest, up to a maximum of 200. Results can be paged by making each subsequent call to <code>GetOperations</code> use the maximum (last) <code>statusChangedAt</code> value from the previous request.</p>', 'GetOperationsForResource' => '<p>Gets operations for a specific resource (e.g., an instance or a static IP).</p>', 'GetRegions' => '<p>Returns a list of all valid regions for Amazon Lightsail. Use the <code>include availability zones</code> parameter to also return the Availability Zones in a region.</p>', 'GetRelationalDatabase' => '<p>Returns information about a specific database in Amazon Lightsail.</p>', 'GetRelationalDatabaseBlueprints' => '<p>Returns a list of available database blueprints in Amazon Lightsail. A blueprint describes the major engine version of a database.</p> <p>You can use a blueprint ID to create a new database that runs a specific database engine.</p>', 'GetRelationalDatabaseBundles' => '<p>Returns the list of bundles that are available in Amazon Lightsail. A bundle describes the performance specifications for a database.</p> <p>You can use a bundle ID to create a new database with explicit performance specifications.</p>', 'GetRelationalDatabaseEvents' => '<p>Returns a list of events for a specific database in Amazon Lightsail.</p>', 'GetRelationalDatabaseLogEvents' => '<p>Returns a list of log events for a database in Amazon Lightsail.</p>', 'GetRelationalDatabaseLogStreams' => '<p>Returns a list of available log streams for a specific database in Amazon Lightsail.</p>', 'GetRelationalDatabaseMasterUserPassword' => '<p>Returns the current, previous, or pending versions of the master user password for a Lightsail database.</p> <p>The <code>asdf</code> operation GetRelationalDatabaseMasterUserPassword supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName.</p>', 'GetRelationalDatabaseMetricData' => '<p>Returns the data points of the specified metric for a database in Amazon Lightsail.</p>', 'GetRelationalDatabaseParameters' => '<p>Returns all of the runtime parameters offered by the underlying database software, or engine, for a specific database in Amazon Lightsail.</p> <p>In addition to the parameter names and values, this operation returns other information about each parameter. This information includes whether changes require a reboot, whether the parameter is modifiable, the allowed values, and the data types.</p>', 'GetRelationalDatabaseSnapshot' => '<p>Returns information about a specific database snapshot in Amazon Lightsail.</p>', 'GetRelationalDatabaseSnapshots' => '<p>Returns information about all of your database snapshots in Amazon Lightsail.</p>', 'GetRelationalDatabases' => '<p>Returns information about all of your databases in Amazon Lightsail.</p>', 'GetStaticIp' => '<p>Returns information about a specific static IP.</p>', 'GetStaticIps' => '<p>Returns information about all static IPs in the user\'s account.</p>', 'ImportKeyPair' => '<p>Imports a public SSH key from a specific key pair.</p>', 'IsVpcPeered' => '<p>Returns a Boolean value indicating whether your Lightsail VPC is peered.</p>', 'OpenInstancePublicPorts' => '<p>Adds public ports to an Amazon Lightsail instance.</p> <p>The <code>open instance public ports</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'PeerVpc' => '<p>Tries to peer the Lightsail VPC with the user\'s default VPC.</p>', 'PutInstancePublicPorts' => '<p>Sets the specified open ports for an Amazon Lightsail instance, and closes all ports for every protocol not included in the current request.</p> <p>The <code>put instance public ports</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'RebootInstance' => '<p>Restarts a specific instance.</p> <p>The <code>reboot instance</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'RebootRelationalDatabase' => '<p>Restarts a specific database in Amazon Lightsail.</p> <p>The <code>reboot relational database</code> operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'ReleaseStaticIp' => '<p>Deletes a specific static IP from your account.</p>', 'StartInstance' => '<p>Starts a specific Amazon Lightsail instance from a stopped state. To restart an instance, use the <code>reboot instance</code> operation.</p> <note> <p>When you start a stopped instance, Lightsail assigns a new public IP address to the instance. To use the same IP address after stopping and starting an instance, create a static IP address and attach it to the instance. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/lightsail-create-static-ip">Lightsail Dev Guide</a>.</p> </note> <p>The <code>start instance</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'StartRelationalDatabase' => '<p>Starts a specific database from a stopped state in Amazon Lightsail. To restart a database, use the <code>reboot relational database</code> operation.</p> <p>The <code>start relational database</code> operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'StopInstance' => '<p>Stops a specific Amazon Lightsail instance that is currently running.</p> <note> <p>When you start a stopped instance, Lightsail assigns a new public IP address to the instance. To use the same IP address after stopping and starting an instance, create a static IP address and attach it to the instance. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/lightsail-create-static-ip">Lightsail Dev Guide</a>.</p> </note> <p>The <code>stop instance</code> operation supports tag-based access control via resource tags applied to the resource identified by instanceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'StopRelationalDatabase' => '<p>Stops a specific database that is currently running in Amazon Lightsail.</p> <p>The <code>stop relational database</code> operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'TagResource' => '<p>Adds one or more tags to the specified Amazon Lightsail resource. Each resource can have a maximum of 50 tags. Each tag consists of a key and an optional value. Tag keys must be unique per resource. For more information about tags, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p> <p>The <code>tag resource</code> operation supports tag-based access control via request tags and resource tags applied to the resource identified by resourceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'UnpeerVpc' => '<p>Attempts to unpeer the Lightsail VPC from the user\'s default VPC.</p>', 'UntagResource' => '<p>Deletes the specified set of tag keys and their values from the specified Amazon Lightsail resource.</p> <p>The <code>untag resource</code> operation supports tag-based access control via request tags and resource tags applied to the resource identified by resourceName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'UpdateDomainEntry' => '<p>Updates a domain recordset after it is created.</p> <p>The <code>update domain entry</code> operation supports tag-based access control via resource tags applied to the resource identified by domainName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'UpdateLoadBalancerAttribute' => '<p>Updates the specified attribute for a load balancer. You can only update one attribute at a time.</p> <p>The <code>update load balancer attribute</code> operation supports tag-based access control via resource tags applied to the resource identified by loadBalancerName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'UpdateRelationalDatabase' => '<p>Allows the update of one or more attributes of a database in Amazon Lightsail.</p> <p>Updates are applied immediately, or in cases where the updates could result in an outage, are applied during the database\'s predefined maintenance window.</p> <p>The <code>update relational database</code> operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', 'UpdateRelationalDatabaseParameters' => '<p>Allows the update of one or more parameters of a database in Amazon Lightsail.</p> <p>Parameter updates don\'t cause outages; therefore, their application is not subject to the preferred maintenance window. However, there are two ways in which paramater updates are applied: <code>dynamic</code> or <code>pending-reboot</code>. Parameters marked with a <code>dynamic</code> apply type are applied immediately. Parameters marked with a <code>pending-reboot</code> apply type are applied only after the database is rebooted using the <code>reboot relational database</code> operation.</p> <p>The <code>update relational database parameters</code> operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-controlling-access-using-tags">Lightsail Dev Guide</a>.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>Lightsail throws this exception when the user cannot be authenticated or uses invalid credentials to access a resource.</p>', 'refs' => [], ], 'AccessDirection' => [ 'base' => NULL, 'refs' => [ 'InstancePortInfo$accessDirection' => '<p>The access direction (<code>inbound</code> or <code>outbound</code>).</p>', ], ], 'AccountSetupInProgressException' => [ 'base' => '<p>Lightsail throws this exception when an account is still in the setup in progress state.</p>', 'refs' => [], ], 'AllocateStaticIpRequest' => [ 'base' => NULL, 'refs' => [], ], 'AllocateStaticIpResult' => [ 'base' => NULL, 'refs' => [], ], 'AttachDiskRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachDiskResult' => [ 'base' => NULL, 'refs' => [], ], 'AttachInstancesToLoadBalancerRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachInstancesToLoadBalancerResult' => [ 'base' => NULL, 'refs' => [], ], 'AttachLoadBalancerTlsCertificateRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachLoadBalancerTlsCertificateResult' => [ 'base' => NULL, 'refs' => [], ], 'AttachStaticIpRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachStaticIpResult' => [ 'base' => NULL, 'refs' => [], ], 'AttachedDiskMap' => [ 'base' => NULL, 'refs' => [ 'CreateInstancesFromSnapshotRequest$attachedDiskMapping' => '<p>An object containing information about one or more disk mappings.</p>', ], ], 'AvailabilityZone' => [ 'base' => '<p>Describes an Availability Zone.</p>', 'refs' => [ 'AvailabilityZoneList$member' => NULL, ], ], 'AvailabilityZoneList' => [ 'base' => NULL, 'refs' => [ 'Region$availabilityZones' => '<p>The Availability Zones. Follows the format <code>us-east-2a</code> (case-sensitive).</p>', 'Region$relationalDatabaseAvailabilityZones' => '<p>The Availability Zones for databases. Follows the format <code>us-east-2a</code> (case-sensitive).</p>', ], ], 'Base64' => [ 'base' => NULL, 'refs' => [ 'CreateKeyPairResult$publicKeyBase64' => '<p>A base64-encoded public key of the <code>ssh-rsa</code> type.</p>', 'CreateKeyPairResult$privateKeyBase64' => '<p>A base64-encoded RSA private key.</p>', 'DownloadDefaultKeyPairResult$publicKeyBase64' => '<p>A base64-encoded public key of the <code>ssh-rsa</code> type.</p>', 'DownloadDefaultKeyPairResult$privateKeyBase64' => '<p>A base64-encoded RSA private key.</p>', 'ImportKeyPairRequest$publicKeyBase64' => '<p>A base64-encoded public key of the <code>ssh-rsa</code> type.</p>', 'KeyPair$fingerprint' => '<p>The RSA fingerprint of the key pair.</p>', ], ], 'Blueprint' => [ 'base' => '<p>Describes a blueprint (a virtual private server image).</p>', 'refs' => [ 'BlueprintList$member' => NULL, ], ], 'BlueprintList' => [ 'base' => NULL, 'refs' => [ 'GetBlueprintsResult$blueprints' => '<p>An array of key-value pairs that contains information about the available blueprints.</p>', ], ], 'BlueprintType' => [ 'base' => NULL, 'refs' => [ 'Blueprint$type' => '<p>The type of the blueprint (e.g., <code>os</code> or <code>app</code>).</p>', ], ], 'Bundle' => [ 'base' => '<p>Describes a bundle, which is a set of specs describing your virtual private server (or <i>instance</i>).</p>', 'refs' => [ 'BundleList$member' => NULL, ], ], 'BundleList' => [ 'base' => NULL, 'refs' => [ 'GetBundlesResult$bundles' => '<p>An array of key-value pairs that contains information about the available bundles.</p>', ], ], 'CloseInstancePublicPortsRequest' => [ 'base' => NULL, 'refs' => [], ], 'CloseInstancePublicPortsResult' => [ 'base' => NULL, 'refs' => [], ], 'CloudFormationStackRecord' => [ 'base' => '<p>Describes a CloudFormation stack record created as a result of the <code>create cloud formation stack</code> operation.</p> <p>A CloudFormation stack record provides information about the AWS CloudFormation stack used to create a new Amazon Elastic Compute Cloud instance from an exported Lightsail instance snapshot.</p>', 'refs' => [ 'CloudFormationStackRecordList$member' => NULL, ], ], 'CloudFormationStackRecordList' => [ 'base' => NULL, 'refs' => [ 'GetCloudFormationStackRecordsResult$cloudFormationStackRecords' => '<p>A list of objects describing the CloudFormation stack records.</p>', ], ], 'CloudFormationStackRecordSourceInfo' => [ 'base' => '<p>Describes the source of a CloudFormation stack record (i.e., the export snapshot record).</p>', 'refs' => [ 'CloudFormationStackRecordSourceInfoList$member' => NULL, ], ], 'CloudFormationStackRecordSourceInfoList' => [ 'base' => NULL, 'refs' => [ 'CloudFormationStackRecord$sourceInfo' => '<p>A list of objects describing the source of the CloudFormation stack record.</p>', ], ], 'CloudFormationStackRecordSourceType' => [ 'base' => NULL, 'refs' => [ 'CloudFormationStackRecordSourceInfo$resourceType' => '<p>The Lightsail resource type (e.g., <code>ExportSnapshotRecord</code>).</p>', ], ], 'CopySnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'CopySnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateCloudFormationStackRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateCloudFormationStackResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateDiskFromSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDiskFromSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateDiskRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDiskResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateDiskSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDiskSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateDomainEntryRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDomainEntryResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDomainResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateInstanceSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateInstanceSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateInstancesFromSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateInstancesFromSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateInstancesRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateInstancesResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateKeyPairRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateKeyPairResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateLoadBalancerRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateLoadBalancerResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateLoadBalancerTlsCertificateRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateLoadBalancerTlsCertificateResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateRelationalDatabaseFromSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateRelationalDatabaseFromSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateRelationalDatabaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateRelationalDatabaseResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateRelationalDatabaseSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateRelationalDatabaseSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDiskRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDiskResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDiskSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDiskSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDomainEntryRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDomainEntryResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDomainResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInstanceResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInstanceSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInstanceSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteKeyPairRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteKeyPairResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteKnownHostKeysRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteKnownHostKeysResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteLoadBalancerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteLoadBalancerResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteLoadBalancerTlsCertificateRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteLoadBalancerTlsCertificateResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRelationalDatabaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRelationalDatabaseResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRelationalDatabaseSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRelationalDatabaseSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'DestinationInfo' => [ 'base' => '<p>Describes the destination of a record.</p>', 'refs' => [ 'CloudFormationStackRecord$destinationInfo' => '<p>A list of objects describing the destination service, which is AWS CloudFormation, and the Amazon Resource Name (ARN) of the AWS CloudFormation stack.</p>', 'ExportSnapshotRecord$destinationInfo' => '<p>A list of objects describing the destination of the export snapshot record.</p>', ], ], 'DetachDiskRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetachDiskResult' => [ 'base' => NULL, 'refs' => [], ], 'DetachInstancesFromLoadBalancerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetachInstancesFromLoadBalancerResult' => [ 'base' => NULL, 'refs' => [], ], 'DetachStaticIpRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetachStaticIpResult' => [ 'base' => NULL, 'refs' => [], ], 'Disk' => [ 'base' => '<p>Describes a system disk or an block storage disk.</p>', 'refs' => [ 'DiskList$member' => NULL, 'GetDiskResult$disk' => '<p>An object containing information about the disk.</p>', ], ], 'DiskInfo' => [ 'base' => '<p>Describes a disk.</p>', 'refs' => [ 'DiskInfoList$member' => NULL, ], ], 'DiskInfoList' => [ 'base' => NULL, 'refs' => [ 'InstanceSnapshotInfo$fromDiskInfo' => '<p>A list of objects describing the disks that were attached to the source instance.</p>', ], ], 'DiskList' => [ 'base' => NULL, 'refs' => [ 'GetDisksResult$disks' => '<p>An array of objects containing information about all block storage disks.</p>', 'InstanceHardware$disks' => '<p>The disks attached to the instance.</p>', 'InstanceSnapshot$fromAttachedDisks' => '<p>An array of disk objects containing information about all block storage disks.</p>', ], ], 'DiskMap' => [ 'base' => '<p>Describes a block storage disk mapping.</p>', 'refs' => [ 'DiskMapList$member' => NULL, ], ], 'DiskMapList' => [ 'base' => NULL, 'refs' => [ 'AttachedDiskMap$value' => NULL, ], ], 'DiskSnapshot' => [ 'base' => '<p>Describes a block storage disk snapshot.</p>', 'refs' => [ 'DiskSnapshotList$member' => NULL, 'GetDiskSnapshotResult$diskSnapshot' => '<p>An object containing information about the disk snapshot.</p>', ], ], 'DiskSnapshotInfo' => [ 'base' => '<p>Describes a disk snapshot.</p>', 'refs' => [ 'ExportSnapshotRecordSourceInfo$diskSnapshotInfo' => '<p>A list of objects describing a disk snapshot.</p>', ], ], 'DiskSnapshotList' => [ 'base' => NULL, 'refs' => [ 'GetDiskSnapshotsResult$diskSnapshots' => '<p>An array of objects containing information about all block storage disk snapshots.</p>', ], ], 'DiskSnapshotState' => [ 'base' => NULL, 'refs' => [ 'DiskSnapshot$state' => '<p>The status of the disk snapshot operation.</p>', ], ], 'DiskState' => [ 'base' => NULL, 'refs' => [ 'Disk$state' => '<p>Describes the status of the disk.</p>', ], ], 'Domain' => [ 'base' => '<p>Describes a domain where you are storing recordsets in Lightsail.</p>', 'refs' => [ 'DomainList$member' => NULL, 'GetDomainResult$domain' => '<p>An array of key-value pairs containing information about your get domain request.</p>', ], ], 'DomainEntry' => [ 'base' => '<p>Describes a domain recordset entry.</p>', 'refs' => [ 'CreateDomainEntryRequest$domainEntry' => '<p>An array of key-value pairs containing information about the domain entry request.</p>', 'DeleteDomainEntryRequest$domainEntry' => '<p>An array of key-value pairs containing information about your domain entries.</p>', 'DomainEntryList$member' => NULL, 'UpdateDomainEntryRequest$domainEntry' => '<p>An array of key-value pairs containing information about the domain entry.</p>', ], ], 'DomainEntryList' => [ 'base' => NULL, 'refs' => [ 'Domain$domainEntries' => '<p>An array of key-value pairs containing information about the domain entries.</p>', ], ], 'DomainEntryOptions' => [ 'base' => NULL, 'refs' => [ 'DomainEntry$options' => '<p>(Deprecated) The options for the domain entry.</p> <note> <p>In releases prior to November 29, 2017, this parameter was not included in the API response. It is now deprecated.</p> </note>', ], ], 'DomainEntryOptionsKeys' => [ 'base' => NULL, 'refs' => [ 'DomainEntryOptions$key' => NULL, ], ], 'DomainEntryType' => [ 'base' => NULL, 'refs' => [ 'DomainEntry$type' => '<p>The type of domain entry, such as address (A), canonical name (CNAME), mail exchanger (MX), name server (NS), start of authority (SOA), service locator (SRV), or text (TXT).</p> <p>The following domain entry types can be used:</p> <ul> <li> <p> <code>A</code> </p> </li> <li> <p> <code>CNAME</code> </p> </li> <li> <p> <code>MX</code> </p> </li> <li> <p> <code>NS</code> </p> </li> <li> <p> <code>SOA</code> </p> </li> <li> <p> <code>SRV</code> </p> </li> <li> <p> <code>TXT</code> </p> </li> </ul>', ], ], 'DomainList' => [ 'base' => NULL, 'refs' => [ 'GetDomainsResult$domains' => '<p>An array of key-value pairs containing information about each of the domain entries in the user\'s account.</p>', ], ], 'DomainName' => [ 'base' => NULL, 'refs' => [ 'CreateDomainEntryRequest$domainName' => '<p>The domain name (e.g., <code>example.com</code>) for which you want to create the domain entry.</p>', 'CreateDomainRequest$domainName' => '<p>The domain name to manage (e.g., <code>example.com</code>).</p> <note> <p>You cannot register a new domain name using Lightsail. You must register a domain name using Amazon Route 53 or another domain name registrar. If you have already registered your domain, you can enter its name in this parameter to manage the DNS records for that domain.</p> </note>', 'CreateLoadBalancerRequest$certificateDomainName' => '<p>The domain name with which your certificate is associated (e.g., <code>example.com</code>).</p> <p>If you specify <code>certificateDomainName</code>, then <code>certificateName</code> is required (and vice-versa).</p>', 'CreateLoadBalancerTlsCertificateRequest$certificateDomainName' => '<p>The domain name (e.g., <code>example.com</code>) for your SSL/TLS certificate.</p>', 'DeleteDomainEntryRequest$domainName' => '<p>The name of the domain entry to delete.</p>', 'DeleteDomainRequest$domainName' => '<p>The specific domain name to delete.</p>', 'DomainEntry$name' => '<p>The name of the domain.</p>', 'DomainNameList$member' => NULL, 'GetDomainRequest$domainName' => '<p>The domain name for which your want to return information about.</p>', 'LoadBalancerTlsCertificate$domainName' => '<p>The domain name for your SSL/TLS certificate.</p>', 'LoadBalancerTlsCertificateDomainValidationOption$domainName' => '<p>The fully qualified domain name in the certificate request.</p>', 'LoadBalancerTlsCertificateDomainValidationRecord$domainName' => '<p>The domain name against which your SSL/TLS certificate was validated.</p>', 'UpdateDomainEntryRequest$domainName' => '<p>The name of the domain recordset to update.</p>', ], ], 'DomainNameList' => [ 'base' => NULL, 'refs' => [ 'CreateLoadBalancerRequest$certificateAlternativeNames' => '<p>The optional alternative domains and subdomains to use with your SSL/TLS certificate (e.g., <code>www.example.com</code>, <code>example.com</code>, <code>m.example.com</code>, <code>blog.example.com</code>).</p>', 'CreateLoadBalancerTlsCertificateRequest$certificateAlternativeNames' => '<p>An array of strings listing alternative domains and subdomains for your SSL/TLS certificate. Lightsail will de-dupe the names for you. You can have a maximum of 9 alternative names (in addition to the 1 primary domain). We do not support wildcards (e.g., <code>*.example.com</code>).</p>', ], ], 'DownloadDefaultKeyPairRequest' => [ 'base' => NULL, 'refs' => [], ], 'DownloadDefaultKeyPairResult' => [ 'base' => NULL, 'refs' => [], ], 'ExportSnapshotRecord' => [ 'base' => '<p>Describes an export snapshot record.</p>', 'refs' => [ 'ExportSnapshotRecordList$member' => NULL, ], ], 'ExportSnapshotRecordList' => [ 'base' => NULL, 'refs' => [ 'GetExportSnapshotRecordsResult$exportSnapshotRecords' => '<p>A list of objects describing the export snapshot records.</p>', ], ], 'ExportSnapshotRecordSourceInfo' => [ 'base' => '<p>Describes the source of an export snapshot record.</p>', 'refs' => [ 'ExportSnapshotRecord$sourceInfo' => '<p>A list of objects describing the source of the export snapshot record.</p>', ], ], 'ExportSnapshotRecordSourceType' => [ 'base' => NULL, 'refs' => [ 'ExportSnapshotRecordSourceInfo$resourceType' => '<p>The Lightsail resource type (e.g., <code>InstanceSnapshot</code> or <code>DiskSnapshot</code>).</p>', ], ], 'ExportSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'ExportSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'GetActiveNamesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetActiveNamesResult' => [ 'base' => NULL, 'refs' => [], ], 'GetBlueprintsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetBlueprintsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetBundlesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetBundlesResult' => [ 'base' => NULL, 'refs' => [], ], 'GetCloudFormationStackRecordsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetCloudFormationStackRecordsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetDiskRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDiskResult' => [ 'base' => NULL, 'refs' => [], ], 'GetDiskSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDiskSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'GetDiskSnapshotsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDiskSnapshotsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetDisksRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDisksResult' => [ 'base' => NULL, 'refs' => [], ], 'GetDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDomainResult' => [ 'base' => NULL, 'refs' => [], ], 'GetDomainsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDomainsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetExportSnapshotRecordsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetExportSnapshotRecordsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceAccessDetailsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceAccessDetailsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceMetricDataRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceMetricDataResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstancePortStatesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstancePortStatesResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceSnapshotsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceSnapshotsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceStateRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceStateResult' => [ 'base' => NULL, 'refs' => [], ], 'GetInstancesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstancesResult' => [ 'base' => NULL, 'refs' => [], ], 'GetKeyPairRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetKeyPairResult' => [ 'base' => NULL, 'refs' => [], ], 'GetKeyPairsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetKeyPairsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancerMetricDataRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancerMetricDataResult' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancerRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancerResult' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancerTlsCertificatesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancerTlsCertificatesResult' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancersRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetLoadBalancersResult' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationResult' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationsForResourceResult' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRegionsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRegionsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseBlueprintsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseBlueprintsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseBundlesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseBundlesResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseEventsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseEventsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseLogEventsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseLogEventsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseLogStreamsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseLogStreamsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseMasterUserPasswordRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseMasterUserPasswordResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseMetricDataRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseMetricDataResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseParametersRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseParametersResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseSnapshotRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseSnapshotResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseSnapshotsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabaseSnapshotsResult' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabasesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRelationalDatabasesResult' => [ 'base' => NULL, 'refs' => [], ], 'GetStaticIpRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetStaticIpResult' => [ 'base' => NULL, 'refs' => [], ], 'GetStaticIpsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetStaticIpsResult' => [ 'base' => NULL, 'refs' => [], ], 'HostKeyAttributes' => [ 'base' => '<p>Describes the public SSH host keys or the RDP certificate.</p>', 'refs' => [ 'HostKeysList$member' => NULL, ], ], 'HostKeysList' => [ 'base' => NULL, 'refs' => [ 'InstanceAccessDetails$hostKeys' => '<p>Describes the public SSH host keys or the RDP certificate.</p>', ], ], 'ImportKeyPairRequest' => [ 'base' => NULL, 'refs' => [], ], 'ImportKeyPairResult' => [ 'base' => NULL, 'refs' => [], ], 'Instance' => [ 'base' => '<p>Describes an instance (a virtual private server).</p>', 'refs' => [ 'GetInstanceResult$instance' => '<p>An array of key-value pairs containing information about the specified instance.</p>', 'InstanceList$member' => NULL, ], ], 'InstanceAccessDetails' => [ 'base' => '<p>The parameters for gaining temporary access to one of your Amazon Lightsail instances.</p>', 'refs' => [ 'GetInstanceAccessDetailsResult$accessDetails' => '<p>An array of key-value pairs containing information about a get instance access request.</p>', ], ], 'InstanceAccessProtocol' => [ 'base' => NULL, 'refs' => [ 'GetInstanceAccessDetailsRequest$protocol' => '<p>The protocol to use to connect to your instance. Defaults to <code>ssh</code>.</p>', 'InstanceAccessDetails$protocol' => '<p>The protocol for these Amazon Lightsail instance access details.</p>', ], ], 'InstanceEntry' => [ 'base' => '<p>Describes the Amazon Elastic Compute Cloud instance and related resources to be created using the <code>create cloud formation stack</code> operation.</p>', 'refs' => [ 'InstanceEntryList$member' => NULL, ], ], 'InstanceEntryList' => [ 'base' => NULL, 'refs' => [ 'CreateCloudFormationStackRequest$instances' => '<p>An array of parameters that will be used to create the new Amazon EC2 instance. You can only pass one instance entry at a time in this array. You will get an invalid parameter error if you pass more than one instance entry in this array.</p>', ], ], 'InstanceHardware' => [ 'base' => '<p>Describes the hardware for the instance.</p>', 'refs' => [ 'Instance$hardware' => '<p>The size of the vCPU and the amount of RAM for the instance.</p>', ], ], 'InstanceHealthReason' => [ 'base' => NULL, 'refs' => [ 'InstanceHealthSummary$instanceHealthReason' => '<p>More information about the instance health. If the <code>instanceHealth</code> is <code>healthy</code>, then an <code>instanceHealthReason</code> value is not provided.</p> <p>If <b> <code>instanceHealth</code> </b> is <code>initial</code>, the <b> <code>instanceHealthReason</code> </b> value can be one of the following:</p> <ul> <li> <p> <b> <code>Lb.RegistrationInProgress</code> </b> - The target instance is in the process of being registered with the load balancer.</p> </li> <li> <p> <b> <code>Lb.InitialHealthChecking</code> </b> - The Lightsail load balancer is still sending the target instance the minimum number of health checks required to determine its health status.</p> </li> </ul> <p>If <b> <code>instanceHealth</code> </b> is <code>unhealthy</code>, the <b> <code>instanceHealthReason</code> </b> value can be one of the following:</p> <ul> <li> <p> <b> <code>Instance.ResponseCodeMismatch</code> </b> - The health checks did not return an expected HTTP code.</p> </li> <li> <p> <b> <code>Instance.Timeout</code> </b> - The health check requests timed out.</p> </li> <li> <p> <b> <code>Instance.FailedHealthChecks</code> </b> - The health checks failed because the connection to the target instance timed out, the target instance response was malformed, or the target instance failed the health check for an unknown reason.</p> </li> <li> <p> <b> <code>Lb.InternalError</code> </b> - The health checks failed due to an internal error.</p> </li> </ul> <p>If <b> <code>instanceHealth</code> </b> is <code>unused</code>, the <b> <code>instanceHealthReason</code> </b> value can be one of the following:</p> <ul> <li> <p> <b> <code>Instance.NotRegistered</code> </b> - The target instance is not registered with the target group.</p> </li> <li> <p> <b> <code>Instance.NotInUse</code> </b> - The target group is not used by any load balancer, or the target instance is in an Availability Zone that is not enabled for its load balancer.</p> </li> <li> <p> <b> <code>Instance.IpUnusable</code> </b> - The target IP address is reserved for use by a Lightsail load balancer.</p> </li> <li> <p> <b> <code>Instance.InvalidState</code> </b> - The target is in the stopped or terminated state.</p> </li> </ul> <p>If <b> <code>instanceHealth</code> </b> is <code>draining</code>, the <b> <code>instanceHealthReason</code> </b> value can be one of the following:</p> <ul> <li> <p> <b> <code>Instance.DeregistrationInProgress</code> </b> - The target instance is in the process of being deregistered and the deregistration delay period has not expired.</p> </li> </ul>', ], ], 'InstanceHealthState' => [ 'base' => NULL, 'refs' => [ 'InstanceHealthSummary$instanceHealth' => '<p>Describes the overall instance health. Valid values are below.</p>', ], ], 'InstanceHealthSummary' => [ 'base' => '<p>Describes information about the health of the instance.</p>', 'refs' => [ 'InstanceHealthSummaryList$member' => NULL, ], ], 'InstanceHealthSummaryList' => [ 'base' => NULL, 'refs' => [ 'LoadBalancer$instanceHealthSummary' => '<p>An array of InstanceHealthSummary objects describing the health of the load balancer.</p>', ], ], 'InstanceList' => [ 'base' => NULL, 'refs' => [ 'GetInstancesResult$instances' => '<p>An array of key-value pairs containing information about your instances.</p>', ], ], 'InstanceMetricName' => [ 'base' => NULL, 'refs' => [ 'GetInstanceMetricDataRequest$metricName' => '<p>The metric name to get data about. </p>', 'GetInstanceMetricDataResult$metricName' => '<p>The metric name to return data for.</p>', ], ], 'InstanceNetworking' => [ 'base' => '<p>Describes monthly data transfer rates and port information for an instance.</p>', 'refs' => [ 'Instance$networking' => '<p>Information about the public ports and monthly data transfer rates for the instance.</p>', ], ], 'InstancePlatform' => [ 'base' => NULL, 'refs' => [ 'Blueprint$platform' => '<p>The operating system platform (either Linux/Unix-based or Windows Server-based) of the blueprint.</p>', 'InstancePlatformList$member' => NULL, ], ], 'InstancePlatformList' => [ 'base' => NULL, 'refs' => [ 'Bundle$supportedPlatforms' => '<p>The operating system platform (Linux/Unix-based or Windows Server-based) that the bundle supports. You can only launch a <code>WINDOWS</code> bundle on a blueprint that supports the <code>WINDOWS</code> platform. <code>LINUX_UNIX</code> blueprints require a <code>LINUX_UNIX</code> bundle.</p>', ], ], 'InstancePortInfo' => [ 'base' => '<p>Describes information about the instance ports.</p>', 'refs' => [ 'InstancePortInfoList$member' => NULL, ], ], 'InstancePortInfoList' => [ 'base' => NULL, 'refs' => [ 'InstanceNetworking$ports' => '<p>An array of key-value pairs containing information about the ports on the instance.</p>', ], ], 'InstancePortState' => [ 'base' => '<p>Describes the port state.</p>', 'refs' => [ 'InstancePortStateList$member' => NULL, ], ], 'InstancePortStateList' => [ 'base' => NULL, 'refs' => [ 'GetInstancePortStatesResult$portStates' => '<p>Information about the port states resulting from your request.</p>', ], ], 'InstanceSnapshot' => [ 'base' => '<p>Describes the snapshot of the virtual private server, or <i>instance</i>.</p>', 'refs' => [ 'GetInstanceSnapshotResult$instanceSnapshot' => '<p>An array of key-value pairs containing information about the results of your get instance snapshot request.</p>', 'InstanceSnapshotList$member' => NULL, ], ], 'InstanceSnapshotInfo' => [ 'base' => '<p>Describes an instance snapshot.</p>', 'refs' => [ 'ExportSnapshotRecordSourceInfo$instanceSnapshotInfo' => '<p>A list of objects describing an instance snapshot.</p>', ], ], 'InstanceSnapshotList' => [ 'base' => NULL, 'refs' => [ 'GetInstanceSnapshotsResult$instanceSnapshots' => '<p>An array of key-value pairs containing information about the results of your get instance snapshots request.</p>', ], ], 'InstanceSnapshotState' => [ 'base' => NULL, 'refs' => [ 'InstanceSnapshot$state' => '<p>The state the snapshot is in.</p>', ], ], 'InstanceState' => [ 'base' => '<p>Describes the virtual private server (or <i>instance</i>) status.</p>', 'refs' => [ 'GetInstanceStateResult$state' => '<p>The state of the instance.</p>', 'Instance$state' => '<p>The status code and the state (e.g., <code>running</code>) for the instance.</p>', ], ], 'InvalidInputException' => [ 'base' => '<p>Lightsail throws this exception when user input does not conform to the validation rules of an input field.</p> <note> <p>Domain-related APIs are only available in the N. Virginia (us-east-1) Region. Please set your AWS Region configuration to us-east-1 to create, view, or edit these resources.</p> </note>', 'refs' => [], ], 'IpAddress' => [ 'base' => NULL, 'refs' => [ 'Instance$privateIpAddress' => '<p>The private IP address of the instance.</p>', 'Instance$publicIpAddress' => '<p>The public IP address of the instance.</p>', 'InstanceAccessDetails$ipAddress' => '<p>The public IP address of the Amazon Lightsail instance.</p>', 'StaticIp$ipAddress' => '<p>The static IP address.</p>', ], ], 'IpV6Address' => [ 'base' => NULL, 'refs' => [ 'Instance$ipv6Address' => '<p>The IPv6 address of the instance.</p>', ], ], 'IsVpcPeeredRequest' => [ 'base' => NULL, 'refs' => [], ], 'IsVpcPeeredResult' => [ 'base' => NULL, 'refs' => [], ], 'IsoDate' => [ 'base' => NULL, 'refs' => [ 'CloudFormationStackRecord$createdAt' => '<p>The date when the CloudFormation stack record was created.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$restoreTime' => '<p>The date and time to restore your database from.</p> <p>Constraints:</p> <ul> <li> <p>Must be before the latest restorable time for the database.</p> </li> <li> <p>Cannot be specified if the <code>use latest restorable time</code> parameter is <code>true</code>.</p> </li> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Specified in the Unix time format.</p> <p>For example, if you wish to use a restore time of October 1, 2018, at 8 PM UTC, then you input <code>1538424000</code> as the restore time.</p> </li> </ul>', 'Disk$createdAt' => '<p>The date when the disk was created.</p>', 'DiskSnapshot$createdAt' => '<p>The date when the disk snapshot was created.</p>', 'Domain$createdAt' => '<p>The date when the domain recordset was created.</p>', 'ExportSnapshotRecord$createdAt' => '<p>The date when the export snapshot record was created.</p>', 'ExportSnapshotRecordSourceInfo$createdAt' => '<p>The date when the source instance or disk snapshot was created.</p>', 'GetRelationalDatabaseLogEventsRequest$startTime' => '<p>The start of the time interval from which to get log events.</p> <p>Constraints:</p> <ul> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Specified in the Unix time format.</p> <p>For example, if you wish to use a start time of October 1, 2018, at 8 PM UTC, then you input <code>1538424000</code> as the start time.</p> </li> </ul>', 'GetRelationalDatabaseLogEventsRequest$endTime' => '<p>The end of the time interval from which to get log events.</p> <p>Constraints:</p> <ul> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Specified in the Unix time format.</p> <p>For example, if you wish to use an end time of October 1, 2018, at 8 PM UTC, then you input <code>1538424000</code> as the end time.</p> </li> </ul>', 'GetRelationalDatabaseMasterUserPasswordResult$createdAt' => '<p>The timestamp when the specified version of the master user password was created.</p>', 'GetRelationalDatabaseMetricDataRequest$startTime' => '<p>The start of the time interval from which to get metric data.</p> <p>Constraints:</p> <ul> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Specified in the Unix time format.</p> <p>For example, if you wish to use a start time of October 1, 2018, at 8 PM UTC, then you input <code>1538424000</code> as the start time.</p> </li> </ul>', 'GetRelationalDatabaseMetricDataRequest$endTime' => '<p>The end of the time interval from which to get metric data.</p> <p>Constraints:</p> <ul> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Specified in the Unix time format.</p> <p>For example, if you wish to use an end time of October 1, 2018, at 8 PM UTC, then you input <code>1538424000</code> as the end time.</p> </li> </ul>', 'HostKeyAttributes$witnessedAt' => '<p>The time that the SSH host key or RDP certificate was recorded by Lightsail.</p>', 'HostKeyAttributes$notValidBefore' => '<p>The returned RDP certificate is valid after this point in time.</p> <p>This value is listed only for RDP certificates.</p>', 'HostKeyAttributes$notValidAfter' => '<p>The returned RDP certificate is not valid after this point in time.</p> <p>This value is listed only for RDP certificates.</p>', 'Instance$createdAt' => '<p>The timestamp when the instance was created (e.g., <code>1479734909.17</code>).</p>', 'InstanceAccessDetails$expiresAt' => '<p>For SSH access, the date on which the temporary keys expire.</p>', 'InstanceSnapshot$createdAt' => '<p>The timestamp when the snapshot was created (e.g., <code>1479907467.024</code>).</p>', 'KeyPair$createdAt' => '<p>The timestamp when the key pair was created (e.g., <code>1479816991.349</code>).</p>', 'LoadBalancer$createdAt' => '<p>The date when your load balancer was created.</p>', 'LoadBalancerTlsCertificate$createdAt' => '<p>The time when you created your SSL/TLS certificate.</p>', 'LoadBalancerTlsCertificate$issuedAt' => '<p>The time when the SSL/TLS certificate was issued.</p>', 'LoadBalancerTlsCertificate$notAfter' => '<p>The timestamp when the SSL/TLS certificate expires.</p>', 'LoadBalancerTlsCertificate$notBefore' => '<p>The timestamp when the SSL/TLS certificate is first valid.</p>', 'LoadBalancerTlsCertificate$revokedAt' => '<p>The timestamp when the SSL/TLS certificate was revoked.</p>', 'LogEvent$createdAt' => '<p>The timestamp when the database log event was created.</p>', 'Operation$createdAt' => '<p>The timestamp when the operation was initialized (e.g., <code>1479816991.349</code>).</p>', 'Operation$statusChangedAt' => '<p>The timestamp when the status was changed (e.g., <code>1479816991.349</code>).</p>', 'PendingMaintenanceAction$currentApplyDate' => '<p>The effective date of the pending database maintenance action.</p>', 'RelationalDatabase$createdAt' => '<p>The timestamp when the database was created. Formatted in Unix time.</p>', 'RelationalDatabase$latestRestorableTime' => '<p>The latest point in time to which the database can be restored. Formatted in Unix time.</p>', 'RelationalDatabaseEvent$createdAt' => '<p>The timestamp when the database event was created.</p>', 'RelationalDatabaseSnapshot$createdAt' => '<p>The timestamp when the database snapshot was created.</p>', 'StaticIp$createdAt' => '<p>The timestamp when the static IP was created (e.g., <code>1479735304.222</code>).</p>', ], ], 'KeyPair' => [ 'base' => '<p>Describes the SSH key pair.</p>', 'refs' => [ 'CreateKeyPairResult$keyPair' => '<p>An array of key-value pairs containing information about the new key pair you just created.</p>', 'GetKeyPairResult$keyPair' => '<p>An array of key-value pairs containing information about the key pair.</p>', 'KeyPairList$member' => NULL, ], ], 'KeyPairList' => [ 'base' => NULL, 'refs' => [ 'GetKeyPairsResult$keyPairs' => '<p>An array of key-value pairs containing information about the key pairs.</p>', ], ], 'LoadBalancer' => [ 'base' => '<p>Describes the Lightsail load balancer.</p>', 'refs' => [ 'GetLoadBalancerResult$loadBalancer' => '<p>An object containing information about your load balancer.</p>', 'LoadBalancerList$member' => NULL, ], ], 'LoadBalancerAttributeName' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerConfigurationOptions$key' => NULL, 'UpdateLoadBalancerAttributeRequest$attributeName' => '<p>The name of the attribute you want to update. Valid values are below.</p>', ], ], 'LoadBalancerConfigurationOptions' => [ 'base' => NULL, 'refs' => [ 'LoadBalancer$configurationOptions' => '<p>A string to string map of the configuration options for your load balancer. Valid values are listed below.</p>', ], ], 'LoadBalancerList' => [ 'base' => NULL, 'refs' => [ 'GetLoadBalancersResult$loadBalancers' => '<p>An array of LoadBalancer objects describing your load balancers.</p>', ], ], 'LoadBalancerMetricName' => [ 'base' => NULL, 'refs' => [ 'GetLoadBalancerMetricDataRequest$metricName' => '<p>The metric about which you want to return information. Valid values are listed below, along with the most useful <code>statistics</code> to include in your request.</p> <ul> <li> <p> <b> <code>ClientTLSNegotiationErrorCount</code> </b> - The number of TLS connections initiated by the client that did not establish a session with the load balancer. Possible causes include a mismatch of ciphers or protocols.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>.</p> </li> <li> <p> <b> <code>HealthyHostCount</code> </b> - The number of target instances that are considered healthy.</p> <p> <code>Statistics</code>: The most useful statistic are <code>Average</code>, <code>Minimum</code>, and <code>Maximum</code>.</p> </li> <li> <p> <b> <code>UnhealthyHostCount</code> </b> - The number of target instances that are considered unhealthy.</p> <p> <code>Statistics</code>: The most useful statistic are <code>Average</code>, <code>Minimum</code>, and <code>Maximum</code>.</p> </li> <li> <p> <b> <code>HTTPCode_LB_4XX_Count</code> </b> - The number of HTTP 4XX client error codes that originate from the load balancer. Client errors are generated when requests are malformed or incomplete. These requests have not been received by the target instance. This count does not include any response codes generated by the target instances.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_LB_5XX_Count</code> </b> - The number of HTTP 5XX server error codes that originate from the load balancer. This count does not include any response codes generated by the target instances.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_2XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_3XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer. </p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_4XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_5XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>InstanceResponseTime</code> </b> - The time elapsed, in seconds, after the request leaves the load balancer until a response from the target instance is received.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Average</code>.</p> </li> <li> <p> <b> <code>RejectedConnectionCount</code> </b> - The number of connections that were rejected because the load balancer had reached its maximum number of connections.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>.</p> </li> <li> <p> <b> <code>RequestCount</code> </b> - The number of requests processed over IPv4. This count includes only the requests with a response generated by a target instance of the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> </ul>', 'GetLoadBalancerMetricDataResult$metricName' => '<p>The metric about which you are receiving information. Valid values are listed below, along with the most useful <code>statistics</code> to include in your request.</p> <ul> <li> <p> <b> <code>ClientTLSNegotiationErrorCount</code> </b> - The number of TLS connections initiated by the client that did not establish a session with the load balancer. Possible causes include a mismatch of ciphers or protocols.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>.</p> </li> <li> <p> <b> <code>HealthyHostCount</code> </b> - The number of target instances that are considered healthy.</p> <p> <code>Statistics</code>: The most useful statistic are <code>Average</code>, <code>Minimum</code>, and <code>Maximum</code>.</p> </li> <li> <p> <b> <code>UnhealthyHostCount</code> </b> - The number of target instances that are considered unhealthy.</p> <p> <code>Statistics</code>: The most useful statistic are <code>Average</code>, <code>Minimum</code>, and <code>Maximum</code>.</p> </li> <li> <p> <b> <code>HTTPCode_LB_4XX_Count</code> </b> - The number of HTTP 4XX client error codes that originate from the load balancer. Client errors are generated when requests are malformed or incomplete. These requests have not been received by the target instance. This count does not include any response codes generated by the target instances.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_LB_5XX_Count</code> </b> - The number of HTTP 5XX server error codes that originate from the load balancer. This count does not include any response codes generated by the target instances.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_2XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_3XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer. </p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_4XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>HTTPCode_Instance_5XX_Count</code> </b> - The number of HTTP response codes generated by the target instances. This does not include any response codes generated by the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> <li> <p> <b> <code>InstanceResponseTime</code> </b> - The time elapsed, in seconds, after the request leaves the load balancer until a response from the target instance is received.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Average</code>.</p> </li> <li> <p> <b> <code>RejectedConnectionCount</code> </b> - The number of connections that were rejected because the load balancer had reached its maximum number of connections.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>.</p> </li> <li> <p> <b> <code>RequestCount</code> </b> - The number of requests processed over IPv4. This count includes only the requests with a response generated by a target instance of the load balancer.</p> <p> <code>Statistics</code>: The most useful statistic is <code>Sum</code>. Note that <code>Minimum</code>, <code>Maximum</code>, and <code>Average</code> all return <code>1</code>.</p> </li> </ul>', ], ], 'LoadBalancerProtocol' => [ 'base' => NULL, 'refs' => [ 'LoadBalancer$protocol' => '<p>The protocol you have enabled for your load balancer. Valid values are below.</p> <p>You can\'t just have <code>HTTP_HTTPS</code>, but you can have just <code>HTTP</code>.</p>', ], ], 'LoadBalancerState' => [ 'base' => NULL, 'refs' => [ 'LoadBalancer$state' => '<p>The status of your load balancer. Valid values are below.</p>', ], ], 'LoadBalancerTlsCertificate' => [ 'base' => '<p>Describes a load balancer SSL/TLS certificate.</p> <p>TLS is just an updated, more secure version of Secure Socket Layer (SSL).</p>', 'refs' => [ 'LoadBalancerTlsCertificateList$member' => NULL, ], ], 'LoadBalancerTlsCertificateDomainStatus' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerTlsCertificateDomainValidationOption$validationStatus' => '<p>The status of the domain validation. Valid values are listed below.</p>', 'LoadBalancerTlsCertificateDomainValidationRecord$validationStatus' => '<p>The validation status. Valid values are listed below.</p>', ], ], 'LoadBalancerTlsCertificateDomainValidationOption' => [ 'base' => '<p>Contains information about the domain names on an SSL/TLS certificate that you will use to validate domain ownership.</p>', 'refs' => [ 'LoadBalancerTlsCertificateDomainValidationOptionList$member' => NULL, ], ], 'LoadBalancerTlsCertificateDomainValidationOptionList' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerTlsCertificateRenewalSummary$domainValidationOptions' => '<p>Contains information about the validation of each domain name in the certificate, as it pertains to Lightsail\'s managed renewal. This is different from the initial validation that occurs as a result of the RequestCertificate request.</p>', ], ], 'LoadBalancerTlsCertificateDomainValidationRecord' => [ 'base' => '<p>Describes the validation record of each domain name in the SSL/TLS certificate.</p>', 'refs' => [ 'LoadBalancerTlsCertificateDomainValidationRecordList$member' => NULL, ], ], 'LoadBalancerTlsCertificateDomainValidationRecordList' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerTlsCertificate$domainValidationRecords' => '<p>An array of LoadBalancerTlsCertificateDomainValidationRecord objects describing the records.</p>', ], ], 'LoadBalancerTlsCertificateFailureReason' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerTlsCertificate$failureReason' => '<p>The reason for the SSL/TLS certificate validation failure.</p>', ], ], 'LoadBalancerTlsCertificateList' => [ 'base' => NULL, 'refs' => [ 'GetLoadBalancerTlsCertificatesResult$tlsCertificates' => '<p>An array of LoadBalancerTlsCertificate objects describing your SSL/TLS certificates.</p>', ], ], 'LoadBalancerTlsCertificateRenewalStatus' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerTlsCertificateRenewalSummary$renewalStatus' => '<p>The status of Lightsail\'s managed renewal of the certificate. Valid values are listed below.</p>', ], ], 'LoadBalancerTlsCertificateRenewalSummary' => [ 'base' => '<p>Contains information about the status of Lightsail\'s managed renewal for the certificate.</p>', 'refs' => [ 'LoadBalancerTlsCertificate$renewalSummary' => '<p>An object containing information about the status of Lightsail\'s managed renewal for the certificate.</p>', ], ], 'LoadBalancerTlsCertificateRevocationReason' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerTlsCertificate$revocationReason' => '<p>The reason the certificate was revoked. Valid values are below.</p>', ], ], 'LoadBalancerTlsCertificateStatus' => [ 'base' => NULL, 'refs' => [ 'LoadBalancerTlsCertificate$status' => '<p>The status of the SSL/TLS certificate. Valid values are below.</p>', ], ], 'LoadBalancerTlsCertificateSummary' => [ 'base' => '<p>Provides a summary of SSL/TLS certificate metadata.</p>', 'refs' => [ 'LoadBalancerTlsCertificateSummaryList$member' => NULL, ], ], 'LoadBalancerTlsCertificateSummaryList' => [ 'base' => NULL, 'refs' => [ 'LoadBalancer$tlsCertificateSummaries' => '<p>An array of LoadBalancerTlsCertificateSummary objects that provide additional information about the SSL/TLS certificates. For example, if <code>true</code>, the certificate is attached to the load balancer.</p>', ], ], 'LogEvent' => [ 'base' => '<p>Describes a database log event.</p>', 'refs' => [ 'LogEventList$member' => NULL, ], ], 'LogEventList' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseLogEventsResult$resourceLogEvents' => '<p>An object describing the result of your get relational database log events request.</p>', ], ], 'MetricDatapoint' => [ 'base' => '<p>Describes the metric data point.</p>', 'refs' => [ 'MetricDatapointList$member' => NULL, ], ], 'MetricDatapointList' => [ 'base' => NULL, 'refs' => [ 'GetInstanceMetricDataResult$metricData' => '<p>An array of key-value pairs containing information about the results of your get instance metric data request.</p>', 'GetLoadBalancerMetricDataResult$metricData' => '<p>An array of metric datapoint objects.</p>', 'GetRelationalDatabaseMetricDataResult$metricData' => '<p>An object describing the result of your get relational database metric data request.</p>', ], ], 'MetricPeriod' => [ 'base' => NULL, 'refs' => [ 'GetInstanceMetricDataRequest$period' => '<p>The granularity, in seconds, of the returned data points.</p>', 'GetLoadBalancerMetricDataRequest$period' => '<p>The granularity, in seconds, of the returned data points.</p>', 'GetRelationalDatabaseMetricDataRequest$period' => '<p>The granularity, in seconds, of the returned data points.</p>', ], ], 'MetricStatistic' => [ 'base' => NULL, 'refs' => [ 'MetricStatisticList$member' => NULL, ], ], 'MetricStatisticList' => [ 'base' => NULL, 'refs' => [ 'GetInstanceMetricDataRequest$statistics' => '<p>The instance statistics. </p>', 'GetLoadBalancerMetricDataRequest$statistics' => '<p>An array of statistics that you want to request metrics for. Valid values are listed below.</p> <ul> <li> <p> <b> <code>SampleCount</code> </b> - The count (number) of data points used for the statistical calculation.</p> </li> <li> <p> <b> <code>Average</code> </b> - The value of Sum / SampleCount during the specified period. By comparing this statistic with the Minimum and Maximum, you can determine the full scope of a metric and how close the average use is to the Minimum and Maximum. This comparison helps you to know when to increase or decrease your resources as needed.</p> </li> <li> <p> <b> <code>Sum</code> </b> - All values submitted for the matching metric added together. This statistic can be useful for determining the total volume of a metric.</p> </li> <li> <p> <b> <code>Minimum</code> </b> - The lowest value observed during the specified period. You can use this value to determine low volumes of activity for your application.</p> </li> <li> <p> <b> <code>Maximum</code> </b> - The highest value observed during the specified period. You can use this value to determine high volumes of activity for your application.</p> </li> </ul>', 'GetRelationalDatabaseMetricDataRequest$statistics' => '<p>The array of statistics for your metric data request.</p>', ], ], 'MetricUnit' => [ 'base' => NULL, 'refs' => [ 'GetInstanceMetricDataRequest$unit' => '<p>The unit. The list of valid values is below.</p>', 'GetLoadBalancerMetricDataRequest$unit' => '<p>The unit for the time period request. Valid values are listed below.</p>', 'GetRelationalDatabaseMetricDataRequest$unit' => '<p>The unit for the metric data request.</p>', 'MetricDatapoint$unit' => '<p>The unit. </p>', ], ], 'MonthlyTransfer' => [ 'base' => '<p>Describes the monthly data transfer in and out of your virtual private server (or <i>instance</i>).</p>', 'refs' => [ 'InstanceNetworking$monthlyTransfer' => '<p>The amount of data in GB allocated for monthly data transfers.</p>', ], ], 'NetworkProtocol' => [ 'base' => NULL, 'refs' => [ 'InstancePortInfo$protocol' => '<p>The protocol being used. Can be one of the following.</p> <ul> <li> <p> <code>tcp</code> - Transmission Control Protocol (TCP) provides reliable, ordered, and error-checked delivery of streamed data between applications running on hosts communicating by an IP network. If you have an application that doesn\'t require reliable data stream service, use UDP instead.</p> </li> <li> <p> <code>all</code> - All transport layer protocol types. For more general information, see <a href="https://en.wikipedia.org/wiki/Transport_layer">Transport layer</a> on Wikipedia.</p> </li> <li> <p> <code>udp</code> - With User Datagram Protocol (UDP), computer applications can send messages (or datagrams) to other hosts on an Internet Protocol (IP) network. Prior communications are not required to set up transmission channels or data paths. Applications that don\'t require reliable data stream service can use UDP, which provides a connectionless datagram service that emphasizes reduced latency over reliability. If you do require reliable data stream service, use TCP instead.</p> </li> </ul>', 'InstancePortState$protocol' => '<p>The protocol being used. Can be one of the following.</p> <ul> <li> <p> <code>tcp</code> - Transmission Control Protocol (TCP) provides reliable, ordered, and error-checked delivery of streamed data between applications running on hosts communicating by an IP network. If you have an application that doesn\'t require reliable data stream service, use UDP instead.</p> </li> <li> <p> <code>all</code> - All transport layer protocol types. For more general information, see <a href="https://en.wikipedia.org/wiki/Transport_layer">Transport layer</a> on Wikipedia.</p> </li> <li> <p> <code>udp</code> - With User Datagram Protocol (UDP), computer applications can send messages (or datagrams) to other hosts on an Internet Protocol (IP) network. Prior communications are not required to set up transmission channels or data paths. Applications that don\'t require reliable data stream service can use UDP, which provides a connectionless datagram service that emphasizes reduced latency over reliability. If you do require reliable data stream service, use TCP instead.</p> </li> </ul>', 'PortInfo$protocol' => '<p>The protocol. </p>', ], ], 'NonEmptyString' => [ 'base' => NULL, 'refs' => [ 'AttachDiskRequest$diskPath' => '<p>The disk path to expose to the instance (e.g., <code>/dev/xvdf</code>).</p>', 'AvailabilityZone$zoneName' => '<p>The name of the Availability Zone. The format is <code>us-east-2a</code> (case-sensitive).</p>', 'AvailabilityZone$state' => '<p>The state of the Availability Zone.</p>', 'Blueprint$blueprintId' => '<p>The ID for the virtual private server image (e.g., <code>app_wordpress_4_4</code> or <code>app_lamp_7_0</code>).</p>', 'Blueprint$group' => '<p>The group name of the blueprint (e.g., <code>amazon-linux</code>).</p>', 'Bundle$bundleId' => '<p>The bundle ID (e.g., <code>micro_1_0</code>).</p>', 'CloudFormationStackRecord$arn' => '<p>The Amazon Resource Name (ARN) of the CloudFormation stack record.</p>', 'CloudFormationStackRecordSourceInfo$name' => '<p>The name of the record.</p>', 'CloudFormationStackRecordSourceInfo$arn' => '<p>The Amazon Resource Name (ARN) of the export snapshot record.</p>', 'CreateDiskFromSnapshotRequest$availabilityZone' => '<p>The Availability Zone where you want to create the disk (e.g., <code>us-east-2a</code>). Choose the same Availability Zone as the Lightsail instance where you want to create the disk.</p> <p>Use the GetRegions operation to list the Availability Zones where Lightsail is currently available.</p>', 'CreateDiskRequest$availabilityZone' => '<p>The Availability Zone where you want to create the disk (e.g., <code>us-east-2a</code>). Choose the same Availability Zone as the Lightsail instance where you want to create the disk.</p> <p>Use the GetRegions operation to list the Availability Zones where Lightsail is currently available.</p>', 'CreateInstancesFromSnapshotRequest$bundleId' => '<p>The bundle of specification information for your virtual private server (or <i>instance</i>), including the pricing plan (e.g., <code>micro_1_0</code>).</p>', 'CreateInstancesRequest$blueprintId' => '<p>The ID for a virtual private server image (e.g., <code>app_wordpress_4_4</code> or <code>app_lamp_7_0</code>). Use the get blueprints operation to return a list of available images (or <i>blueprints</i>).</p>', 'CreateInstancesRequest$bundleId' => '<p>The bundle of specification information for your virtual private server (or <i>instance</i>), including the pricing plan (e.g., <code>micro_1_0</code>).</p>', 'DestinationInfo$id' => '<p>The ID of the resource created at the destination.</p>', 'DestinationInfo$service' => '<p>The destination service of the record.</p>', 'Disk$arn' => '<p>The Amazon Resource Name (ARN) of the disk.</p>', 'DiskInfo$path' => '<p>The disk path.</p>', 'DiskMap$originalDiskPath' => '<p>The original disk path exposed to the instance (for example, <code>/dev/sdh</code>).</p>', 'DiskSnapshot$arn' => '<p>The Amazon Resource Name (ARN) of the disk snapshot.</p>', 'DiskSnapshot$fromDiskArn' => '<p>The Amazon Resource Name (ARN) of the source disk from which the disk snapshot was created.</p>', 'DiskSnapshot$fromInstanceArn' => '<p>The Amazon Resource Name (ARN) of the source instance from which the disk (system volume) snapshot was created.</p>', 'Domain$arn' => '<p>The Amazon Resource Name (ARN) of the domain recordset (e.g., <code>arn:aws:lightsail:global:123456789101:Domain/824cede0-abc7-4f84-8dbc-12345EXAMPLE</code>).</p>', 'DomainEntry$id' => '<p>The ID of the domain recordset entry.</p>', 'ExportSnapshotRecord$arn' => '<p>The Amazon Resource Name (ARN) of the export snapshot record.</p>', 'ExportSnapshotRecordSourceInfo$name' => '<p>The name of the source instance or disk snapshot.</p>', 'ExportSnapshotRecordSourceInfo$arn' => '<p>The Amazon Resource Name (ARN) of the source instance or disk snapshot.</p>', 'ExportSnapshotRecordSourceInfo$fromResourceName' => '<p>The name of the snapshot\'s source instance or disk.</p>', 'ExportSnapshotRecordSourceInfo$fromResourceArn' => '<p>The Amazon Resource Name (ARN) of the snapshot\'s source instance or disk.</p>', 'GetOperationRequest$operationId' => '<p>A GUID used to identify the operation.</p>', 'Instance$arn' => '<p>The Amazon Resource Name (ARN) of the instance (e.g., <code>arn:aws:lightsail:us-east-2:123456789101:Instance/244ad76f-8aad-4741-809f-12345EXAMPLE</code>).</p>', 'Instance$blueprintId' => '<p>The blueprint ID (e.g., <code>os_amlinux_2016_03</code>).</p>', 'Instance$blueprintName' => '<p>The friendly name of the blueprint (e.g., <code>Amazon Linux</code>).</p>', 'Instance$bundleId' => '<p>The bundle for the instance (e.g., <code>micro_1_0</code>).</p>', 'Instance$username' => '<p>The user name for connecting to the instance (e.g., <code>ec2-user</code>).</p>', 'InstanceEntry$instanceType' => '<p>The instance type (e.g., <code>t2.micro</code>) to use for the new Amazon EC2 instance.</p>', 'InstanceSnapshot$arn' => '<p>The Amazon Resource Name (ARN) of the snapshot (e.g., <code>arn:aws:lightsail:us-east-2:123456789101:InstanceSnapshot/d23b5706-3322-4d83-81e5-12345EXAMPLE</code>).</p>', 'InstanceSnapshot$fromInstanceArn' => '<p>The Amazon Resource Name (ARN) of the instance from which the snapshot was created (e.g., <code>arn:aws:lightsail:us-east-2:123456789101:Instance/64b8404c-ccb1-430b-8daf-12345EXAMPLE</code>).</p>', 'InstanceSnapshotInfo$fromBundleId' => '<p>The bundle ID from which the source instance was created (e.g., <code>micro_1_0</code>).</p>', 'InstanceSnapshotInfo$fromBlueprintId' => '<p>The blueprint ID from which the source instance (e.g., <code>os_debian_8_3</code>).</p>', 'KeyPair$arn' => '<p>The Amazon Resource Name (ARN) of the key pair (e.g., <code>arn:aws:lightsail:us-east-2:123456789101:KeyPair/05859e3d-331d-48ba-9034-12345EXAMPLE</code>).</p>', 'LoadBalancer$arn' => '<p>The Amazon Resource Name (ARN) of the load balancer.</p>', 'LoadBalancer$dnsName' => '<p>The DNS name of your Lightsail load balancer.</p>', 'LoadBalancer$healthCheckPath' => '<p>The path you specified to perform your health checks. If no path is specified, the load balancer tries to make a request to the default (root) page.</p>', 'LoadBalancerTlsCertificate$arn' => '<p>The Amazon Resource Name (ARN) of the SSL/TLS certificate.</p>', 'LoadBalancerTlsCertificate$issuer' => '<p>The issuer of the certificate.</p>', 'LoadBalancerTlsCertificate$keyAlgorithm' => '<p>The algorithm that was used to generate the key pair (the public and private key).</p>', 'LoadBalancerTlsCertificate$serial' => '<p>The serial number of the certificate.</p>', 'LoadBalancerTlsCertificate$signatureAlgorithm' => '<p>The algorithm that was used to sign the certificate.</p>', 'LoadBalancerTlsCertificate$subject' => '<p>The name of the entity that is associated with the public key contained in the certificate.</p>', 'LoadBalancerTlsCertificateDomainValidationRecord$name' => '<p>A fully qualified domain name in the certificate. For example, <code>example.com</code>.</p>', 'LoadBalancerTlsCertificateDomainValidationRecord$type' => '<p>The type of validation record. For example, <code>CNAME</code> for domain validation.</p>', 'LoadBalancerTlsCertificateDomainValidationRecord$value' => '<p>The value for that type.</p>', 'Operation$id' => '<p>The ID of the operation.</p>', 'PendingMaintenanceAction$action' => '<p>The type of pending database maintenance action.</p>', 'PendingMaintenanceAction$description' => '<p>Additional detail about the pending database maintenance action.</p>', 'RelationalDatabase$arn' => '<p>The Amazon Resource Name (ARN) of the database.</p>', 'RelationalDatabase$relationalDatabaseBlueprintId' => '<p>The blueprint ID for the database. A blueprint describes the major engine version of a database.</p>', 'RelationalDatabase$relationalDatabaseBundleId' => '<p>The bundle ID for the database. A bundle describes the performance specifications for your database.</p>', 'RelationalDatabase$state' => '<p>Describes the current state of the database.</p>', 'RelationalDatabase$engine' => '<p>The database software (for example, <code>MySQL</code>).</p>', 'RelationalDatabase$engineVersion' => '<p>The database engine version (for example, <code>5.7.23</code>).</p>', 'RelationalDatabase$masterUsername' => '<p>The master user name of the database.</p>', 'RelationalDatabase$parameterApplyStatus' => '<p>The status of parameter updates for the database.</p>', 'RelationalDatabase$preferredBackupWindow' => '<p>The daily time range during which automated backups are created for the database (for example, <code>16:00-16:30</code>).</p>', 'RelationalDatabase$preferredMaintenanceWindow' => '<p>The weekly time range during which system maintenance can occur on the database.</p> <p>In the format <code>ddd:hh24:mi-ddd:hh24:mi</code>. For example, <code>Tue:17:00-Tue:17:30</code>.</p>', 'RelationalDatabaseEndpoint$address' => '<p>Specifies the DNS address of the database.</p>', 'RelationalDatabaseSnapshot$arn' => '<p>The Amazon Resource Name (ARN) of the database snapshot.</p>', 'RelationalDatabaseSnapshot$engine' => '<p>The software of the database snapshot (for example, <code>MySQL</code>)</p>', 'RelationalDatabaseSnapshot$engineVersion' => '<p>The database engine version for the database snapshot (for example, <code>5.7.23</code>).</p>', 'RelationalDatabaseSnapshot$state' => '<p>The state of the database snapshot.</p>', 'RelationalDatabaseSnapshot$fromRelationalDatabaseName' => '<p>The name of the source database from which the database snapshot was created.</p>', 'RelationalDatabaseSnapshot$fromRelationalDatabaseArn' => '<p>The Amazon Resource Name (ARN) of the database from which the database snapshot was created.</p>', 'StaticIp$arn' => '<p>The Amazon Resource Name (ARN) of the static IP (e.g., <code>arn:aws:lightsail:us-east-2:123456789101:StaticIp/9cbb4a9e-f8e3-4dfe-b57e-12345EXAMPLE</code>).</p>', ], ], 'NotFoundException' => [ 'base' => '<p>Lightsail throws this exception when it cannot find a resource.</p>', 'refs' => [], ], 'OpenInstancePublicPortsRequest' => [ 'base' => NULL, 'refs' => [], ], 'OpenInstancePublicPortsResult' => [ 'base' => NULL, 'refs' => [], ], 'Operation' => [ 'base' => '<p>Describes the API operation.</p>', 'refs' => [ 'CloseInstancePublicPortsResult$operation' => '<p>An array of key-value pairs that contains information about the operation.</p>', 'CreateDomainEntryResult$operation' => '<p>An array of key-value pairs containing information about the operation.</p>', 'CreateDomainResult$operation' => '<p>An array of key-value pairs containing information about the domain resource you created.</p>', 'CreateKeyPairResult$operation' => '<p>An array of key-value pairs containing information about the results of your create key pair request.</p>', 'DeleteDomainEntryResult$operation' => '<p>An array of key-value pairs containing information about the results of your delete domain entry request.</p>', 'DeleteDomainResult$operation' => '<p>An array of key-value pairs containing information about the results of your delete domain request.</p>', 'DeleteKeyPairResult$operation' => '<p>An array of key-value pairs containing information about the results of your delete key pair request.</p>', 'GetOperationResult$operation' => '<p>An array of key-value pairs containing information about the results of your get operation request.</p>', 'ImportKeyPairResult$operation' => '<p>An array of key-value pairs containing information about the request operation.</p>', 'OpenInstancePublicPortsResult$operation' => '<p>An array of key-value pairs containing information about the request operation.</p>', 'OperationList$member' => NULL, 'PeerVpcResult$operation' => '<p>An array of key-value pairs containing information about the request operation.</p>', 'PutInstancePublicPortsResult$operation' => '<p>Describes metadata about the operation you just executed.</p>', 'UnpeerVpcResult$operation' => '<p>An array of key-value pairs containing information about the request operation.</p>', ], ], 'OperationFailureException' => [ 'base' => '<p>Lightsail throws this exception when an operation fails to execute.</p>', 'refs' => [], ], 'OperationList' => [ 'base' => NULL, 'refs' => [ 'AllocateStaticIpResult$operations' => '<p>An array of key-value pairs containing information about the static IP address you allocated.</p>', 'AttachDiskResult$operations' => '<p>An object describing the API operations.</p>', 'AttachInstancesToLoadBalancerResult$operations' => '<p>An object representing the API operations.</p>', 'AttachLoadBalancerTlsCertificateResult$operations' => '<p>An object representing the API operations.</p> <p>These SSL/TLS certificates are only usable by Lightsail load balancers. You can\'t get the certificate and use it for another purpose.</p>', 'AttachStaticIpResult$operations' => '<p>An array of key-value pairs containing information about your API operations.</p>', 'CopySnapshotResult$operations' => '<p>A list of objects describing the API operation.</p>', 'CreateCloudFormationStackResult$operations' => '<p>A list of objects describing the API operation.</p>', 'CreateDiskFromSnapshotResult$operations' => '<p>An object describing the API operations.</p>', 'CreateDiskResult$operations' => '<p>An object describing the API operations.</p>', 'CreateDiskSnapshotResult$operations' => '<p>An object describing the API operations.</p>', 'CreateInstanceSnapshotResult$operations' => '<p>An array of key-value pairs containing information about the results of your create instances snapshot request.</p>', 'CreateInstancesFromSnapshotResult$operations' => '<p>An array of key-value pairs containing information about the results of your create instances from snapshot request.</p>', 'CreateInstancesResult$operations' => '<p>An array of key-value pairs containing information about the results of your create instances request.</p>', 'CreateLoadBalancerResult$operations' => '<p>An object containing information about the API operations.</p>', 'CreateLoadBalancerTlsCertificateResult$operations' => '<p>An object containing information about the API operations.</p>', 'CreateRelationalDatabaseFromSnapshotResult$operations' => '<p>An object describing the result of your create relational database from snapshot request.</p>', 'CreateRelationalDatabaseResult$operations' => '<p>An object describing the result of your create relational database request.</p>', 'CreateRelationalDatabaseSnapshotResult$operations' => '<p>An object describing the result of your create relational database snapshot request.</p>', 'DeleteDiskResult$operations' => '<p>An object describing the API operations.</p>', 'DeleteDiskSnapshotResult$operations' => '<p>An object describing the API operations.</p>', 'DeleteInstanceResult$operations' => '<p>An array of key-value pairs containing information about the results of your delete instance request.</p>', 'DeleteInstanceSnapshotResult$operations' => '<p>An array of key-value pairs containing information about the results of your delete instance snapshot request.</p>', 'DeleteKnownHostKeysResult$operations' => '<p>A list of objects describing the API operation.</p>', 'DeleteLoadBalancerResult$operations' => '<p>An object describing the API operations.</p>', 'DeleteLoadBalancerTlsCertificateResult$operations' => '<p>An object describing the API operations.</p>', 'DeleteRelationalDatabaseResult$operations' => '<p>An object describing the result of your delete relational database request.</p>', 'DeleteRelationalDatabaseSnapshotResult$operations' => '<p>An object describing the result of your delete relational database snapshot request.</p>', 'DetachDiskResult$operations' => '<p>An object describing the API operations.</p>', 'DetachInstancesFromLoadBalancerResult$operations' => '<p>An object describing the API operations.</p>', 'DetachStaticIpResult$operations' => '<p>An array of key-value pairs containing information about the results of your detach static IP request.</p>', 'ExportSnapshotResult$operations' => '<p>A list of objects describing the API operation.</p>', 'GetOperationsForResourceResult$operations' => '<p>An array of key-value pairs containing information about the results of your get operations for resource request.</p>', 'GetOperationsResult$operations' => '<p>An array of key-value pairs containing information about the results of your get operations request.</p>', 'RebootInstanceResult$operations' => '<p>An array of key-value pairs containing information about the request operations.</p>', 'RebootRelationalDatabaseResult$operations' => '<p>An object describing the result of your reboot relational database request.</p>', 'ReleaseStaticIpResult$operations' => '<p>An array of key-value pairs containing information about the request operation.</p>', 'StartInstanceResult$operations' => '<p>An array of key-value pairs containing information about the request operation.</p>', 'StartRelationalDatabaseResult$operations' => '<p>An object describing the result of your start relational database request.</p>', 'StopInstanceResult$operations' => '<p>An array of key-value pairs containing information about the request operation.</p>', 'StopRelationalDatabaseResult$operations' => '<p>An object describing the result of your stop relational database request.</p>', 'TagResourceResult$operations' => '<p>A list of objects describing the API operation.</p>', 'UntagResourceResult$operations' => '<p>A list of objects describing the API operation.</p>', 'UpdateDomainEntryResult$operations' => '<p>An array of key-value pairs containing information about the request operation.</p>', 'UpdateLoadBalancerAttributeResult$operations' => '<p>An object describing the API operations.</p>', 'UpdateRelationalDatabaseParametersResult$operations' => '<p>An object describing the result of your update relational database parameters request.</p>', 'UpdateRelationalDatabaseResult$operations' => '<p>An object describing the result of your update relational database request.</p>', ], ], 'OperationStatus' => [ 'base' => NULL, 'refs' => [ 'Operation$status' => '<p>The status of the operation. </p>', ], ], 'OperationType' => [ 'base' => NULL, 'refs' => [ 'Operation$operationType' => '<p>The type of operation. </p>', ], ], 'PasswordData' => [ 'base' => '<p>The password data for the Windows Server-based instance, including the ciphertext and the key pair name.</p>', 'refs' => [ 'InstanceAccessDetails$passwordData' => '<p>For a Windows Server-based instance, an object with the data you can use to retrieve your password. This is only needed if <code>password</code> is empty and the instance is not new (and therefore the password is not ready yet). When you create an instance, it can take up to 15 minutes for the instance to be ready.</p>', ], ], 'PeerVpcRequest' => [ 'base' => NULL, 'refs' => [], ], 'PeerVpcResult' => [ 'base' => NULL, 'refs' => [], ], 'PendingMaintenanceAction' => [ 'base' => '<p>Describes a pending database maintenance action.</p>', 'refs' => [ 'PendingMaintenanceActionList$member' => NULL, ], ], 'PendingMaintenanceActionList' => [ 'base' => NULL, 'refs' => [ 'RelationalDatabase$pendingMaintenanceActions' => '<p>Describes the pending maintenance actions for the database.</p>', ], ], 'PendingModifiedRelationalDatabaseValues' => [ 'base' => '<p>Describes a pending database value modification.</p>', 'refs' => [ 'RelationalDatabase$pendingModifiedValues' => '<p>Describes pending database value modifications.</p>', ], ], 'Port' => [ 'base' => NULL, 'refs' => [ 'CreateLoadBalancerRequest$instancePort' => '<p>The instance port where you\'re creating your load balancer.</p>', 'InstancePortInfo$fromPort' => '<p>The first port in the range.</p>', 'InstancePortInfo$toPort' => '<p>The last port in the range.</p>', 'InstancePortState$fromPort' => '<p>The first port in the range.</p>', 'InstancePortState$toPort' => '<p>The last port in the range.</p>', 'PortInfo$fromPort' => '<p>The first port in the range.</p>', 'PortInfo$toPort' => '<p>The last port in the range.</p>', 'PortList$member' => NULL, ], ], 'PortAccessType' => [ 'base' => NULL, 'refs' => [ 'InstancePortInfo$accessType' => '<p>The type of access (<code>Public</code> or <code>Private</code>).</p>', ], ], 'PortInfo' => [ 'base' => '<p>Describes information about the ports on your virtual private server (or <i>instance</i>).</p>', 'refs' => [ 'CloseInstancePublicPortsRequest$portInfo' => '<p>Information about the public port you are trying to close.</p>', 'OpenInstancePublicPortsRequest$portInfo' => '<p>An array of key-value pairs containing information about the port mappings.</p>', 'PortInfoList$member' => NULL, ], ], 'PortInfoList' => [ 'base' => NULL, 'refs' => [ 'PutInstancePublicPortsRequest$portInfos' => '<p>Specifies information about the public port(s).</p>', ], ], 'PortInfoSourceType' => [ 'base' => NULL, 'refs' => [ 'InstanceEntry$portInfoSource' => '<p>The port configuration to use for the new Amazon EC2 instance.</p> <p>The following configuration options are available:</p> <ul> <li> <p>DEFAULT — Use the default firewall settings from the image.</p> </li> <li> <p>INSTANCE — Use the firewall settings from the source Lightsail instance.</p> </li> <li> <p>NONE — Default to Amazon EC2.</p> </li> <li> <p>CLOSED — All ports closed.</p> </li> </ul>', ], ], 'PortList' => [ 'base' => NULL, 'refs' => [ 'LoadBalancer$publicPorts' => '<p>An array of public port settings for your load balancer. For HTTP, use port 80. For HTTPS, use port 443.</p>', ], ], 'PortState' => [ 'base' => NULL, 'refs' => [ 'InstancePortState$state' => '<p>Specifies whether the instance port is <code>open</code> or <code>closed</code>.</p>', ], ], 'PutInstancePublicPortsRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutInstancePublicPortsResult' => [ 'base' => NULL, 'refs' => [], ], 'RebootInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'RebootInstanceResult' => [ 'base' => NULL, 'refs' => [], ], 'RebootRelationalDatabaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'RebootRelationalDatabaseResult' => [ 'base' => NULL, 'refs' => [], ], 'RecordState' => [ 'base' => NULL, 'refs' => [ 'CloudFormationStackRecord$state' => '<p>The current state of the CloudFormation stack record.</p>', 'ExportSnapshotRecord$state' => '<p>The state of the export snapshot record.</p>', ], ], 'Region' => [ 'base' => '<p>Describes the AWS Region.</p>', 'refs' => [ 'RegionList$member' => NULL, ], ], 'RegionList' => [ 'base' => NULL, 'refs' => [ 'GetRegionsResult$regions' => '<p>An array of key-value pairs containing information about your get regions request.</p>', ], ], 'RegionName' => [ 'base' => NULL, 'refs' => [ 'CopySnapshotRequest$sourceRegion' => '<p>The AWS Region where the source snapshot is located.</p>', 'Region$name' => '<p>The region name (e.g., <code>us-east-2</code>).</p>', 'ResourceLocation$regionName' => '<p>The AWS Region name.</p>', ], ], 'RelationalDatabase' => [ 'base' => '<p>Describes a database.</p>', 'refs' => [ 'GetRelationalDatabaseResult$relationalDatabase' => '<p>An object describing the specified database.</p>', 'RelationalDatabaseList$member' => NULL, ], ], 'RelationalDatabaseBlueprint' => [ 'base' => '<p>Describes a database image, or blueprint. A blueprint describes the major engine version of a database.</p>', 'refs' => [ 'RelationalDatabaseBlueprintList$member' => NULL, ], ], 'RelationalDatabaseBlueprintList' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseBlueprintsResult$blueprints' => '<p>An object describing the result of your get relational database blueprints request.</p>', ], ], 'RelationalDatabaseBundle' => [ 'base' => '<p>Describes a database bundle. A bundle describes the performance specifications of the database.</p>', 'refs' => [ 'RelationalDatabaseBundleList$member' => NULL, ], ], 'RelationalDatabaseBundleList' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseBundlesResult$bundles' => '<p>An object describing the result of your get relational database bundles request.</p>', ], ], 'RelationalDatabaseEndpoint' => [ 'base' => '<p>Describes an endpoint for a database.</p>', 'refs' => [ 'RelationalDatabase$masterEndpoint' => '<p>The master endpoint for the database.</p>', ], ], 'RelationalDatabaseEngine' => [ 'base' => NULL, 'refs' => [ 'RelationalDatabaseBlueprint$engine' => '<p>The database software of the database blueprint (for example, <code>MySQL</code>).</p>', ], ], 'RelationalDatabaseEvent' => [ 'base' => '<p>Describes an event for a database.</p>', 'refs' => [ 'RelationalDatabaseEventList$member' => NULL, ], ], 'RelationalDatabaseEventList' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseEventsResult$relationalDatabaseEvents' => '<p>An object describing the result of your get relational database events request.</p>', ], ], 'RelationalDatabaseHardware' => [ 'base' => '<p>Describes the hardware of a database.</p>', 'refs' => [ 'RelationalDatabase$hardware' => '<p>Describes the hardware of the database.</p>', ], ], 'RelationalDatabaseList' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabasesResult$relationalDatabases' => '<p>An object describing the result of your get relational databases request.</p>', ], ], 'RelationalDatabaseMetricName' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseMetricDataRequest$metricName' => '<p>The name of the metric data to return.</p>', 'GetRelationalDatabaseMetricDataResult$metricName' => '<p>The name of the metric.</p>', ], ], 'RelationalDatabaseParameter' => [ 'base' => '<p>Describes the parameters of a database.</p>', 'refs' => [ 'RelationalDatabaseParameterList$member' => NULL, ], ], 'RelationalDatabaseParameterList' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseParametersResult$parameters' => '<p>An object describing the result of your get relational database parameters request.</p>', 'UpdateRelationalDatabaseParametersRequest$parameters' => '<p>The database parameters to update.</p>', ], ], 'RelationalDatabasePasswordVersion' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseMasterUserPasswordRequest$passwordVersion' => '<p>The password version to return.</p> <p>Specifying <code>CURRENT</code> or <code>PREVIOUS</code> returns the current or previous passwords respectively. Specifying <code>PENDING</code> returns the newest version of the password that will rotate to <code>CURRENT</code>. After the <code>PENDING</code> password rotates to <code>CURRENT</code>, the <code>PENDING</code> password is no longer available.</p> <p>Default: <code>CURRENT</code> </p>', ], ], 'RelationalDatabaseSnapshot' => [ 'base' => '<p>Describes a database snapshot.</p>', 'refs' => [ 'GetRelationalDatabaseSnapshotResult$relationalDatabaseSnapshot' => '<p>An object describing the specified database snapshot.</p>', 'RelationalDatabaseSnapshotList$member' => NULL, ], ], 'RelationalDatabaseSnapshotList' => [ 'base' => NULL, 'refs' => [ 'GetRelationalDatabaseSnapshotsResult$relationalDatabaseSnapshots' => '<p>An object describing the result of your get relational database snapshots request.</p>', ], ], 'ReleaseStaticIpRequest' => [ 'base' => NULL, 'refs' => [], ], 'ReleaseStaticIpResult' => [ 'base' => NULL, 'refs' => [], ], 'ResourceLocation' => [ 'base' => '<p>Describes the resource location.</p>', 'refs' => [ 'CloudFormationStackRecord$location' => '<p>A list of objects describing the Availability Zone and AWS Region of the CloudFormation stack record.</p>', 'Disk$location' => '<p>The AWS Region and Availability Zone where the disk is located.</p>', 'DiskSnapshot$location' => '<p>The AWS Region and Availability Zone where the disk snapshot was created.</p>', 'Domain$location' => '<p>The AWS Region and Availability Zones where the domain recordset was created.</p>', 'ExportSnapshotRecord$location' => '<p>The AWS Region and Availability Zone where the export snapshot record is located.</p>', 'Instance$location' => '<p>The region name and Availability Zone where the instance is located.</p>', 'InstanceSnapshot$location' => '<p>The region name and Availability Zone where you created the snapshot.</p>', 'KeyPair$location' => '<p>The region name and Availability Zone where the key pair was created.</p>', 'LoadBalancer$location' => '<p>The AWS Region where your load balancer was created (e.g., <code>us-east-2a</code>). Lightsail automatically creates your load balancer across Availability Zones.</p>', 'LoadBalancerTlsCertificate$location' => '<p>The AWS Region and Availability Zone where you created your certificate.</p>', 'Operation$location' => '<p>The region and Availability Zone.</p>', 'RelationalDatabase$location' => '<p>The Region name and Availability Zone where the database is located.</p>', 'RelationalDatabaseSnapshot$location' => '<p>The Region name and Availability Zone where the database snapshot is located.</p>', 'StaticIp$location' => '<p>The region and Availability Zone where the static IP was created.</p>', ], ], 'ResourceName' => [ 'base' => NULL, 'refs' => [ 'AllocateStaticIpRequest$staticIpName' => '<p>The name of the static IP address.</p>', 'AttachDiskRequest$diskName' => '<p>The unique Lightsail disk name (e.g., <code>my-disk</code>).</p>', 'AttachDiskRequest$instanceName' => '<p>The name of the Lightsail instance where you want to utilize the storage disk.</p>', 'AttachInstancesToLoadBalancerRequest$loadBalancerName' => '<p>The name of the load balancer.</p>', 'AttachLoadBalancerTlsCertificateRequest$loadBalancerName' => '<p>The name of the load balancer to which you want to associate the SSL/TLS certificate.</p>', 'AttachLoadBalancerTlsCertificateRequest$certificateName' => '<p>The name of your SSL/TLS certificate.</p>', 'AttachStaticIpRequest$staticIpName' => '<p>The name of the static IP.</p>', 'AttachStaticIpRequest$instanceName' => '<p>The instance name to which you want to attach the static IP address.</p>', 'AttachedDiskMap$key' => NULL, 'Blueprint$name' => '<p>The friendly name of the blueprint (e.g., <code>Amazon Linux</code>).</p>', 'CloseInstancePublicPortsRequest$instanceName' => '<p>The name of the instance on which you\'re attempting to close the public ports.</p>', 'CloudFormationStackRecord$name' => '<p>The name of the CloudFormation stack record. It starts with <code>CloudFormationStackRecord</code> followed by a GUID.</p>', 'CopySnapshotRequest$sourceSnapshotName' => '<p>The name of the source instance or disk snapshot to be copied.</p>', 'CopySnapshotRequest$targetSnapshotName' => '<p>The name of the new instance or disk snapshot to be created as a copy.</p>', 'CreateDiskFromSnapshotRequest$diskName' => '<p>The unique Lightsail disk name (e.g., <code>my-disk</code>).</p>', 'CreateDiskFromSnapshotRequest$diskSnapshotName' => '<p>The name of the disk snapshot (e.g., <code>my-snapshot</code>) from which to create the new storage disk.</p>', 'CreateDiskRequest$diskName' => '<p>The unique Lightsail disk name (e.g., <code>my-disk</code>).</p>', 'CreateDiskSnapshotRequest$diskName' => '<p>The unique name of the source disk (e.g., <code>Disk-Virginia-1</code>).</p> <note> <p>This parameter cannot be defined together with the <code>instance name</code> parameter. The <code>disk name</code> and <code>instance name</code> parameters are mutually exclusive.</p> </note>', 'CreateDiskSnapshotRequest$diskSnapshotName' => '<p>The name of the destination disk snapshot (e.g., <code>my-disk-snapshot</code>) based on the source disk.</p>', 'CreateDiskSnapshotRequest$instanceName' => '<p>The unique name of the source instance (e.g., <code>Amazon_Linux-512MB-Virginia-1</code>). When this is defined, a snapshot of the instance\'s system volume is created.</p> <note> <p>This parameter cannot be defined together with the <code>disk name</code> parameter. The <code>instance name</code> and <code>disk name</code> parameters are mutually exclusive.</p> </note>', 'CreateInstanceSnapshotRequest$instanceSnapshotName' => '<p>The name for your new snapshot.</p>', 'CreateInstanceSnapshotRequest$instanceName' => '<p>The Lightsail instance on which to base your snapshot.</p>', 'CreateInstancesFromSnapshotRequest$instanceSnapshotName' => '<p>The name of the instance snapshot on which you are basing your new instances. Use the get instance snapshots operation to return information about your existing snapshots.</p>', 'CreateInstancesFromSnapshotRequest$keyPairName' => '<p>The name for your key pair.</p>', 'CreateInstancesRequest$customImageName' => '<p>(Deprecated) The name for your custom image.</p> <note> <p>In releases prior to June 12, 2017, this parameter was ignored by the API. It is now deprecated.</p> </note>', 'CreateInstancesRequest$keyPairName' => '<p>The name of your key pair.</p>', 'CreateKeyPairRequest$keyPairName' => '<p>The name for your new key pair.</p>', 'CreateLoadBalancerRequest$loadBalancerName' => '<p>The name of your load balancer.</p>', 'CreateLoadBalancerRequest$certificateName' => '<p>The name of the SSL/TLS certificate.</p> <p>If you specify <code>certificateName</code>, then <code>certificateDomainName</code> is required (and vice-versa).</p>', 'CreateLoadBalancerTlsCertificateRequest$loadBalancerName' => '<p>The load balancer name where you want to create the SSL/TLS certificate.</p>', 'CreateLoadBalancerTlsCertificateRequest$certificateName' => '<p>The SSL/TLS certificate name.</p> <p>You can have up to 10 certificates in your account at one time. Each Lightsail load balancer can have up to 2 certificates associated with it at one time. There is also an overall limit to the number of certificates that can be issue in a 365-day period. For more information, see <a href="http://docs.aws.amazon.com/acm/latest/userguide/acm-limits.html">Limits</a>.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$relationalDatabaseName' => '<p>The name to use for your new database.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 2 to 255 alphanumeric characters, or hyphens.</p> </li> <li> <p>The first and last character must be a letter or number.</p> </li> </ul>', 'CreateRelationalDatabaseFromSnapshotRequest$relationalDatabaseSnapshotName' => '<p>The name of the database snapshot from which to create your new database.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$sourceRelationalDatabaseName' => '<p>The name of the source database.</p>', 'CreateRelationalDatabaseRequest$relationalDatabaseName' => '<p>The name to use for your new database.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 2 to 255 alphanumeric characters, or hyphens.</p> </li> <li> <p>The first and last character must be a letter or number.</p> </li> </ul>', 'CreateRelationalDatabaseSnapshotRequest$relationalDatabaseName' => '<p>The name of the database on which to base your new snapshot.</p>', 'CreateRelationalDatabaseSnapshotRequest$relationalDatabaseSnapshotName' => '<p>The name for your new database snapshot.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 2 to 255 alphanumeric characters, or hyphens.</p> </li> <li> <p>The first and last character must be a letter or number.</p> </li> </ul>', 'DeleteDiskRequest$diskName' => '<p>The unique name of the disk you want to delete (e.g., <code>my-disk</code>).</p>', 'DeleteDiskSnapshotRequest$diskSnapshotName' => '<p>The name of the disk snapshot you want to delete (e.g., <code>my-disk-snapshot</code>).</p>', 'DeleteInstanceRequest$instanceName' => '<p>The name of the instance to delete.</p>', 'DeleteInstanceSnapshotRequest$instanceSnapshotName' => '<p>The name of the snapshot to delete.</p>', 'DeleteKeyPairRequest$keyPairName' => '<p>The name of the key pair to delete.</p>', 'DeleteKnownHostKeysRequest$instanceName' => '<p>The name of the instance for which you want to reset the host key or certificate.</p>', 'DeleteLoadBalancerRequest$loadBalancerName' => '<p>The name of the load balancer you want to delete.</p>', 'DeleteLoadBalancerTlsCertificateRequest$loadBalancerName' => '<p>The load balancer name.</p>', 'DeleteLoadBalancerTlsCertificateRequest$certificateName' => '<p>The SSL/TLS certificate name.</p>', 'DeleteRelationalDatabaseRequest$relationalDatabaseName' => '<p>The name of the database that you are deleting.</p>', 'DeleteRelationalDatabaseRequest$finalRelationalDatabaseSnapshotName' => '<p>The name of the database snapshot created if <code>skip final snapshot</code> is <code>false</code>, which is the default value for that parameter.</p> <note> <p>Specifying this parameter and also specifying the <code>skip final snapshot</code> parameter to <code>true</code> results in an error.</p> </note> <p>Constraints:</p> <ul> <li> <p>Must contain from 2 to 255 alphanumeric characters, or hyphens.</p> </li> <li> <p>The first and last character must be a letter or number.</p> </li> </ul>', 'DeleteRelationalDatabaseSnapshotRequest$relationalDatabaseSnapshotName' => '<p>The name of the database snapshot that you are deleting.</p>', 'DetachDiskRequest$diskName' => '<p>The unique name of the disk you want to detach from your instance (e.g., <code>my-disk</code>).</p>', 'DetachInstancesFromLoadBalancerRequest$loadBalancerName' => '<p>The name of the Lightsail load balancer.</p>', 'DetachStaticIpRequest$staticIpName' => '<p>The name of the static IP to detach from the instance.</p>', 'Disk$name' => '<p>The unique name of the disk.</p>', 'Disk$attachedTo' => '<p>The resources to which the disk is attached.</p>', 'DiskMap$newDiskName' => '<p>The new disk name (e.g., <code>my-new-disk</code>).</p>', 'DiskSnapshot$name' => '<p>The name of the disk snapshot (e.g., <code>my-disk-snapshot</code>).</p>', 'DiskSnapshot$fromDiskName' => '<p>The unique name of the source disk from which the disk snapshot was created.</p>', 'DiskSnapshot$fromInstanceName' => '<p>The unique name of the source instance from which the disk (system volume) snapshot was created.</p>', 'Domain$name' => '<p>The name of the domain.</p>', 'ExportSnapshotRecord$name' => '<p>The export snapshot record name.</p>', 'ExportSnapshotRequest$sourceSnapshotName' => '<p>The name of the instance or disk snapshot to be exported to Amazon EC2.</p>', 'GetDiskRequest$diskName' => '<p>The name of the disk (e.g., <code>my-disk</code>).</p>', 'GetDiskSnapshotRequest$diskSnapshotName' => '<p>The name of the disk snapshot (e.g., <code>my-disk-snapshot</code>).</p>', 'GetInstanceAccessDetailsRequest$instanceName' => '<p>The name of the instance to access.</p>', 'GetInstanceMetricDataRequest$instanceName' => '<p>The name of the instance for which you want to get metrics data.</p>', 'GetInstancePortStatesRequest$instanceName' => '<p>The name of the instance.</p>', 'GetInstanceRequest$instanceName' => '<p>The name of the instance.</p>', 'GetInstanceSnapshotRequest$instanceSnapshotName' => '<p>The name of the snapshot for which you are requesting information.</p>', 'GetInstanceStateRequest$instanceName' => '<p>The name of the instance to get state information about.</p>', 'GetKeyPairRequest$keyPairName' => '<p>The name of the key pair for which you are requesting information.</p>', 'GetLoadBalancerMetricDataRequest$loadBalancerName' => '<p>The name of the load balancer.</p>', 'GetLoadBalancerRequest$loadBalancerName' => '<p>The name of the load balancer.</p>', 'GetLoadBalancerTlsCertificatesRequest$loadBalancerName' => '<p>The name of the load balancer you associated with your SSL/TLS certificate.</p>', 'GetOperationsForResourceRequest$resourceName' => '<p>The name of the resource for which you are requesting information.</p>', 'GetRelationalDatabaseEventsRequest$relationalDatabaseName' => '<p>The name of the database from which to get events.</p>', 'GetRelationalDatabaseLogEventsRequest$relationalDatabaseName' => '<p>The name of your database for which to get log events.</p>', 'GetRelationalDatabaseLogStreamsRequest$relationalDatabaseName' => '<p>The name of your database for which to get log streams.</p>', 'GetRelationalDatabaseMasterUserPasswordRequest$relationalDatabaseName' => '<p>The name of your database for which to get the master user password.</p>', 'GetRelationalDatabaseMetricDataRequest$relationalDatabaseName' => '<p>The name of your database from which to get metric data.</p>', 'GetRelationalDatabaseParametersRequest$relationalDatabaseName' => '<p>The name of your database for which to get parameters.</p>', 'GetRelationalDatabaseRequest$relationalDatabaseName' => '<p>The name of the database that you are looking up.</p>', 'GetRelationalDatabaseSnapshotRequest$relationalDatabaseSnapshotName' => '<p>The name of the database snapshot for which to get information.</p>', 'GetStaticIpRequest$staticIpName' => '<p>The name of the static IP in Lightsail.</p>', 'ImportKeyPairRequest$keyPairName' => '<p>The name of the key pair for which you want to import the public key.</p>', 'Instance$name' => '<p>The name the user gave the instance (e.g., <code>Amazon_Linux-1GB-Ohio-1</code>).</p>', 'Instance$sshKeyName' => '<p>The name of the SSH key being used to connect to the instance (e.g., <code>LightsailDefaultKeyPair</code>).</p>', 'InstanceAccessDetails$instanceName' => '<p>The name of this Amazon Lightsail instance.</p>', 'InstanceEntry$sourceName' => '<p>The name of the export snapshot record, which contains the exported Lightsail instance snapshot that will be used as the source of the new Amazon EC2 instance.</p> <p>Use the <code>get export snapshot records</code> operation to get a list of export snapshot records that you can use to create a CloudFormation stack.</p>', 'InstanceHealthSummary$instanceName' => '<p>The name of the Lightsail instance for which you are requesting health check data.</p>', 'InstanceSnapshot$name' => '<p>The name of the snapshot.</p>', 'InstanceSnapshot$fromInstanceName' => '<p>The instance from which the snapshot was created.</p>', 'KeyPair$name' => '<p>The friendly name of the SSH key pair.</p>', 'LoadBalancer$name' => '<p>The name of the load balancer (e.g., <code>my-load-balancer</code>).</p>', 'LoadBalancerTlsCertificate$name' => '<p>The name of the SSL/TLS certificate (e.g., <code>my-certificate</code>).</p>', 'LoadBalancerTlsCertificate$loadBalancerName' => '<p>The load balancer name where your SSL/TLS certificate is attached.</p>', 'LoadBalancerTlsCertificateSummary$name' => '<p>The name of the SSL/TLS certificate.</p>', 'OpenInstancePublicPortsRequest$instanceName' => '<p>The name of the instance for which you want to open the public ports.</p>', 'Operation$resourceName' => '<p>The resource name.</p>', 'PasswordData$keyPairName' => '<p>The name of the key pair that you used when creating your instance. If no key pair name was specified when creating the instance, Lightsail uses the default key pair (<code>LightsailDefaultKeyPair</code>).</p> <p>If you are using a custom key pair, you need to use your own means of decrypting your password using the <code>ciphertext</code>. Lightsail creates the ciphertext by encrypting your password with the public key part of this key pair.</p>', 'PutInstancePublicPortsRequest$instanceName' => '<p>The Lightsail instance name of the public port(s) you are setting.</p>', 'RebootInstanceRequest$instanceName' => '<p>The name of the instance to reboot.</p>', 'RebootRelationalDatabaseRequest$relationalDatabaseName' => '<p>The name of your database to reboot.</p>', 'RelationalDatabase$name' => '<p>The unique name of the database resource in Lightsail.</p>', 'RelationalDatabaseEvent$resource' => '<p>The database that the database event relates to.</p>', 'RelationalDatabaseSnapshot$name' => '<p>The name of the database snapshot.</p>', 'ReleaseStaticIpRequest$staticIpName' => '<p>The name of the static IP to delete.</p>', 'ResourceNameList$member' => NULL, 'StartInstanceRequest$instanceName' => '<p>The name of the instance (a virtual private server) to start.</p>', 'StartRelationalDatabaseRequest$relationalDatabaseName' => '<p>The name of your database to start.</p>', 'StaticIp$name' => '<p>The name of the static IP (e.g., <code>StaticIP-Ohio-EXAMPLE</code>).</p>', 'StaticIp$attachedTo' => '<p>The instance where the static IP is attached (e.g., <code>Amazon_Linux-1GB-Ohio-1</code>).</p>', 'StopInstanceRequest$instanceName' => '<p>The name of the instance (a virtual private server) to stop.</p>', 'StopRelationalDatabaseRequest$relationalDatabaseName' => '<p>The name of your database to stop.</p>', 'StopRelationalDatabaseRequest$relationalDatabaseSnapshotName' => '<p>The name of your new database snapshot to be created before stopping your database.</p>', 'TagResourceRequest$resourceName' => '<p>The name of the resource to which you are adding tags.</p>', 'UntagResourceRequest$resourceName' => '<p>The name of the resource from which you are removing a tag.</p>', 'UpdateLoadBalancerAttributeRequest$loadBalancerName' => '<p>The name of the load balancer that you want to modify (e.g., <code>my-load-balancer</code>.</p>', 'UpdateRelationalDatabaseParametersRequest$relationalDatabaseName' => '<p>The name of your database for which to update parameters.</p>', 'UpdateRelationalDatabaseRequest$relationalDatabaseName' => '<p>The name of your database to update.</p>', ], ], 'ResourceNameList' => [ 'base' => NULL, 'refs' => [ 'AttachInstancesToLoadBalancerRequest$instanceNames' => '<p>An array of strings representing the instance name(s) you want to attach to your load balancer.</p> <p>An instance must be <code>running</code> before you can attach it to your load balancer.</p> <p>There are no additional limits on the number of instances you can attach to your load balancer, aside from the limit of Lightsail instances you can create in your account (20).</p>', 'DetachInstancesFromLoadBalancerRequest$instanceNames' => '<p>An array of strings containing the names of the instances you want to detach from the load balancer.</p>', ], ], 'ResourceType' => [ 'base' => NULL, 'refs' => [ 'CloudFormationStackRecord$resourceType' => '<p>The Lightsail resource type (e.g., <code>CloudFormationStackRecord</code>).</p>', 'Disk$resourceType' => '<p>The Lightsail resource type (e.g., <code>Disk</code>).</p>', 'DiskSnapshot$resourceType' => '<p>The Lightsail resource type (e.g., <code>DiskSnapshot</code>).</p>', 'Domain$resourceType' => '<p>The resource type. </p>', 'ExportSnapshotRecord$resourceType' => '<p>The Lightsail resource type (e.g., <code>ExportSnapshotRecord</code>).</p>', 'Instance$resourceType' => '<p>The type of resource (usually <code>Instance</code>).</p>', 'InstanceSnapshot$resourceType' => '<p>The type of resource (usually <code>InstanceSnapshot</code>).</p>', 'KeyPair$resourceType' => '<p>The resource type (usually <code>KeyPair</code>).</p>', 'LoadBalancer$resourceType' => '<p>The resource type (e.g., <code>LoadBalancer</code>.</p>', 'LoadBalancerTlsCertificate$resourceType' => '<p>The resource type (e.g., <code>LoadBalancerTlsCertificate</code>).</p> <ul> <li> <p> <b> <code>Instance</code> </b> - A Lightsail instance (a virtual private server)</p> </li> <li> <p> <b> <code>StaticIp</code> </b> - A static IP address</p> </li> <li> <p> <b> <code>KeyPair</code> </b> - The key pair used to connect to a Lightsail instance</p> </li> <li> <p> <b> <code>InstanceSnapshot</code> </b> - A Lightsail instance snapshot</p> </li> <li> <p> <b> <code>Domain</code> </b> - A DNS zone</p> </li> <li> <p> <b> <code>PeeredVpc</code> </b> - A peered VPC</p> </li> <li> <p> <b> <code>LoadBalancer</code> </b> - A Lightsail load balancer</p> </li> <li> <p> <b> <code>LoadBalancerTlsCertificate</code> </b> - An SSL/TLS certificate associated with a Lightsail load balancer</p> </li> <li> <p> <b> <code>Disk</code> </b> - A Lightsail block storage disk</p> </li> <li> <p> <b> <code>DiskSnapshot</code> </b> - A block storage disk snapshot</p> </li> </ul>', 'Operation$resourceType' => '<p>The resource type. </p>', 'RelationalDatabase$resourceType' => '<p>The Lightsail resource type for the database (for example, <code>RelationalDatabase</code>).</p>', 'RelationalDatabaseSnapshot$resourceType' => '<p>The Lightsail resource type.</p>', 'StaticIp$resourceType' => '<p>The resource type (usually <code>StaticIp</code>).</p>', ], ], 'SensitiveString' => [ 'base' => NULL, 'refs' => [ 'CreateRelationalDatabaseRequest$masterUserPassword' => '<p>The password for the master user of your new database. The password can include any printable ASCII character except "/", """, or "@".</p> <p>Constraints: Must contain 8 to 41 characters.</p>', 'GetRelationalDatabaseMasterUserPasswordResult$masterUserPassword' => '<p>The master user password for the <code>password version</code> specified.</p>', 'UpdateRelationalDatabaseRequest$masterUserPassword' => '<p>The password for the master user of your database. The password can include any printable ASCII character except "/", """, or "@".</p> <p>Constraints: Must contain 8 to 41 characters.</p>', ], ], 'ServiceException' => [ 'base' => '<p>A general service exception.</p>', 'refs' => [], ], 'StartInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartInstanceResult' => [ 'base' => NULL, 'refs' => [], ], 'StartRelationalDatabaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartRelationalDatabaseResult' => [ 'base' => NULL, 'refs' => [], ], 'StaticIp' => [ 'base' => '<p>Describes the static IP.</p>', 'refs' => [ 'GetStaticIpResult$staticIp' => '<p>An array of key-value pairs containing information about the requested static IP.</p>', 'StaticIpList$member' => NULL, ], ], 'StaticIpList' => [ 'base' => NULL, 'refs' => [ 'GetStaticIpsResult$staticIps' => '<p>An array of key-value pairs containing information about your get static IPs request.</p>', ], ], 'StopInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopInstanceResult' => [ 'base' => NULL, 'refs' => [], ], 'StopRelationalDatabaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopRelationalDatabaseResult' => [ 'base' => NULL, 'refs' => [], ], 'StringList' => [ 'base' => NULL, 'refs' => [ 'CreateInstancesFromSnapshotRequest$instanceNames' => '<p>The names for your new instances.</p>', 'CreateInstancesRequest$instanceNames' => '<p>The names to use for your new Lightsail instances. Separate multiple values using quotation marks and commas, for example: <code>["MyFirstInstance","MySecondInstance"]</code> </p>', 'GetActiveNamesResult$activeNames' => '<p>The list of active names returned by the get active names request.</p>', 'GetRelationalDatabaseLogStreamsResult$logStreams' => '<p>An object describing the result of your get relational database log streams request.</p>', 'LoadBalancerTlsCertificate$subjectAlternativeNames' => '<p>One or more domains or subdomains included in the certificate. This list contains the domain names that are bound to the public key that is contained in the certificate. The subject alternative names include the canonical domain name (CNAME) of the certificate and additional domain names that can be used to connect to the website, such as <code>example.com</code>, <code>www.example.com</code>, or <code>m.example.com</code>.</p>', 'RelationalDatabaseEvent$eventCategories' => '<p>The category that the database event belongs to.</p>', ], ], 'StringMax256' => [ 'base' => NULL, 'refs' => [ 'UpdateLoadBalancerAttributeRequest$attributeValue' => '<p>The value that you want to specify for the attribute name.</p>', ], ], 'Tag' => [ 'base' => '<p>Describes a tag key and optional value assigned to an Amazon Lightsail resource.</p> <p>For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'Tag$key' => '<p>The key of the tag.</p> <p>Constraints: Tag keys accept a maximum of 128 letters, numbers, spaces in UTF-8, or the following characters: + - = . _ : / @</p>', 'TagKeyList$member' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$tagKeys' => '<p>The tag keys to delete from the specified resource.</p>', ], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'CreateDiskFromSnapshotRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateDiskRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateDiskSnapshotRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateDomainRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateInstanceSnapshotRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateInstancesFromSnapshotRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateInstancesRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateKeyPairRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateLoadBalancerRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateLoadBalancerTlsCertificateRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateRelationalDatabaseRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'CreateRelationalDatabaseSnapshotRequest$tags' => '<p>The tag keys and optional values to add to the resource during create.</p> <p>To tag a resource after it has been created, see the <code>tag resource</code> operation.</p>', 'Disk$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'DiskSnapshot$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'Domain$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'Instance$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'InstanceSnapshot$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'KeyPair$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'LoadBalancer$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'LoadBalancerTlsCertificate$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'RelationalDatabase$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'RelationalDatabaseSnapshot$tags' => '<p>The tag keys and optional values for the resource. For more information about tags in Lightsail, see the <a href="https://lightsail.aws.amazon.com/ls/docs/en/articles/amazon-lightsail-tags">Lightsail Dev Guide</a>.</p>', 'TagResourceRequest$tags' => '<p>The tag key and optional value.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResult' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tag$value' => '<p>The value of the tag.</p> <p>Constraints: Tag values accept a maximum of 256 letters, numbers, spaces in UTF-8, or the following characters: + - = . _ : / @</p>', ], ], 'UnauthenticatedException' => [ 'base' => '<p>Lightsail throws this exception when the user has not been authenticated.</p>', 'refs' => [], ], 'UnpeerVpcRequest' => [ 'base' => NULL, 'refs' => [], ], 'UnpeerVpcResult' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResult' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDomainEntryRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDomainEntryResult' => [ 'base' => NULL, 'refs' => [], ], 'UpdateLoadBalancerAttributeRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateLoadBalancerAttributeResult' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRelationalDatabaseParametersRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRelationalDatabaseParametersResult' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRelationalDatabaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRelationalDatabaseResult' => [ 'base' => NULL, 'refs' => [], ], 'boolean' => [ 'base' => NULL, 'refs' => [ 'Blueprint$isActive' => '<p>A Boolean value indicating whether the blueprint is active. Inactive blueprints are listed to support customers with existing instances but are not necessarily available for launch of new instances. Blueprints are marked inactive when they become outdated due to operating system updates or new application releases.</p>', 'Bundle$isActive' => '<p>A Boolean value indicating whether the bundle is active.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$publiclyAccessible' => '<p>Specifies the accessibility options for your new database. A value of <code>true</code> specifies a database that is available to resources outside of your Lightsail account. A value of <code>false</code> specifies a database that is available only to your Lightsail resources in the same region as your database.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$useLatestRestorableTime' => '<p>Specifies whether your database is restored from the latest backup time. A value of <code>true</code> restores from the latest backup time. </p> <p>Default: <code>false</code> </p> <p>Constraints: Cannot be specified if the <code>restore time</code> parameter is provided.</p>', 'CreateRelationalDatabaseRequest$publiclyAccessible' => '<p>Specifies the accessibility options for your new database. A value of <code>true</code> specifies a database that is available to resources outside of your Lightsail account. A value of <code>false</code> specifies a database that is available only to your Lightsail resources in the same region as your database.</p>', 'DeleteLoadBalancerTlsCertificateRequest$force' => '<p>When <code>true</code>, forces the deletion of an SSL/TLS certificate.</p> <p>There can be two certificates associated with a Lightsail load balancer: the primary and the backup. The <code>force</code> parameter is required when the primary SSL/TLS certificate is in use by an instance attached to the load balancer.</p>', 'DeleteRelationalDatabaseRequest$skipFinalSnapshot' => '<p>Determines whether a final database snapshot is created before your database is deleted. If <code>true</code> is specified, no database snapshot is created. If <code>false</code> is specified, a database snapshot is created before your database is deleted.</p> <p>You must specify the <code>final relational database snapshot name</code> parameter if the <code>skip final snapshot</code> parameter is <code>false</code>.</p> <p>Default: <code>false</code> </p>', 'Disk$isSystemDisk' => '<p>A Boolean value indicating whether this disk is a system disk (has an operating system loaded on it).</p>', 'Disk$isAttached' => '<p>A Boolean value indicating whether the disk is attached.</p>', 'DiskInfo$isSystemDisk' => '<p>A Boolean value indicating whether this disk is a system disk (has an operating system loaded on it).</p>', 'DomainEntry$isAlias' => '<p>When <code>true</code>, specifies whether the domain entry is an alias used by the Lightsail load balancer. You can include an alias (A type) record in your request, which points to a load balancer DNS name and routes traffic to your load balancer</p>', 'GetBlueprintsRequest$includeInactive' => '<p>A Boolean value indicating whether to include inactive results in your request.</p>', 'GetBundlesRequest$includeInactive' => '<p>A Boolean value that indicates whether to include inactive bundle results in your request.</p>', 'GetRegionsRequest$includeAvailabilityZones' => '<p>A Boolean value indicating whether to also include Availability Zones in your get regions request. Availability Zones are indicated with a letter: e.g., <code>us-east-2a</code>.</p>', 'GetRegionsRequest$includeRelationalDatabaseAvailabilityZones' => '<p>&gt;A Boolean value indicating whether to also include Availability Zones for databases in your get regions request. Availability Zones are indicated with a letter (e.g., <code>us-east-2a</code>).</p>', 'GetRelationalDatabaseLogEventsRequest$startFromHead' => '<p>Parameter to specify if the log should start from head or tail. If <code>true</code> is specified, the log event starts from the head of the log. If <code>false</code> is specified, the log event starts from the tail of the log.</p> <p>Default: <code>false</code> </p>', 'Instance$isStaticIp' => '<p>A Boolean value indicating whether this instance has a static IP assigned to it.</p>', 'IsVpcPeeredResult$isPeered' => '<p>Returns <code>true</code> if the Lightsail VPC is peered; otherwise, <code>false</code>.</p>', 'LoadBalancerTlsCertificate$isAttached' => '<p>When <code>true</code>, the SSL/TLS certificate is attached to the Lightsail load balancer.</p>', 'LoadBalancerTlsCertificateSummary$isAttached' => '<p>When <code>true</code>, the SSL/TLS certificate is attached to the Lightsail load balancer.</p>', 'Operation$isTerminal' => '<p>A Boolean value indicating whether the operation is terminal.</p>', 'PendingModifiedRelationalDatabaseValues$backupRetentionEnabled' => '<p>A Boolean value indicating whether automated backup retention is enabled.</p>', 'RelationalDatabase$backupRetentionEnabled' => '<p>A Boolean value indicating whether automated backup retention is enabled for the database.</p>', 'RelationalDatabase$publiclyAccessible' => '<p>A Boolean value indicating whether the database is publicly accessible.</p>', 'RelationalDatabaseBlueprint$isEngineDefault' => '<p>A Boolean value indicating whether the engine version is the default for the database blueprint.</p>', 'RelationalDatabaseBundle$isEncrypted' => '<p>A Boolean value indicating whether the database bundle is encrypted.</p>', 'RelationalDatabaseBundle$isActive' => '<p>A Boolean value indicating whether the database bundle is active.</p>', 'RelationalDatabaseParameter$isModifiable' => '<p>A Boolean value indicating whether the parameter can be modified.</p>', 'StaticIp$isAttached' => '<p>A Boolean value indicating whether the static IP is attached.</p>', 'StopInstanceRequest$force' => '<p>When set to <code>True</code>, forces a Lightsail instance that is stuck in a <code>stopping</code> state to stop.</p> <important> <p>Only use the <code>force</code> parameter if your instance is stuck in the <code>stopping</code> state. In any other state, your instance should stop normally without adding this parameter to your API request.</p> </important>', 'UpdateRelationalDatabaseRequest$rotateMasterUserPassword' => '<p>When <code>true</code>, the master user password is changed to a new strong password generated by Lightsail.</p> <p>Use the <code>get relational database master user password</code> operation to get the new password.</p>', 'UpdateRelationalDatabaseRequest$enableBackupRetention' => '<p>When <code>true</code>, enables automated backup retention for your database.</p> <p>Updates are applied during the next maintenance window because this can result in an outage.</p>', 'UpdateRelationalDatabaseRequest$disableBackupRetention' => '<p>When <code>true</code>, disables automated backup retention for your database.</p> <p>Disabling backup retention deletes all automated database backups. Before disabling this, you may want to create a snapshot of your database using the <code>create relational database snapshot</code> operation.</p> <p>Updates are applied during the next maintenance window because this can result in an outage.</p>', 'UpdateRelationalDatabaseRequest$publiclyAccessible' => '<p>Specifies the accessibility options for your database. A value of <code>true</code> specifies a database that is available to resources outside of your Lightsail account. A value of <code>false</code> specifies a database that is available only to your Lightsail resources in the same region as your database.</p>', 'UpdateRelationalDatabaseRequest$applyImmediately' => '<p>When <code>true</code>, applies changes immediately. When <code>false</code>, applies changes during the preferred maintenance window. Some changes may cause an outage.</p> <p>Default: <code>false</code> </p>', ], ], 'double' => [ 'base' => NULL, 'refs' => [ 'MetricDatapoint$average' => '<p>The average.</p>', 'MetricDatapoint$maximum' => '<p>The maximum.</p>', 'MetricDatapoint$minimum' => '<p>The minimum.</p>', 'MetricDatapoint$sampleCount' => '<p>The sample count.</p>', 'MetricDatapoint$sum' => '<p>The sum.</p>', ], ], 'float' => [ 'base' => NULL, 'refs' => [ 'Bundle$price' => '<p>The price in US dollars (e.g., <code>5.0</code>).</p>', 'Bundle$ramSizeInGb' => '<p>The amount of RAM in GB (e.g., <code>2.0</code>).</p>', 'InstanceHardware$ramSizeInGb' => '<p>The amount of RAM in GB on the instance (e.g., <code>1.0</code>).</p>', 'RelationalDatabaseBundle$price' => '<p>The cost of the database bundle in US currency.</p>', 'RelationalDatabaseBundle$ramSizeInGb' => '<p>The amount of RAM in GB (for example, <code>2.0</code>) for the database bundle.</p>', 'RelationalDatabaseHardware$ramSizeInGb' => '<p>The amount of RAM in GB for the database.</p>', ], ], 'integer' => [ 'base' => NULL, 'refs' => [ 'Blueprint$minPower' => '<p>The minimum bundle power required to run this blueprint. For example, you need a bundle with a power value of 500 or more to create an instance that uses a blueprint with a minimum power value of 500. <code>0</code> indicates that the blueprint runs on all instance sizes. </p>', 'Bundle$cpuCount' => '<p>The number of vCPUs included in the bundle (e.g., <code>2</code>).</p>', 'Bundle$diskSizeInGb' => '<p>The size of the SSD (e.g., <code>30</code>).</p>', 'Bundle$power' => '<p>A numeric value that represents the power of the bundle (e.g., <code>500</code>). You can use the bundle\'s power value in conjunction with a blueprint\'s minimum power value to determine whether the blueprint will run on the bundle. For example, you need a bundle with a power value of 500 or more to create an instance that uses a blueprint with a minimum power value of 500.</p>', 'Bundle$transferPerMonthInGb' => '<p>The data transfer rate per month in GB (e.g., <code>2000</code>).</p>', 'CreateDiskFromSnapshotRequest$sizeInGb' => '<p>The size of the disk in GB (e.g., <code>32</code>).</p>', 'CreateDiskRequest$sizeInGb' => '<p>The size of the disk in GB (e.g., <code>32</code>).</p>', 'Disk$sizeInGb' => '<p>The size of the disk in GB.</p>', 'Disk$iops' => '<p>The input/output operations per second (IOPS) of the disk.</p>', 'Disk$gbInUse' => '<p>(Deprecated) The number of GB in use by the disk.</p> <note> <p>In releases prior to November 14, 2017, this parameter was not included in the API response. It is now deprecated.</p> </note>', 'DiskInfo$sizeInGb' => '<p>The size of the disk in GB (e.g., <code>32</code>).</p>', 'DiskSnapshot$sizeInGb' => '<p>The size of the disk in GB.</p>', 'DiskSnapshotInfo$sizeInGb' => '<p>The size of the disk in GB (e.g., <code>32</code>).</p>', 'GetRelationalDatabaseEventsRequest$durationInMinutes' => '<p>The number of minutes in the past from which to retrieve events. For example, to get all events from the past 2 hours, enter 120.</p> <p>Default: <code>60</code> </p> <p>The minimum is 1 and the maximum is 14 days (20160 minutes).</p>', 'InstanceHardware$cpuCount' => '<p>The number of vCPUs the instance has.</p>', 'InstanceSnapshot$sizeInGb' => '<p>The size in GB of the SSD.</p>', 'InstanceState$code' => '<p>The status code for the instance.</p>', 'LoadBalancer$instancePort' => '<p>The port where the load balancer will direct traffic to your Lightsail instances. For HTTP traffic, it\'s port 80. For HTTPS traffic, it\'s port 443.</p>', 'MonthlyTransfer$gbPerMonthAllocated' => '<p>The amount allocated per month (in GB).</p>', 'RelationalDatabaseBundle$diskSizeInGb' => '<p>The size of the disk for the database bundle.</p>', 'RelationalDatabaseBundle$transferPerMonthInGb' => '<p>The data transfer rate per month in GB for the database bundle.</p>', 'RelationalDatabaseBundle$cpuCount' => '<p>The number of virtual CPUs (vCPUs) for the database bundle.</p>', 'RelationalDatabaseEndpoint$port' => '<p>Specifies the port that the database is listening on.</p>', 'RelationalDatabaseHardware$cpuCount' => '<p>The number of vCPUs for the database.</p>', 'RelationalDatabaseHardware$diskSizeInGb' => '<p>The size of the disk for the database.</p>', 'RelationalDatabaseSnapshot$sizeInGb' => '<p>The size of the disk in GB (for example, <code>32</code>) for the database snapshot.</p>', ], ], 'string' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$code' => NULL, 'AccessDeniedException$docs' => NULL, 'AccessDeniedException$message' => NULL, 'AccessDeniedException$tip' => NULL, 'AccountSetupInProgressException$code' => NULL, 'AccountSetupInProgressException$docs' => NULL, 'AccountSetupInProgressException$message' => NULL, 'AccountSetupInProgressException$tip' => NULL, 'Blueprint$description' => '<p>The description of the blueprint.</p>', 'Blueprint$version' => '<p>The version number of the operating system, application, or stack (e.g., <code>2016.03.0</code>).</p>', 'Blueprint$versionCode' => '<p>The version code.</p>', 'Blueprint$productUrl' => '<p>The product URL to learn more about the image or blueprint.</p>', 'Blueprint$licenseUrl' => '<p>The end-user license agreement URL for the image or blueprint.</p>', 'Bundle$instanceType' => '<p>The Amazon EC2 instance type (e.g., <code>t2.micro</code>).</p>', 'Bundle$name' => '<p>A friendly name for the bundle (e.g., <code>Micro</code>).</p>', 'CreateInstancesFromSnapshotRequest$availabilityZone' => '<p>The Availability Zone where you want to create your instances. Use the following formatting: <code>us-east-2a</code> (case sensitive). You can get a list of Availability Zones by using the <a href="http://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_GetRegions.html">get regions</a> operation. Be sure to add the <code>include Availability Zones</code> parameter to your request.</p>', 'CreateInstancesFromSnapshotRequest$userData' => '<p>You can create a launch script that configures a server with additional user data. For example, <code>apt-get -y update</code>.</p> <note> <p>Depending on the machine image you choose, the command to get software on your instance varies. Amazon Linux and CentOS use <code>yum</code>, Debian and Ubuntu use <code>apt-get</code>, and FreeBSD uses <code>pkg</code>. For a complete list, see the <a href="https://lightsail.aws.amazon.com/ls/docs/getting-started/article/compare-options-choose-lightsail-instance-image">Dev Guide</a>.</p> </note>', 'CreateInstancesRequest$availabilityZone' => '<p>The Availability Zone in which to create your instance. Use the following format: <code>us-east-2a</code> (case sensitive). You can get a list of Availability Zones by using the <a href="http://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_GetRegions.html">get regions</a> operation. Be sure to add the <code>include Availability Zones</code> parameter to your request.</p>', 'CreateInstancesRequest$userData' => '<p>A launch script you can create that configures a server with additional user data. For example, you might want to run <code>apt-get -y update</code>.</p> <note> <p>Depending on the machine image you choose, the command to get software on your instance varies. Amazon Linux and CentOS use <code>yum</code>, Debian and Ubuntu use <code>apt-get</code>, and FreeBSD uses <code>pkg</code>. For a complete list, see the <a href="https://lightsail.aws.amazon.com/ls/docs/getting-started/article/compare-options-choose-lightsail-instance-image">Dev Guide</a>.</p> </note>', 'CreateLoadBalancerRequest$healthCheckPath' => '<p>The path you provided to perform the load balancer health check. If you didn\'t specify a health check path, Lightsail uses the root path of your website (e.g., <code>"/"</code>).</p> <p>You may want to specify a custom health check path other than the root of your application if your home page loads slowly or has a lot of media or scripting on it.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$availabilityZone' => '<p>The Availability Zone in which to create your new database. Use the <code>us-east-2a</code> case-sensitive format.</p> <p>You can get a list of Availability Zones by using the <code>get regions</code> operation. Be sure to add the <code>include relational database Availability Zones</code> parameter to your request.</p>', 'CreateRelationalDatabaseFromSnapshotRequest$relationalDatabaseBundleId' => '<p>The bundle ID for your new database. A bundle describes the performance specifications for your database.</p> <p>You can get a list of database bundle IDs by using the <code>get relational database bundles</code> operation.</p> <p>When creating a new database from a snapshot, you cannot choose a bundle that is smaller than the bundle of the source database.</p>', 'CreateRelationalDatabaseRequest$availabilityZone' => '<p>The Availability Zone in which to create your new database. Use the <code>us-east-2a</code> case-sensitive format.</p> <p>You can get a list of Availability Zones by using the <code>get regions</code> operation. Be sure to add the <code>include relational database Availability Zones</code> parameter to your request.</p>', 'CreateRelationalDatabaseRequest$relationalDatabaseBlueprintId' => '<p>The blueprint ID for your new database. A blueprint describes the major engine version of a database.</p> <p>You can get a list of database blueprints IDs by using the <code>get relational database blueprints</code> operation.</p>', 'CreateRelationalDatabaseRequest$relationalDatabaseBundleId' => '<p>The bundle ID for your new database. A bundle describes the performance specifications for your database.</p> <p>You can get a list of database bundle IDs by using the <code>get relational database bundles</code> operation.</p>', 'CreateRelationalDatabaseRequest$masterDatabaseName' => '<p>The name of the master database created when the Lightsail database resource is created.</p> <p>Constraints:</p> <ul> <li> <p>Must contain from 1 to 64 alphanumeric characters.</p> </li> <li> <p>Cannot be a word reserved by the specified database engine</p> </li> </ul>', 'CreateRelationalDatabaseRequest$masterUsername' => '<p>The master user name for your new database.</p> <p>Constraints:</p> <ul> <li> <p>Master user name is required.</p> </li> <li> <p>Must contain from 1 to 16 alphanumeric characters.</p> </li> <li> <p>The first character must be a letter.</p> </li> <li> <p>Cannot be a reserved word for the database engine you choose.</p> <p>For more information about reserved words in MySQL 5.6 or 5.7, see the Keywords and Reserved Words articles for <a href="https://dev.mysql.com/doc/refman/5.6/en/keywords.html">MySQL 5.6</a> or <a href="https://dev.mysql.com/doc/refman/5.7/en/keywords.html">MySQL 5.7</a> respectively.</p> </li> </ul>', 'CreateRelationalDatabaseRequest$preferredBackupWindow' => '<p>The daily time range during which automated backups are created for your new database if automated backups are enabled.</p> <p>The default is a 30-minute window selected at random from an 8-hour block of time for each AWS Region. For more information about the preferred backup window time blocks for each region, see the <a href="https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/USER_WorkingWithAutomatedBackups.html#USER_WorkingWithAutomatedBackups.BackupWindow">Working With Backups</a> guide in the Amazon Relational Database Service (Amazon RDS) documentation.</p> <p>Constraints:</p> <ul> <li> <p>Must be in the <code>hh24:mi-hh24:mi</code> format.</p> <p>Example: <code>16:00-16:30</code> </p> </li> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Must not conflict with the preferred maintenance window.</p> </li> <li> <p>Must be at least 30 minutes.</p> </li> </ul>', 'CreateRelationalDatabaseRequest$preferredMaintenanceWindow' => '<p>The weekly time range during which system maintenance can occur on your new database.</p> <p>The default is a 30-minute window selected at random from an 8-hour block of time for each AWS Region, occurring on a random day of the week.</p> <p>Constraints:</p> <ul> <li> <p>Must be in the <code>ddd:hh24:mi-ddd:hh24:mi</code> format.</p> </li> <li> <p>Valid days: Mon, Tue, Wed, Thu, Fri, Sat, Sun.</p> </li> <li> <p>Must be at least 30 minutes.</p> </li> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Example: <code>Tue:17:00-Tue:17:30</code> </p> </li> </ul>', 'Disk$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about an instance or another resource in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'Disk$path' => '<p>The disk path.</p>', 'Disk$attachmentState' => '<p>(Deprecated) The attachment state of the disk.</p> <note> <p>In releases prior to November 14, 2017, this parameter returned <code>attached</code> for system disks in the API response. It is now deprecated, but still included in the response. Use <code>isAttached</code> instead.</p> </note>', 'DiskInfo$name' => '<p>The disk name.</p>', 'DiskSnapshot$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about an instance or another resource in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'DiskSnapshot$progress' => '<p>The progress of the disk snapshot operation.</p>', 'Domain$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about an instance or another resource in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'DomainEntry$target' => '<p>The target AWS name server (e.g., <code>ns-111.awsdns-22.com.</code>).</p> <p>For Lightsail load balancers, the value looks like <code>ab1234c56789c6b86aba6fb203d443bc-123456789.us-east-2.elb.amazonaws.com</code>. Be sure to also set <code>isAlias</code> to <code>true</code> when setting up an A record for a load balancer.</p>', 'DomainEntryOptions$value' => NULL, 'GetActiveNamesRequest$pageToken' => '<p>A token used for paginating results from your get active names request.</p>', 'GetActiveNamesResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get active names request.</p>', 'GetBlueprintsRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get blueprints request.</p>', 'GetBlueprintsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get blueprints request.</p>', 'GetBundlesRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get bundles request.</p>', 'GetBundlesResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get active names request.</p>', 'GetCloudFormationStackRecordsRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get cloud formation stack records</code> request.</p>', 'GetCloudFormationStackRecordsResult$nextPageToken' => '<p>A token used for advancing to the next page of results of your get relational database bundles request.</p>', 'GetDiskSnapshotsRequest$pageToken' => '<p>A token used for advancing to the next page of results from your GetDiskSnapshots request.</p>', 'GetDiskSnapshotsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your GetDiskSnapshots request.</p>', 'GetDisksRequest$pageToken' => '<p>A token used for advancing to the next page of results from your GetDisks request.</p>', 'GetDisksResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your GetDisks request.</p>', 'GetDomainsRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get domains request.</p>', 'GetDomainsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get active names request.</p>', 'GetExportSnapshotRecordsRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get export snapshot records</code> request.</p>', 'GetExportSnapshotRecordsResult$nextPageToken' => '<p>A token used for advancing to the next page of results of your get relational database bundles request.</p>', 'GetInstanceSnapshotsRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get instance snapshots request.</p>', 'GetInstanceSnapshotsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get instance snapshots request.</p>', 'GetInstancesRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get instances request.</p>', 'GetInstancesResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get instances request.</p>', 'GetKeyPairsRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get key pairs request.</p>', 'GetKeyPairsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get key pairs request.</p>', 'GetLoadBalancersRequest$pageToken' => '<p>A token used for paginating the results from your GetLoadBalancers request.</p>', 'GetLoadBalancersResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your GetLoadBalancers request.</p>', 'GetOperationsForResourceRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get operations for resource request.</p>', 'GetOperationsForResourceResult$nextPageCount' => '<p>(Deprecated) Returns the number of pages of results that remain.</p> <note> <p>In releases prior to June 12, 2017, this parameter returned <code>null</code> by the API. It is now deprecated, and the API returns the <code>next page token</code> parameter instead.</p> </note>', 'GetOperationsForResourceResult$nextPageToken' => '<p>An identifier that was returned from the previous call to this operation, which can be used to return the next set of items in the list.</p>', 'GetOperationsRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get operations request.</p>', 'GetOperationsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get operations request.</p>', 'GetRelationalDatabaseBlueprintsRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get relational database blueprints</code> request.</p>', 'GetRelationalDatabaseBlueprintsResult$nextPageToken' => '<p>A token used for advancing to the next page of results of your get relational database blueprints request.</p>', 'GetRelationalDatabaseBundlesRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get relational database bundles</code> request.</p>', 'GetRelationalDatabaseBundlesResult$nextPageToken' => '<p>A token used for advancing to the next page of results of your get relational database bundles request.</p>', 'GetRelationalDatabaseEventsRequest$pageToken' => '<p>A token used for advancing to a specific page of results from for get relational database events request.</p>', 'GetRelationalDatabaseEventsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get relational database events request.</p>', 'GetRelationalDatabaseLogEventsRequest$logStreamName' => '<p>The name of the log stream.</p> <p>Use the <code>get relational database log streams</code> operation to get a list of available log streams.</p>', 'GetRelationalDatabaseLogEventsRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get relational database log events</code> request.</p>', 'GetRelationalDatabaseLogEventsResult$nextBackwardToken' => '<p>A token used for advancing to the previous page of results from your get relational database log events request.</p>', 'GetRelationalDatabaseLogEventsResult$nextForwardToken' => '<p>A token used for advancing to the next page of results from your get relational database log events request.</p>', 'GetRelationalDatabaseParametersRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get relational database parameters</code> request.</p>', 'GetRelationalDatabaseParametersResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get static IPs request.</p>', 'GetRelationalDatabaseSnapshotsRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get relational database snapshots</code> request.</p>', 'GetRelationalDatabaseSnapshotsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get relational database snapshots request.</p>', 'GetRelationalDatabasesRequest$pageToken' => '<p>A token used for advancing to a specific page of results for your <code>get relational database</code> request.</p>', 'GetRelationalDatabasesResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get relational databases request.</p>', 'GetStaticIpsRequest$pageToken' => '<p>A token used for advancing to the next page of results from your get static IPs request.</p>', 'GetStaticIpsResult$nextPageToken' => '<p>A token used for advancing to the next page of results from your get static IPs request.</p>', 'HostKeyAttributes$algorithm' => '<p>The SSH host key algorithm or the RDP certificate format.</p> <p>For SSH host keys, the algorithm may be <code>ssh-rsa</code>, <code>ecdsa-sha2-nistp256</code>, <code>ssh-ed25519</code>, etc. For RDP certificates, the algorithm is always <code>x509-cert</code>.</p>', 'HostKeyAttributes$publicKey' => '<p>The public SSH host key or the RDP certificate.</p>', 'HostKeyAttributes$fingerprintSHA1' => '<p>The SHA-1 fingerprint of the returned SSH host key or RDP certificate.</p> <ul> <li> <p>Example of an SHA-1 SSH fingerprint:</p> <p> <code>SHA1:1CHH6FaAaXjtFOsR/t83vf91SR0</code> </p> </li> <li> <p>Example of an SHA-1 RDP fingerprint:</p> <p> <code>af:34:51:fe:09:f0:e0:da:b8:4e:56:ca:60:c2:10:ff:38:06:db:45</code> </p> </li> </ul>', 'HostKeyAttributes$fingerprintSHA256' => '<p>The SHA-256 fingerprint of the returned SSH host key or RDP certificate.</p> <ul> <li> <p>Example of an SHA-256 SSH fingerprint:</p> <p> <code>SHA256:KTsMnRBh1IhD17HpdfsbzeGA4jOijm5tyXsMjKVbB8o</code> </p> </li> <li> <p>Example of an SHA-256 RDP fingerprint:</p> <p> <code>03:9b:36:9f:4b:de:4e:61:70:fc:7c:c9:78:e7:d2:1a:1c:25:a8:0c:91:f6:7c:e4:d6:a0:85:c8:b4:53:99:68</code> </p> </li> </ul>', 'Instance$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about an instance or another resource in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'InstanceAccessDetails$certKey' => '<p>For SSH access, the public key to use when accessing your instance For OpenSSH clients (e.g., command line SSH), you should save this value to <code>tempkey-cert.pub</code>.</p>', 'InstanceAccessDetails$password' => '<p>For RDP access, the password for your Amazon Lightsail instance. Password will be an empty string if the password for your new instance is not ready yet. When you create an instance, it can take up to 15 minutes for the instance to be ready.</p> <note> <p>If you create an instance using any key pair other than the default (<code>LightsailDefaultKeyPair</code>), <code>password</code> will always be an empty string.</p> <p>If you change the Administrator password on the instance, Lightsail will continue to return the original password value. When accessing the instance using RDP, you need to manually enter the Administrator password after changing it from the default.</p> </note>', 'InstanceAccessDetails$privateKey' => '<p>For SSH access, the temporary private key. For OpenSSH clients (e.g., command line SSH), you should save this value to <code>tempkey</code>).</p>', 'InstanceAccessDetails$username' => '<p>The user name to use when logging in to the Amazon Lightsail instance.</p>', 'InstanceEntry$userData' => '<p>A launch script you can create that configures a server with additional user data. For example, you might want to run <code>apt-get -y update</code>.</p> <note> <p>Depending on the machine image you choose, the command to get software on your instance varies. Amazon Linux and CentOS use <code>yum</code>, Debian and Ubuntu use <code>apt-get</code>, and FreeBSD uses <code>pkg</code>.</p> </note>', 'InstanceEntry$availabilityZone' => '<p>The Availability Zone for the new Amazon EC2 instance.</p>', 'InstancePortInfo$accessFrom' => '<p>The location from which access is allowed (e.g., <code>Anywhere (0.0.0.0/0)</code>).</p>', 'InstancePortInfo$commonName' => '<p>The common name.</p>', 'InstanceSnapshot$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about an instance or another resource in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'InstanceSnapshot$progress' => '<p>The progress of the snapshot.</p>', 'InstanceSnapshot$fromBlueprintId' => '<p>The blueprint ID from which you created the snapshot (e.g., <code>os_debian_8_3</code>). A blueprint is a virtual private server (or <i>instance</i>) image used to create instances quickly.</p>', 'InstanceSnapshot$fromBundleId' => '<p>The bundle ID from which you created the snapshot (e.g., <code>micro_1_0</code>).</p>', 'InstanceState$name' => '<p>The state of the instance (e.g., <code>running</code> or <code>pending</code>).</p>', 'InvalidInputException$code' => NULL, 'InvalidInputException$docs' => NULL, 'InvalidInputException$message' => NULL, 'InvalidInputException$tip' => NULL, 'KeyPair$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about an instance or another resource in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'LoadBalancer$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about your Lightsail load balancer. This code enables our support team to look up your Lightsail information more easily.</p>', 'LoadBalancerConfigurationOptions$value' => NULL, 'LoadBalancerTlsCertificate$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about your Lightsail load balancer or SSL/TLS certificate. This code enables our support team to look up your Lightsail information more easily.</p>', 'LogEvent$message' => '<p>The message of the database log event.</p>', 'NotFoundException$code' => NULL, 'NotFoundException$docs' => NULL, 'NotFoundException$message' => NULL, 'NotFoundException$tip' => NULL, 'Operation$operationDetails' => '<p>Details about the operation (e.g., <code>Debian-1GB-Ohio-1</code>).</p>', 'Operation$errorCode' => '<p>The error code.</p>', 'Operation$errorDetails' => '<p>The error details.</p>', 'OperationFailureException$code' => NULL, 'OperationFailureException$docs' => NULL, 'OperationFailureException$message' => NULL, 'OperationFailureException$tip' => NULL, 'PasswordData$ciphertext' => '<p>The encrypted password. Ciphertext will be an empty string if access to your new instance is not ready yet. When you create an instance, it can take up to 15 minutes for the instance to be ready.</p> <note> <p>If you use the default key pair (<code>LightsailDefaultKeyPair</code>), the decrypted password will be available in the password field.</p> <p>If you are using a custom key pair, you need to use your own means of decryption.</p> <p>If you change the Administrator password on the instance, Lightsail will continue to return the original ciphertext value. When accessing the instance using RDP, you need to manually enter the Administrator password after changing it from the default.</p> </note>', 'PendingModifiedRelationalDatabaseValues$masterUserPassword' => '<p>The password for the master user of the database.</p>', 'PendingModifiedRelationalDatabaseValues$engineVersion' => '<p>The database engine version.</p>', 'Region$continentCode' => '<p>The continent code (e.g., <code>NA</code>, meaning North America).</p>', 'Region$description' => '<p>The description of the AWS Region (e.g., <code>This region is recommended to serve users in the eastern United States and eastern Canada</code>).</p>', 'Region$displayName' => '<p>The display name (e.g., <code>Ohio</code>).</p>', 'RelationalDatabase$supportCode' => '<p>The support code for the database. Include this code in your email to support when you have questions about a database in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'RelationalDatabase$masterDatabaseName' => '<p>The name of the master database created when the Lightsail database resource is created.</p>', 'RelationalDatabase$secondaryAvailabilityZone' => '<p>Describes the secondary Availability Zone of a high availability database.</p> <p>The secondary database is used for failover support of a high availability database.</p>', 'RelationalDatabaseBlueprint$blueprintId' => '<p>The ID for the database blueprint.</p>', 'RelationalDatabaseBlueprint$engineVersion' => '<p>The database engine version for the database blueprint (for example, <code>5.7.23</code>).</p>', 'RelationalDatabaseBlueprint$engineDescription' => '<p>The description of the database engine for the database blueprint.</p>', 'RelationalDatabaseBlueprint$engineVersionDescription' => '<p>The description of the database engine version for the database blueprint.</p>', 'RelationalDatabaseBundle$bundleId' => '<p>The ID for the database bundle.</p>', 'RelationalDatabaseBundle$name' => '<p>The name for the database bundle.</p>', 'RelationalDatabaseEvent$message' => '<p>The message of the database event.</p>', 'RelationalDatabaseParameter$allowedValues' => '<p>Specifies the valid range of values for the parameter.</p>', 'RelationalDatabaseParameter$applyMethod' => '<p>Indicates when parameter updates are applied.</p> <p>Can be <code>immediate</code> or <code>pending-reboot</code>.</p>', 'RelationalDatabaseParameter$applyType' => '<p>Specifies the engine-specific parameter type.</p>', 'RelationalDatabaseParameter$dataType' => '<p>Specifies the valid data type for the parameter.</p>', 'RelationalDatabaseParameter$description' => '<p>Provides a description of the parameter.</p>', 'RelationalDatabaseParameter$parameterName' => '<p>Specifies the name of the parameter.</p>', 'RelationalDatabaseParameter$parameterValue' => '<p>Specifies the value of the parameter.</p>', 'RelationalDatabaseSnapshot$supportCode' => '<p>The support code for the database snapshot. Include this code in your email to support when you have questions about a database snapshot in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'RelationalDatabaseSnapshot$fromRelationalDatabaseBundleId' => '<p>The bundle ID of the database from which the database snapshot was created.</p>', 'RelationalDatabaseSnapshot$fromRelationalDatabaseBlueprintId' => '<p>The blueprint ID of the database from which the database snapshot was created. A blueprint describes the major engine version of a database.</p>', 'ResourceLocation$availabilityZone' => '<p>The Availability Zone. Follows the format <code>us-east-2a</code> (case-sensitive).</p>', 'ServiceException$code' => NULL, 'ServiceException$docs' => NULL, 'ServiceException$message' => NULL, 'ServiceException$tip' => NULL, 'StaticIp$supportCode' => '<p>The support code. Include this code in your email to support when you have questions about an instance or another resource in Lightsail. This code enables our support team to look up your Lightsail information more easily.</p>', 'StringList$member' => NULL, 'UnauthenticatedException$code' => NULL, 'UnauthenticatedException$docs' => NULL, 'UnauthenticatedException$message' => NULL, 'UnauthenticatedException$tip' => NULL, 'UpdateRelationalDatabaseRequest$preferredBackupWindow' => '<p>The daily time range during which automated backups are created for your database if automated backups are enabled.</p> <p>Constraints:</p> <ul> <li> <p>Must be in the <code>hh24:mi-hh24:mi</code> format.</p> <p>Example: <code>16:00-16:30</code> </p> </li> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Must not conflict with the preferred maintenance window.</p> </li> <li> <p>Must be at least 30 minutes.</p> </li> </ul>', 'UpdateRelationalDatabaseRequest$preferredMaintenanceWindow' => '<p>The weekly time range during which system maintenance can occur on your database.</p> <p>The default is a 30-minute window selected at random from an 8-hour block of time for each AWS Region, occurring on a random day of the week.</p> <p>Constraints:</p> <ul> <li> <p>Must be in the <code>ddd:hh24:mi-ddd:hh24:mi</code> format.</p> </li> <li> <p>Valid days: Mon, Tue, Wed, Thu, Fri, Sat, Sun.</p> </li> <li> <p>Must be at least 30 minutes.</p> </li> <li> <p>Specified in Universal Coordinated Time (UTC).</p> </li> <li> <p>Example: <code>Tue:17:00-Tue:17:30</code> </p> </li> </ul>', ], ], 'timestamp' => [ 'base' => NULL, 'refs' => [ 'GetInstanceMetricDataRequest$startTime' => '<p>The start time of the time period.</p>', 'GetInstanceMetricDataRequest$endTime' => '<p>The end time of the time period.</p>', 'GetLoadBalancerMetricDataRequest$startTime' => '<p>The start time of the period.</p>', 'GetLoadBalancerMetricDataRequest$endTime' => '<p>The end time of the period.</p>', 'MetricDatapoint$timestamp' => '<p>The timestamp (e.g., <code>1479816991.349</code>).</p>', ], ], ],];
