<?php
// This file was auto-generated from sdk-root/src/data/securityhub/2018-10-26/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Security Hub provides you with a comprehensive view of the security state of your AWS environment and resources. It also provides you with the compliance status of your environment based on CIS AWS Foundations compliance checks. Security Hub collects security data from AWS accounts, services, and integrated third-party products and helps you analyze security trends in your environment to identify the highest priority security issues. For more information about Security Hub, see the <i> <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/what-is-securityhub.html">AWS Security Hub User Guide</a> </i>.</p> <p>When you use operations in the Security Hub API, the requests are executed only in the AWS Region that is currently active or in the specific AWS Region that you specify in your request. Any configuration or settings change that results from the operation is applied only to that Region. To make the same change in other Regions, execute the same command for each Region to apply the change to. For example, if your Region is set to <code>us-west-2</code>, when you use <code>CreateMembers</code> to add a member account to Security Hub, the association of the member account with the master account is created only in the us-west-2 Region. Security Hub must be enabled for the member account in the same Region that the invite was sent from.</p>', 'operations' => [ 'AcceptInvitation' => '<p>Accepts the invitation to be a member account and be monitored by the Security Hub master account that the invitation was sent from. When the member account accepts the invitation, permission is granted to the master account to view findings generated in the member account.</p>', 'BatchDisableStandards' => '<p>Disables the standards specified by the provided <code>StandardsSubscriptionArns</code>. For more information, see <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards.html">Standards Supported in AWS Security Hub</a>.</p>', 'BatchEnableStandards' => '<p>Enables the standards specified by the provided <code>standardsArn</code>. In this release, only CIS AWS Foundations standards are supported. For more information, see <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards.html">Standards Supported in AWS Security Hub</a>.</p>', 'BatchImportFindings' => '<p>Imports security findings generated from an integrated third-party product into Security Hub. This action is requested by the integrated product to import its findings into Security Hub. The maximum allowed size for a finding is 240 Kb. An error is returned for any finding larger than 240 Kb.</p>', 'CreateActionTarget' => '<p>Creates a custom action target in Security Hub. You can use custom actions on findings and insights in Security Hub to trigger target actions in Amazon CloudWatch Events.</p>', 'CreateInsight' => '<p>Creates a custom insight in Security Hub. An insight is a consolidation of findings that relate to a security issue that requires attention or remediation. Use the <code>GroupByAttribute</code> to group the related findings in the insight.</p>', 'CreateMembers' => '<p>Creates a member association in Security Hub between the specified accounts and the account used to make the request, which is the master account. To successfully create a member, you must use this action from an account that already has Security Hub enabled. You can use the <a>EnableSecurityHub</a> to enable Security Hub.</p> <p>After you use <code>CreateMembers</code> to create member account associations in Security Hub, you need to use the <a>InviteMembers</a> action, which invites the accounts to enable Security Hub and become member accounts in Security Hub. If the invitation is accepted by the account owner, the account becomes a member account in Security Hub, and a permission policy is added that permits the master account to view the findings generated in the member account. When Security Hub is enabled in the invited account, findings start being sent to both the member and master accounts.</p> <p>You can remove the association between the master and member accounts by using the <a>DisassociateFromMasterAccount</a> or <a>DisassociateMembers</a> operation.</p>', 'DeclineInvitations' => '<p>Declines invitations to become a member account.</p>', 'DeleteActionTarget' => '<p>Deletes a custom action target from Security Hub. Deleting a custom action target doesn\'t affect any findings or insights that were already sent to Amazon CloudWatch Events using the custom action.</p>', 'DeleteInsight' => '<p>Deletes the insight specified by the <code>InsightArn</code>.</p>', 'DeleteInvitations' => '<p>Deletes invitations received by the AWS account to become a member account.</p>', 'DeleteMembers' => '<p>Deletes the specified member accounts from Security Hub.</p>', 'DescribeActionTargets' => '<p>Returns a list of the custom action targets in Security Hub in your account.</p>', 'DescribeHub' => '<p>Returns details about the Hub resource in your account, including the <code>HubArn</code> and the time when you enabled Security Hub.</p>', 'DescribeProducts' => '<p>Returns information about the products available that you can subscribe to and integrate with Security Hub to consolidate findings.</p>', 'DisableImportFindingsForProduct' => '<p>Disables the integration of the specified product with Security Hub. Findings from that product are no longer sent to Security Hub after the integration is disabled.</p>', 'DisableSecurityHub' => '<p>Disables Security Hub in your account only in the current Region. To disable Security Hub in all Regions, you must submit one request per Region where you have enabled Security Hub. When you disable Security Hub for a master account, it doesn\'t disable Security Hub for any associated member accounts.</p> <p>When you disable Security Hub, your existing findings and insights and any Security Hub configuration settings are deleted after 90 days and can\'t be recovered. Any standards that were enabled are disabled, and your master and member account associations are removed. If you want to save your existing findings, you must export them before you disable Security Hub.</p>', 'DisassociateFromMasterAccount' => '<p>Disassociates the current Security Hub member account from the associated master account.</p>', 'DisassociateMembers' => '<p>Disassociates the specified member accounts from the associated master account.</p>', 'EnableImportFindingsForProduct' => '<p>Enables the integration of a partner product with Security Hub. Integrated products send findings to Security Hub. When you enable a product integration, a permission policy that grants permission for the product to send findings to Security Hub is applied.</p>', 'EnableSecurityHub' => '<p>Enables Security Hub for your account in the current Region or the Region you specify in the request. When you enable Security Hub, you grant to Security Hub the permissions necessary to gather findings from AWS Config, Amazon GuardDuty, Amazon Inspector, and Amazon Macie. To learn more, see <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-settingup.html">Setting Up AWS Security Hub</a>.</p>', 'GetEnabledStandards' => '<p>Returns a list of the standards that are currently enabled.</p>', 'GetFindings' => '<p>Returns a list of findings that match the specified criteria.</p>', 'GetInsightResults' => '<p>Lists the results of the Security Hub insight that the insight ARN specifies.</p>', 'GetInsights' => '<p>Lists and describes insights that insight ARNs specify.</p>', 'GetInvitationsCount' => '<p>Returns the count of all Security Hub membership invitations that were sent to the current member account, not including the currently accepted invitation. </p>', 'GetMasterAccount' => '<p>Provides the details for the Security Hub master account to the current member account. </p>', 'GetMembers' => '<p>Returns the details on the Security Hub member accounts that the account IDs specify.</p>', 'InviteMembers' => '<p>Invites other AWS accounts to become member accounts for the Security Hub master account that the invitation is sent from. Before you can use this action to invite a member, you must first create the member account in Security Hub by using the <a>CreateMembers</a> action. When the account owner accepts the invitation to become a member account and enables Security Hub, the master account can view the findings generated from member account.</p>', 'ListEnabledProductsForImport' => '<p>Lists all findings-generating solutions (products) whose findings you have subscribed to receive in Security Hub.</p>', 'ListInvitations' => '<p>Lists all Security Hub membership invitations that were sent to the current AWS account. </p>', 'ListMembers' => '<p>Lists details about all member accounts for the current Security Hub master account.</p>', 'ListTagsForResource' => '<p>Returns a list of tags associated with a resource.</p>', 'TagResource' => '<p>Adds one or more tags to a resource.</p>', 'UntagResource' => '<p>Removes one or more tags from a resource.</p>', 'UpdateActionTarget' => '<p>Updates the name and description of a custom action target in Security Hub.</p>', 'UpdateFindings' => '<p>Updates the <code>Note</code> and <code>RecordState</code> of the Security Hub-aggregated findings that the filter attributes specify. Any member account that can view the finding also sees the update to the finding.</p>', 'UpdateInsight' => '<p>Updates the Security Hub insight that the insight ARN specifies.</p>', ], 'shapes' => [ 'AcceptInvitationRequest' => [ 'base' => NULL, 'refs' => [], ], 'AcceptInvitationResponse' => [ 'base' => NULL, 'refs' => [], ], 'AccessDeniedException' => [ 'base' => '<p>You don\'t have permission to perform the action specified in the request.</p>', 'refs' => [], ], 'AccountDetails' => [ 'base' => '<p>The details of an AWS account.</p>', 'refs' => [ 'AccountDetailsList$member' => NULL, ], ], 'AccountDetailsList' => [ 'base' => NULL, 'refs' => [ 'CreateMembersRequest$AccountDetails' => '<p>A list of account ID and email address pairs of the accounts to associate with the Security Hub master account.</p>', ], ], 'AccountId' => [ 'base' => NULL, 'refs' => [ 'AccountDetails$AccountId' => '<p>The ID of an AWS account.</p>', 'Invitation$AccountId' => '<p>The account ID of the Security Hub master account that the invitation was sent from.</p>', 'Member$AccountId' => '<p>The AWS account ID of the member account.</p>', 'Result$AccountId' => '<p>An AWS account ID of the account that wasn\'t be processed.</p>', ], ], 'AccountIdList' => [ 'base' => NULL, 'refs' => [ 'DeclineInvitationsRequest$AccountIds' => '<p>A list of account IDs that specify the accounts that invitations to Security Hub are declined from.</p>', 'DeleteInvitationsRequest$AccountIds' => '<p>A list of the account IDs that sent the invitations to delete.</p>', 'DeleteMembersRequest$AccountIds' => '<p>A list of account IDs of the member accounts to delete.</p>', 'DisassociateMembersRequest$AccountIds' => '<p>The account IDs of the member accounts to disassociate from the master account.</p>', 'GetMembersRequest$AccountIds' => '<p>A list of account IDs for the Security Hub member accounts that you want to return the details for. </p>', 'InviteMembersRequest$AccountIds' => '<p>A list of IDs of the AWS accounts that you want to invite to Security Hub as members. </p>', ], ], 'ActionTarget' => [ 'base' => '<p>An <code>ActionTarget</code> object.</p>', 'refs' => [ 'ActionTargetList$member' => NULL, ], ], 'ActionTargetList' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsResponse$ActionTargets' => '<p>A list of <code>ActionTarget</code> objects. Each object includes the <code>ActionTargetArn</code>, <code>Description</code>, and <code>Name</code> of a custom action target available in Security Hub.</p>', ], ], 'ArnList' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsRequest$ActionTargetArns' => '<p>A list of custom action target ARNs for the custom action targets to retrieve.</p>', 'GetInsightsRequest$InsightArns' => '<p>The ARNs of the insights that you want to describe.</p>', ], ], 'AwsEc2InstanceDetails' => [ 'base' => '<p>The details of an Amazon EC2 instance.</p>', 'refs' => [ 'ResourceDetails$AwsEc2Instance' => '<p>Details about an Amazon EC2 instance related to a finding.</p>', ], ], 'AwsIamAccessKeyDetails' => [ 'base' => '<p>IAM access key details related to a finding.</p>', 'refs' => [ 'ResourceDetails$AwsIamAccessKey' => '<p>Details about an IAM access key related to a finding.</p>', ], ], 'AwsIamAccessKeyStatus' => [ 'base' => NULL, 'refs' => [ 'AwsIamAccessKeyDetails$Status' => '<p>The status of the IAM access key related to a finding.</p>', ], ], 'AwsS3BucketDetails' => [ 'base' => '<p>The details of an Amazon S3 bucket.</p>', 'refs' => [ 'ResourceDetails$AwsS3Bucket' => '<p>Details about an Amazon S3 Bucket related to a finding.</p>', ], ], 'AwsSecurityFinding' => [ 'base' => '<p>Provides consistent format for the contents of the Security Hub-aggregated findings. <code>AwsSecurityFinding</code> format enables you to share findings between AWS security services and third-party solutions, and compliance checks.</p> <note> <p>A finding is a potential security issue generated either by AWS services (Amazon GuardDuty, Amazon Inspector, and Amazon Macie) or by the integrated third-party solutions and compliance checks.</p> </note>', 'refs' => [ 'AwsSecurityFindingList$member' => NULL, ], ], 'AwsSecurityFindingFilters' => [ 'base' => '<p>A collection of attributes that are applied to all active Security Hub-aggregated findings and that result in a subset of findings that are included in this insight. </p>', 'refs' => [ 'CreateInsightRequest$Filters' => '<p>One or more attributes used to filter the findings included in the insight. Only findings that match the criteria defined in the filters are included in the insight.</p>', 'GetFindingsRequest$Filters' => '<p>The findings attributes used to define a condition to filter the findings returned.</p>', 'Insight$Filters' => '<p>One or more attributes used to filter the findings included in the insight. Only findings that match the criteria defined in the filters are included in the insight.</p>', 'UpdateFindingsRequest$Filters' => '<p>A collection of attributes that specify which findings you want to update.</p>', 'UpdateInsightRequest$Filters' => '<p>The updated filters that define this insight.</p>', ], ], 'AwsSecurityFindingList' => [ 'base' => NULL, 'refs' => [ 'BatchImportFindingsRequest$Findings' => '<p>A list of findings to import. To successfully import a finding, it must follow the <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-findings-format.html">AWS Security Finding Format</a>.</p>', 'GetFindingsResponse$Findings' => '<p>The findings that matched the filters specified in the request.</p>', ], ], 'BatchDisableStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDisableStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchEnableStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchEnableStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchImportFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchImportFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'ListMembersRequest$OnlyAssociated' => '<p>Specifies which member accounts the response includes based on their relationship status with the master account. The default value is <code>TRUE</code>. If <code>onlyAssociated</code> is set to <code>TRUE</code>, the response includes member accounts whose relationship status with the master is set to <code>ENABLED</code> or <code>DISABLED</code>. If <code>onlyAssociated</code> is set to <code>FALSE</code>, the response includes all existing member accounts. </p>', ], ], 'CategoryList' => [ 'base' => NULL, 'refs' => [ 'Product$Categories' => '<p>The categories assigned to the product.</p>', ], ], 'Compliance' => [ 'base' => '<p>Exclusive to findings that are generated as the result of a check run against a specific rule in a supported standard (for example, CIS AWS Foundations). Contains compliance-related finding details.</p>', 'refs' => [ 'AwsSecurityFinding$Compliance' => '<p>This data type is exclusive to findings that are generated as the result of a check run against a specific rule in a supported standard (for example, CIS AWS Foundations). Contains compliance-related finding details.</p>', ], ], 'ComplianceStatus' => [ 'base' => NULL, 'refs' => [ 'Compliance$Status' => '<p>The result of a compliance check.</p>', ], ], 'ContainerDetails' => [ 'base' => '<p>Container details related to a finding.</p>', 'refs' => [ 'ResourceDetails$Container' => '<p>Details about a container resource related to a finding.</p>', ], ], 'CreateActionTargetRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateActionTargetResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DateFilter' => [ 'base' => '<p>A date filter for querying findings.</p>', 'refs' => [ 'DateFilterList$member' => NULL, ], ], 'DateFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$FirstObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider first observed the potential security issue that a finding captured.</p>', 'AwsSecurityFindingFilters$LastObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider most recently observed the potential security issue that a finding captured.</p>', 'AwsSecurityFindingFilters$CreatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider captured the potential security issue that a finding captured.</p>', 'AwsSecurityFindingFilters$UpdatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider last updated the finding record. </p>', 'AwsSecurityFindingFilters$ProcessLaunchedAt' => '<p>The date/time that the process was launched.</p>', 'AwsSecurityFindingFilters$ProcessTerminatedAt' => '<p>The date/time that the process was terminated.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorLastObservedAt' => '<p>The date/time of the last observation of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceLaunchedAt' => '<p>The date/time the instance was launched.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyCreatedAt' => '<p>The creation date/time of the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerLaunchedAt' => '<p>The date/time that the container was started.</p>', 'AwsSecurityFindingFilters$NoteUpdatedAt' => '<p>The timestamp of when the note was updated.</p>', ], ], 'DateRange' => [ 'base' => '<p>A date range for the date filter.</p>', 'refs' => [ 'DateFilter$DateRange' => '<p>A date range for the date filter.</p>', ], ], 'DateRangeUnit' => [ 'base' => NULL, 'refs' => [ 'DateRange$Unit' => '<p>A date range unit for the date filter.</p>', ], ], 'DeclineInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeclineInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteActionTargetRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteActionTargetResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeActionTargetsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeActionTargetsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisableImportFindingsForProductRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableImportFindingsForProductResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisableSecurityHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableSecurityHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'NumberFilter$Gte' => '<p>The greater-than-equal condition to be applied to a single field when querying for findings. </p>', 'NumberFilter$Lte' => '<p>The less-than-equal condition to be applied to a single field when querying for findings. </p>', 'NumberFilter$Eq' => '<p>The equal-to condition to be applied to a single field when querying for findings.</p>', 'Severity$Product' => '<p>The native severity as defined by the AWS service or integrated partner product that generated the finding.</p>', ], ], 'EnableImportFindingsForProductRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableImportFindingsForProductResponse' => [ 'base' => NULL, 'refs' => [], ], 'EnableSecurityHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableSecurityHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'FieldMap' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$ProductFields' => '<p>A data type where security-findings providers can include additional solution-specific details that aren\'t part of the defined <code>AwsSecurityFinding</code> format.</p>', 'AwsSecurityFinding$UserDefinedFields' => '<p>A list of name/value string pairs associated with the finding. These are custom, user-defined fields added to a finding. </p>', 'Resource$Tags' => '<p>A list of AWS tags associated with a resource at the time the finding was processed.</p>', 'ResourceDetails$Other' => '<p>Details about a resource that doesn\'t have a specific type defined.</p>', ], ], 'GetEnabledStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEnabledStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightResultsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightResultsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ImportFindingsError' => [ 'base' => '<p>Includes details of the list of the findings that can\'t be imported.</p>', 'refs' => [ 'ImportFindingsErrorList$member' => NULL, ], ], 'ImportFindingsErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchImportFindingsResponse$FailedFindings' => '<p>The list of the findings that failed to import.</p>', ], ], 'Insight' => [ 'base' => '<p>Contains information about a Security Hub insight.</p>', 'refs' => [ 'InsightList$member' => NULL, ], ], 'InsightList' => [ 'base' => NULL, 'refs' => [ 'GetInsightsResponse$Insights' => '<p>The insights returned by the operation.</p>', ], ], 'InsightResultValue' => [ 'base' => '<p>The insight result values returned by the <code>GetInsightResults</code> operation.</p>', 'refs' => [ 'InsightResultValueList$member' => NULL, ], ], 'InsightResultValueList' => [ 'base' => NULL, 'refs' => [ 'InsightResults$ResultValues' => '<p>The list of insight result values returned by the <code>GetInsightResults</code> operation.</p>', ], ], 'InsightResults' => [ 'base' => '<p>The insight results returned by the <code>GetInsightResults</code> operation.</p>', 'refs' => [ 'GetInsightResultsResponse$InsightResults' => '<p>The insight results returned by the operation.</p>', ], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Confidence' => '<p>A finding\'s confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify. Confidence is scored on a 0-100 basis using a ratio scale, where 0 means zero percent confidence and 100 means 100 percent confidence.</p>', 'AwsSecurityFinding$Criticality' => '<p>The level of importance assigned to the resources associated with the finding. A score of 0 means that the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources.</p>', 'BatchImportFindingsResponse$FailedCount' => '<p>The number of findings that failed to import.</p>', 'BatchImportFindingsResponse$SuccessCount' => '<p>The number of findings that were successfully imported.</p>', 'DateRange$Value' => '<p>A date range value for the date filter.</p>', 'GetInvitationsCountResponse$InvitationsCount' => '<p>The number of all membership invitations sent to this Security Hub member account, not including the currently accepted invitation. </p>', 'InsightResultValue$Count' => '<p>The number of findings returned for each <code>GroupByAttributeValue</code>.</p>', 'Network$SourcePort' => '<p>The source port of network-related information about a finding.</p>', 'Network$DestinationPort' => '<p>The destination port of network-related information about a finding.</p>', 'ProcessDetails$Pid' => '<p>The process ID.</p>', 'ProcessDetails$ParentPid' => '<p>The parent process ID.</p>', 'Severity$Normalized' => '<p>The normalized severity of a finding.</p>', ], ], 'InternalException' => [ 'base' => '<p>Internal server error.</p>', 'refs' => [], ], 'InvalidAccessException' => [ 'base' => '<p>AWS Security Hub isn\'t enabled for the account used to make this request.</p>', 'refs' => [], ], 'InvalidInputException' => [ 'base' => '<p>The request was rejected because you supplied an invalid or out-of-range value for an input parameter.</p>', 'refs' => [], ], 'Invitation' => [ 'base' => '<p>Details about an invitation.</p>', 'refs' => [ 'GetMasterAccountResponse$Master' => '<p>A list of details about the Security Hub master account for the current member account. </p>', 'InvitationList$member' => NULL, ], ], 'InvitationList' => [ 'base' => NULL, 'refs' => [ 'ListInvitationsResponse$Invitations' => '<p>The details of the invitations returned by the operation.</p>', ], ], 'InviteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'InviteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'IpFilter' => [ 'base' => '<p>The IP filter for querying findings.</p>', 'refs' => [ 'IpFilterList$member' => NULL, ], ], 'IpFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$NetworkSourceIpV4' => '<p>The source IPv4 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceIpV6' => '<p>The source IPv6 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationIpV4' => '<p>The destination IPv4 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationIpV6' => '<p>The destination IPv6 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIpV4Addresses' => '<p>The IPv4 addresses associated with the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIpV6Addresses' => '<p>The IPv6 addresses associated with the instance.</p>', ], ], 'KeywordFilter' => [ 'base' => '<p>A keyword filter for querying findings.</p>', 'refs' => [ 'KeywordFilterList$member' => NULL, ], ], 'KeywordFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$Keyword' => '<p>A keyword for a finding.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The request was rejected because it attempted to create resources beyond the current AWS account limits. The error code describes the limit exceeded.</p>', 'refs' => [], ], 'ListEnabledProductsForImportRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEnabledProductsForImportResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'Malware' => [ 'base' => '<p>A list of malware related to a finding.</p>', 'refs' => [ 'MalwareList$member' => NULL, ], ], 'MalwareList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Malware' => '<p>A list of malware related to a finding.</p>', ], ], 'MalwareState' => [ 'base' => NULL, 'refs' => [ 'Malware$State' => '<p>The state of the malware that was observed.</p>', ], ], 'MalwareType' => [ 'base' => NULL, 'refs' => [ 'Malware$Type' => '<p>The type of the malware that was observed.</p>', ], ], 'MapFilter' => [ 'base' => '<p>The map filter for querying findings.</p>', 'refs' => [ 'MapFilterList$member' => NULL, ], ], 'MapFilterComparison' => [ 'base' => NULL, 'refs' => [ 'MapFilter$Comparison' => '<p>The condition to apply to a key value when querying for findings with a map filter.</p>', ], ], 'MapFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$ProductFields' => '<p>A data type where security-findings providers can include additional solution-specific details that aren\'t part of the defined <code>AwsSecurityFinding</code> format.</p>', 'AwsSecurityFindingFilters$UserDefinedFields' => '<p>A list of name/value string pairs associated with the finding. These are custom, user-defined fields added to a finding. </p>', 'AwsSecurityFindingFilters$ResourceTags' => '<p>A list of AWS tags associated with a resource at the time the finding was processed.</p>', 'AwsSecurityFindingFilters$ResourceDetailsOther' => '<p>The details of a resource that doesn\'t have a specific subfield for the resource type defined.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsRequest$MaxResults' => '<p>The maximum number of results to return.</p>', 'DescribeProductsRequest$MaxResults' => '<p>The maximum number of results to return.</p>', 'GetEnabledStandardsRequest$MaxResults' => '<p>The maximum number of results to return in the response.</p>', 'GetFindingsRequest$MaxResults' => '<p>The maximum number of findings to return.</p>', 'GetInsightsRequest$MaxResults' => '<p>The maximum number of items that you want in the response.</p>', 'ListEnabledProductsForImportRequest$MaxResults' => '<p>The maximum number of items that you want in the response.</p>', 'ListInvitationsRequest$MaxResults' => '<p>The maximum number of items that you want in the response. </p>', 'ListMembersRequest$MaxResults' => '<p>The maximum number of items that you want in the response. </p>', ], ], 'Member' => [ 'base' => '<p>The details about a member account.</p>', 'refs' => [ 'MemberList$member' => NULL, ], ], 'MemberList' => [ 'base' => NULL, 'refs' => [ 'GetMembersResponse$Members' => '<p>A list of details about the Security Hub member accounts.</p>', 'ListMembersResponse$Members' => '<p>Member details returned by the operation.</p>', ], ], 'Network' => [ 'base' => '<p>The details of network-related information about a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Network' => '<p>The details of network-related information about a finding.</p>', ], ], 'NetworkDirection' => [ 'base' => NULL, 'refs' => [ 'Network$Direction' => '<p>The direction of network traffic associated with a finding.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsRequest$NextToken' => '<p>The token that is required for pagination.</p>', 'DescribeActionTargetsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'DescribeProductsRequest$NextToken' => '<p>The token that is required for pagination.</p>', 'DescribeProductsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'GetEnabledStandardsRequest$NextToken' => '<p>Paginates results. On your first call to the <code>GetEnabledStandards</code> operation, set the value of this parameter to <code>NULL</code>. For subsequent calls to the operation, fill <code>nextToken</code> in the request with the value of <code>nextToken</code> from the previous response to continue listing data.</p>', 'GetEnabledStandardsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'GetFindingsRequest$NextToken' => '<p>Paginates results. On your first call to the <code>GetFindings</code> operation, set the value of this parameter to <code>NULL</code>. For subsequent calls to the operation, fill <code>nextToken</code> in the request with the value of <code>nextToken</code> from the previous response to continue listing data.</p>', 'GetFindingsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'GetInsightsRequest$NextToken' => '<p>Paginates results. On your first call to the <code>GetInsights</code> operation, set the value of this parameter to <code>NULL</code>. For subsequent calls to the operation, fill <code>nextToken</code> in the request with the value of <code>nextToken</code> from the previous response to continue listing data.</p>', 'GetInsightsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'ListEnabledProductsForImportRequest$NextToken' => '<p>Paginates results. On your first call to the <code>ListEnabledProductsForImport</code> operation, set the value of this parameter to <code>NULL</code>. For subsequent calls to the operation, fill <code>nextToken</code> in the request with the value of <code>NextToken</code> from the previous response to continue listing data.</p>', 'ListEnabledProductsForImportResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'ListInvitationsRequest$NextToken' => '<p>Paginates results. On your first call to the <code>ListInvitations</code> operation, set the value of this parameter to <code>NULL</code>. For subsequent calls to the operation, fill <code>nextToken</code> in the request with the value of <code>NextToken</code> from the previous response to continue listing data. </p>', 'ListMembersRequest$NextToken' => '<p>Paginates results. Set the value of this parameter to <code>NULL</code> on your first call to the <code>ListMembers</code> operation. For subsequent calls to the operation, fill <code>nextToken</code> in the request with the value of <code>nextToken</code> from the previous response to continue listing data. </p>', ], ], 'NonEmptyString' => [ 'base' => NULL, 'refs' => [ 'AcceptInvitationRequest$MasterId' => '<p>The account ID of the Security Hub master account that sent the invitation.</p>', 'AcceptInvitationRequest$InvitationId' => '<p>The ID of the invitation sent from the Security Hub master account.</p>', 'AccessDeniedException$Message' => NULL, 'AccessDeniedException$Code' => NULL, 'AccountDetails$Email' => '<p>The email of an AWS account.</p>', 'AccountIdList$member' => NULL, 'ActionTarget$ActionTargetArn' => '<p>The ARN for the target action.</p>', 'ActionTarget$Name' => '<p>The name of the action target.</p>', 'ActionTarget$Description' => '<p>The description of the target action.</p>', 'ArnList$member' => NULL, 'AwsEc2InstanceDetails$Type' => '<p>The instance type of the instance. </p>', 'AwsEc2InstanceDetails$ImageId' => '<p>The Amazon Machine Image (AMI) ID of the instance.</p>', 'AwsEc2InstanceDetails$KeyName' => '<p>The key name associated with the instance.</p>', 'AwsEc2InstanceDetails$IamInstanceProfileArn' => '<p>The IAM profile ARN of the instance.</p>', 'AwsEc2InstanceDetails$VpcId' => '<p>The identifier of the VPC that the instance was launched in.</p>', 'AwsEc2InstanceDetails$SubnetId' => '<p>The identifier of the subnet that the instance was launched in.</p>', 'AwsEc2InstanceDetails$LaunchedAt' => '<p>The date/time the instance was launched.</p>', 'AwsIamAccessKeyDetails$UserName' => '<p>The user associated with the IAM access key related to a finding.</p>', 'AwsIamAccessKeyDetails$CreatedAt' => '<p>The creation date/time of the IAM access key related to a finding.</p>', 'AwsS3BucketDetails$OwnerId' => '<p>The canonical user ID of the owner of the S3 bucket.</p>', 'AwsS3BucketDetails$OwnerName' => '<p>The display name of the owner of the S3 bucket.</p>', 'AwsSecurityFinding$SchemaVersion' => '<p>The schema version that a finding is formatted for.</p>', 'AwsSecurityFinding$Id' => '<p>The security findings provider-specific identifier for a finding.</p>', 'AwsSecurityFinding$ProductArn' => '<p>The ARN generated by Security Hub that uniquely identifies a third-party company (security-findings provider) after this provider\'s product (solution that generates findings) is registered with Security Hub. </p>', 'AwsSecurityFinding$GeneratorId' => '<p>The identifier for the solution-specific component (a discrete unit of logic) that generated a finding. In various security-findings providers\' solutions, this generator can be called a rule, a check, a detector, a plug-in, etc. </p>', 'AwsSecurityFinding$AwsAccountId' => '<p>The AWS account ID that a finding is generated in.</p>', 'AwsSecurityFinding$FirstObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider first observed the potential security issue that a finding captured.</p>', 'AwsSecurityFinding$LastObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider most recently observed the potential security issue that a finding captured.</p>', 'AwsSecurityFinding$CreatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider created the potential security issue that a finding captured.</p>', 'AwsSecurityFinding$UpdatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider last updated the finding record. </p>', 'AwsSecurityFinding$Title' => '<p>A finding\'s title.</p> <note> <p>In this release, <code>Title</code> is a required property.</p> </note>', 'AwsSecurityFinding$Description' => '<p>A finding\'s description.</p> <note> <p>In this release, <code>Description</code> is a required property.</p> </note>', 'AwsSecurityFinding$SourceUrl' => '<p>A URL that links to a page about the current finding in the security-findings provider\'s solution.</p>', 'CategoryList$member' => NULL, 'ContainerDetails$Name' => '<p>The name of the container related to a finding.</p>', 'ContainerDetails$ImageId' => '<p>The identifier of the image related to a finding.</p>', 'ContainerDetails$ImageName' => '<p>The name of the image related to a finding.</p>', 'ContainerDetails$LaunchedAt' => '<p>The date and time when the container started.</p>', 'CreateActionTargetRequest$Name' => '<p>The name of the custom action target.</p>', 'CreateActionTargetRequest$Description' => '<p>The description for the custom action target.</p>', 'CreateActionTargetRequest$Id' => '<p>The ID for the custom action target.</p>', 'CreateActionTargetResponse$ActionTargetArn' => '<p>The ARN for the custom action target.</p>', 'CreateInsightRequest$Name' => '<p>The name of the custom insight to create.</p>', 'CreateInsightRequest$GroupByAttribute' => '<p>The attribute used as the aggregator to group related findings for the insight.</p>', 'CreateInsightResponse$InsightArn' => '<p>The ARN of the insight created.</p>', 'DateFilter$Start' => '<p>A start date for the date filter.</p>', 'DateFilter$End' => '<p>An end date for the date filter.</p>', 'DeleteActionTargetRequest$ActionTargetArn' => '<p>The ARN of the custom action target to delete.</p>', 'DeleteActionTargetResponse$ActionTargetArn' => '<p>The ARN of the custom action target that was deleted.</p>', 'DeleteInsightRequest$InsightArn' => '<p>The ARN of the insight to delete.</p>', 'DeleteInsightResponse$InsightArn' => '<p>The ARN of the insight that was deleted.</p>', 'DescribeHubRequest$HubArn' => '<p>The ARN of the Hub resource to retrieve.</p>', 'DescribeHubResponse$HubArn' => '<p>The ARN of the Hub resource retrieved.</p>', 'DescribeHubResponse$SubscribedAt' => '<p>The date and time when Security Hub was enabled in the account.</p>', 'DisableImportFindingsForProductRequest$ProductSubscriptionArn' => '<p>The ARN of the integrated product to disable the integration for.</p>', 'EnableImportFindingsForProductRequest$ProductArn' => '<p>The ARN of the product to enable the integration for.</p>', 'EnableImportFindingsForProductResponse$ProductSubscriptionArn' => '<p>The ARN of your subscription to the product to enable integrations for.</p>', 'FieldMap$key' => NULL, 'FieldMap$value' => NULL, 'GetInsightResultsRequest$InsightArn' => '<p>The ARN of the insight whose results you want to see.</p>', 'ImportFindingsError$Id' => '<p>The ID of the error made during the <code>BatchImportFindings</code> operation.</p>', 'ImportFindingsError$ErrorCode' => '<p>The code of the error made during the <code>BatchImportFindings</code> operation.</p>', 'ImportFindingsError$ErrorMessage' => '<p>The message of the error made during the <code>BatchImportFindings</code> operation.</p>', 'Insight$InsightArn' => '<p>The ARN of a Security Hub insight.</p>', 'Insight$Name' => '<p>The name of a Security Hub insight.</p>', 'Insight$GroupByAttribute' => '<p>The attribute that the insight\'s findings are grouped by. This attribute is used as a findings aggregator for the purposes of viewing and managing multiple related findings under a single operand.</p>', 'InsightResultValue$GroupByAttributeValue' => '<p>The value of the attribute that the findings are grouped by for the insight whose results are returned by the <code>GetInsightResults</code> operation.</p>', 'InsightResults$InsightArn' => '<p>The ARN of the insight whose results are returned by the <code>GetInsightResults</code> operation.</p>', 'InsightResults$GroupByAttribute' => '<p>The attribute that the findings are grouped by for the insight whose results are returned by the <code>GetInsightResults</code> operation.</p>', 'InternalException$Message' => NULL, 'InternalException$Code' => NULL, 'InvalidAccessException$Message' => NULL, 'InvalidAccessException$Code' => NULL, 'InvalidInputException$Message' => NULL, 'InvalidInputException$Code' => NULL, 'Invitation$InvitationId' => '<p>The ID of the invitation sent to the member account.</p>', 'Invitation$MemberStatus' => '<p>The current status of the association between member and master accounts.</p>', 'IpFilter$Cidr' => '<p>A finding\'s CIDR value.</p>', 'KeywordFilter$Value' => '<p>A value for the keyword.</p>', 'LimitExceededException$Message' => NULL, 'LimitExceededException$Code' => NULL, 'ListInvitationsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'ListMembersResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'Malware$Name' => '<p>The name of the malware that was observed.</p>', 'Malware$Path' => '<p>The file system path of the malware that was observed.</p>', 'MapFilter$Key' => '<p>The key of the map filter.</p>', 'MapFilter$Value' => '<p>The value for the key in the map filter.</p>', 'Member$Email' => '<p>The email address of the member account.</p>', 'Member$MasterId' => '<p>The AWS account ID of the Security Hub master account associated with this member account.</p>', 'Member$MemberStatus' => '<p>The status of the relationship between the member account and its master account. </p>', 'Network$Protocol' => '<p>The protocol of network-related information about a finding.</p>', 'Network$SourceIpV4' => '<p>The source IPv4 address of network-related information about a finding.</p>', 'Network$SourceIpV6' => '<p>The source IPv6 address of network-related information about a finding.</p>', 'Network$SourceDomain' => '<p>The source domain of network-related information about a finding.</p>', 'Network$SourceMac' => '<p>The source media access control (MAC) address of network-related information about a finding.</p>', 'Network$DestinationIpV4' => '<p>The destination IPv4 address of network-related information about a finding.</p>', 'Network$DestinationIpV6' => '<p>The destination IPv6 address of network-related information about a finding.</p>', 'Network$DestinationDomain' => '<p>The destination domain of network-related information about a finding.</p>', 'Note$Text' => '<p>The text of a note.</p>', 'Note$UpdatedBy' => '<p>The principal that created a note.</p>', 'Note$UpdatedAt' => '<p>The timestamp of when the note was updated.</p>', 'NoteUpdate$Text' => '<p>The updated note text.</p>', 'NoteUpdate$UpdatedBy' => '<p>The principal that updated the note.</p>', 'ProcessDetails$Name' => '<p>The name of the process.</p>', 'ProcessDetails$Path' => '<p>The path to the process executable.</p>', 'ProcessDetails$LaunchedAt' => '<p>The date/time that the process was launched.</p>', 'ProcessDetails$TerminatedAt' => '<p>The date and time when the process was terminated.</p>', 'Product$ProductArn' => '<p>The ARN assigned to the product.</p>', 'Product$ProductName' => '<p>The name of the product.</p>', 'Product$CompanyName' => '<p>The name of the company that provides the product.</p>', 'Product$Description' => '<p>A description of the product.</p>', 'Product$MarketplaceUrl' => '<p>The URL for the page that contains more information about the product.</p>', 'Product$ActivationUrl' => '<p>The URL used to activate the product.</p>', 'Product$ProductSubscriptionResourcePolicy' => '<p>The resource policy associated with the product.</p>', 'ProductSubscriptionArnList$member' => NULL, 'Recommendation$Text' => '<p>Describes the recommended steps to take to remediate an issue identified in a finding.</p>', 'Recommendation$Url' => '<p>A URL to a page or site that contains information about how to remediate a finding.</p>', 'RelatedFinding$ProductArn' => '<p>The ARN of the product that generated a related finding.</p>', 'RelatedFinding$Id' => '<p>The product-generated identifier for a related finding.</p>', 'Resource$Type' => '<p>The type of the resource that details are provided for.</p>', 'Resource$Id' => '<p>The canonical identifier for the given resource type.</p>', 'Resource$Region' => '<p>The canonical AWS external Region name where this resource is located.</p>', 'ResourceConflictException$Message' => NULL, 'ResourceConflictException$Code' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ResourceNotFoundException$Code' => NULL, 'Result$ProcessingResult' => '<p>The reason that the account wasn\'t be processed.</p>', 'SortCriterion$Field' => '<p>The finding attribute used to sort findings.</p>', 'StandardsInputParameterMap$key' => NULL, 'StandardsInputParameterMap$value' => NULL, 'StandardsSubscription$StandardsSubscriptionArn' => '<p>The ARN of a resource that represents your subscription to a supported standard.</p>', 'StandardsSubscription$StandardsArn' => '<p>The ARN of a standard.</p> <p>In this release, Security Hub supports only the CIS AWS Foundations standard, which uses the following ARN: <code>arn:aws:securityhub:::ruleset/cis-aws-foundations-benchmark/v/1.2.0.</code> </p>', 'StandardsSubscriptionArns$member' => NULL, 'StandardsSubscriptionRequest$StandardsArn' => '<p>The ARN of the standard that you want to enable.</p> <important> <p>In this release, Security Hub only supports the CIS AWS Foundations standard. </p> <p>Its ARN is <code>arn:aws:securityhub:::ruleset/cis-aws-foundations-benchmark/v/1.2.0</code>.</p> </important>', 'StringFilter$Value' => '<p>The string filter value.</p>', 'StringList$member' => NULL, 'ThreatIntelIndicator$Value' => '<p>The value of a threat intel indicator.</p>', 'ThreatIntelIndicator$LastObservedAt' => '<p>The date and time when the most recent instance of a threat intel indicator was observed.</p>', 'ThreatIntelIndicator$Source' => '<p>The source of the threat intel indicator.</p>', 'ThreatIntelIndicator$SourceUrl' => '<p>The URL to the page or site where you can get more information about the threat intel indicator.</p>', 'TypeList$member' => NULL, 'UpdateActionTargetRequest$ActionTargetArn' => '<p>The ARN of the custom action target to update.</p>', 'UpdateActionTargetRequest$Name' => '<p>The updated name of the custom action target.</p>', 'UpdateActionTargetRequest$Description' => '<p>The updated description for the custom action target.</p>', 'UpdateInsightRequest$InsightArn' => '<p>The ARN of the insight that you want to update.</p>', 'UpdateInsightRequest$Name' => '<p>The updated name for the insight.</p>', 'UpdateInsightRequest$GroupByAttribute' => '<p>The updated <code>GroupBy</code> attribute that defines this insight.</p>', ], ], 'Note' => [ 'base' => '<p>A user-defined note added to a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Note' => '<p>A user-defined note added to a finding.</p>', ], ], 'NoteUpdate' => [ 'base' => '<p>The updated note.</p>', 'refs' => [ 'UpdateFindingsRequest$Note' => '<p>The updated note for the finding.</p>', ], ], 'NumberFilter' => [ 'base' => '<p>A number filter for querying findings.</p>', 'refs' => [ 'NumberFilterList$member' => NULL, ], ], 'NumberFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$SeverityProduct' => '<p>The native severity as defined by the security-findings provider\'s solution that generated the finding.</p>', 'AwsSecurityFindingFilters$SeverityNormalized' => '<p>The normalized severity of a finding.</p>', 'AwsSecurityFindingFilters$Confidence' => '<p>A finding\'s confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify. Confidence is scored on a 0-100 basis using a ratio scale, where 0 means zero percent confidence and 100 means 100 percent confidence.</p>', 'AwsSecurityFindingFilters$Criticality' => '<p>The level of importance assigned to the resources associated with the finding. A score of 0 means that the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources.</p>', 'AwsSecurityFindingFilters$NetworkSourcePort' => '<p>The source port of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationPort' => '<p>The destination port of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ProcessPid' => '<p>The process ID.</p>', 'AwsSecurityFindingFilters$ProcessParentPid' => '<p>The parent process ID.</p>', ], ], 'Partition' => [ 'base' => NULL, 'refs' => [ 'Resource$Partition' => '<p>The canonical AWS partition name that the Region is assigned to.</p>', ], ], 'ProcessDetails' => [ 'base' => '<p>The details of process-related information about a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Process' => '<p>The details of process-related information about a finding.</p>', ], ], 'Product' => [ 'base' => '<p>Contains details about a product.</p>', 'refs' => [ 'ProductsList$member' => NULL, ], ], 'ProductSubscriptionArnList' => [ 'base' => NULL, 'refs' => [ 'ListEnabledProductsForImportResponse$ProductSubscriptions' => '<p>A list of ARNs for the resources that represent your subscriptions to products. </p>', ], ], 'ProductsList' => [ 'base' => NULL, 'refs' => [ 'DescribeProductsResponse$Products' => '<p>A list of products, including details for each product.</p>', ], ], 'Recommendation' => [ 'base' => '<p>A recommendation on how to remediate the issue identified in a finding.</p>', 'refs' => [ 'Remediation$Recommendation' => '<p>A recommendation on the steps to take to remediate the issue identified by a finding.</p>', ], ], 'RecordState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$RecordState' => '<p>The record state of a finding.</p>', 'UpdateFindingsRequest$RecordState' => '<p>The updated record state for the finding.</p>', ], ], 'RelatedFinding' => [ 'base' => '<p>Details about a related finding.</p>', 'refs' => [ 'RelatedFindingList$member' => NULL, ], ], 'RelatedFindingList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$RelatedFindings' => '<p>A list of related findings.</p>', ], ], 'Remediation' => [ 'base' => '<p>Details about the remediation steps for a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Remediation' => '<p>A data type that describes the remediation options for a finding.</p>', ], ], 'Resource' => [ 'base' => '<p>A resource related to a finding.</p>', 'refs' => [ 'ResourceList$member' => NULL, ], ], 'ResourceArn' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceRequest$ResourceArn' => '<p>The ARN of the resource to retrieve tags for.</p>', 'TagResourceRequest$ResourceArn' => '<p>The ARN of the resource to apply the tags to.</p>', 'UntagResourceRequest$ResourceArn' => '<p>The ARN of the resource to remove the tags from.</p>', ], ], 'ResourceConflictException' => [ 'base' => '<p>The resource specified in the request conflicts with an existing resource.</p>', 'refs' => [], ], 'ResourceDetails' => [ 'base' => '<p>Additional details about a resource related to a finding.</p>', 'refs' => [ 'Resource$Details' => '<p>Additional details about the resource related to a finding.</p>', ], ], 'ResourceList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Resources' => '<p>A set of resource data types that describe the resources that the finding refers to.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The request was rejected because we can\'t find the specified resource.</p>', 'refs' => [], ], 'Result' => [ 'base' => '<p>Details about the account that wasn\'t processed.</p>', 'refs' => [ 'ResultList$member' => NULL, ], ], 'ResultList' => [ 'base' => NULL, 'refs' => [ 'CreateMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that weren\'t processed.</p>', 'DeclineInvitationsResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that weren\'t processed.</p>', 'DeleteInvitationsResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that invitations weren\'t deleted for.</p>', 'DeleteMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that weren\'t deleted.</p>', 'GetMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that couldn\'t be processed.</p>', 'InviteMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that couldn\'t be processed. </p>', ], ], 'Severity' => [ 'base' => '<p>The severity of the finding.</p>', 'refs' => [ 'AwsSecurityFinding$Severity' => '<p>A finding\'s severity.</p>', ], ], 'SortCriteria' => [ 'base' => NULL, 'refs' => [ 'GetFindingsRequest$SortCriteria' => '<p>Findings attributes used to sort the list of findings returned.</p>', ], ], 'SortCriterion' => [ 'base' => '<p>A collection of finding attributes used to sort findings.</p>', 'refs' => [ 'SortCriteria$member' => NULL, ], ], 'SortOrder' => [ 'base' => NULL, 'refs' => [ 'SortCriterion$SortOrder' => '<p>The order used to sort findings.</p>', ], ], 'StandardsInputParameterMap' => [ 'base' => NULL, 'refs' => [ 'StandardsSubscription$StandardsInput' => '<p>A key-value pair of input for the standard.</p>', 'StandardsSubscriptionRequest$StandardsInput' => '<p>A key-value pair of input for the standard.</p>', ], ], 'StandardsStatus' => [ 'base' => NULL, 'refs' => [ 'StandardsSubscription$StandardsStatus' => '<p>The status of the standards subscription.</p>', ], ], 'StandardsSubscription' => [ 'base' => '<p>A resource that represents your subscription to a supported standard.</p>', 'refs' => [ 'StandardsSubscriptions$member' => NULL, ], ], 'StandardsSubscriptionArns' => [ 'base' => NULL, 'refs' => [ 'BatchDisableStandardsRequest$StandardsSubscriptionArns' => '<p>The ARNs of the standards subscriptions to disable.</p>', 'GetEnabledStandardsRequest$StandardsSubscriptionArns' => '<p>A list of the standards subscription ARNs for the standards to retrieve.</p>', ], ], 'StandardsSubscriptionRequest' => [ 'base' => '<p>The standard that you want to enable.</p>', 'refs' => [ 'StandardsSubscriptionRequests$member' => NULL, ], ], 'StandardsSubscriptionRequests' => [ 'base' => NULL, 'refs' => [ 'BatchEnableStandardsRequest$StandardsSubscriptionRequests' => '<p>The list of standards compliance checks to enable.</p> <important> <p>In this release, Security Hub supports only the CIS AWS Foundations standard.</p> <p>The ARN for the standard is <code>arn:aws:securityhub:::ruleset/cis-aws-foundations-benchmark/v/1.2.0</code>.</p> </important>', ], ], 'StandardsSubscriptions' => [ 'base' => NULL, 'refs' => [ 'BatchDisableStandardsResponse$StandardsSubscriptions' => '<p>The details of the standards subscriptions that were disabled.</p>', 'BatchEnableStandardsResponse$StandardsSubscriptions' => '<p>The details of the standards subscriptions that were enabled.</p>', 'GetEnabledStandardsResponse$StandardsSubscriptions' => '<p>A list of <code>StandardsSubscriptions</code> objects that include information about the enabled standards.</p>', ], ], 'StringFilter' => [ 'base' => '<p>A string filter for querying findings.</p>', 'refs' => [ 'StringFilterList$member' => NULL, ], ], 'StringFilterComparison' => [ 'base' => NULL, 'refs' => [ 'StringFilter$Comparison' => '<p>The condition to be applied to a string value when querying for findings. </p>', ], ], 'StringFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$ProductArn' => '<p>The ARN generated by Security Hub that uniquely identifies a third-party company (security findings provider) after this provider\'s product (solution that generates findings) is registered with Security Hub.</p>', 'AwsSecurityFindingFilters$AwsAccountId' => '<p>The AWS account ID that a finding is generated in.</p>', 'AwsSecurityFindingFilters$Id' => '<p>The security findings provider-specific identifier for a finding.</p>', 'AwsSecurityFindingFilters$GeneratorId' => '<p>The identifier for the solution-specific component (a discrete unit of logic) that generated a finding. In various security-findings providers\' solutions, this generator can be called a rule, a check, a detector, a plug-in, etc.</p>', 'AwsSecurityFindingFilters$Type' => '<p>A finding type in the format of <code>namespace/category/classifier</code> that classifies a finding.</p>', 'AwsSecurityFindingFilters$SeverityLabel' => '<p>The label of a finding\'s severity.</p>', 'AwsSecurityFindingFilters$Title' => '<p>A finding\'s title.</p>', 'AwsSecurityFindingFilters$Description' => '<p>A finding\'s description.</p>', 'AwsSecurityFindingFilters$RecommendationText' => '<p>The recommendation of what to do about the issue described in a finding.</p>', 'AwsSecurityFindingFilters$SourceUrl' => '<p>A URL that links to a page about the current finding in the security-findings provider\'s solution.</p>', 'AwsSecurityFindingFilters$ProductName' => '<p>The name of the solution (product) that generates findings.</p>', 'AwsSecurityFindingFilters$CompanyName' => '<p>The name of the findings provider (company) that owns the solution (product) that generates findings.</p>', 'AwsSecurityFindingFilters$MalwareName' => '<p>The name of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwareType' => '<p>The type of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwarePath' => '<p>The filesystem path of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwareState' => '<p>The state of the malware that was observed.</p>', 'AwsSecurityFindingFilters$NetworkDirection' => '<p>Indicates the direction of network traffic associated with a finding.</p>', 'AwsSecurityFindingFilters$NetworkProtocol' => '<p>The protocol of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceDomain' => '<p>The source domain of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceMac' => '<p>The source media access control (MAC) address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationDomain' => '<p>The destination domain of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ProcessName' => '<p>The name of the process.</p>', 'AwsSecurityFindingFilters$ProcessPath' => '<p>The path to the process executable.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorType' => '<p>The type of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorValue' => '<p>The value of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorCategory' => '<p>The category of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorSource' => '<p>The source of the threat intel.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorSourceUrl' => '<p>The URL for more details from the source of the threat intel.</p>', 'AwsSecurityFindingFilters$ResourceType' => '<p>Specifies the type of the resource that details are provided for.</p>', 'AwsSecurityFindingFilters$ResourceId' => '<p>The canonical identifier for the given resource type.</p>', 'AwsSecurityFindingFilters$ResourcePartition' => '<p>The canonical AWS partition name that the Region is assigned to.</p>', 'AwsSecurityFindingFilters$ResourceRegion' => '<p>The canonical AWS external Region name where this resource is located.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceType' => '<p>The instance type of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceImageId' => '<p>The Amazon Machine Image (AMI) ID of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceKeyName' => '<p>The key name associated with the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIamInstanceProfileArn' => '<p>The IAM profile ARN of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceVpcId' => '<p>The identifier of the VPC that the instance was launched in.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceSubnetId' => '<p>The identifier of the subnet that the instance was launched in.</p>', 'AwsSecurityFindingFilters$ResourceAwsS3BucketOwnerId' => '<p>The canonical user ID of the owner of the S3 bucket.</p>', 'AwsSecurityFindingFilters$ResourceAwsS3BucketOwnerName' => '<p>The display name of the owner of the S3 bucket.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyUserName' => '<p>The user associated with the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyStatus' => '<p>The status of the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerName' => '<p>The name of the container related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerImageId' => '<p>The identifier of the image related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerImageName' => '<p>The name of the image related to a finding.</p>', 'AwsSecurityFindingFilters$ComplianceStatus' => '<p>Exclusive to findings that are generated as the result of a check run against a specific rule in a supported standard (for example, CIS AWS Foundations). Contains compliance-related finding details.</p>', 'AwsSecurityFindingFilters$VerificationState' => '<p>The veracity of a finding.</p>', 'AwsSecurityFindingFilters$WorkflowState' => '<p>The workflow state of a finding.</p>', 'AwsSecurityFindingFilters$RecordState' => '<p>The updated record state for the finding.</p>', 'AwsSecurityFindingFilters$RelatedFindingsProductArn' => '<p>The ARN of the solution that generated a related finding.</p>', 'AwsSecurityFindingFilters$RelatedFindingsId' => '<p>The solution-generated identifier for a related finding.</p>', 'AwsSecurityFindingFilters$NoteText' => '<p>The text of a note.</p>', 'AwsSecurityFindingFilters$NoteUpdatedBy' => '<p>The principal that created a note.</p>', ], ], 'StringList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2InstanceDetails$IpV4Addresses' => '<p>The IPv4 addresses associated with the instance.</p>', 'AwsEc2InstanceDetails$IpV6Addresses' => '<p>The IPv6 addresses associated with the instance.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'TagMap$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The tag keys associated with the tags to remove from the resource.</p>', ], ], 'TagMap' => [ 'base' => NULL, 'refs' => [ 'EnableSecurityHubRequest$Tags' => '<p>The tags to add to the Hub resource when you enable Security Hub.</p>', 'ListTagsForResourceResponse$Tags' => '<p>The tags associated with a resource.</p>', 'TagResourceRequest$Tags' => '<p>The tags to add to the resource.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'TagMap$value' => NULL, ], ], 'ThreatIntelIndicator' => [ 'base' => '<p>Details about the threat intel related to a finding.</p>', 'refs' => [ 'ThreatIntelIndicatorList$member' => NULL, ], ], 'ThreatIntelIndicatorCategory' => [ 'base' => NULL, 'refs' => [ 'ThreatIntelIndicator$Category' => '<p>The category of a threat intel indicator.</p>', ], ], 'ThreatIntelIndicatorList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$ThreatIntelIndicators' => '<p>Threat intel details related to a finding.</p>', ], ], 'ThreatIntelIndicatorType' => [ 'base' => NULL, 'refs' => [ 'ThreatIntelIndicator$Type' => '<p>The type of a threat intel indicator.</p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'Invitation$InvitedAt' => '<p>The timestamp of when the invitation was sent.</p>', 'Member$InvitedAt' => '<p>A timestamp for the date and time when the invitation was sent to the member account.</p>', 'Member$UpdatedAt' => '<p>The timestamp for the date and time when the member account was updated.</p>', ], ], 'TypeList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Types' => '<p>One or more finding types in the format of <code>namespace/category/classifier</code> that classify a finding.</p> <p>Valid namespace values are: Software and Configuration Checks | TTPs | Effects | Unusual Behaviors | Sensitive Data Identifications</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateActionTargetRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateActionTargetResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'VerificationState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$VerificationState' => '<p>Indicates the veracity of a finding. </p>', ], ], 'WorkflowState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$WorkflowState' => '<p>The workflow state of a finding. </p>', ], ], ],];
